/*
 * Globalize Cultures
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "ar", "default", {
	name: "ar",
	englishName: "Arabic",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ©",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø±.Ø³.\u200f"
		}
	},
	calendars: {
		standard: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_Localized: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "bg", "default", {
	name: "bg",
	englishName: "Bulgarian",
	nativeName: "Ð±ÑŠÐ»Ð³Ð°Ñ€ÑÐºÐ¸",
	language: "bg",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "- Ð±ÐµÐ·ÐºÑ€Ð°Ð¹Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+ Ð±ÐµÐ·ÐºÑ€Ð°Ð¹Ð½Ð¾ÑÑ‚",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ð»Ð²."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÐ»Ñ","Ð¿Ð¾Ð½ÐµÐ´ÐµÐ»Ð½Ð¸Ðº","Ð²Ñ‚Ð¾Ñ€Ð½Ð¸Ðº","ÑÑ€ÑÐ´Ð°","Ñ‡ÐµÑ‚Ð²ÑŠÑ€Ñ‚ÑŠÐº","Ð¿ÐµÑ‚ÑŠÐº","ÑÑŠÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","Ð²Ñ‚","ÑÑ€","Ñ‡ÐµÑ‚Ð²","Ð¿ÐµÑ‚","ÑÑŠÐ±"],
				namesShort: ["Ð½","Ð¿","Ð²","Ñ","Ñ‡","Ð¿","Ñ"]
			},
			months: {
				names: ["ÑÐ½ÑƒÐ°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€ÑƒÐ°Ñ€Ð¸","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ð¹","ÑŽÐ½Ð¸","ÑŽÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð²Ñ€Ð¸","Ð¾ÐºÑ‚Ð¾Ð¼Ð²Ñ€Ð¸","Ð½Ð¾ÐµÐ¼Ð²Ñ€Ð¸","Ð´ÐµÐºÐµÐ¼Ð²Ñ€Ð¸",""],
				namesAbbr: ["ÑÐ½","Ñ„ÐµÐ²Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","ÑŽÐ½Ð¸","ÑŽÐ»Ð¸","Ð°Ð²Ð³","ÑÐµÐ¿Ñ‚","Ð¾ÐºÑ‚","Ð½Ð¾ÐµÐ¼Ð²Ñ€Ð¸","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ÑÐ»ÐµÐ´ Ð½Ð¾Ð²Ð°Ñ‚Ð° ÐµÑ€Ð°","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy 'Ð³.'",
				D: "dd MMMM yyyy 'Ð³.'",
				t: "HH:mm 'Ñ‡.'",
				T: "HH:mm:ss 'Ñ‡.'",
				f: "dd MMMM yyyy 'Ð³.' HH:mm 'Ñ‡.'",
				F: "dd MMMM yyyy 'Ð³.' HH:mm:ss 'Ñ‡.'",
				M: "dd MMMM",
				Y: "MMMM yyyy 'Ð³.'"
			}
		}
	}
});

Globalize.addCultureInfo( "ca", "default", {
	name: "ca",
	englishName: "Catalan",
	nativeName: "catalÃ ",
	language: "ca",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinit",
		positiveInfinity: "Infinit",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["diumenge","dilluns","dimarts","dimecres","dijous","divendres","dissabte"],
				namesAbbr: ["dg.","dl.","dt.","dc.","dj.","dv.","ds."],
				namesShort: ["dg","dl","dt","dc","dj","dv","ds"]
			},
			months: {
				names: ["gener","febrer","marÃ§","abril","maig","juny","juliol","agost","setembre","octubre","novembre","desembre",""],
				namesAbbr: ["gen","feb","marÃ§","abr","maig","juny","jul","ag","set","oct","nov","des",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d' / 'MMMM' / 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' / 'MMMM' / 'yyyy HH:mm",
				F: "dddd, d' / 'MMMM' / 'yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' / 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-Hans", "default", {
	name: "zh-Hans",
	englishName: "Chinese (Simplified)",
	nativeName: "ä¸­æ–‡(ç®€ä½“)",
	language: "zh-Hans",
	numberFormat: {
		"NaN": "éžæ•°å­—",
		negativeInfinity: "è´Ÿæ— ç©·å¤§",
		positiveInfinity: "æ­£æ— ç©·å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["å‘¨æ—¥","å‘¨ä¸€","å‘¨äºŒ","å‘¨ä¸‰","å‘¨å››","å‘¨äº”","å‘¨å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "cs", "default", {
	name: "cs",
	englishName: "Czech",
	nativeName: "ÄeÅ¡tina",
	language: "cs",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "NenÃ­ ÄÃ­slo",
		negativeInfinity: "-nekoneÄno",
		positiveInfinity: "+nekoneÄno",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "KÄ"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedÄ›le","pondÄ›lÃ­","ÃºterÃ½","stÅ™eda","Ätvrtek","pÃ¡tek","sobota"],
				namesAbbr: ["ne","po","Ãºt","st","Ät","pÃ¡","so"],
				namesShort: ["ne","po","Ãºt","st","Ät","pÃ¡","so"]
			},
			months: {
				names: ["leden","Ãºnor","bÅ™ezen","duben","kvÄ›ten","Äerven","Äervenec","srpen","zÃ¡Å™Ã­","Å™Ã­jen","listopad","prosinec",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			monthsGenitive: {
				names: ["ledna","Ãºnora","bÅ™ezna","dubna","kvÄ›tna","Äervna","Äervence","srpna","zÃ¡Å™Ã­","Å™Ã­jna","listopadu","prosince",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["dop.","dop.","DOP."],
			PM: ["odp.","odp.","ODP."],
			eras: [{"name":"n. l.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "da", "default", {
	name: "da",
	englishName: "Danish",
	nativeName: "dansk",
	language: "da",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mandag","tirsdag","onsdag","torsdag","fredag","lÃ¸rdag"],
				namesAbbr: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"],
				namesShort: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"]
			},
			months: {
				names: ["januar","februar","marts","april","maj","juni","juli","august","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "de", "default", {
	name: "de",
	englishName: "German",
	nativeName: "Deutsch",
	language: "de",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","MÃ¤rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "el", "default", {
	name: "el",
	englishName: "Greek",
	nativeName: "Î•Î»Î»Î·Î½Î¹ÎºÎ¬",
	language: "el",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "Î¼Î·Â Î±ÏÎ¹Î¸Î¼ÏŒÏ‚",
		negativeInfinity: "-Î†Ï€ÎµÎ¹ÏÎ¿",
		positiveInfinity: "Î†Ï€ÎµÎ¹ÏÎ¿",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["ÎšÏ…ÏÎ¹Î±ÎºÎ®","Î”ÎµÏ…Ï„Î­ÏÎ±","Î¤ÏÎ¯Ï„Î·","Î¤ÎµÏ„Î¬ÏÏ„Î·","Î Î­Î¼Ï€Ï„Î·","Î Î±ÏÎ±ÏƒÎºÎµÏ…Î®","Î£Î¬Î²Î²Î±Ï„Î¿"],
				namesAbbr: ["ÎšÏ…Ï","Î”ÎµÏ…","Î¤ÏÎ¹","Î¤ÎµÏ„","Î ÎµÎ¼","Î Î±Ï","Î£Î±Î²"],
				namesShort: ["ÎšÏ…","Î”Îµ","Î¤Ï","Î¤Îµ","Î Îµ","Î Î±","Î£Î¬"]
			},
			months: {
				names: ["Î™Î±Î½Î¿Ï…Î¬ÏÎ¹Î¿Ï‚","Î¦ÎµÎ²ÏÎ¿Ï…Î¬ÏÎ¹Î¿Ï‚","ÎœÎ¬ÏÏ„Î¹Î¿Ï‚","Î‘Ï€ÏÎ¯Î»Î¹Î¿Ï‚","ÎœÎ¬Î¹Î¿Ï‚","Î™Î¿ÏÎ½Î¹Î¿Ï‚","Î™Î¿ÏÎ»Î¹Î¿Ï‚","Î‘ÏÎ³Î¿Ï…ÏƒÏ„Î¿Ï‚","Î£ÎµÏ€Ï„Î­Î¼Î²ÏÎ¹Î¿Ï‚","ÎŸÎºÏ„ÏŽÎ²ÏÎ¹Î¿Ï‚","ÎÎ¿Î­Î¼Î²ÏÎ¹Î¿Ï‚","Î”ÎµÎºÎ­Î¼Î²ÏÎ¹Î¿Ï‚",""],
				namesAbbr: ["Î™Î±Î½","Î¦ÎµÎ²","ÎœÎ±Ï","Î‘Ï€Ï","ÎœÎ±ÏŠ","Î™Î¿Ï…Î½","Î™Î¿Ï…Î»","Î‘Ï…Î³","Î£ÎµÏ€","ÎŸÎºÏ„","ÎÎ¿Îµ","Î”ÎµÎº",""]
			},
			monthsGenitive: {
				names: ["Î™Î±Î½Î¿Ï…Î±ÏÎ¯Î¿Ï…","Î¦ÎµÎ²ÏÎ¿Ï…Î±ÏÎ¯Î¿Ï…","ÎœÎ±ÏÏ„Î¯Î¿Ï…","Î‘Ï€ÏÎ¹Î»Î¯Î¿Ï…","ÎœÎ±ÎÎ¿Ï…","Î™Î¿Ï…Î½Î¯Î¿Ï…","Î™Î¿Ï…Î»Î¯Î¿Ï…","Î‘Ï…Î³Î¿ÏÏƒÏ„Î¿Ï…","Î£ÎµÏ€Ï„ÎµÎ¼Î²ÏÎ¯Î¿Ï…","ÎŸÎºÏ„Ï‰Î²ÏÎ¯Î¿Ï…","ÎÎ¿ÎµÎ¼Î²ÏÎ¯Î¿Ï…","Î”ÎµÎºÎµÎ¼Î²ÏÎ¯Î¿Ï…",""],
				namesAbbr: ["Î™Î±Î½","Î¦ÎµÎ²","ÎœÎ±Ï","Î‘Ï€Ï","ÎœÎ±ÏŠ","Î™Î¿Ï…Î½","Î™Î¿Ï…Î»","Î‘Ï…Î³","Î£ÎµÏ€","ÎŸÎºÏ„","ÎÎ¿Îµ","Î”ÎµÎº",""]
			},
			AM: ["Ï€Î¼","Ï€Î¼","Î Îœ"],
			PM: ["Î¼Î¼","Î¼Î¼","ÎœÎœ"],
			eras: [{"name":"Î¼.Î§.","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "dddd, d MMMM yyyy",
				f: "dddd, d MMMM yyyy h:mm tt",
				F: "dddd, d MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es", "default", {
	name: "es",
	englishName: "Spanish",
	nativeName: "espaÃ±ol",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fi", "default", {
	name: "fi",
	englishName: "Finnish",
	nativeName: "suomi",
	language: "fi",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sunnuntai","maanantai","tiistai","keskiviikko","torstai","perjantai","lauantai"],
				namesAbbr: ["su","ma","ti","ke","to","pe","la"],
				namesShort: ["su","ma","ti","ke","to","pe","la"]
			},
			months: {
				names: ["tammikuu","helmikuu","maaliskuu","huhtikuu","toukokuu","kesÃ¤kuu","heinÃ¤kuu","elokuu","syyskuu","lokakuu","marraskuu","joulukuu",""],
				namesAbbr: ["tammi","helmi","maalis","huhti","touko","kesÃ¤","heinÃ¤","elo","syys","loka","marras","joulu",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM'ta 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM'ta 'yyyy H:mm",
				F: "d. MMMM'ta 'yyyy H:mm:ss",
				M: "d. MMMM'ta'",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr", "default", {
	name: "fr",
	englishName: "French",
	nativeName: "franÃ§ais",
	language: "fr",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "he", "default", {
	name: "he",
	englishName: "Hebrew",
	nativeName: "×¢×‘×¨×™×ª",
	language: "he",
	isRTL: true,
	numberFormat: {
		"NaN": "×œ× ×ž×¡×¤×¨",
		negativeInfinity: "××™× ×¡×•×£Â ×©×œ×™×œ×™",
		positiveInfinity: "××™× ×¡×•×£Â ×—×™×•×‘×™",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "â‚ª"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["×™×•×Â ×¨××©×•×Ÿ","×™×•×Â ×©× ×™","×™×•×Â ×©×œ×™×©×™","×™×•×Â ×¨×‘×™×¢×™","×™×•×Â ×—×ž×™×©×™","×™×•×Â ×©×™×©×™","×©×‘×ª"],
				namesAbbr: ["×™×•×Â ×","×™×•×Â ×‘","×™×•×Â ×’","×™×•×Â ×“","×™×•×Â ×”","×™×•×Â ×•","×©×‘×ª"],
				namesShort: ["×","×‘","×’","×“","×”","×•","×©"]
			},
			months: {
				names: ["×™× ×•××¨","×¤×‘×¨×•××¨","×ž×¨×¥","××¤×¨×™×œ","×ž××™","×™×•× ×™","×™×•×œ×™","××•×’×•×¡×˜","×¡×¤×˜×ž×‘×¨","××•×§×˜×•×‘×¨","× ×•×‘×ž×‘×¨","×“×¦×ž×‘×¨",""],
				namesAbbr: ["×™× ×•","×¤×‘×¨","×ž×¨×¥","××¤×¨","×ž××™","×™×•× ","×™×•×œ","××•×’","×¡×¤×˜","××•×§","× ×•×‘","×“×¦×ž",""]
			},
			eras: [{"name":"×œ×¡×¤×™×¨×”","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd dd MMMM yyyy HH:mm",
				F: "dddd dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		},
		Hebrew: {
			name: "Hebrew",
			"/": " ",
			days: {
				names: ["×™×•×Â ×¨××©×•×Ÿ","×™×•×Â ×©× ×™","×™×•×Â ×©×œ×™×©×™","×™×•×Â ×¨×‘×™×¢×™","×™×•×Â ×—×ž×™×©×™","×™×•×Â ×©×™×©×™","×©×‘×ª"],
				namesAbbr: ["×","×‘","×’","×“","×”","×•","×©"],
				namesShort: ["×","×‘","×’","×“","×”","×•","×©"]
			},
			months: {
				names: ["×ª×©×¨×™","×—×©×•×Ÿ","×›×¡×œ×•","×˜×‘×ª","×©×‘×˜","××“×¨","××“×¨ ×‘","× ×™×¡×Ÿ","××™×™×¨","×¡×™×•×Ÿ","×ª×ž×•×–","××‘","××œ×•×œ"],
				namesAbbr: ["×ª×©×¨×™","×—×©×•×Ÿ","×›×¡×œ×•","×˜×‘×ª","×©×‘×˜","××“×¨","××“×¨ ×‘","× ×™×¡×Ÿ","××™×™×¨","×¡×™×•×Ÿ","×ª×ž×•×–","××‘","××œ×•×œ"]
			},
			eras: [{"name":"C.E.","start":null,"offset":0}],
			twoDigitYearMax: 5790,
			patterns: {
				d: "dd MMMM yyyy",
				D: "dddd dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd dd MMMM yyyy HH:mm",
				F: "dddd dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hu", "default", {
	name: "hu",
	englishName: "Hungarian",
	nativeName: "magyar",
	language: "hu",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "nem szÃ¡m",
		negativeInfinity: "negatÃ­v vÃ©gtelen",
		positiveInfinity: "vÃ©gtelen",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ft"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["vasÃ¡rnap","hÃ©tfÅ‘","kedd","szerda","csÃ¼tÃ¶rtÃ¶k","pÃ©ntek","szombat"],
				namesAbbr: ["V","H","K","Sze","Cs","P","Szo"],
				namesShort: ["V","H","K","Sze","Cs","P","Szo"]
			},
			months: {
				names: ["januÃ¡r","februÃ¡r","mÃ¡rcius","Ã¡prilis","mÃ¡jus","jÃºnius","jÃºlius","augusztus","szeptember","oktÃ³ber","november","december",""],
				namesAbbr: ["jan.","febr.","mÃ¡rc.","Ã¡pr.","mÃ¡j.","jÃºn.","jÃºl.","aug.","szept.","okt.","nov.","dec.",""]
			},
			AM: ["de.","de.","DE."],
			PM: ["du.","du.","DU."],
			eras: [{"name":"i.sz.","start":null,"offset":0}],
			patterns: {
				d: "yyyy.MM.dd.",
				D: "yyyy. MMMM d.",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy. MMMM d. H:mm",
				F: "yyyy. MMMM d. H:mm:ss",
				M: "MMMM d.",
				Y: "yyyy. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "is", "default", {
	name: "is",
	englishName: "Icelandic",
	nativeName: "Ã­slenska",
	language: "is",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			decimals: 0,
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sunnudagur","mÃ¡nudagur","Ã¾riÃ°judagur","miÃ°vikudagur","fimmtudagur","fÃ¶studagur","laugardagur"],
				namesAbbr: ["sun.","mÃ¡n.","Ã¾ri.","miÃ°.","fim.","fÃ¶s.","lau."],
				namesShort: ["su","mÃ¡","Ã¾r","mi","fi","fÃ¶","la"]
			},
			months: {
				names: ["janÃºar","febrÃºar","mars","aprÃ­l","maÃ­","jÃºnÃ­","jÃºlÃ­","Ã¡gÃºst","september","oktÃ³ber","nÃ³vember","desember",""],
				namesAbbr: ["jan.","feb.","mar.","apr.","maÃ­","jÃºn.","jÃºl.","Ã¡gÃº.","sep.","okt.","nÃ³v.","des.",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "it", "default", {
	name: "it",
	englishName: "Italian",
	nativeName: "italiano",
	language: "it",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "Non un numero reale",
		negativeInfinity: "-Infinito",
		positiveInfinity: "+Infinito",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domenica","lunedÃ¬","martedÃ¬","mercoledÃ¬","giovedÃ¬","venerdÃ¬","sabato"],
				namesAbbr: ["dom","lun","mar","mer","gio","ven","sab"],
				namesShort: ["do","lu","ma","me","gi","ve","sa"]
			},
			months: {
				names: ["gennaio","febbraio","marzo","aprile","maggio","giugno","luglio","agosto","settembre","ottobre","novembre","dicembre",""],
				namesAbbr: ["gen","feb","mar","apr","mag","giu","lug","ago","set","ott","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ja", "default", {
	name: "ja",
	englishName: "Japanese",
	nativeName: "æ—¥æœ¬èªž",
	language: "ja",
	numberFormat: {
		"NaN": "NaN (éžæ•°å€¤)",
		negativeInfinity: "-âˆž",
		positiveInfinity: "+âˆž",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["-$n","$n"],
			decimals: 0,
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ—¥æ›œæ—¥","æœˆæ›œæ—¥","ç«æ›œæ—¥","æ°´æ›œæ—¥","æœ¨æ›œæ—¥","é‡‘æ›œæ—¥","åœŸæ›œæ—¥"],
				namesAbbr: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"],
				namesShort: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"]
			},
			months: {
				names: ["1æœˆ","2æœˆ","3æœˆ","4æœˆ","5æœˆ","6æœˆ","7æœˆ","8æœˆ","9æœˆ","10æœˆ","11æœˆ","12æœˆ",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["åˆå‰","åˆå‰","åˆå‰"],
			PM: ["åˆå¾Œ","åˆå¾Œ","åˆå¾Œ"],
			eras: [{"name":"è¥¿æš¦","start":null,"offset":0}],
			patterns: {
				d: "yyyy/MM/dd",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		},
		Japanese: {
			name: "Japanese",
			days: {
				names: ["æ—¥æ›œæ—¥","æœˆæ›œæ—¥","ç«æ›œæ—¥","æ°´æ›œæ—¥","æœ¨æ›œæ—¥","é‡‘æ›œæ—¥","åœŸæ›œæ—¥"],
				namesAbbr: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"],
				namesShort: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"]
			},
			months: {
				names: ["1æœˆ","2æœˆ","3æœˆ","4æœˆ","5æœˆ","6æœˆ","7æœˆ","8æœˆ","9æœˆ","10æœˆ","11æœˆ","12æœˆ",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["åˆå‰","åˆå‰","åˆå‰"],
			PM: ["åˆå¾Œ","åˆå¾Œ","åˆå¾Œ"],
			eras: [{"name":"å¹³æˆ","start":null,"offset":1867},{"name":"æ˜­å’Œ","start":-1812153600000,"offset":1911},{"name":"å¤§æ­£","start":-1357603200000,"offset":1925},{"name":"æ˜Žæ²»","start":60022080000,"offset":1988}],
			twoDigitYearMax: 99,
			patterns: {
				d: "gg y/M/d",
				D: "gg y'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "gg y'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "gg y'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "gg y'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "ko", "default", {
	name: "ko",
	englishName: "Korean",
	nativeName: "í•œêµ­ì–´",
	language: "ko",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			decimals: 0,
			symbol: "â‚©"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["ì¼ìš”ì¼","ì›”ìš”ì¼","í™”ìš”ì¼","ìˆ˜ìš”ì¼","ëª©ìš”ì¼","ê¸ˆìš”ì¼","í† ìš”ì¼"],
				namesAbbr: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "],
				namesShort: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "]
			},
			months: {
				names: ["1ì›”","2ì›”","3ì›”","4ì›”","5ì›”","6ì›”","7ì›”","8ì›”","9ì›”","10ì›”","11ì›”","12ì›”",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["ì˜¤ì „","ì˜¤ì „","ì˜¤ì „"],
			PM: ["ì˜¤í›„","ì˜¤í›„","ì˜¤í›„"],
			eras: [{"name":"ì„œê¸°","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "yyyy'ë…„' M'ì›”' d'ì¼' dddd",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm",
				F: "yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm:ss",
				M: "M'ì›”' d'ì¼'",
				Y: "yyyy'ë…„' M'ì›”'"
			}
		},
		Korean: {
			name: "Korean",
			"/": "-",
			days: {
				names: ["ì¼ìš”ì¼","ì›”ìš”ì¼","í™”ìš”ì¼","ìˆ˜ìš”ì¼","ëª©ìš”ì¼","ê¸ˆìš”ì¼","í† ìš”ì¼"],
				namesAbbr: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "],
				namesShort: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "]
			},
			months: {
				names: ["1ì›”","2ì›”","3ì›”","4ì›”","5ì›”","6ì›”","7ì›”","8ì›”","9ì›”","10ì›”","11ì›”","12ì›”",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["ì˜¤ì „","ì˜¤ì „","ì˜¤ì „"],
			PM: ["ì˜¤í›„","ì˜¤í›„","ì˜¤í›„"],
			eras: [{"name":"ë‹¨ê¸°","start":null,"offset":-2333}],
			twoDigitYearMax: 4362,
			patterns: {
				d: "gg yyyy-MM-dd",
				D: "gg yyyy'ë…„' M'ì›”' d'ì¼' dddd",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "gg yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm",
				F: "gg yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm:ss",
				M: "M'ì›”' d'ì¼'",
				Y: "gg yyyy'ë…„' M'ì›”'"
			}
		}
	}
});

Globalize.addCultureInfo( "nl", "default", {
	name: "nl",
	englishName: "Dutch",
	nativeName: "Nederlands",
	language: "nl",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["zondag","maandag","dinsdag","woensdag","donderdag","vrijdag","zaterdag"],
				namesAbbr: ["zo","ma","di","wo","do","vr","za"],
				namesShort: ["zo","ma","di","wo","do","vr","za"]
			},
			months: {
				names: ["januari","februari","maart","april","mei","juni","juli","augustus","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mrt","apr","mei","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d-M-yyyy",
				D: "dddd d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd d MMMM yyyy H:mm",
				F: "dddd d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "no", "default", {
	name: "no",
	englishName: "Norwegian",
	nativeName: "norsk",
	language: "no",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mandag","tirsdag","onsdag","torsdag","fredag","lÃ¸rdag"],
				namesAbbr: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"],
				namesShort: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"]
			},
			months: {
				names: ["januar","februar","mars","april","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "pl", "default", {
	name: "pl",
	englishName: "Polish",
	nativeName: "polski",
	language: "pl",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "nie jest liczbÄ…",
		negativeInfinity: "-nieskoÅ„czonoÅ›Ä‡",
		positiveInfinity: "+nieskoÅ„czonoÅ›Ä‡",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "zÅ‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["niedziela","poniedziaÅ‚ek","wtorek","Å›roda","czwartek","piÄ…tek","sobota"],
				namesAbbr: ["N","Pn","Wt","Åšr","Cz","Pt","So"],
				namesShort: ["N","Pn","Wt","Åšr","Cz","Pt","So"]
			},
			months: {
				names: ["styczeÅ„","luty","marzec","kwiecieÅ„","maj","czerwiec","lipiec","sierpieÅ„","wrzesieÅ„","paÅºdziernik","listopad","grudzieÅ„",""],
				namesAbbr: ["sty","lut","mar","kwi","maj","cze","lip","sie","wrz","paÅº","lis","gru",""]
			},
			monthsGenitive: {
				names: ["stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia","wrzeÅ›nia","paÅºdziernika","listopada","grudnia",""],
				namesAbbr: ["sty","lut","mar","kwi","maj","cze","lip","sie","wrz","paÅº","lis","gru",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "pt", "default", {
	name: "pt",
	englishName: "Portuguese",
	nativeName: "PortuguÃªs",
	language: "pt",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NaN (NÃ£o Ã© um nÃºmero)",
		negativeInfinity: "-Infinito",
		positiveInfinity: "+Infinito",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ",",
			symbol: "R$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","segunda-feira","terÃ§a-feira","quarta-feira","quinta-feira","sexta-feira","sÃ¡bado"],
				namesAbbr: ["dom","seg","ter","qua","qui","sex","sÃ¡b"],
				namesShort: ["D","S","T","Q","Q","S","S"]
			},
			months: {
				names: ["janeiro","fevereiro","marÃ§o","abril","maio","junho","julho","agosto","setembro","outubro","novembro","dezembro",""],
				namesAbbr: ["jan","fev","mar","abr","mai","jun","jul","ago","set","out","nov","dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d' de 'MMMM' de 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' de 'MMMM' de 'yyyy HH:mm",
				F: "dddd, d' de 'MMMM' de 'yyyy HH:mm:ss",
				M: "dd' de 'MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "rm", "default", {
	name: "rm",
	englishName: "Romansh",
	nativeName: "Rumantsch",
	language: "rm",
	numberFormat: {
		",": "'",
		"NaN": "betg def.",
		negativeInfinity: "-infinit",
		positiveInfinity: "+infinit",
		percent: {
			pattern: ["-n%","n%"],
			",": "'"
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "'",
			symbol: "fr."
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dumengia","glindesdi","mardi","mesemna","gievgia","venderdi","sonda"],
				namesAbbr: ["du","gli","ma","me","gie","ve","so"],
				namesShort: ["du","gli","ma","me","gie","ve","so"]
			},
			months: {
				names: ["schaner","favrer","mars","avrigl","matg","zercladur","fanadur","avust","settember","october","november","december",""],
				namesAbbr: ["schan","favr","mars","avr","matg","zercl","fan","avust","sett","oct","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"s. Cr.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d MMMM yyyy HH:mm",
				F: "dddd, d MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ro", "default", {
	name: "ro",
	englishName: "Romanian",
	nativeName: "romÃ¢nÄƒ",
	language: "ro",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "lei"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["duminicÄƒ","luni","marÅ£i","miercuri","joi","vineri","sÃ¢mbÄƒtÄƒ"],
				namesAbbr: ["D","L","Ma","Mi","J","V","S"],
				namesShort: ["D","L","Ma","Mi","J","V","S"]
			},
			months: {
				names: ["ianuarie","februarie","martie","aprilie","mai","iunie","iulie","august","septembrie","octombrie","noiembrie","decembrie",""],
				namesAbbr: ["ian.","feb.","mar.","apr.","mai.","iun.","iul.","aug.","sep.","oct.","nov.","dec.",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ru", "default", {
	name: "ru",
	englishName: "Russian",
	nativeName: "Ñ€ÑƒÑÑÐºÐ¸Ð¹",
	language: "ru",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð²Ð¾ÑÐºÑ€ÐµÑÐµÐ½ÑŒÐµ","Ð¿Ð¾Ð½ÐµÐ´ÐµÐ»ÑŒÐ½Ð¸Ðº","Ð²Ñ‚Ð¾Ñ€Ð½Ð¸Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²ÐµÑ€Ð³","Ð¿ÑÑ‚Ð½Ð¸Ñ†Ð°","ÑÑƒÐ±Ð±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð’Ñ","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"],
				namesShort: ["Ð’Ñ","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€ÑŒ","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒ","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»ÑŒ","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒ","ÐÐ¾ÑÐ±Ñ€ÑŒ","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["ÑÐ½Ð²","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³","ÑÐµÐ½","Ð¾ÐºÑ‚","Ð½Ð¾Ñ","Ð´ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€Ñ","Ñ„ÐµÐ²Ñ€Ð°Ð»Ñ","Ð¼Ð°Ñ€Ñ‚Ð°","Ð°Ð¿Ñ€ÐµÐ»Ñ","Ð¼Ð°Ñ","Ð¸ÑŽÐ½Ñ","Ð¸ÑŽÐ»Ñ","Ð°Ð²Ð³ÑƒÑÑ‚Ð°","ÑÐµÐ½Ñ‚ÑÐ±Ñ€Ñ","Ð¾ÐºÑ‚ÑÐ±Ñ€Ñ","Ð½Ð¾ÑÐ±Ñ€Ñ","Ð´ÐµÐºÐ°Ð±Ñ€Ñ",""],
				namesAbbr: ["ÑÐ½Ð²","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³","ÑÐµÐ½","Ð¾ÐºÑ‚","Ð½Ð¾Ñ","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy 'Ð³.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'Ð³.' H:mm",
				F: "d MMMM yyyy 'Ð³.' H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hr", "default", {
	name: "hr",
	englishName: "Croatian",
	nativeName: "hrvatski",
	language: "hr",
	numberFormat: {
		pattern: ["- n"],
		",": ".",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kn"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedjelja","ponedjeljak","utorak","srijeda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sri","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["sijeÄanj","veljaÄa","oÅ¾ujak","travanj","svibanj","lipanj","srpanj","kolovoz","rujan","listopad","studeni","prosinac",""],
				namesAbbr: ["sij","vlj","oÅ¾u","tra","svi","lip","srp","kol","ruj","lis","stu","pro",""]
			},
			monthsGenitive: {
				names: ["sijeÄnja","veljaÄe","oÅ¾ujka","travnja","svibnja","lipnja","srpnja","kolovoza","rujna","listopada","studenog","prosinca",""],
				namesAbbr: ["sij","vlj","oÅ¾u","tra","svi","lip","srp","kol","ruj","lis","stu","pro",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy.",
				D: "d. MMMM yyyy.",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy. H:mm",
				F: "d. MMMM yyyy. H:mm:ss",
				M: "d. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sk", "default", {
	name: "sk",
	englishName: "Slovak",
	nativeName: "slovenÄina",
	language: "sk",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Nie je ÄÃ­slo",
		negativeInfinity: "-nekoneÄno",
		positiveInfinity: "+nekoneÄno",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ". ",
			firstDay: 1,
			days: {
				names: ["nedeÄ¾a","pondelok","utorok","streda","Å¡tvrtok","piatok","sobota"],
				namesAbbr: ["ne","po","ut","st","Å¡t","pi","so"],
				namesShort: ["ne","po","ut","st","Å¡t","pi","so"]
			},
			months: {
				names: ["januÃ¡r","februÃ¡r","marec","aprÃ­l","mÃ¡j","jÃºn","jÃºl","august","september","oktÃ³ber","november","december",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			monthsGenitive: {
				names: ["januÃ¡ra","februÃ¡ra","marca","aprÃ­la","mÃ¡ja","jÃºna","jÃºla","augusta","septembra","oktÃ³bra","novembra","decembra",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. l.","start":null,"offset":0}],
			patterns: {
				d: "d. M. yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sq", "default", {
	name: "sq",
	englishName: "Albanian",
	nativeName: "shqipe",
	language: "sq",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-infinit",
		positiveInfinity: "infinit",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": ".",
			".": ",",
			symbol: "Lek"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["e diel","e hÃ«nÃ«","e martÃ«","e mÃ«rkurÃ«","e enjte","e premte","e shtunÃ«"],
				namesAbbr: ["Die","HÃ«n","Mar","MÃ«r","Enj","Pre","Sht"],
				namesShort: ["Di","HÃ«","Ma","MÃ«","En","Pr","Sh"]
			},
			months: {
				names: ["janar","shkurt","mars","prill","maj","qershor","korrik","gusht","shtator","tetor","nÃ«ntor","dhjetor",""],
				namesAbbr: ["Jan","Shk","Mar","Pri","Maj","Qer","Kor","Gsh","Sht","Tet","NÃ«n","Dhj",""]
			},
			AM: ["PD","pd","PD"],
			PM: ["MD","md","MD"],
			patterns: {
				d: "yyyy-MM-dd",
				D: "yyyy-MM-dd",
				t: "h:mm.tt",
				T: "h:mm:ss.tt",
				f: "yyyy-MM-dd h:mm.tt",
				F: "yyyy-MM-dd h:mm:ss.tt",
				Y: "yyyy-MM"
			}
		}
	}
});

Globalize.addCultureInfo( "sv", "default", {
	name: "sv",
	englishName: "Swedish",
	nativeName: "svenska",
	language: "sv",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sÃ¶ndag","mÃ¥ndag","tisdag","onsdag","torsdag","fredag","lÃ¶rdag"],
				namesAbbr: ["sÃ¶","mÃ¥","ti","on","to","fr","lÃ¶"],
				namesShort: ["sÃ¶","mÃ¥","ti","on","to","fr","lÃ¶"]
			},
			months: {
				names: ["januari","februari","mars","april","maj","juni","juli","augusti","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "'den 'd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "'den 'd MMMM yyyy HH:mm",
				F: "'den 'd MMMM yyyy HH:mm:ss",
				M: "'den 'd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "th", "default", {
	name: "th",
	englishName: "Thai",
	nativeName: "à¹„à¸—à¸¢",
	language: "th",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "à¸¿"
		}
	},
	calendars: {
		standard: {
			name: "ThaiBuddhist",
			firstDay: 1,
			days: {
				names: ["à¸­à¸²à¸—à¸´à¸•à¸¢à¹Œ","à¸ˆà¸±à¸™à¸—à¸£à¹Œ","à¸­à¸±à¸‡à¸„à¸²à¸£","à¸žà¸¸à¸˜","à¸žà¸¤à¸«à¸±à¸ªà¸šà¸”à¸µ","à¸¨à¸¸à¸à¸£à¹Œ","à¹€à¸ªà¸²à¸£à¹Œ"],
				namesAbbr: ["à¸­à¸².","à¸ˆ.","à¸­.","à¸ž.","à¸žà¸¤.","à¸¨.","à¸ª."],
				namesShort: ["à¸­","à¸ˆ","à¸­","à¸ž","à¸ž","à¸¨","à¸ª"]
			},
			months: {
				names: ["à¸¡à¸à¸£à¸²à¸„à¸¡","à¸à¸¸à¸¡à¸ à¸²à¸žà¸±à¸™à¸˜à¹Œ","à¸¡à¸µà¸™à¸²à¸„à¸¡","à¹€à¸¡à¸©à¸²à¸¢à¸™","à¸žà¸¤à¸©à¸ à¸²à¸„à¸¡","à¸¡à¸´à¸–à¸¸à¸™à¸²à¸¢à¸™","à¸à¸£à¸à¸Žà¸²à¸„à¸¡","à¸ªà¸´à¸‡à¸«à¸²à¸„à¸¡","à¸à¸±à¸™à¸¢à¸²à¸¢à¸™","à¸•à¸¸à¸¥à¸²à¸„à¸¡","à¸žà¸¤à¸¨à¸ˆà¸´à¸à¸²à¸¢à¸™","à¸˜à¸±à¸™à¸§à¸²à¸„à¸¡",""],
				namesAbbr: ["à¸¡.à¸„.","à¸.à¸ž.","à¸¡à¸µ.à¸„.","à¹€à¸¡.à¸¢.","à¸ž.à¸„.","à¸¡à¸´.à¸¢.","à¸.à¸„.","à¸ª.à¸„.","à¸.à¸¢.","à¸•.à¸„.","à¸ž.à¸¢.","à¸˜.à¸„.",""]
			},
			eras: [{"name":"à¸ž.à¸¨.","start":null,"offset":-543}],
			twoDigitYearMax: 2572,
			patterns: {
				d: "d/M/yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		},
		Gregorian_Localized: {
			firstDay: 1,
			days: {
				names: ["à¸­à¸²à¸—à¸´à¸•à¸¢à¹Œ","à¸ˆà¸±à¸™à¸—à¸£à¹Œ","à¸­à¸±à¸‡à¸„à¸²à¸£","à¸žà¸¸à¸˜","à¸žà¸¤à¸«à¸±à¸ªà¸šà¸”à¸µ","à¸¨à¸¸à¸à¸£à¹Œ","à¹€à¸ªà¸²à¸£à¹Œ"],
				namesAbbr: ["à¸­à¸².","à¸ˆ.","à¸­.","à¸ž.","à¸žà¸¤.","à¸¨.","à¸ª."],
				namesShort: ["à¸­","à¸ˆ","à¸­","à¸ž","à¸ž","à¸¨","à¸ª"]
			},
			months: {
				names: ["à¸¡à¸à¸£à¸²à¸„à¸¡","à¸à¸¸à¸¡à¸ à¸²à¸žà¸±à¸™à¸˜à¹Œ","à¸¡à¸µà¸™à¸²à¸„à¸¡","à¹€à¸¡à¸©à¸²à¸¢à¸™","à¸žà¸¤à¸©à¸ à¸²à¸„à¸¡","à¸¡à¸´à¸–à¸¸à¸™à¸²à¸¢à¸™","à¸à¸£à¸à¸Žà¸²à¸„à¸¡","à¸ªà¸´à¸‡à¸«à¸²à¸„à¸¡","à¸à¸±à¸™à¸¢à¸²à¸¢à¸™","à¸•à¸¸à¸¥à¸²à¸„à¸¡","à¸žà¸¤à¸¨à¸ˆà¸´à¸à¸²à¸¢à¸™","à¸˜à¸±à¸™à¸§à¸²à¸„à¸¡",""],
				namesAbbr: ["à¸¡.à¸„.","à¸.à¸ž.","à¸¡à¸µ.à¸„.","à¹€à¸¡.à¸¢.","à¸ž.à¸„.","à¸¡à¸´.à¸¢.","à¸.à¸„.","à¸ª.à¸„.","à¸.à¸¢.","à¸•.à¸„.","à¸ž.à¸¢.","à¸˜.à¸„.",""]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "'à¸§à¸±à¸™'dddd'à¸—à¸µà¹ˆ' d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "'à¸§à¸±à¸™'dddd'à¸—à¸µà¹ˆ' d MMMM yyyy H:mm",
				F: "'à¸§à¸±à¸™'dddd'à¸—à¸µà¹ˆ' d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tr", "default", {
	name: "tr",
	englishName: "Turkish",
	nativeName: "TÃ¼rkÃ§e",
	language: "tr",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "TL"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Pazar","Pazartesi","SalÄ±","Ã‡arÅŸamba","PerÅŸembe","Cuma","Cumartesi"],
				namesAbbr: ["Paz","Pzt","Sal","Ã‡ar","Per","Cum","Cmt"],
				namesShort: ["Pz","Pt","Sa","Ã‡a","Pe","Cu","Ct"]
			},
			months: {
				names: ["Ocak","Åžubat","Mart","Nisan","MayÄ±s","Haziran","Temmuz","AÄŸustos","EylÃ¼l","Ekim","KasÄ±m","AralÄ±k",""],
				namesAbbr: ["Oca","Åžub","Mar","Nis","May","Haz","Tem","AÄŸu","Eyl","Eki","Kas","Ara",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "dd MMMM yyyy dddd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy dddd HH:mm",
				F: "dd MMMM yyyy dddd HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ur", "default", {
	name: "ur",
	englishName: "Urdu",
	nativeName: "Ø§ÙØ±Ø¯Ùˆ",
	language: "ur",
	isRTL: true,
	numberFormat: {
		currency: {
			pattern: ["$n-","$n"],
			symbol: "Rs"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Ø§ØªÙˆØ§Ø±","Ù¾ÙŠØ±","Ù…Ù†Ú¯Ù„","Ø¨Ø¯Ú¾","Ø¬Ù…Ø¹Ø±Ø§Øª","Ø¬Ù…Ø¹Ù‡","Ù‡ÙØªÙ‡"],
				namesAbbr: ["Ø§ØªÙˆØ§Ø±","Ù¾ÙŠØ±","Ù…Ù†Ú¯Ù„","Ø¨Ø¯Ú¾","Ø¬Ù…Ø¹Ø±Ø§Øª","Ø¬Ù…Ø¹Ù‡","Ù‡ÙØªÙ‡"],
				namesShort: ["Ø§","Ù¾","Ù…","Ø¨","Ø¬","Ø¬","Ù‡"]
			},
			months: {
				names: ["Ø¬Ù†ÙˆØ±ÛŒ","ÙØ±ÙˆØ±ÛŒ","Ù…Ø§Ø±Ú†","Ø§Ù¾Ø±ÛŒÙ„","Ù…Ø¦ÛŒ","Ø¬ÙˆÙ†","Ø¬ÙˆÙ„Ø§Ø¦ÛŒ","Ø§Ú¯Ø³Øª","Ø³ØªÙ…Ø¨Ø±","Ø§Ú©ØªÙˆØ¨Ø±","Ù†ÙˆÙ…Ø¨Ø±","Ø¯Ø³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ù†ÙˆØ±ÛŒ","ÙØ±ÙˆØ±ÛŒ","Ù…Ø§Ø±Ú†","Ø§Ù¾Ø±ÛŒÙ„","Ù…Ø¦ÛŒ","Ø¬ÙˆÙ†","Ø¬ÙˆÙ„Ø§Ø¦ÛŒ","Ø§Ú¯Ø³Øª","Ø³ØªÙ…Ø¨Ø±","Ø§Ú©ØªÙˆØ¨Ø±","Ù†ÙˆÙ…Ø¨Ø±","Ø¯Ø³Ù…Ø¨Ø±",""]
			},
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				f: "dd MMMM, yyyy h:mm tt",
				F: "dd MMMM, yyyy h:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				f: "dd/MM/yyyy h:mm tt",
				F: "dd/MM/yyyy h:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		}
	}
});

Globalize.addCultureInfo( "id", "default", {
	name: "id",
	englishName: "Indonesian",
	nativeName: "Bahasa Indonesia",
	language: "id",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			decimals: 0,
			",": ".",
			".": ",",
			symbol: "Rp"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Minggu","Senin","Selasa","Rabu","Kamis","Jumat","Sabtu"],
				namesAbbr: ["Minggu","Sen","Sel","Rabu","Kamis","Jumat","Sabtu"],
				namesShort: ["M","S","S","R","K","J","S"]
			},
			months: {
				names: ["Januari","Februari","Maret","April","Mei","Juni","Juli","Agustus","September","Oktober","Nopember","Desember",""],
				namesAbbr: ["Jan","Feb","Mar","Apr","Mei","Jun","Jul","Agust","Sep","Okt","Nop","Des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM yyyy H:mm",
				F: "dd MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "uk", "default", {
	name: "uk",
	englishName: "Ukrainian",
	nativeName: "ÑƒÐºÑ€Ð°Ñ—Ð½ÑÑŒÐºÐ°",
	language: "uk",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-Ð±ÐµÐ·Ð¼ÐµÐ¶Ð½Ñ–ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÐ·Ð¼ÐµÐ¶Ð½Ñ–ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "â‚´"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´Ñ–Ð»Ñ","Ð¿Ð¾Ð½ÐµÐ´Ñ–Ð»Ð¾Ðº","Ð²Ñ–Ð²Ñ‚Ð¾Ñ€Ð¾Ðº","ÑÐµÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²ÐµÑ€","Ð¿'ÑÑ‚Ð½Ð¸Ñ†Ñ","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["ÐÐ´","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"],
				namesShort: ["ÐÐ´","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"]
			},
			months: {
				names: ["Ð¡Ñ–Ñ‡ÐµÐ½ÑŒ","Ð›ÑŽÑ‚Ð¸Ð¹","Ð‘ÐµÑ€ÐµÐ·ÐµÐ½ÑŒ","ÐšÐ²Ñ–Ñ‚ÐµÐ½ÑŒ","Ð¢Ñ€Ð°Ð²ÐµÐ½ÑŒ","Ð§ÐµÑ€Ð²ÐµÐ½ÑŒ","Ð›Ð¸Ð¿ÐµÐ½ÑŒ","Ð¡ÐµÑ€Ð¿ÐµÐ½ÑŒ","Ð’ÐµÑ€ÐµÑÐµÐ½ÑŒ","Ð–Ð¾Ð²Ñ‚ÐµÐ½ÑŒ","Ð›Ð¸ÑÑ‚Ð¾Ð¿Ð°Ð´","Ð“Ñ€ÑƒÐ´ÐµÐ½ÑŒ",""],
				namesAbbr: ["Ð¡Ñ–Ñ‡","Ð›ÑŽÑ‚","Ð‘ÐµÑ€","ÐšÐ²Ñ–","Ð¢Ñ€Ð°","Ð§ÐµÑ€","Ð›Ð¸Ð¿","Ð¡ÐµÑ€","Ð’ÐµÑ€","Ð–Ð¾Ð²","Ð›Ð¸Ñ","Ð“Ñ€Ñƒ",""]
			},
			monthsGenitive: {
				names: ["ÑÑ–Ñ‡Ð½Ñ","Ð»ÑŽÑ‚Ð¾Ð³Ð¾","Ð±ÐµÑ€ÐµÐ·Ð½Ñ","ÐºÐ²Ñ–Ñ‚Ð½Ñ","Ñ‚Ñ€Ð°Ð²Ð½Ñ","Ñ‡ÐµÑ€Ð²Ð½Ñ","Ð»Ð¸Ð¿Ð½Ñ","ÑÐµÑ€Ð¿Ð½Ñ","Ð²ÐµÑ€ÐµÑÐ½Ñ","Ð¶Ð¾Ð²Ñ‚Ð½Ñ","Ð»Ð¸ÑÑ‚Ð¾Ð¿Ð°Ð´Ð°","Ð³Ñ€ÑƒÐ´Ð½Ñ",""],
				namesAbbr: ["ÑÑ–Ñ‡","Ð»ÑŽÑ‚","Ð±ÐµÑ€","ÐºÐ²Ñ–","Ñ‚Ñ€Ð°","Ñ‡ÐµÑ€","Ð»Ð¸Ð¿","ÑÐµÑ€","Ð²ÐµÑ€","Ð¶Ð¾Ð²","Ð»Ð¸Ñ","Ð³Ñ€Ñƒ",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy' Ñ€.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy' Ñ€.' H:mm",
				F: "d MMMM yyyy' Ñ€.' H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy' Ñ€.'"
			}
		}
	}
});

Globalize.addCultureInfo( "be", "default", {
	name: "be",
	englishName: "Belarusian",
	nativeName: "Ð‘ÐµÐ»Ð°Ñ€ÑƒÑÐºÑ–",
	language: "be",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÑÐ´Ð·ÐµÐ»Ñ","Ð¿Ð°Ð½ÑÐ´Ð·ÐµÐ»Ð°Ðº","Ð°ÑžÑ‚Ð¾Ñ€Ð°Ðº","ÑÐµÑ€Ð°Ð´Ð°","Ñ‡Ð°Ñ†Ð²ÐµÑ€","Ð¿ÑÑ‚Ð½Ñ–Ñ†Ð°","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½Ð´","Ð¿Ð½","Ð°Ñž","ÑÑ€","Ñ‡Ñ†","Ð¿Ñ‚","ÑÐ±"],
				namesShort: ["Ð½Ð´","Ð¿Ð½","Ð°Ñž","ÑÑ€","Ñ‡Ñ†","Ð¿Ñ‚","ÑÐ±"]
			},
			months: {
				names: ["Ð¡Ñ‚ÑƒÐ´Ð·ÐµÐ½ÑŒ","Ð›ÑŽÑ‚Ñ‹","Ð¡Ð°ÐºÐ°Ð²Ñ–Ðº","ÐšÑ€Ð°ÑÐ°Ð²Ñ–Ðº","ÐœÐ°Ð¹","Ð§ÑÑ€Ð²ÐµÐ½ÑŒ","Ð›Ñ–Ð¿ÐµÐ½ÑŒ","Ð–Ð½Ñ–Ð²ÐµÐ½ÑŒ","Ð’ÐµÑ€Ð°ÑÐµÐ½ÑŒ","ÐšÐ°ÑÑ‚Ñ€Ñ‹Ñ‡Ð½Ñ–Ðº","Ð›Ñ–ÑÑ‚Ð°Ð¿Ð°Ð´","Ð¡Ð½ÐµÐ¶Ð°Ð½ÑŒ",""],
				namesAbbr: ["Ð¡Ñ‚Ñƒ","Ð›ÑŽÑ‚","Ð¡Ð°Ðº","ÐšÑ€Ð°","ÐœÐ°Ð¹","Ð§ÑÑ€","Ð›Ñ–Ð¿","Ð–Ð½Ñ–","Ð’ÐµÑ€","ÐšÐ°Ñ","Ð›Ñ–Ñ","Ð¡Ð½Ðµ",""]
			},
			monthsGenitive: {
				names: ["ÑÑ‚ÑƒÐ´Ð·ÐµÐ½Ñ","Ð»ÑŽÑ‚Ð°Ð³Ð°","ÑÐ°ÐºÐ°Ð²Ñ–ÐºÐ°","ÐºÑ€Ð°ÑÐ°Ð²Ñ–ÐºÐ°","Ð¼Ð°Ñ","Ñ‡ÑÑ€Ð²ÐµÐ½Ñ","Ð»Ñ–Ð¿ÐµÐ½Ñ","Ð¶Ð½Ñ–ÑžÐ½Ñ","Ð²ÐµÑ€Ð°ÑÐ½Ñ","ÐºÐ°ÑÑ‚Ñ€Ñ‹Ñ‡Ð½Ñ–ÐºÐ°","Ð»Ñ–ÑÑ‚Ð°Ð¿Ð°Ð´Ð°","ÑÐ½ÐµÐ¶Ð½Ñ",""],
				namesAbbr: ["Ð¡Ñ‚Ñƒ","Ð›ÑŽÑ‚","Ð¡Ð°Ðº","ÐšÑ€Ð°","ÐœÐ°Ð¹","Ð§ÑÑ€","Ð›Ñ–Ð¿","Ð–Ð½Ñ–","Ð’ÐµÑ€","ÐšÐ°Ñ","Ð›Ñ–Ñ","Ð¡Ð½Ðµ",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sl", "default", {
	name: "sl",
	englishName: "Slovenian",
	nativeName: "slovenski",
	language: "sl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-neskonÄnost",
		positiveInfinity: "neskonÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljek","torek","sreda","Äetrtek","petek","sobota"],
				namesAbbr: ["ned","pon","tor","sre","Äet","pet","sob"],
				namesShort: ["ne","po","to","sr","Äe","pe","so"]
			},
			months: {
				names: ["januar","februar","marec","april","maj","junij","julij","avgust","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "et", "default", {
	name: "et",
	englishName: "Estonian",
	nativeName: "eesti",
	language: "et",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "avaldamatu",
		negativeInfinity: "miinuslÃµpmatus",
		positiveInfinity: "plusslÃµpmatus",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["pÃ¼hapÃ¤ev","esmaspÃ¤ev","teisipÃ¤ev","kolmapÃ¤ev","neljapÃ¤ev","reede","laupÃ¤ev"],
				namesAbbr: ["P","E","T","K","N","R","L"],
				namesShort: ["P","E","T","K","N","R","L"]
			},
			months: {
				names: ["jaanuar","veebruar","mÃ¤rts","aprill","mai","juuni","juuli","august","september","oktoober","november","detsember",""],
				namesAbbr: ["jaan","veebr","mÃ¤rts","apr","mai","juuni","juuli","aug","sept","okt","nov","dets",""]
			},
			AM: ["EL","el","EL"],
			PM: ["PL","pl","PL"],
			patterns: {
				d: "d.MM.yyyy",
				D: "d. MMMM yyyy'. a.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy'. a.' H:mm",
				F: "d. MMMM yyyy'. a.' H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy'. a.'"
			}
		}
	}
});

Globalize.addCultureInfo( "lv", "default", {
	name: "lv",
	englishName: "Latvian",
	nativeName: "latvieÅ¡u",
	language: "lv",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-bezgalÄ«ba",
		positiveInfinity: "bezgalÄ«ba",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "Ls"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["svÄ“tdiena","pirmdiena","otrdiena","treÅ¡diena","ceturtdiena","piektdiena","sestdiena"],
				namesAbbr: ["sv","pr","ot","tr","ce","pk","se"],
				namesShort: ["sv","pr","ot","tr","ce","pk","se"]
			},
			months: {
				names: ["janvÄris","februÄris","marts","aprÄ«lis","maijs","jÅ«nijs","jÅ«lijs","augusts","septembris","oktobris","novembris","decembris",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jÅ«n","jÅ«l","aug","sep","okt","nov","dec",""]
			},
			monthsGenitive: {
				names: ["janvÄrÄ«","februÄrÄ«","martÄ","aprÄ«lÄ«","maijÄ","jÅ«nijÄ","jÅ«lijÄ","augustÄ","septembrÄ«","oktobrÄ«","novembrÄ«","decembrÄ«",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jÅ«n","jÅ«l","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy.MM.dd.",
				D: "dddd, yyyy'. gada 'd. MMMM",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, yyyy'. gada 'd. MMMM H:mm",
				F: "dddd, yyyy'. gada 'd. MMMM H:mm:ss",
				M: "d. MMMM",
				Y: "yyyy. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "lt", "default", {
	name: "lt",
	englishName: "Lithuanian",
	nativeName: "lietuviÅ³",
	language: "lt",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-begalybÄ—",
		positiveInfinity: "begalybÄ—",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Lt"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sekmadienis","pirmadienis","antradienis","treÄiadienis","ketvirtadienis","penktadienis","Å¡eÅ¡tadienis"],
				namesAbbr: ["Sk","Pr","An","Tr","Kt","Pn","Å t"],
				namesShort: ["S","P","A","T","K","Pn","Å "]
			},
			months: {
				names: ["sausis","vasaris","kovas","balandis","geguÅ¾Ä—","birÅ¾elis","liepa","rugpjÅ«tis","rugsÄ—jis","spalis","lapkritis","gruodis",""],
				namesAbbr: ["Sau","Vas","Kov","Bal","Geg","Bir","Lie","Rgp","Rgs","Spl","Lap","Grd",""]
			},
			monthsGenitive: {
				names: ["sausio","vasario","kovo","balandÅ¾io","geguÅ¾Ä—s","birÅ¾elio","liepos","rugpjÅ«Äio","rugsÄ—jo","spalio","lapkriÄio","gruodÅ¾io",""],
				namesAbbr: ["Sau","Vas","Kov","Bal","Geg","Bir","Lie","Rgp","Rgs","Spl","Lap","Grd",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy.MM.dd",
				D: "yyyy 'm.' MMMM d 'd.'",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'm.' MMMM d 'd.' HH:mm",
				F: "yyyy 'm.' MMMM d 'd.' HH:mm:ss",
				M: "MMMM d 'd.'",
				Y: "yyyy 'm.' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "tg", "default", {
	name: "tg",
	englishName: "Tajik",
	nativeName: "Ð¢Ð¾Ò·Ð¸ÐºÓ£",
	language: "tg",
	numberFormat: {
		",": "Â ",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			groupSizes: [3,0],
			",": "Â ",
			".": ";",
			symbol: "Ñ‚.Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			days: {
				names: ["Ð¯Ñˆ","Ð”ÑƒÑˆÐ°Ð½Ð±Ðµ","Ð¡ÐµÑˆÐ°Ð½Ð±Ðµ","Ð§Ð¾Ñ€ÑˆÐ°Ð½Ð±Ðµ","ÐŸÐ°Ð½Ò·ÑˆÐ°Ð½Ð±Ðµ","Ò¶ÑƒÐ¼ÑŠÐ°","Ð¨Ð°Ð½Ð±Ðµ"],
				namesAbbr: ["Ð¯Ñˆ","Ð”Ñˆ","Ð¡Ñˆ","Ð§Ñˆ","ÐŸÑˆ","Ò¶Ð¼","Ð¨Ð½"],
				namesShort: ["Ð¯Ñˆ","Ð”Ñˆ","Ð¡Ñˆ","Ð§Ñˆ","ÐŸÑˆ","Ò¶Ð¼","Ð¨Ð½"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€","ÐžÐºÑ‚ÑÐ±Ñ€","ÐÐ¾ÑÐ±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€Ð°Ð»Ð¸","Ð¼Ð°Ñ€Ñ‚Ð¸","Ð°Ð¿Ñ€ÐµÐ»Ð¸","Ð¼Ð°Ð¸","Ð¸ÑŽÐ½Ð¸","Ð¸ÑŽÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚Ð¸","ÑÐµÐ½Ñ‚ÑÐ±Ñ€Ð¸","Ð¾ÐºÑ‚ÑÐ±Ñ€Ð¸","Ð½Ð¾ÑÐ±Ñ€Ð¸","Ð´ÐµÐºÐ°Ð±Ñ€Ð¸",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fa", "default", {
	name: "fa",
	englishName: "Persian",
	nativeName: "ÙØ§Ø±Ø³Ù‰",
	language: "fa",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		currency: {
			pattern: ["$n-","$ n"],
			".": "/",
			symbol: "Ø±ÙŠØ§Ù„"
		}
	},
	calendars: {
		standard: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_Localized: {
			firstDay: 6,
			days: {
				names: ["ÙŠÙƒØ´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡Â Ø´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesAbbr: ["ÙŠÙƒØ´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡Â Ø´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesShort: ["ÛŒ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["Ú˜Ø§Ù†ÙˆÙŠÙ‡","ÙÙˆØ±ÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø¢ÙˆØ±ÙŠÙ„","Ù…Ù‰","Ú˜ÙˆØ¦Ù†","Ú˜ÙˆØ¦ÙŠÙ‡","Ø§ÙˆØª","Ø³Ù¾ØªØ§Ù…Ø¨Ø±","Ø§ÙÙƒØªØ¨Ø±","Ù†ÙˆØ§Ù…Ø¨Ø±","Ø¯Ø³Ø§Ù…Ø¨Ø±",""],
				namesAbbr: ["Ú˜Ø§Ù†ÙˆÙŠÙ‡","ÙÙˆØ±ÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø¢ÙˆØ±ÙŠÙ„","Ù…Ù‰","Ú˜ÙˆØ¦Ù†","Ú˜ÙˆØ¦ÙŠÙ‡","Ø§ÙˆØª","Ø³Ù¾ØªØ§Ù…Ø¨Ø±","Ø§ÙÙƒØªØ¨Ø±","Ù†ÙˆØ§Ù…Ø¨Ø±","Ø¯Ø³Ø§Ù…Ø¨Ø±",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			patterns: {
				d: "yyyy/MM/dd",
				D: "yyyy/MM/dd",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "yyyy/MM/dd hh:mm tt",
				F: "yyyy/MM/dd hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "vi", "default", {
	name: "vi",
	englishName: "Vietnamese",
	nativeName: "TiÃªÌng Viá»‡t",
	language: "vi",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚«"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["ChuÌ‰ NhÃ¢Ì£t","ThÆ°Ì Hai","ThÆ°Ì Ba","ThÆ°Ì TÆ°","ThÆ°Ì NÄƒm","ThÆ°Ì SaÌu","ThÆ°Ì BaÌ‰y"],
				namesAbbr: ["CN","Hai","Ba","TÆ°","NÄƒm","SaÌu","BaÌ‰y"],
				namesShort: ["C","H","B","T","N","S","B"]
			},
			months: {
				names: ["ThaÌng GiÃªng","ThaÌng Hai","ThaÌng Ba","ThaÌng TÆ°","ThaÌng NÄƒm","ThaÌng SaÌu","ThaÌng BaÌ‰y","ThaÌng TaÌm","ThaÌng ChiÌn","ThaÌng MÆ°Æ¡Ì€i","ThaÌng MÆ°Æ¡Ì€i MÃ´Ì£t","ThaÌng MÆ°Æ¡Ì€i Hai",""],
				namesAbbr: ["Thg1","Thg2","Thg3","Thg4","Thg5","Thg6","Thg7","Thg8","Thg9","Thg10","Thg11","Thg12",""]
			},
			AM: ["SA","sa","SA"],
			PM: ["CH","ch","CH"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				f: "dd MMMM yyyy h:mm tt",
				F: "dd MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hy", "default", {
	name: "hy",
	englishName: "Armenian",
	nativeName: "Õ€Õ¡ÕµÕ¥Ö€Õ¥Õ¶",
	language: "hy",
	numberFormat: {
		currency: {
			pattern: ["-n $","n $"],
			symbol: "Õ¤Ö€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ô¿Õ«Ö€Õ¡Õ¯Õ«","ÔµÖ€Õ¯Õ¸Ö‚Õ·Õ¡Õ¢Õ©Õ«","ÔµÖ€Õ¥Ö„Õ·Õ¡Õ¢Õ©Õ«","Õ‰Õ¸Ö€Õ¥Ö„Õ·Õ¡Õ¢Õ©Õ«","Õ€Õ«Õ¶Õ£Õ·Õ¡Õ¢Õ©Õ«","ÕˆÕ’Ö€Õ¢Õ¡Õ©","Õ‡Õ¡Õ¢Õ¡Õ©"],
				namesAbbr: ["Ô¿Õ«Ö€","ÔµÖ€Õ¯","ÔµÖ€Ö„","Õ‰Ö€Ö„","Õ€Õ¶Õ£","ÕˆÕ’Ö€","Õ‡Õ¢Õ©"],
				namesShort: ["Ô¿","Ôµ","Ôµ","Õ‰","Õ€","Õˆ","Õ‡"]
			},
			months: {
				names: ["Õ€Õ¸Ö‚Õ¶Õ¾Õ¡Ö€","Õ“Õ¥Õ¿Ö€Õ¾Õ¡Ö€","Õ„Õ¡Ö€Õ¿","Ô±ÕºÖ€Õ«Õ¬","Õ„Õ¡ÕµÕ«Õ½","Õ€Õ¸Ö‚Õ¶Õ«Õ½","Õ€Õ¸Ö‚Õ¬Õ«Õ½","Õ•Õ£Õ¸Õ½Õ¿Õ¸Õ½","ÕÕ¥ÕºÕ¿Õ¥Õ´Õ¢Õ¥Ö€","Õ€Õ¸Õ¯Õ¿Õ¥Õ´Õ¢Õ¥Ö€","Õ†Õ¸ÕµÕ¥Õ´Õ¢Õ¥Ö€","Ô´Õ¥Õ¯Õ¿Õ¥Õ´Õ¢Õ¥Ö€",""],
				namesAbbr: ["Õ€Õ†ÕŽ","Õ“ÕÕŽ","Õ„ÕÕ","Ô±ÕŠÕ","Õ„Õ…Õ","Õ€Õ†Õ","Õ€Ô¼Õ","Õ•Ô³Õ","ÕÔµÕŠ","Õ€ÕˆÔ¿","Õ†ÕˆÕ…","Ô´ÔµÔ¿",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM, yyyy H:mm",
				F: "d MMMM, yyyy H:mm:ss",
				M: "d MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "az", "default", {
	name: "az",
	englishName: "Azeri",
	nativeName: "AzÉ™rbaycan\xadÄ±lÄ±",
	language: "az",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "man."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Bazar","BazarÂ ertÉ™si","Ã‡É™rÅŸÉ™nbÉ™Â axÅŸamÄ±","Ã‡É™rÅŸÉ™nbÉ™","CÃ¼mÉ™Â axÅŸamÄ±","CÃ¼mÉ™","ÅžÉ™nbÉ™"],
				namesAbbr: ["B","Be","Ã‡a","Ã‡","Ca","C","Åž"],
				namesShort: ["B","Be","Ã‡a","Ã‡","Ca","C","Åž"]
			},
			months: {
				names: ["Yanvar","Fevral","Mart","Aprel","May","Ä°yun","Ä°yul","Avgust","Sentyabr","Oktyabr","Noyabr","Dekabr",""],
				namesAbbr: ["Yan","Fev","Mar","Apr","May","Ä°yun","Ä°yul","Avg","Sen","Okt","Noy","Dek",""]
			},
			monthsGenitive: {
				names: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""],
				namesAbbr: ["Yan","Fev","Mar","Apr","May","Ä°yun","Ä°yul","Avg","Sen","Okt","Noy","Dek",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "eu", "default", {
	name: "eu",
	englishName: "Basque",
	nativeName: "euskara",
	language: "eu",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "EdZ",
		negativeInfinity: "-Infinitu",
		positiveInfinity: "Infinitu",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["igandea","astelehena","asteartea","asteazkena","osteguna","ostirala","larunbata"],
				namesAbbr: ["ig.","al.","as.","az.","og.","or.","lr."],
				namesShort: ["ig","al","as","az","og","or","lr"]
			},
			months: {
				names: ["urtarrila","otsaila","martxoa","apirila","maiatza","ekaina","uztaila","abuztua","iraila","urria","azaroa","abendua",""],
				namesAbbr: ["urt.","ots.","mar.","api.","mai.","eka.","uzt.","abu.","ira.","urr.","aza.","abe.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "yyyy/MM/dd",
				D: "dddd, yyyy.'eko' MMMM'k 'd",
				t: "HH:mm",
				T: "H:mm:ss",
				f: "dddd, yyyy.'eko' MMMM'k 'd HH:mm",
				F: "dddd, yyyy.'eko' MMMM'k 'd H:mm:ss",
				Y: "yyyy.'eko' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "hsb", "default", {
	name: "hsb",
	englishName: "Upper Sorbian",
	nativeName: "hornjoserbÅ¡Ä‡ina",
	language: "hsb",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "njedefinowane",
		negativeInfinity: "-njekÃ³nÄne",
		positiveInfinity: "+njekÃ³nÄne",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ". ",
			firstDay: 1,
			days: {
				names: ["njedÅºela","pÃ³ndÅºela","wutora","srjeda","Å¡twÃ³rtk","pjatk","sobota"],
				namesAbbr: ["nje","pÃ³n","wut","srj","Å¡tw","pja","sob"],
				namesShort: ["n","p","w","s","Å¡","p","s"]
			},
			months: {
				names: ["januar","februar","mÄ›rc","apryl","meja","junij","julij","awgust","september","oktober","nowember","december",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","mej","jun","jul","awg","sep","okt","now","dec",""]
			},
			monthsGenitive: {
				names: ["januara","februara","mÄ›rca","apryla","meje","junija","julija","awgusta","septembra","oktobra","nowembra","decembra",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","mej","jun","jul","awg","sep","okt","now","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"po Chr.","start":null,"offset":0}],
			patterns: {
				d: "d. M. yyyy",
				D: "dddd, 'dnja' d. MMMM yyyy",
				t: "H.mm 'hodÅº.'",
				T: "H:mm:ss",
				f: "dddd, 'dnja' d. MMMM yyyy H.mm 'hodÅº.'",
				F: "dddd, 'dnja' d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "mk", "default", {
	name: "mk",
	englishName: "Macedonian (FYROM)",
	nativeName: "Ð¼Ð°ÐºÐµÐ´Ð¾Ð½ÑÐºÐ¸ Ñ˜Ð°Ð·Ð¸Ðº",
	language: "mk",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Ð´ÐµÐ½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÐ»Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÐ»Ð½Ð¸Ðº","Ð²Ñ‚Ð¾Ñ€Ð½Ð¸Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð¾Ðº","Ð¿ÐµÑ‚Ð¾Ðº","ÑÐ°Ð±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","Ð²Ñ‚Ñ€","ÑÑ€Ð´","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÐ°Ð±"],
				namesShort: ["Ð½Ðµ","Ð¿Ð¾","Ð²Ñ‚","ÑÑ€","Ñ‡Ðµ","Ð¿Ðµ","ÑÐ°"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€ÑƒÐ°Ñ€Ð¸","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½Ð¸","Ñ˜ÑƒÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð²Ñ€Ð¸","Ð¾ÐºÑ‚Ð¾Ð¼Ð²Ñ€Ð¸","Ð½Ð¾ÐµÐ¼Ð²Ñ€Ð¸","Ð´ÐµÐºÐµÐ¼Ð²Ñ€Ð¸",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ðµ","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, dd MMMM yyyy HH:mm",
				F: "dddd, dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tn", "default", {
	name: "tn",
	englishName: "Setswana",
	nativeName: "Setswana",
	language: "tn",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Latshipi","Mosupologo","Labobedi","Laboraro","Labone","Labotlhano","Lamatlhatso"],
				namesAbbr: ["Ltp.","Mos.","Lbd.","Lbr.","Lbn.","Lbt.","Lmt."],
				namesShort: ["Lp","Ms","Lb","Lr","Ln","Lt","Lm"]
			},
			months: {
				names: ["Ferikgong","Tlhakole","Mopitloe","Moranang","Motsheganong","Seetebosigo","Phukwi","Phatwe","Lwetse","Diphalane","Ngwanatsele","Sedimothole",""],
				namesAbbr: ["Fer.","Tlhak.","Mop.","Mor.","Motsh.","Seet.","Phukw.","Phatw.","Lwets.","Diph.","Ngwan.","Sed.",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "xh", "default", {
	name: "xh",
	englishName: "isiXhosa",
	nativeName: "isiXhosa",
	language: "xh",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["iCawa","uMvulo","uLwesibini","uLwesithathu","uLwesine","uLwesihlanu","uMgqibelo"],
				namesShort: ["Ca","Mv","Lb","Lt","Ln","Lh","Mg"]
			},
			months: {
				names: ["Mqungu","Mdumba","Kwindla","Tshazimpuzi","Canzibe","Silimela","Khala","Thupha","Msintsi","Dwarha","Nkanga","Mnga",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zu", "default", {
	name: "zu",
	englishName: "isiZulu",
	nativeName: "isiZulu",
	language: "zu",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["iSonto","uMsombuluko","uLwesibili","uLwesithathu","uLwesine","uLwesihlanu","uMgqibelo"],
				namesAbbr: ["Son.","Mso.","Bi.","Tha.","Ne.","Hla.","Mgq."]
			},
			months: {
				names: ["uMasingana","uNhlolanja","uNdasa","uMbaso","uNhlaba","uNhlangulana","uNtulikazi","uNcwaba","uMandulo","uMfumfu","uLwezi","uZibandlela",""],
				namesAbbr: ["Mas.","Nhlo.","Nda.","Mba.","Nhla.","Nhlang.","Ntu.","Ncwa.","Man.","Mfu.","Lwe.","Zib.",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "af", "default", {
	name: "af",
	englishName: "Afrikaans",
	nativeName: "Afrikaans",
	language: "af",
	numberFormat: {
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Sondag","Maandag","Dinsdag","Woensdag","Donderdag","Vrydag","Saterdag"],
				namesAbbr: ["Son","Maan","Dins","Woen","Dond","Vry","Sat"],
				namesShort: ["So","Ma","Di","Wo","Do","Vr","Sa"]
			},
			months: {
				names: ["Januarie","Februarie","Maart","April","Mei","Junie","Julie","Augustus","September","Oktober","November","Desember",""],
				namesAbbr: ["Jan","Feb","Mar","Apr","Mei","Jun","Jul","Aug","Sep","Okt","Nov","Des",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ka", "default", {
	name: "ka",
	englishName: "Georgian",
	nativeName: "áƒ¥áƒáƒ áƒ—áƒ£áƒšáƒ˜",
	language: "ka",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Lari"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["áƒ™áƒ•áƒ˜áƒ áƒ","áƒáƒ áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ¡áƒáƒ›áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒáƒ—áƒ®áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ®áƒ£áƒ—áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒžáƒáƒ áƒáƒ¡áƒ™áƒ”áƒ•áƒ˜","áƒ¨áƒáƒ‘áƒáƒ—áƒ˜"],
				namesAbbr: ["áƒ™áƒ•áƒ˜áƒ áƒ","áƒáƒ áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ¡áƒáƒ›áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒáƒ—áƒ®áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ®áƒ£áƒ—áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒžáƒáƒ áƒáƒ¡áƒ™áƒ”áƒ•áƒ˜","áƒ¨áƒáƒ‘áƒáƒ—áƒ˜"],
				namesShort: ["áƒ™","áƒ","áƒ¡","áƒ","áƒ®","áƒž","áƒ¨"]
			},
			months: {
				names: ["áƒ˜áƒáƒœáƒ•áƒáƒ áƒ˜","áƒ—áƒ”áƒ‘áƒ”áƒ áƒ•áƒáƒšáƒ˜","áƒ›áƒáƒ áƒ¢áƒ˜","áƒáƒžáƒ áƒ˜áƒšáƒ˜","áƒ›áƒáƒ˜áƒ¡áƒ˜","áƒ˜áƒ•áƒœáƒ˜áƒ¡áƒ˜","áƒ˜áƒ•áƒšáƒ˜áƒ¡áƒ˜","áƒáƒ’áƒ•áƒ˜áƒ¡áƒ¢áƒ","áƒ¡áƒ”áƒ¥áƒ¢áƒ”áƒ›áƒ‘áƒ”áƒ áƒ˜","áƒáƒ¥áƒ¢áƒáƒ›áƒ‘áƒ”áƒ áƒ˜","áƒœáƒáƒ”áƒ›áƒ‘áƒ”áƒ áƒ˜","áƒ“áƒ”áƒ™áƒ”áƒ›áƒ‘áƒ”áƒ áƒ˜",""],
				namesAbbr: ["áƒ˜áƒáƒœ","áƒ—áƒ”áƒ‘","áƒ›áƒáƒ ","áƒáƒžáƒ ","áƒ›áƒáƒ˜áƒ¡","áƒ˜áƒ•áƒœ","áƒ˜áƒ•áƒš","áƒáƒ’áƒ•","áƒ¡áƒ”áƒ¥","áƒáƒ¥áƒ¢","áƒœáƒáƒ”áƒ›","áƒ“áƒ”áƒ™",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "yyyy 'áƒ¬áƒšáƒ˜áƒ¡' dd MM, dddd",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'áƒ¬áƒšáƒ˜áƒ¡' dd MM, dddd H:mm",
				F: "yyyy 'áƒ¬áƒšáƒ˜áƒ¡' dd MM, dddd H:mm:ss",
				M: "dd MM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fo", "default", {
	name: "fo",
	englishName: "Faroese",
	nativeName: "fÃ¸royskt",
	language: "fo",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sunnudagur","mÃ¡nadagur","tÃ½sdagur","mikudagur","hÃ³sdagur","frÃ­ggjadagur","leygardagur"],
				namesAbbr: ["sun","mÃ¡n","tÃ½s","mik","hÃ³s","frÃ­","leyg"],
				namesShort: ["su","mÃ¡","tÃ½","mi","hÃ³","fr","ley"]
			},
			months: {
				names: ["januar","februar","mars","aprÃ­l","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hi", "default", {
	name: "hi",
	englishName: "Hindi",
	nativeName: "à¤¹à¤¿à¤‚à¤¦à¥€",
	language: "hi",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¤°à¤µà¤¿à¤µà¤¾à¤°","à¤¸à¥‹à¤®à¤µà¤¾à¤°","à¤®à¤‚à¤—à¤²à¤µà¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤—à¥à¤°à¥à¤µà¤¾à¤°","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤°","à¤¶à¤¨à¤¿à¤µà¤¾à¤°"],
				namesAbbr: ["à¤°à¤µà¤¿.","à¤¸à¥‹à¤®.","à¤®à¤‚à¤—à¤².","à¤¬à¥à¤§.","à¤—à¥à¤°à¥.","à¤¶à¥à¤•à¥à¤°.","à¤¶à¤¨à¤¿."],
				namesShort: ["à¤°","à¤¸","à¤®","à¤¬","à¤—","à¤¶","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""]
			},
			AM: ["à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨"],
			PM: ["à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mt", "default", {
	name: "mt",
	englishName: "Maltese",
	nativeName: "Malti",
	language: "mt",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Il-Ä¦add","It-Tnejn","It-Tlieta","L-ErbgÄ§a","Il-Ä¦amis","Il-Ä imgÄ§a","Is-Sibt"],
				namesAbbr: ["Ä¦ad","Tne","Tli","Erb","Ä¦am","Ä im","Sib"],
				namesShort: ["I","I","I","L","I","I","I"]
			},
			months: {
				names: ["Jannar","Frar","Marzu","April","Mejju","Ä unju","Lulju","Awissu","Settembru","Ottubru","Novembru","DiÄ‹embru",""],
				namesAbbr: ["Jan","Fra","Mar","Apr","Mej","Ä un","Lul","Awi","Set","Ott","Nov","DiÄ‹",""]
			},
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d' ta\\' 'MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' ta\\' 'MMMM yyyy HH:mm",
				F: "dddd, d' ta\\' 'MMMM yyyy HH:mm:ss",
				M: "d' ta\\' 'MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "se", "default", {
	name: "se",
	englishName: "Sami (Northern)",
	nativeName: "davvisÃ¡megiella",
	language: "se",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sotnabeaivi","vuossÃ¡rga","maÅ‹Å‹ebÃ¡rga","gaskavahkku","duorastat","bearjadat","lÃ¡vvardat"],
				namesAbbr: ["sotn","vuos","maÅ‹","gask","duor","bear","lÃ¡v"],
				namesShort: ["s","m","d","g","d","b","l"]
			},
			months: {
				names: ["oÄ‘Ä‘ajagemÃ¡nnu","guovvamÃ¡nnu","njukÄamÃ¡nnu","cuoÅ‹omÃ¡nnu","miessemÃ¡nnu","geassemÃ¡nnu","suoidnemÃ¡nnu","borgemÃ¡nnu","ÄakÄamÃ¡nnu","golggotmÃ¡nnu","skÃ¡bmamÃ¡nnu","juovlamÃ¡nnu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			monthsGenitive: {
				names: ["oÄ‘Ä‘ajagimÃ¡nu","guovvamÃ¡nu","njukÄamÃ¡nu","cuoÅ‹omÃ¡nu","miessemÃ¡nu","geassemÃ¡nu","suoidnemÃ¡nu","borgemÃ¡nu","ÄakÄamÃ¡nu","golggotmÃ¡nu","skÃ¡bmamÃ¡nu","juovlamÃ¡nu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ga", "default", {
	name: "ga",
	englishName: "Irish",
	nativeName: "Gaeilge",
	language: "ga",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["DÃ© Domhnaigh","DÃ© Luain","DÃ© MÃ¡irt","DÃ© CÃ©adaoin","DÃ©ardaoin","DÃ© hAoine","DÃ© Sathairn"],
				namesAbbr: ["Domh","Luan","MÃ¡ir","CÃ©ad","DÃ©ar","Aoi","Sath"],
				namesShort: ["Do","Lu","MÃ¡","CÃ©","De","Ao","Sa"]
			},
			months: {
				names: ["EanÃ¡ir","Feabhra","MÃ¡rta","AibreÃ¡n","Bealtaine","Meitheamh","IÃºil","LÃºnasa","MeÃ¡n FÃ³mhair","Deireadh FÃ³mhair","Samhain","Nollaig",""],
				namesAbbr: ["Ean","Feabh","MÃ¡r","Aib","Bealt","Meith","IÃºil","LÃºn","M.FÃ³mh","D.FÃ³mh","Samh","Noll",""]
			},
			AM: ["r.n.","r.n.","R.N."],
			PM: ["i.n.","i.n.","I.N."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ms", "default", {
	name: "ms",
	englishName: "Malay",
	nativeName: "Bahasa Melayu",
	language: "ms",
	numberFormat: {
		currency: {
			decimals: 0,
			symbol: "RM"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Ahad","Isnin","Selasa","Rabu","Khamis","Jumaat","Sabtu"],
				namesAbbr: ["Ahad","Isnin","Sel","Rabu","Khamis","Jumaat","Sabtu"],
				namesShort: ["A","I","S","R","K","J","S"]
			},
			months: {
				names: ["Januari","Februari","Mac","April","Mei","Jun","Julai","Ogos","September","Oktober","November","Disember",""],
				namesAbbr: ["Jan","Feb","Mac","Apr","Mei","Jun","Jul","Ogos","Sept","Okt","Nov","Dis",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM yyyy H:mm",
				F: "dd MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "kk", "default", {
	name: "kk",
	englishName: "Kazakh",
	nativeName: "ÒšÐ°Ð·Ð°Ò›",
	language: "kk",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-$n","$n"],
			",": "Â ",
			".": "-",
			symbol: "Ð¢"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð–ÐµÐºÑÐµÐ½Ð±Ñ–","Ð”Ò¯Ð¹ÑÐµÐ½Ð±Ñ–","Ð¡ÐµÐ¹ÑÐµÐ½Ð±Ñ–","Ð¡Ó™Ñ€ÑÐµÐ½Ð±Ñ–","Ð‘ÐµÐ¹ÑÐµÐ½Ð±Ñ–","Ð–Ò±Ð¼Ð°","Ð¡ÐµÐ½Ð±Ñ–"],
				namesAbbr: ["Ð–Ðº","Ð”Ñ","Ð¡Ñ","Ð¡Ñ€","Ð‘Ñ","Ð–Ð¼","Ð¡Ð½"],
				namesShort: ["Ð–Ðº","Ð”Ñ","Ð¡Ñ","Ð¡Ñ€","Ð‘Ñ","Ð–Ð¼","Ð¡Ð½"]
			},
			months: {
				names: ["Ò›Ð°Ò£Ñ‚Ð°Ñ€","Ð°Ò›Ð¿Ð°Ð½","Ð½Ð°ÑƒÑ€Ñ‹Ð·","ÑÓ™ÑƒÑ–Ñ€","Ð¼Ð°Ð¼Ñ‹Ñ€","Ð¼Ð°ÑƒÑÑ‹Ð¼","ÑˆÑ–Ð»Ð´Ðµ","Ñ‚Ð°Ð¼Ñ‹Ð·","Ò›Ñ‹Ñ€ÐºÒ¯Ð¹ÐµÐº","Ò›Ð°Ð·Ð°Ð½","Ò›Ð°Ñ€Ð°ÑˆÐ°","Ð¶ÐµÐ»Ñ‚Ð¾Ò›ÑÐ°Ð½",""],
				namesAbbr: ["ÒšÐ°Ò£","ÐÒ›Ð¿","ÐÐ°Ñƒ","Ð¡Ó™Ñƒ","ÐœÐ°Ð¼","ÐœÐ°Ñƒ","Ð¨Ñ–Ð»","Ð¢Ð°Ð¼","ÒšÑ‹Ñ€","ÒšÐ°Ð·","ÒšÐ°Ñ€","Ð–ÐµÐ»",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy 'Ð¶.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'Ð¶.' H:mm",
				F: "d MMMM yyyy 'Ð¶.' H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ky", "default", {
	name: "ky",
	englishName: "Kyrgyz",
	nativeName: "ÐšÑ‹Ñ€Ð³Ñ‹Ð·",
	language: "ky",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": "-",
			symbol: "ÑÐ¾Ð¼"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð–ÐµÐºÑˆÐµÐ¼Ð±Ð¸","Ð”Ò¯Ð¹ÑˆÓ©Ð¼Ð±Ò¯","Ð¨ÐµÐ¹ÑˆÐµÐ¼Ð±Ð¸","Ð¨Ð°Ñ€ÑˆÐµÐ¼Ð±Ð¸","Ð‘ÐµÐ¹ÑˆÐµÐ¼Ð±Ð¸","Ð–ÑƒÐ¼Ð°","Ð˜ÑˆÐµÐ¼Ð±Ð¸"],
				namesAbbr: ["Ð–Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","Ð‘Ñˆ","Ð–Ð¼","Ð˜Ñˆ"],
				namesShort: ["Ð–Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","Ð‘Ñˆ","Ð–Ð¼","Ð˜Ñˆ"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€ÑŒ","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒ","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»ÑŒ","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒ","ÐÐ¾ÑÐ±Ñ€ÑŒ","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d'-'MMMM yyyy'-Ð¶.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d'-'MMMM yyyy'-Ð¶.' H:mm",
				F: "d'-'MMMM yyyy'-Ð¶.' H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy'-Ð¶.'"
			}
		}
	}
});

Globalize.addCultureInfo( "sw", "default", {
	name: "sw",
	englishName: "Kiswahili",
	nativeName: "Kiswahili",
	language: "sw",
	numberFormat: {
		currency: {
			symbol: "S"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Jumapili","Jumatatu","Jumanne","Jumatano","Alhamisi","Ijumaa","Jumamosi"],
				namesAbbr: ["Jumap.","Jumat.","Juman.","Jumat.","Alh.","Iju.","Jumam."],
				namesShort: ["P","T","N","T","A","I","M"]
			},
			months: {
				names: ["Januari","Februari","Machi","Aprili","Mei","Juni","Julai","Agosti","Septemba","Oktoba","Novemba","Decemba",""],
				namesAbbr: ["Jan","Feb","Mac","Apr","Mei","Jun","Jul","Ago","Sep","Okt","Nov","Dec",""]
			}
		}
	}
});

Globalize.addCultureInfo( "tk", "default", {
	name: "tk",
	englishName: "Turkmen",
	nativeName: "tÃ¼rkmenÃ§e",
	language: "tk",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-Ã¼znÃ¼ksizlik",
		positiveInfinity: "Ã¼znÃ¼ksizlik",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "m."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["DuÅŸenbe","SiÅŸenbe","Ã‡arÅŸenbe","PenÅŸenbe","Anna","Åženbe","ÃekÅŸenbe"],
				namesAbbr: ["Db","Sb","Ã‡b","Pb","An","Åžb","Ãb"],
				namesShort: ["D","S","Ã‡","P","A","Åž","Ã"]
			},
			months: {
				names: ["Ãanwar","Fewral","Mart","Aprel","MaÃ½","lÃ½un","lÃ½ul","Awgust","SentÃ½abr","OktÃ½abr","NoÃ½abr","Dekabr",""],
				namesAbbr: ["Ãan","Few","Mart","Apr","MaÃ½","lÃ½un","lÃ½ul","Awg","Sen","Okt","Not","Dek",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "yyyy 'Ã½.' MMMM d",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'Ã½.' MMMM d H:mm",
				F: "yyyy 'Ã½.' MMMM d H:mm:ss",
				Y: "yyyy 'Ã½.' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "uz", "default", {
	name: "uz",
	englishName: "Uzbek",
	nativeName: "U'zbek",
	language: "uz",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			decimals: 0,
			",": "Â ",
			".": ",",
			symbol: "so'm"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["yakshanba","dushanba","seshanba","chorshanba","payshanba","juma","shanba"],
				namesAbbr: ["yak.","dsh.","sesh.","chr.","psh.","jm.","sh."],
				namesShort: ["ya","d","s","ch","p","j","sh"]
			},
			months: {
				names: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""],
				namesAbbr: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM yyyy",
				D: "yyyy 'yil' d-MMMM",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'yil' d-MMMM HH:mm",
				F: "yyyy 'yil' d-MMMM HH:mm:ss",
				M: "d-MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tt", "default", {
	name: "tt",
	englishName: "Tatar",
	nativeName: "Ð¢Ð°Ñ‚Ð°Ñ€",
	language: "tt",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð¯ÐºÑˆÓ™Ð¼Ð±Ðµ","Ð”Ò¯ÑˆÓ™Ð¼Ð±Ðµ","Ð¡Ð¸ÑˆÓ™Ð¼Ð±Ðµ","Ð§Ó™Ñ€ÑˆÓ™Ð¼Ð±Ðµ","ÐŸÓ™Ð½Ò—ÐµÑˆÓ™Ð¼Ð±Ðµ","Ò–Ð¾Ð¼Ð³Ð°","Ð¨Ð¸Ð¼Ð±Ó™"],
				namesAbbr: ["Ð¯ÐºÑˆ","Ð”Ò¯Ñˆ","Ð¡Ð¸Ñˆ","Ð§Ó™Ñ€Ñˆ","ÐŸÓ™Ð½Ò—","Ò–Ð¾Ð¼","Ð¨Ð¸Ð¼"],
				namesShort: ["Ð¯","Ð”","Ð¡","Ð§","ÐŸ","Ò–","Ð¨"]
			},
			months: {
				names: ["Ð“Ñ‹Ð¹Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒ","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»ÑŒ","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒ","ÐÐ¾ÑÐ±Ñ€ÑŒ","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["Ð“Ñ‹Ð¹Ð½.","Ð¤ÐµÐ².","ÐœÐ°Ñ€.","ÐÐ¿Ñ€.","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³.","Ð¡ÐµÐ½.","ÐžÐºÑ‚.","ÐÐ¾ÑÐ±.","Ð”ÐµÐº.",""]
			},
			monthsGenitive: {
				names: ["Ð“Ñ‹Ð¹Ð½Ð²Ð°Ñ€Ð½Ñ‹Ò£","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒÐ½ÐµÒ£","ÐœÐ°Ñ€Ñ‚Ð½Ñ‹Ò£","ÐÐ¿Ñ€ÐµÐ»ÑŒÐ½ÐµÒ£","ÐœÐ°Ð¹Ð½Ñ‹Ò£","Ð˜ÑŽÐ½ÑŒÐ½ÐµÒ£","Ð˜ÑŽÐ»ÑŒÐ½ÐµÒ£","ÐÐ²Ð³ÑƒÑÑ‚Ð½Ñ‹Ò£","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒÐ½Ñ‹Ò£","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒÐ½Ñ‹Ò£","ÐÐ¾ÑÐ±Ñ€ÑŒÐ½Ñ‹Ò£","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒÐ½Ñ‹Ò£",""],
				namesAbbr: ["Ð“Ñ‹Ð¹Ð½.-Ð½Ñ‹Ò£","Ð¤ÐµÐ².-Ð½ÐµÒ£","ÐœÐ°Ñ€.-Ð½Ñ‹Ò£","ÐÐ¿Ñ€.-Ð½ÐµÒ£","ÐœÐ°Ð¹Ð½Ñ‹Ò£","Ð˜ÑŽÐ½ÑŒÐ½ÐµÒ£","Ð˜ÑŽÐ»ÑŒÐ½ÐµÒ£","ÐÐ²Ð³.-Ð½Ñ‹Ò£","Ð¡ÐµÐ½.-Ð½Ñ‹Ò£","ÐžÐºÑ‚.-Ð½Ñ‹Ò£","ÐÐ¾ÑÐ±.-Ð½Ñ‹Ò£","Ð”ÐµÐº.-Ð½Ñ‹Ò£",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bn", "default", {
	name: "bn",
	englishName: "Bengali",
	nativeName: "à¦¬à¦¾à¦‚à¦²à¦¾",
	language: "bn",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			pattern: ["-%n","%n"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¦Ÿà¦¾"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			":": ".",
			firstDay: 1,
			days: {
				names: ["à¦°à¦¬à¦¿à¦¬à¦¾à¦°","à¦¸à§‹à¦®à¦¬à¦¾à¦°","à¦®à¦™à§à¦—à¦²à¦¬à¦¾à¦°","à¦¬à§à¦§à¦¬à¦¾à¦°","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿à¦¬à¦¾à¦°","à¦¶à§à¦•à§à¦°à¦¬à¦¾à¦°","à¦¶à¦¨à¦¿à¦¬à¦¾à¦°"],
				namesAbbr: ["à¦°à¦¬à¦¿.","à¦¸à§‹à¦®.","à¦®à¦™à§à¦—à¦².","à¦¬à§à¦§.","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿.","à¦¶à§à¦•à§à¦°.","à¦¶à¦¨à¦¿."],
				namesShort: ["à¦°","à¦¸","à¦®","à¦¬","à¦¬","à¦¶","à¦¶"]
			},
			months: {
				names: ["à¦œà¦¾à¦¨à§à¦¯à¦¼à¦¾à¦°à§€","à¦«à§‡à¦¬à§à¦°à§à¦¯à¦¼à¦¾à¦°à§€","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦¸à§à¦Ÿ","à¦¸à§‡à¦ªà§à¦Ÿà§‡à¦®à§à¦¬à¦°","à¦…à¦•à§à¦Ÿà§‹à¦¬à¦°","à¦¨à¦­à§‡à¦®à§à¦¬à¦°","à¦¡à¦¿à¦¸à§‡à¦®à§à¦¬à¦°",""],
				namesAbbr: ["à¦œà¦¾à¦¨à§.","à¦«à§‡à¦¬à§à¦°à§.","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—.","à¦¸à§‡à¦ªà§à¦Ÿà§‡.","à¦…à¦•à§à¦Ÿà§‹.","à¦¨à¦­à§‡.","à¦¡à¦¿à¦¸à§‡.",""]
			},
			AM: ["à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨","à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨","à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨"],
			PM: ["à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨","à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨","à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH.mm",
				T: "HH.mm.ss",
				f: "dd MMMM yyyy HH.mm",
				F: "dd MMMM yyyy HH.mm.ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "pa", "default", {
	name: "pa",
	englishName: "Punjabi",
	nativeName: "à¨ªà©°à¨œà¨¾à¨¬à©€",
	language: "pa",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¨°à©"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¨à¨¤à¨µà¨¾à¨°","à¨¸à©‹à¨®à¨µà¨¾à¨°","à¨®à©°à¨—à¨²à¨µà¨¾à¨°","à¨¬à©à©±à¨§à¨µà¨¾à¨°","à¨µà©€à¨°à¨µà¨¾à¨°","à¨¶à©à©±à¨•à¨°à¨µà¨¾à¨°","à¨¶à¨¨à¨¿à©±à¨šà¨°à¨µà¨¾à¨°"],
				namesAbbr: ["à¨à¨¤.","à¨¸à©‹à¨®.","à¨®à©°à¨—à¨².","à¨¬à©à©±à¨§.","à¨µà©€à¨°.","à¨¶à©à¨•à¨°.","à¨¶à¨¨à¨¿à©±à¨šà¨°."],
				namesShort: ["à¨","à¨¸","à¨®","à¨¬","à¨µ","à¨¶","à¨¶"]
			},
			months: {
				names: ["à¨œà¨¨à¨µà¨°à©€","à©žà¨°à¨µà¨°à©€","à¨®à¨¾à¨°à¨š","à¨…à¨ªà©à¨°à©ˆà¨²","à¨®à¨ˆ","à¨œà©‚à¨¨","à¨œà©à¨²à¨¾à¨ˆ","à¨…à¨—à¨¸à¨¤","à¨¸à¨¤à©°à¨¬à¨°","à¨…à¨•à¨¤à©‚à¨¬à¨°","à¨¨à¨µà©°à¨¬à¨°","à¨¦à¨¸à©°à¨¬à¨°",""],
				namesAbbr: ["à¨œà¨¨à¨µà¨°à©€","à©žà¨°à¨µà¨°à©€","à¨®à¨¾à¨°à¨š","à¨…à¨ªà©à¨°à©ˆà¨²","à¨®à¨ˆ","à¨œà©‚à¨¨","à¨œà©à¨²à¨¾à¨ˆ","à¨…à¨—à¨¸à¨¤","à¨¸à¨¤à©°à¨¬à¨°","à¨…à¨•à¨¤à©‚à¨¬à¨°","à¨¨à¨µà©°à¨¬à¨°","à¨¦à¨¸à©°à¨¬à¨°",""]
			},
			AM: ["à¨¸à¨µà©‡à¨°","à¨¸à¨µà©‡à¨°","à¨¸à¨µà©‡à¨°"],
			PM: ["à¨¶à¨¾à¨®","à¨¶à¨¾à¨®","à¨¶à¨¾à¨®"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy dddd",
				t: "tt hh:mm",
				T: "tt hh:mm:ss",
				f: "dd MMMM yyyy dddd tt hh:mm",
				F: "dd MMMM yyyy dddd tt hh:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "gu", "default", {
	name: "gu",
	englishName: "Gujarati",
	nativeName: "àª—à«àªœàª°àª¾àª¤à«€",
	language: "gu",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "àª°à«‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["àª°àªµàª¿àªµàª¾àª°","àª¸à«‹àª®àªµàª¾àª°","àª®àª‚àª—àª³àªµàª¾àª°","àª¬à«àª§àªµàª¾àª°","àª—à«àª°à«àªµàª¾àª°","àª¶à«àª•à«àª°àªµàª¾àª°","àª¶àª¨àª¿àªµàª¾àª°"],
				namesAbbr: ["àª°àªµàª¿","àª¸à«‹àª®","àª®àª‚àª—àª³","àª¬à«àª§","àª—à«àª°à«","àª¶à«àª•à«àª°","àª¶àª¨àª¿"],
				namesShort: ["àª°","àª¸","àª®","àª¬","àª—","àª¶","àª¶"]
			},
			months: {
				names: ["àªœàª¾àª¨à«àª¯à«àª†àª°à«€","àª«à«‡àª¬à«àª°à«àª†àª°à«€","àª®àª¾àª°à«àªš","àªàªªà«àª°àª¿àª²","àª®à«‡","àªœà«‚àª¨","àªœà«àª²àª¾àªˆ","àª‘àª—àª¸à«àªŸ","àª¸àªªà«àªŸà«‡àª®à«àª¬àª°","àª‘àª•à«àªŸà«àª¬àª°","àª¨àªµà«‡àª®à«àª¬àª°","àª¡àª¿àª¸à«‡àª®à«àª¬àª°",""],
				namesAbbr: ["àªœàª¾àª¨à«àª¯à«","àª«à«‡àª¬à«àª°à«","àª®àª¾àª°à«àªš","àªàªªà«àª°àª¿àª²","àª®à«‡","àªœà«‚àª¨","àªœà«àª²àª¾àªˆ","àª‘àª—àª¸à«àªŸ","àª¸àªªà«àªŸà«‡","àª‘àª•à«àªŸà«‹","àª¨àªµà«‡","àª¡àª¿àª¸à«‡",""]
			},
			AM: ["àªªà«‚àª°à«àªµÂ àª®àª§à«àª¯àª¾àª¹à«àª¨","àªªà«‚àª°à«àªµÂ àª®àª§à«àª¯àª¾àª¹à«àª¨","àªªà«‚àª°à«àªµÂ àª®àª§à«àª¯àª¾àª¹à«àª¨"],
			PM: ["àª‰àª¤à«àª¤àª°Â àª®àª§à«àª¯àª¾àª¹à«àª¨","àª‰àª¤à«àª¤àª°Â àª®àª§à«àª¯àª¾àª¹à«àª¨","àª‰àª¤à«àª¤àª°Â àª®àª§à«àª¯àª¾àª¹à«àª¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "or", "default", {
	name: "or",
	englishName: "Oriya",
	nativeName: "à¬“à­œà¬¿à¬†",
	language: "or",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¬Ÿ"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["à¬°à¬¬à¬¿à¬¬à¬¾à¬°","à¬¸à­‡à¬¾à¬®à¬¬à¬¾à¬°","à¬®à¬™à­à¬—à¬³à¬¬à¬¾à¬°","à¬¬à­à¬§à¬¬à¬¾à¬°","à¬—à­à¬°à­à¬¬à¬¾à¬°","à¬¶à­à¬•à­à¬°à¬¬à¬¾à¬°","à¬¶à¬¨à¬¿à¬¬à¬¾à¬°"],
				namesAbbr: ["à¬°à¬¬à¬¿.","à¬¸à­‡à¬¾à¬®.","à¬®à¬™à­à¬—à¬³.","à¬¬à­à¬§.","à¬—à­à¬°à­.","à¬¶à­à¬•à­à¬°.","à¬¶à¬¨à¬¿."],
				namesShort: ["à¬°","à¬¸à­‡à¬¾","à¬®","à¬¬à­","à¬—à­","à¬¶à­","à¬¶"]
			},
			months: {
				names: ["à¬œà¬¾à¬¨à­à­Ÿà¬¾à¬°à­€","à¬«à­à¬°à­‡à¬¬à­ƒà­Ÿà¬¾à¬°à­€","à¬®à¬¾à¬°à­à¬šà­à¬š","à¬à¬ªà­à¬°à¬¿à¬²à­\u200c","à¬®à­‡","à¬œà­à¬¨à­\u200c","à¬œà­à¬²à¬¾à¬‡","à¬…à¬—à¬·à­à¬Ÿ","à¬¸à­‡à¬ªà­à¬Ÿà­‡à¬®à­à¬¬à¬°","à¬…à¬•à­à¬Ÿà­‹à¬¬à¬°","à¬¨à¬­à­‡à¬®à­à¬¬à¬°","(à¬¡à¬¿à¬¸à­‡à¬®à­à¬¬à¬°",""],
				namesAbbr: ["à¬œà¬¾à¬¨à­à­Ÿà¬¾à¬°à­€","à¬«à­à¬°à­‡à¬¬à­ƒà­Ÿà¬¾à¬°à­€","à¬®à¬¾à¬°à­à¬šà­à¬š","à¬à¬ªà­à¬°à¬¿à¬²à­\u200c","à¬®à­‡","à¬œà­à¬¨à­\u200c","à¬œà­à¬²à¬¾à¬‡","à¬…à¬—à¬·à­à¬Ÿ","à¬¸à­‡à¬ªà­à¬Ÿà­‡à¬®à­à¬¬à¬°","à¬…à¬•à­à¬Ÿà­‹à¬¬à¬°","à¬¨à¬­à­‡à¬®à­à¬¬à¬°","(à¬¡à¬¿à¬¸à­‡à¬®à­à¬¬à¬°",""]
			},
			eras: [{"name":"à¬–à­à¬°à­€à¬·à­à¬Ÿà¬¾à¬¬à­à¬¦","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ta", "default", {
	name: "ta",
	englishName: "Tamil",
	nativeName: "à®¤à®®à®¿à®´à¯",
	language: "ta",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à®°à¯‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à®žà®¾à®¯à®¿à®±à¯à®±à¯à®•à¯à®•à®¿à®´à®®à¯ˆ","à®¤à®¿à®™à¯à®•à®³à¯à®•à®¿à®´à®®à¯ˆ","à®šà¯†à®µà¯à®µà®¾à®¯à¯à®•à®¿à®´à®®à¯ˆ","à®ªà¯à®¤à®©à¯à®•à®¿à®´à®®à¯ˆ","à®µà®¿à®¯à®¾à®´à®•à¯à®•à®¿à®´à®®à¯ˆ","à®µà¯†à®³à¯à®³à®¿à®•à¯à®•à®¿à®´à®®à¯ˆ","à®šà®©à®¿à®•à¯à®•à®¿à®´à®®à¯ˆ"],
				namesAbbr: ["à®žà®¾à®¯à®¿à®±à¯","à®¤à®¿à®™à¯à®•à®³à¯","à®šà¯†à®µà¯à®µà®¾à®¯à¯","à®ªà¯à®¤à®©à¯","à®µà®¿à®¯à®¾à®´à®©à¯","à®µà¯†à®³à¯à®³à®¿","à®šà®©à®¿"],
				namesShort: ["à®žà®¾","à®¤à®¿","à®šà¯†","à®ªà¯","à®µà®¿","à®µà¯†","à®š"]
			},
			months: {
				names: ["à®œà®©à®µà®°à®¿","à®ªà®¿à®ªà¯à®°à®µà®°à®¿","à®®à®¾à®°à¯à®šà¯","à®à®ªà¯à®°à®²à¯","à®®à¯‡","à®œà¯‚à®©à¯","à®œà¯‚à®²à¯ˆ","à®†à®•à®¸à¯à®Ÿà¯","à®šà¯†à®ªà¯à®Ÿà®®à¯à®ªà®°à¯","à®…à®•à¯à®Ÿà¯‹à®ªà®°à¯","à®¨à®µà®®à¯à®ªà®°à¯","à®Ÿà®¿à®šà®®à¯à®ªà®°à¯",""],
				namesAbbr: ["à®œà®©à®µà®°à®¿","à®ªà®¿à®ªà¯à®°à®µà®°à®¿","à®®à®¾à®°à¯à®šà¯","à®à®ªà¯à®°à®²à¯","à®®à¯‡","à®œà¯‚à®©à¯","à®œà¯‚à®²à¯ˆ","à®†à®•à®¸à¯à®Ÿà¯","à®šà¯†à®ªà¯à®Ÿà®®à¯à®ªà®°à¯","à®…à®•à¯à®Ÿà¯‹à®ªà®°à¯","à®¨à®µà®®à¯à®ªà®°à¯","à®Ÿà®¿à®šà®®à¯à®ªà®°à¯",""]
			},
			AM: ["à®•à®¾à®²à¯ˆ","à®•à®¾à®²à¯ˆ","à®•à®¾à®²à¯ˆ"],
			PM: ["à®®à®¾à®²à¯ˆ","à®®à®¾à®²à¯ˆ","à®®à®¾à®²à¯ˆ"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "te", "default", {
	name: "te",
	englishName: "Telugu",
	nativeName: "à°¤à±†à°²à±à°—à±",
	language: "te",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à°°à±‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à°†à°¦à°¿à°µà°¾à°°à°‚","à°¸à±‹à°®à°µà°¾à°°à°‚","à°®à°‚à°—à°³à°µà°¾à°°à°‚","à°¬à±à°§à°µà°¾à°°à°‚","à°—à±à°°à±à°µà°¾à°°à°‚","à°¶à±à°•à±à°°à°µà°¾à°°à°‚","à°¶à°¨à°¿à°µà°¾à°°à°‚"],
				namesAbbr: ["à°†à°¦à°¿.","à°¸à±‹à°®.","à°®à°‚à°—à°³.","à°¬à±à°§.","à°—à±à°°à±.","à°¶à±à°•à±à°°.","à°¶à°¨à°¿."],
				namesShort: ["à°†","à°¸à±‹","à°®à°‚","à°¬à±","à°—à±","à°¶à±","à°¶"]
			},
			months: {
				names: ["à°œà°¨à°µà°°à°¿","à°«à°¿à°¬à±à°°à°µà°°à°¿","à°®à°¾à°°à±à°šà°¿","à°à°ªà±à°°à°¿à°²à±","à°®à±‡","à°œà±‚à°¨à±","à°œà±‚à°²à±ˆ","à°†à°—à°¸à±à°Ÿà±","à°¸à±†à°ªà±à°Ÿà±†à°‚à°¬à°°à±","à°…à°•à±à°Ÿà±‹à°¬à°°à±","à°¨à°µà°‚à°¬à°°à±","à°¡à°¿à°¸à±†à°‚à°¬à°°à±",""],
				namesAbbr: ["à°œà°¨à°µà°°à°¿","à°«à°¿à°¬à±à°°à°µà°°à°¿","à°®à°¾à°°à±à°šà°¿","à°à°ªà±à°°à°¿à°²à±","à°®à±‡","à°œà±‚à°¨à±","à°œà±‚à°²à±ˆ","à°†à°—à°¸à±à°Ÿà±","à°¸à±†à°ªà±à°Ÿà±†à°‚à°¬à°°à±","à°…à°•à±à°Ÿà±‹à°¬à°°à±","à°¨à°µà°‚à°¬à°°à±","à°¡à°¿à°¸à±†à°‚à°¬à°°à±",""]
			},
			AM: ["à°ªà±‚à°°à±à°µà°¾à°¹à±à°¨","à°ªà±‚à°°à±à°µà°¾à°¹à±à°¨","à°ªà±‚à°°à±à°µà°¾à°¹à±à°¨"],
			PM: ["à°…à°ªà°°à°¾à°¹à±à°¨","à°…à°ªà°°à°¾à°¹à±à°¨","à°…à°ªà°°à°¾à°¹à±à°¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "kn", "default", {
	name: "kn",
	englishName: "Kannada",
	nativeName: "à²•à²¨à³à²¨à²¡",
	language: "kn",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à²°à³‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à²­à²¾à²¨à³à²µà²¾à²°","à²¸à³‹à²®à²µà²¾à²°","à²®à²‚à²—à²³à²µà²¾à²°","à²¬à³à²§à²µà²¾à²°","à²—à³à²°à³à²µà²¾à²°","à²¶à³à²•à³à²°à²µà²¾à²°","à²¶à²¨à²¿à²µà²¾à²°"],
				namesAbbr: ["à²­à²¾à²¨à³.","à²¸à³‹à²®.","à²®à²‚à²—à²³.","à²¬à³à²§.","à²—à³à²°à³.","à²¶à³à²•à³à²°.","à²¶à²¨à²¿."],
				namesShort: ["à²°","à²¸","à²®","à²¬","à²—","à²¶","à²¶"]
			},
			months: {
				names: ["à²œà²¨à²µà²°à²¿","à²«à³†à²¬à³à²°à²µà²°à²¿","à²®à²¾à²°à³à²šà³","à²Žà²ªà³à²°à²¿à²²à³","à²®à³‡","à²œà³‚à²¨à³","à²œà³à²²à³ˆ","à²†à²—à²¸à³à²Ÿà³","à²¸à³†à²ªà³à²Ÿà²‚à²¬à²°à³","à²…à²•à³à²Ÿà³‹à²¬à²°à³","à²¨à²µà³†à²‚à²¬à²°à³","à²¡à²¿à²¸à³†à²‚à²¬à²°à³",""],
				namesAbbr: ["à²œà²¨à²µà²°à²¿","à²«à³†à²¬à³à²°à²µà²°à²¿","à²®à²¾à²°à³à²šà³","à²Žà²ªà³à²°à²¿à²²à³","à²®à³‡","à²œà³‚à²¨à³","à²œà³à²²à³ˆ","à²†à²—à²¸à³à²Ÿà³","à²¸à³†à²ªà³à²Ÿà²‚à²¬à²°à³","à²…à²•à³à²Ÿà³‹à²¬à²°à³","à²¨à²µà³†à²‚à²¬à²°à³","à²¡à²¿à²¸à³†à²‚à²¬à²°à³",""]
			},
			AM: ["à²ªà³‚à²°à³à²µà²¾à²¹à³à²¨","à²ªà³‚à²°à³à²µà²¾à²¹à³à²¨","à²ªà³‚à²°à³à²µà²¾à²¹à³à²¨"],
			PM: ["à²…à²ªà²°à²¾à²¹à³à²¨","à²…à²ªà²°à²¾à²¹à³à²¨","à²…à²ªà²°à²¾à²¹à³à²¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ml", "default", {
	name: "ml",
	englishName: "Malayalam",
	nativeName: "à´®à´²à´¯à´¾à´³à´‚",
	language: "ml",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			pattern: ["-%n","%n"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à´•"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			":": ".",
			firstDay: 1,
			days: {
				names: ["à´žà´¾à´¯à´±à´¾à´´àµà´š","à´¤à´¿à´™àµà´•à´³à´¾à´´àµà´š","à´šàµŠà´µàµà´µà´¾à´´àµà´š","à´¬àµà´§à´¨à´¾à´´àµà´š","à´µàµà´¯à´¾à´´à´¾à´´àµà´š","à´µàµ†à´³àµà´³à´¿à´¯à´¾à´´àµà´š","à´¶à´¨à´¿à´¯à´¾à´´àµà´š"],
				namesAbbr: ["à´žà´¾à´¯àµ¼.","à´¤à´¿à´™àµà´•àµ¾.","à´šàµŠà´µàµà´µ.","à´¬àµà´§àµ».","à´µàµà´¯à´¾à´´à´‚.","à´µàµ†à´³àµà´³à´¿.","à´¶à´¨à´¿."],
				namesShort: ["à´ž","à´¤","à´š","à´¬","à´µ","à´µàµ†","à´¶"]
			},
			months: {
				names: ["à´œà´¨àµà´µà´°à´¿","à´«àµ†à´¬àµà´±àµà´µà´°à´¿","à´®à´¾à´±àµà´šàµà´šàµ","à´à´ªàµà´±à´¿à´²àµ","à´®àµ†à´¯àµ","à´œàµ‚à´£àµ","à´œàµ‚à´²àµˆ","à´“à´—à´¸àµà´±à´±àµ","à´¸àµ†à´ªàµà´±à´±à´‚à´¬à´±àµ","à´’à´•àµà´Ÿàµ‹à´¬à´±àµ","à´¨à´µà´‚à´¬à´±àµ","à´¡à´¿à´¸à´‚à´¬à´±àµ",""],
				namesAbbr: ["à´œà´¨àµà´µà´°à´¿","à´«àµ†à´¬àµà´±àµà´µà´°à´¿","à´®à´¾à´±àµà´šàµà´šàµ","à´à´ªàµà´±à´¿à´²àµ","à´®àµ†à´¯àµ","à´œàµ‚à´£àµ","à´œàµ‚à´²àµˆ","à´“à´—à´¸àµà´±à´±àµ","à´¸àµ†à´ªàµà´±à´±à´‚à´¬à´±àµ","à´’à´•àµà´Ÿàµ‹à´¬à´±àµ","à´¨à´µà´‚à´¬à´±àµ","à´¡à´¿à´¸à´‚à´¬à´±àµ",""]
			},
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH.mm",
				T: "HH.mm.ss",
				f: "dd MMMM yyyy HH.mm",
				F: "dd MMMM yyyy HH.mm.ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "as", "default", {
	name: "as",
	englishName: "Assamese",
	nativeName: "à¦…à¦¸à¦®à§€à§Ÿà¦¾",
	language: "as",
	numberFormat: {
		groupSizes: [3,2],
		"NaN": "nan",
		negativeInfinity: "-infinity",
		positiveInfinity: "infinity",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","n$"],
			groupSizes: [3,2],
			symbol: "à¦Ÿ"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¦¸à§‹à¦®à¦¬à¦¾à§°","à¦®à¦™à§à¦—à¦²à¦¬à¦¾à§°","à¦¬à§à¦§à¦¬à¦¾à§°","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿à¦¬à¦¾à§°","à¦¶à§à¦•à§à¦°à¦¬à¦¾à§°","à¦¶à¦¨à¦¿à¦¬à¦¾à§°","à§°à¦¬à¦¿à¦¬à¦¾à§°"],
				namesAbbr: ["à¦¸à§‹à¦®.","à¦®à¦™à§à¦—à¦².","à¦¬à§à¦§.","à¦¬à§ƒà¦¹.","à¦¶à§à¦•à§à¦°.","à¦¶à¦¨à¦¿.","à§°à¦¬à¦¿."],
				namesShort: ["à¦¸à§‹","à¦®","à¦¬à§","à¦¬à§ƒ","à¦¶à§","à¦¶","à¦°"]
			},
			months: {
				names: ["à¦œà¦¾à¦¨à§à§±à¦¾à§°à§€","à¦«à§‡à¦¬à§à¦°à§à§±à¦¾à§°à§€","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦·à§à¦Ÿ","à¦šà§‡à¦ªà§à¦Ÿà§‡à¦®à§à¦¬à¦°","à¦…à¦•à§à¦Ÿà§‹à¦¬à¦°","à¦¨à¦¬à§‡à¦®à§à¦¬à¦°","à¦¡à¦¿à¦šà§‡à¦®à§à¦¬à¦°",""],
				namesAbbr: ["à¦œà¦¾à¦¨à§","à¦«à§‡à¦¬à§à¦°à§","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦·à§à¦Ÿ","à¦šà§‡à¦ªà§à¦Ÿà§‡","à¦…à¦•à§à¦Ÿà§‹","à¦¨à¦¬à§‡","à¦¡à¦¿à¦šà§‡",""]
			},
			AM: ["à§°à¦¾à¦¤à¦¿à¦ªà§","à§°à¦¾à¦¤à¦¿à¦ªà§","à§°à¦¾à¦¤à¦¿à¦ªà§"],
			PM: ["à¦†à¦¬à§‡à¦²à¦¿","à¦†à¦¬à§‡à¦²à¦¿","à¦†à¦¬à§‡à¦²à¦¿"],
			eras: [{"name":"à¦–à§à¦°à§€à¦·à§à¦Ÿà¦¾à¦¬à§à¦¦","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yyyy",
				D: "yyyy,MMMM dd, dddd",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "yyyy,MMMM dd, dddd tt h:mm",
				F: "yyyy,MMMM dd, dddd tt h:mm:ss",
				M: "dd MMMM",
				Y: "MMMM,yy"
			}
		}
	}
});

Globalize.addCultureInfo( "mr", "default", {
	name: "mr",
	englishName: "Marathi",
	nativeName: "à¤®à¤°à¤¾à¤ à¥€",
	language: "mr",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¤°à¤µà¤¿à¤µà¤¾à¤°","à¤¸à¥‹à¤®à¤µà¤¾à¤°","à¤®à¤‚à¤—à¤³à¤µà¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤—à¥à¤°à¥à¤µà¤¾à¤°","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤°","à¤¶à¤¨à¤¿à¤µà¤¾à¤°"],
				namesAbbr: ["à¤°à¤µà¤¿.","à¤¸à¥‹à¤®.","à¤®à¤‚à¤—à¤³.","à¤¬à¥à¤§.","à¤—à¥à¤°à¥.","à¤¶à¥à¤•à¥à¤°.","à¤¶à¤¨à¤¿."],
				namesShort: ["à¤°","à¤¸","à¤®","à¤¬","à¤—","à¤¶","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¾à¤¨à¥‡à¤µà¤¾à¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤µà¤¾à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚à¤¬à¤°","à¤‘à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤µà¥à¤¹à¥‡à¤‚à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤‚à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¾à¤¨à¥‡.","à¤«à¥‡à¤¬à¥à¤°à¥.","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚.","à¤‘à¤•à¥à¤Ÿà¥‹.","à¤¨à¥‹à¤µà¥à¤¹à¥‡à¤‚.","à¤¡à¤¿à¤¸à¥‡à¤‚.",""]
			},
			AM: ["à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚."],
			PM: ["à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚."],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sa", "default", {
	name: "sa",
	englishName: "Sanskrit",
	nativeName: "à¤¸à¤‚à¤¸à¥à¤•à¥ƒà¤¤",
	language: "sa",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["à¤°à¤µà¤¿à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¸à¥‹à¤®à¤µà¤¾à¤¸à¤°à¤ƒ","à¤®à¤™à¥à¤—à¤²à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¬à¥à¤§à¤µà¤¾à¤¸à¤°à¤ƒ","à¤—à¥à¤°à¥à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¤¨à¤¿à¤µà¤¾à¤¸à¤°à¤ƒ"],
				namesAbbr: ["à¤°à¤µà¤¿à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¸à¥‹à¤®à¤µà¤¾à¤¸à¤°à¤ƒ","à¤®à¤™à¥à¤—à¤²à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¬à¥à¤§à¤µà¤¾à¤¸à¤°à¤ƒ","à¤—à¥à¤°à¥à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¤¨à¤¿à¤µà¤¾à¤¸à¤°à¤ƒ"],
				namesShort: ["à¤°","à¤¸","à¤®","à¤¬","à¤—","à¤¶","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""]
			},
			AM: ["à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨"],
			PM: ["à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy dddd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy dddd HH:mm",
				F: "dd MMMM yyyy dddd HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mn", "default", {
	name: "mn",
	englishName: "Mongolian",
	nativeName: "ÐœÐ¾Ð½Ð³Ð¾Ð»Â Ñ…ÑÐ»",
	language: "mn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "â‚®"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["ÐÑÐ¼","Ð”Ð°Ð²Ð°Ð°","ÐœÑÐ³Ð¼Ð°Ñ€","Ð›Ñ…Ð°Ð³Ð²Ð°","ÐŸÒ¯Ñ€ÑÐ²","Ð‘Ð°Ð°ÑÐ°Ð½","Ð‘ÑÐ¼Ð±Ð°"],
				namesAbbr: ["ÐÑ","Ð”Ð°","ÐœÑ","Ð›Ñ…","ÐŸÒ¯","Ð‘Ð°","Ð‘Ñ"],
				namesShort: ["ÐÑ","Ð”Ð°","ÐœÑ","Ð›Ñ…","ÐŸÒ¯","Ð‘Ð°","Ð‘Ñ"]
			},
			months: {
				names: ["1Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","2Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","3Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","4Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","5Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","6Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","7Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","8Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","9Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","10Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","11Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","12Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€",""],
				namesAbbr: ["I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII",""]
			},
			monthsGenitive: {
				names: ["1Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","2Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","3Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","4Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","5Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","6Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","7Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","8Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","9Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","10Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","11Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","12Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½",""],
				namesAbbr: ["I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yy.MM.dd",
				D: "yyyy 'Ð¾Ð½Ñ‹' MMMM d",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'Ð¾Ð½Ñ‹' MMMM d H:mm",
				F: "yyyy 'Ð¾Ð½Ñ‹' MMMM d H:mm:ss",
				M: "d MMMM",
				Y: "yyyy 'Ð¾Ð½' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "bo", "default", {
	name: "bo",
	englishName: "Tibetan",
	nativeName: "à½–à½¼à½‘à¼‹à½¡à½²à½‚",
	language: "bo",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "à½¨à½„à¼‹à½€à½²à¼‹à½˜à½²à½“à¼‹à½”à¼",
		negativeInfinity: "à½˜à½¼à¼‹à½‚à¾²à½„à½¦à¼‹à½šà½‘à¼‹à½˜à½ºà½‘à¼‹à½†à½´à½„à¼‹à½–à¼",
		positiveInfinity: "à½•à½¼à¼‹à½‚à¾²à½„à½¦à¼‹à½šà½‘à¼‹à½˜à½ºà½‘à¼‹à½†à½ºà¼‹à½–à¼",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["$-n","$n"],
			groupSizes: [3,0],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["à½‚à½Ÿà½ à¼‹à½‰à½²à¼‹à½˜à¼","à½‚à½Ÿà½ à¼‹à½Ÿà¾³à¼‹à½–à¼","à½‚à½Ÿà½ à¼‹à½˜à½²à½‚à¼‹à½‘à½˜à½¢à¼","à½‚à½Ÿà½ à¼‹à½£à¾·à½‚à¼‹à½”à¼","à½‚à½Ÿà½ à¼‹à½•à½´à½¢à¼‹à½–à½´à¼","à½‚à½Ÿà½ à¼‹à½”à¼‹à½¦à½„à½¦à¼","à½‚à½Ÿà½ à¼‹à½¦à¾¤à½ºà½“à¼‹à½”à¼"],
				namesAbbr: ["à½‰à½²à¼‹à½˜à¼","à½Ÿà¾³à¼‹à½–à¼","à½˜à½²à½‚à¼‹à½‘à½˜à½¢à¼","à½£à¾·à½‚à¼‹à½”à¼","à½•à½´à½¢à¼‹à½–à½´à¼","à½”à¼‹à½¦à½„à½¦à¼","à½¦à¾¤à½ºà½“à¼‹à½”à¼"],
				namesShort: ["à¼§","à¼¡","à¼¢","à¼£","à¼¤","à¼¥","à¼¦"]
			},
			months: {
				names: ["à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‘à½„à¼‹à½”à½¼à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‚à½‰à½²à½¦à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‚à½¦à½´à½˜à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½žà½²à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½£à¾”à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‘à¾²à½´à½‚à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½‘à½´à½“à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½¢à¾’à¾±à½‘à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‘à½‚à½´à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½…à½´à¼‹à½”à½¼à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½…à½´à¼‹à½‚à½…à½²à½‚à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½…à½´à¼‹à½‚à½‰à½²à½¦à¼‹à½”à¼",""],
				namesAbbr: ["à½Ÿà¾³à¼‹ à¼¡","à½Ÿà¾³à¼‹ à¼¢","à½Ÿà¾³à¼‹ à¼£","à½Ÿà¾³à¼‹ à¼¤","à½Ÿà¾³à¼‹ à¼¥","à½Ÿà¾³à¼‹ à¼¦","à½Ÿà¾³à¼‹ à¼§","à½Ÿà¾³à¼‹ à¼¨","à½Ÿà¾³à¼‹ à¼©","à½Ÿà¾³à¼‹ à¼¡à¼ ","à½Ÿà¾³à¼‹ à¼¡à¼¡","à½Ÿà¾³à¼‹ à¼¡à¼¢",""]
			},
			AM: ["à½¦à¾”à¼‹à½‘à¾²à½¼","à½¦à¾”à¼‹à½‘à¾²à½¼","à½¦à¾”à¼‹à½‘à¾²à½¼"],
			PM: ["à½•à¾±à½²à¼‹à½‘à¾²à½¼","à½•à¾±à½²à¼‹à½‘à¾²à½¼","à½•à¾±à½²à¼‹à½‘à¾²à½¼"],
			eras: [{"name":"à½¦à¾¤à¾±à½²à¼‹à½£à½¼","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'à½£à½¼à½ à½²à¼‹à½Ÿà¾³' M'à½šà½ºà½¦' d",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy'à½£à½¼à½ à½²à¼‹à½Ÿà¾³' M'à½šà½ºà½¦' d HH:mm",
				F: "yyyy'à½£à½¼à½ à½²à¼‹à½Ÿà¾³' M'à½šà½ºà½¦' d HH:mm:ss",
				M: "'à½Ÿà¾³à¼‹' M'à½šà½ºà½¦'d",
				Y: "yyyy.M"
			}
		}
	}
});

Globalize.addCultureInfo( "cy", "default", {
	name: "cy",
	englishName: "Welsh",
	nativeName: "Cymraeg",
	language: "cy",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "Â£"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Dydd Sul","Dydd Llun","Dydd Mawrth","Dydd Mercher","Dydd Iau","Dydd Gwener","Dydd Sadwrn"],
				namesAbbr: ["Sul","Llun","Maw","Mer","Iau","Gwe","Sad"],
				namesShort: ["Su","Ll","Ma","Me","Ia","Gw","Sa"]
			},
			months: {
				names: ["Ionawr","Chwefror","Mawrth","Ebrill","Mai","Mehefin","Gorffennaf","Awst","Medi","Hydref","Tachwedd","Rhagfyr",""],
				namesAbbr: ["Ion","Chwe","Maw","Ebr","Mai","Meh","Gor","Aws","Med","Hyd","Tach","Rhag",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "km", "default", {
	name: "km",
	englishName: "Khmer",
	nativeName: "ážáŸ’áž˜áŸ‚ážš",
	language: "km",
	numberFormat: {
		pattern: ["- n"],
		groupSizes: [3,0],
		"NaN": "NAN",
		negativeInfinity: "-- áž¢áž“áž“áŸ’áž",
		positiveInfinity: "áž¢áž“áž“áŸ’áž",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["-n$","n$"],
			symbol: "áŸ›"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["ážáŸ’áž„áŸƒáž¢áž¶áž‘áž·ážáŸ’áž™","ážáŸ’áž„áŸƒáž…áŸáž“áŸ’áž‘","ážáŸ’áž„áŸƒáž¢áž„áŸ’áž‚áž¶ážš","ážáŸ’áž„áŸƒáž–áž»áž’","ážáŸ’áž„áŸƒáž–áŸ’ážšáž ážŸáŸ’áž”ážáž·áŸ","ážáŸ’áž„áŸƒážŸáž»áž€áŸ’ážš","ážáŸ’áž„áŸƒážŸáŸ…ážšáŸ"],
				namesAbbr: ["áž¢áž¶áž‘áž·.","áž….","áž¢.","áž–áž»","áž–áŸ’ážšáž .","ážŸáž».","ážŸ."],
				namesShort: ["áž¢áž¶","áž…","áž¢","áž–áž»","áž–áŸ’","ážŸáž»","ážŸ"]
			},
			months: {
				names: ["áž˜áž€ážšáž¶","áž€áž»áž˜áŸ’áž—áŸˆ","áž˜áž·áž“áž¶","áž˜áŸážŸáž¶","áž§ážŸáž—áž¶","áž˜áž·ážáž»áž“áž¶","áž€áž€áŸ’áž€ážŠáž¶","ážŸáž¸áž áž¶","áž€áž‰áŸ’áž‰áž¶","ážáž»áž›áž¶","ážœáž·áž…áŸ’áž†áž·áž€áž¶","áž’áŸ’áž“áž¼",""],
				namesAbbr: ["áŸ¡","áŸ¢","áŸ£","áŸ¤","áŸ¥","áŸ¦","áŸ§","áŸ¨","áŸ©","áŸ¡áŸ ","áŸ¡áŸ¡","áŸ¡áŸ¢",""]
			},
			AM: ["áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€"],
			PM: ["áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…"],
			eras: [{"name":"áž˜áž»áž“áž‚.ážŸ.","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "d MMMM yyyy",
				t: "H:mm tt",
				T: "HH:mm:ss",
				f: "d MMMM yyyy H:mm tt",
				F: "d MMMM yyyy HH:mm:ss",
				M: "'ážáŸ’áž„áŸƒáž‘áž¸' dd 'ážáŸ‚' MM",
				Y: "'ážáŸ‚' MM 'áž†áŸ’áž“áž¶áŸ†' yyyy"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€"],
			PM: ["áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm tt",
				T: "HH:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm tt",
				F: "dddd, MMMM dd, yyyy HH:mm:ss"
			}
		}
	}
});

Globalize.addCultureInfo( "lo", "default", {
	name: "lo",
	englishName: "Lao",
	nativeName: "àº¥àº²àº§",
	language: "lo",
	numberFormat: {
		pattern: ["(n)"],
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["(n$)","n$"],
			groupSizes: [3,0],
			symbol: "â‚­"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["àº§àº±àº™àº­àº²àº—àº´àº”","àº§àº±àº™àºˆàº±àº™","àº§àº±àº™àº­àº±àº‡àº„àº²àº™","àº§àº±àº™àºžàº¸àº”","àº§àº±àº™àºžàº°àº«àº±àº”","àº§àº±àº™àºªàº¸àº","àº§àº±àº™à»€àºªàº»àº²"],
				namesAbbr: ["àº­àº²àº—àº´àº”","àºˆàº±àº™","àº­àº±àº‡àº„àº²àº™","àºžàº¸àº”","àºžàº°àº«àº±àº”","àºªàº¸àº","à»€àºªàº»àº²"],
				namesShort: ["àº­","àºˆ","àº­","àºž","àºž","àºª","à»€"]
			},
			months: {
				names: ["àº¡àº±àº‡àºàº­àº™","àºàº¸àº¡àºžàº²","àº¡àºµàº™àº²","à»€àº¡àºªàº²","àºžàº¶àº”àºªàº°àºžàº²","àº¡àº´àº–àº¸àº™àº²","àºà»àº¥àº°àºàº»àº”","àºªàº´àº‡àº«àº²","àºàº±àº™àºàº²","àº•àº¸àº¥àº²","àºžàº°àºˆàº´àº","àº—àº±àº™àº§àº²",""],
				namesAbbr: ["àº¡àº±àº‡àºàº­àº™","àºàº¸àº¡àºžàº²","àº¡àºµàº™àº²","à»€àº¡àºªàº²","àºžàº¶àº”àºªàº°àºžàº²","àº¡àº´àº–àº¸àº™àº²","àºà»àº¥àº°àºàº»àº”","àºªàº´àº‡àº«àº²","àºàº±àº™àºàº²","àº•àº¸àº¥àº²","àºžàº°àºˆàº´àº","àº—àº±àº™àº§àº²",""]
			},
			AM: ["à»€àºŠàº»à»‰àº²","à»€àºŠàº»à»‰àº²","à»€àºŠàº»à»‰àº²"],
			PM: ["à»àº¥àº‡","à»àº¥àº‡","à»àº¥àº‡"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm tt",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy H:mm tt",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "gl", "default", {
	name: "gl",
	englishName: "Galician",
	nativeName: "galego",
	language: "gl",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","luns","martes","mÃ©rcores","xoves","venres","sÃ¡bado"],
				namesAbbr: ["dom","luns","mar","mÃ©r","xov","ven","sÃ¡b"],
				namesShort: ["do","lu","ma","mÃ©","xo","ve","sÃ¡"]
			},
			months: {
				names: ["xaneiro","febreiro","marzo","abril","maio","xuÃ±o","xullo","agosto","setembro","outubro","novembro","decembro",""],
				namesAbbr: ["xan","feb","mar","abr","maio","xuÃ±","xull","ago","set","out","nov","dec",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "kok", "default", {
	name: "kok",
	englishName: "Konkani",
	nativeName: "à¤•à¥‹à¤‚à¤•à¤£à¥€",
	language: "kok",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¤†à¤¯à¤¤à¤¾à¤°","à¤¸à¥‹à¤®à¤¾à¤°","à¤®à¤‚à¤—à¤³à¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤¬à¤¿à¤°à¥‡à¤¸à¥à¤¤à¤¾à¤°","à¤¸à¥à¤•à¥à¤°à¤¾à¤°","à¤¶à¥‡à¤¨à¤µà¤¾à¤°"],
				namesAbbr: ["à¤†à¤¯.","à¤¸à¥‹à¤®.","à¤®à¤‚à¤—à¤³.","à¤¬à¥à¤§.","à¤¬à¤¿à¤°à¥‡.","à¤¸à¥à¤•à¥à¤°.","à¤¶à¥‡à¤¨."],
				namesShort: ["à¤†","à¤¸","à¤®","à¤¬","à¤¬","à¤¸","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¾à¤¨à¥‡à¤µà¤¾à¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤µà¤¾à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚à¤¬à¤°","à¤‘à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤µà¥‡à¤®à¥à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤‚à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¾à¤¨à¥‡à¤µà¤¾à¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤µà¤¾à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚à¤¬à¤°","à¤‘à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤µà¥‡à¤®à¥à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤‚à¤¬à¤°",""]
			},
			AM: ["à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚."],
			PM: ["à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚."],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "syr", "default", {
	name: "syr",
	englishName: "Syriac",
	nativeName: "Ü£Ü˜ÜªÜÜÜ",
	language: "syr",
	isRTL: true,
	numberFormat: {
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ù„.Ø³.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["ÜšÜ•Â Ü’Ü«Ü’Ü","Ü¬ÜªÜÜ¢Â Ü’Ü«Ü’Ü","Ü¬Ü Ü¬ÜÂ Ü’Ü«Ü’Ü","ÜÜªÜ’Ü¥ÜÂ Ü’Ü«Ü’Ü","ÜšÜ¡Ü«ÜÂ Ü’Ü«Ü’Ü","Ü¥ÜªÜ˜Ü’Ü¬Ü","Ü«Ü’Ü¬Ü"],
				namesAbbr: ["\u070fÜÂ \u070fÜ’Ü«","\u070fÜ’Â \u070fÜ’Ü«","\u070fÜ“Â \u070fÜ’Ü«","\u070fÜ•Â \u070fÜ’Ü«","\u070fÜ—Â \u070fÜ’Ü«","\u070fÜ¥ÜªÜ˜Ü’","\u070fÜ«Ü’"],
				namesShort: ["Ü","Ü’","Ü“","Ü•","Ü—","Ü¥","Ü«"]
			},
			months: {
				names: ["ÜŸÜ¢Ü˜Ü¢Â ÜÜšÜªÜ","Ü«Ü’Ü›","ÜÜ•Üª","Ü¢ÜÜ£Ü¢","ÜÜÜª","ÜšÜ™ÜÜªÜ¢","Ü¬Ü¡Ü˜Ü™","ÜÜ’","ÜÜÜ Ü˜Ü ","Ü¬Ü«ÜªÜÂ Ü©Ü•ÜÜ¡","Ü¬Ü«ÜªÜÂ ÜÜšÜªÜ","ÜŸÜ¢Ü˜Ü¢Â Ü©Ü•ÜÜ¡",""],
				namesAbbr: ["\u070fÜŸÜ¢Â \u070fÜ’","Ü«Ü’Ü›","ÜÜ•Üª","Ü¢ÜÜ£Ü¢","ÜÜÜª","ÜšÜ™ÜÜªÜ¢","Ü¬Ü¡Ü˜Ü™","ÜÜ’","ÜÜÜ Ü˜Ü ","\u070fÜ¬Ü«Â \u070fÜ","\u070fÜ¬Ü«Â \u070fÜ’","\u070fÜŸÜ¢Â \u070fÜ",""]
			},
			AM: ["Ü©.Ü›","Ü©.Ü›","Ü©.Ü›"],
			PM: ["Ü’.Ü›","Ü’.Ü›","Ü’.Ü›"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "si", "default", {
	name: "si",
	englishName: "Sinhala",
	nativeName: "à·ƒà·’à¶‚à·„à¶½",
	language: "si",
	numberFormat: {
		groupSizes: [3,2],
		negativeInfinity: "-à¶…à¶±à¶±à·Šà¶­à¶º",
		positiveInfinity: "à¶…à¶±à¶±à·Šà¶­à¶º",
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["($ n)","$ n"],
			symbol: "à¶»à·”."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¶‰à¶»à·’à¶¯à·","à·ƒà¶³à·”à¶¯à·","à¶…à¶Ÿà·„à¶»à·”à·€à·à¶¯à·","à¶¶à¶¯à·à¶¯à·","à¶¶à·Š\u200dà¶»à·„à·ƒà·Šà¶´à¶­à·’à¶±à·Šà¶¯à·","à·ƒà·’à¶šà·”à¶»à·à¶¯à·","à·ƒà·™à¶±à·ƒà·”à¶»à·à¶¯à·"],
				namesAbbr: ["à¶‰à¶»à·’à¶¯à·","à·ƒà¶³à·”à¶¯à·","à¶šà·”à¶¢à¶¯à·","à¶¶à·”à¶¯à¶¯à·","à¶œà·”à¶»à·”à¶¯à·","à¶šà·’à·€à·’à¶¯à·","à·à¶±à·’à¶¯à·"],
				namesShort: ["à¶‰","à·ƒ","à¶…","à¶¶","à¶¶à·Š\u200dà¶»","à·ƒà·’","à·ƒà·™"]
			},
			months: {
				names: ["à¶¢à¶±à·€à·à¶»à·’","à¶´à·™à¶¶à¶»à·€à·à¶»à·’","à¶¸à·à¶»à·Šà¶­à·”","à¶…\u200cà¶´à·Š\u200dà¶»à·šà¶½à·Š","à¶¸à·à¶ºà·’","à¶¢à·–à¶±à·’","à¶¢à·–à¶½à·’","à¶…\u200cà¶œà·à·ƒà·Šà¶­à·”","à·ƒà·à¶´à·Šà¶­à·à¶¸à·Šà¶¶à¶»à·Š","à¶”à¶šà·Šà¶­à·à¶¶à¶»à·Š","à¶±à·œà·€à·à¶¸à·Šà¶¶à¶»à·Š","à¶¯à·™à·ƒà·à¶¸à·Šà¶¶à¶»à·Š",""],
				namesAbbr: ["à¶¢à¶±.","à¶´à·™à¶¶.","à¶¸à·à¶»à·Šà¶­à·”.","à¶…à¶´à·Š\u200dà¶»à·šà¶½à·Š.","à¶¸à·à¶ºà·’.","à¶¢à·–à¶±à·’.","à¶¢à·–à¶½à·’.","à¶…à¶œà·.","à·ƒà·à¶´à·Š.","à¶”à¶šà·Š.","à¶±à·œà·€à·.","à¶¯à·™à·ƒà·.",""]
			},
			AM: ["à¶´à·™.à·€.","à¶´à·™.à·€.","à¶´à·™.à·€."],
			PM: ["à¶´.à·€.","à¶´.à·€.","à¶´.à·€."],
			eras: [{"name":"à¶šà·Š\u200dà¶»à·’.à·€.","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "yyyy MMMM' à¶¸à·ƒ 'dd' à·€à·à¶±à·’à¶¯à· 'dddd",
				f: "yyyy MMMM' à¶¸à·ƒ 'dd' à·€à·à¶±à·’à¶¯à· 'dddd h:mm tt",
				F: "yyyy MMMM' à¶¸à·ƒ 'dd' à·€à·à¶±à·’à¶¯à· 'dddd h:mm:ss tt",
				Y: "yyyy MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "iu", "default", {
	name: "iu",
	englishName: "Inuktitut",
	nativeName: "Inuktitut",
	language: "iu",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Naattiinguja","Naggajjau","Aippiq","Pingatsiq","Sitammiq","Tallirmiq","Sivataarvik"],
				namesAbbr: ["Nat","Nag","Aip","Pi","Sit","Tal","Siv"],
				namesShort: ["N","N","A","P","S","T","S"]
			},
			months: {
				names: ["Jaannuari","Viivvuari","Maatsi","Iipuri","Mai","Juuni","Julai","Aaggiisi","Sitipiri","Utupiri","Nuvipiri","Tisipiri",""],
				namesAbbr: ["Jan","Viv","Mas","Ipu","Mai","Jun","Jul","Agi","Sii","Uut","Nuv","Tis",""]
			},
			patterns: {
				d: "d/MM/yyyy",
				D: "ddd, MMMM dd,yyyy",
				f: "ddd, MMMM dd,yyyy h:mm tt",
				F: "ddd, MMMM dd,yyyy h:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "am", "default", {
	name: "am",
	englishName: "Amharic",
	nativeName: "áŠ áˆ›áˆ­áŠ›",
	language: "am",
	numberFormat: {
		decimals: 1,
		groupSizes: [3,0],
		"NaN": "NAN",
		percent: {
			pattern: ["-n%","n%"],
			decimals: 1,
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["-$n","$n"],
			groupSizes: [3,0],
			symbol: "ETB"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["áŠ¥áˆ‘á‹µ","áˆ°áŠž","áˆ›áŠ­áˆ°áŠž","áˆ¨á‰¡á‹•","áˆáˆ™áˆµ","á‹“áˆ­á‰¥","á‰…á‹³áˆœ"],
				namesAbbr: ["áŠ¥áˆ‘á‹µ","áˆ°áŠž","áˆ›áŠ­áˆ°","áˆ¨á‰¡á‹•","áˆáˆ™áˆµ","á‹“áˆ­á‰¥","á‰…á‹³áˆœ"],
				namesShort: ["áŠ¥","áˆ°","áˆ›","áˆ¨","áˆ","á‹“","á‰…"]
			},
			months: {
				names: ["áŒƒáŠ•á‹©á‹ˆáˆª","áŒá‰¥áˆ©á‹ˆáˆª","áˆ›áˆ­á‰½","áŠ¤á•áˆ¨áˆ","áˆœá‹­","áŒáŠ•","áŒáˆ‹á‹­","áŠ¦áŒˆáˆµá‰µ","áˆ´á•á‰´áˆá‰ áˆ­","áŠ¦áŠ­á‰°á‹á‰ áˆ­","áŠ–á‰¬áˆá‰ áˆ­","á‹²áˆ´áˆá‰ áˆ­",""],
				namesAbbr: ["áŒƒáŠ•á‹©","áŒá‰¥áˆ©","áˆ›áˆ­á‰½","áŠ¤á•áˆ¨","áˆœá‹­","áŒáŠ•","áŒáˆ‹á‹­","áŠ¦áŒˆáˆµ","áˆ´á•á‰´","áŠ¦áŠ­á‰°","áŠ–á‰¬áˆ","á‹²áˆ´áˆ",""]
			},
			AM: ["áŒ¡á‹‹á‰µ","áŒ¡á‹‹á‰µ","áŒ¡á‹‹á‰µ"],
			PM: ["áŠ¨áˆ°á‹“á‰µ","áŠ¨áˆ°á‹“á‰µ","áŠ¨áˆ°á‹“á‰µ"],
			eras: [{"name":"á‹“áˆ˜á‰°  áˆáˆ•áˆ¨á‰µ","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "dddd 'á£' MMMM d 'á‰€áŠ•' yyyy",
				f: "dddd 'á£' MMMM d 'á‰€áŠ•' yyyy h:mm tt",
				F: "dddd 'á£' MMMM d 'á‰€áŠ•' yyyy h:mm:ss tt",
				M: "MMMM d á‰€áŠ•",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tzm", "default", {
	name: "tzm",
	englishName: "Tamazight",
	nativeName: "Tamazight",
	language: "tzm",
	numberFormat: {
		pattern: ["n-"],
		",": ".",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			symbol: "DZD"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 6,
			days: {
				names: ["Acer","Arime","Aram","Ahad","Amhadh","Sem","Sedh"],
				namesAbbr: ["Ace","Ari","Ara","Aha","Amh","Sem","Sed"],
				namesShort: ["Ac","Ar","Ar","Ah","Am","Se","Se"]
			},
			months: {
				names: ["Yenayer","Furar","Maghres","Yebrir","Mayu","Yunyu","Yulyu","Ghuct","Cutenber","Ktuber","Wambir","Dujanbir",""],
				namesAbbr: ["Yen","Fur","Mag","Yeb","May","Yun","Yul","Ghu","Cut","Ktu","Wam","Duj",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM, yyyy H:mm",
				F: "dd MMMM, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ne", "default", {
	name: "ne",
	englishName: "Nepali",
	nativeName: "à¤¨à¥‡à¤ªà¤¾à¤²à¥€",
	language: "ne",
	numberFormat: {
		groupSizes: [3,2],
		"NaN": "nan",
		negativeInfinity: "-infinity",
		positiveInfinity: "infinity",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["à¤†à¤‡à¤¤à¤µà¤¾à¤°","à¤¸à¥‹à¤®à¤µà¤¾à¤°","à¤®à¤™à¥à¤—à¤²à¤µà¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤¬à¤¿à¤¹à¥€à¤µà¤¾à¤°","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤°","à¤¶à¤¨à¤¿à¤µà¤¾à¤°"],
				namesAbbr: ["à¤†à¤‡à¤¤","à¤¸à¥‹à¤®","à¤®à¤™à¥à¤—à¤²","à¤¬à¥à¤§","à¤¬à¤¿à¤¹à¥€","à¤¶à¥à¤•à¥à¤°","à¤¶à¤¨à¤¿"],
				namesShort: ["à¤†","à¤¸à¥‹","à¤®","à¤¬à¥","à¤¬à¤¿","à¤¶à¥","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤…à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¥‡à¤ªà¥à¤Ÿà¥‡à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤­à¥‡à¤®à¥à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤®à¥à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¨","à¤«à¥‡à¤¬","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—","à¤¸à¥‡à¤ªà¥à¤Ÿ","à¤…à¤•à¥à¤Ÿ","à¤¨à¥‹à¤­","à¤¡à¤¿à¤¸",""]
			},
			AM: ["à¤µà¤¿à¤¹à¤¾à¤¨à¥€","à¤µà¤¿à¤¹à¤¾à¤¨à¥€","à¤µà¤¿à¤¹à¤¾à¤¨à¥€"],
			PM: ["à¤¬à¥‡à¤²à¥à¤•à¥€","à¤¬à¥‡à¤²à¥à¤•à¥€","à¤¬à¥‡à¤²à¥à¤•à¥€"],
			eras: [{"name":"a.d.","start":null,"offset":0}],
			patterns: {
				Y: "MMMM,yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fy", "default", {
	name: "fy",
	englishName: "Frisian",
	nativeName: "Frysk",
	language: "fy",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["Snein","Moandei","Tiisdei","Woansdei","Tongersdei","Freed","Sneon"],
				namesAbbr: ["Sn","Mo","Ti","Wo","To","Fr","Sn"],
				namesShort: ["S","M","T","W","T","F","S"]
			},
			months: {
				names: ["jannewaris","febrewaris","maart","april","maaie","juny","july","augustus","septimber","oktober","novimber","desimber",""],
				namesAbbr: ["jann","febr","mrt","apr","maaie","jun","jul","aug","sept","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d-M-yyyy",
				D: "dddd d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd d MMMM yyyy H:mm",
				F: "dddd d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ps", "default", {
	name: "ps",
	englishName: "Pashto",
	nativeName: "Ù¾ÚšØªÙˆ",
	language: "ps",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		",": "ØŒ",
		".": ",",
		"NaN": "Øº Ø¹",
		negativeInfinity: "-âˆž",
		positiveInfinity: "âˆž",
		percent: {
			pattern: ["%n-","%n"],
			",": "ØŒ",
			".": ","
		},
		currency: {
			pattern: ["$n-","$n"],
			",": "Ù¬",
			".": "Ù«",
			symbol: "Ø‹"
		}
	},
	calendars: {
		standard: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				f: "dd/MM/yyyy h:mm tt",
				F: "dd/MM/yyyy h:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_Localized: {
			firstDay: 6,
			days: {
				names: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesAbbr: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesShort: ["ÛŒ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§ ÚšØ²Ù…Ø±Ù‰","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„Ù†Úˆ Û","Ù…Ø±ØºÙˆÙ…Ù‰",""],
				namesAbbr: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§ Úš","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„Ù†Úˆ Û","Ù…Ø±ØºÙˆÙ…Ù‰",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ù„.Ù‡","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy, dd, MMMM, dddd",
				f: "yyyy, dd, MMMM, dddd h:mm tt",
				F: "yyyy, dd, MMMM, dddd h:mm:ss tt",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fil", "default", {
	name: "fil",
	englishName: "Filipino",
	nativeName: "Filipino",
	language: "fil",
	numberFormat: {
		currency: {
			symbol: "PhP"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Linggo","Lunes","Martes","Mierkoles","Huebes","Biernes","Sabado"],
				namesAbbr: ["Lin","Lun","Mar","Mier","Hueb","Bier","Saba"],
				namesShort: ["L","L","M","M","H","B","S"]
			},
			months: {
				names: ["Enero","Pebrero","Marso","Abril","Mayo","Hunyo","Hulyo","Agosto","Septyembre","Oktubre","Nobyembre","Disyembre",""],
				namesAbbr: ["En","Peb","Mar","Abr","Mayo","Hun","Hul","Agos","Sept","Okt","Nob","Dis",""]
			},
			eras: [{"name":"Anno Domini","start":null,"offset":0}]
		}
	}
});

Globalize.addCultureInfo( "dv", "default", {
	name: "dv",
	englishName: "Divehi",
	nativeName: "Þ‹Þ¨ÞˆÞ¬Þ€Þ¨Þ„Þ¦ÞÞ°",
	language: "dv",
	isRTL: true,
	numberFormat: {
		currency: {
			pattern: ["n $-","n $"],
			symbol: "Þƒ."
		}
	},
	calendars: {
		standard: {
			name: "Hijri",
			days: {
				names: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesAbbr: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesShort: ["Þ‡Þ§","Þ€Þ¯","Þ‡Þ¦","Þ„Þª","Þ„Þª","Þ€Þª","Þ€Þ®"]
			},
			months: {
				names: ["Þ‰ÞªÞ™Þ¦Þ‡Þ°ÞƒÞ¦Þ‰Þ°","ÞžÞ¦ÞŠÞ¦ÞƒÞª","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ¦Þ‡Þ°ÞˆÞ¦ÞÞ°","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞª","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ«ÞÞ§","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞ§","ÞƒÞ¦Þ–Þ¦Þ„Þ°","ÞÞ¦Þ¢Þ°Þ„Þ§Þ‚Þ°","ÞƒÞ¦Þ‰Þ¦ÞŸÞ§Þ‚Þ°","ÞÞ¦Þ‡Þ°ÞˆÞ§ÞÞ°","Þ›ÞªÞÞ°Þ¤Þ¦Þ¢Þ¨Þ‹Þ§","Þ›ÞªÞÞ°Þ™Þ¨Þ‡Þ°Þ–Þ§",""],
				namesAbbr: ["Þ‰ÞªÞ™Þ¦Þ‡Þ°ÞƒÞ¦Þ‰Þ°","ÞžÞ¦ÞŠÞ¦ÞƒÞª","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ¦Þ‡Þ°ÞˆÞ¦ÞÞ°","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞª","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ«ÞÞ§","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞ§","ÞƒÞ¦Þ–Þ¦Þ„Þ°","ÞÞ¦Þ¢Þ°Þ„Þ§Þ‚Þ°","ÞƒÞ¦Þ‰Þ¦ÞŸÞ§Þ‚Þ°","ÞÞ¦Þ‡Þ°ÞˆÞ§ÞÞ°","Þ›ÞªÞÞ°Þ¤Þ¦Þ¢Þ¨Þ‹Þ§","Þ›ÞªÞÞ°Þ™Þ¨Þ‡Þ°Þ–Þ§",""]
			},
			AM: ["Þ‰Þ†","Þ‰Þ†","Þ‰Þ†"],
			PM: ["Þ‰ÞŠ","Þ‰ÞŠ","Þ‰ÞŠ"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd/MM/yyyy HH:mm",
				F: "dd/MM/yyyy HH:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_Localized: {
			days: {
				names: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesAbbr: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesShort: ["Þ‡Þ§","Þ€Þ¯","Þ‡Þ¦","Þ„Þª","Þ„Þª","Þ€Þª","Þ€Þ®"]
			},
			months: {
				names: ["Þ–Þ¦Þ‚Þ¦ÞˆÞ¦ÞƒÞ©","ÞŠÞ¬Þ„Þ°ÞƒÞªÞ‡Þ¦ÞƒÞ©","Þ‰Þ§Þ—Þ°","Þ‡Þ­Þ•Þ°ÞƒÞ¨ÞÞ°","Þ‰Þ¬Þ‡Þ¨","Þ–Þ«Þ‚Þ°","Þ–ÞªÞÞ¦Þ‡Þ¨","Þ‡Þ¯ÞŽÞ¦ÞÞ°Þ“Þ°","ÞÞ¬Þ•Þ°Þ“Þ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‡Þ®Þ†Þ°Þ“Þ¯Þ„Þ¦Þƒ","Þ‚Þ®ÞˆÞ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‘Þ¨ÞÞ¬Þ‰Þ°Þ„Þ¦Þƒ",""],
				namesAbbr: ["Þ–Þ¦Þ‚Þ¦ÞˆÞ¦ÞƒÞ©","ÞŠÞ¬Þ„Þ°ÞƒÞªÞ‡Þ¦ÞƒÞ©","Þ‰Þ§Þ—Þ°","Þ‡Þ­Þ•Þ°ÞƒÞ¨ÞÞ°","Þ‰Þ¬Þ‡Þ¨","Þ–Þ«Þ‚Þ°","Þ–ÞªÞÞ¦Þ‡Þ¨","Þ‡Þ¯ÞŽÞ¦ÞÞ°Þ“Þ°","ÞÞ¬Þ•Þ°Þ“Þ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‡Þ®Þ†Þ°Þ“Þ¯Þ„Þ¦Þƒ","Þ‚Þ®ÞˆÞ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‘Þ¨ÞÞ¬Þ‰Þ°Þ„Þ¦Þƒ",""]
			},
			AM: ["Þ‰Þ†","Þ‰Þ†","Þ‰Þ†"],
			PM: ["Þ‰ÞŠ","Þ‰ÞŠ","Þ‰ÞŠ"],
			eras: [{"name":"Þ‰Þ©ÞÞ§Þ‹Þ©","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yy",
				D: "ddd, yyyy MMMM dd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "ddd, yyyy MMMM dd HH:mm",
				F: "ddd, yyyy MMMM dd HH:mm:ss",
				Y: "yyyy, MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ha", "default", {
	name: "ha",
	englishName: "Hausa",
	nativeName: "Hausa",
	language: "ha",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Lahadi","Litinin","Talata","Laraba","Alhamis","Juma'a","Asabar"],
				namesAbbr: ["Lah","Lit","Tal","Lar","Alh","Jum","Asa"],
				namesShort: ["L","L","T","L","A","J","A"]
			},
			months: {
				names: ["Januwaru","Febreru","Maris","Afrilu","Mayu","Yuni","Yuli","Agusta","Satumba","Oktocba","Nuwamba","Disamba",""],
				namesAbbr: ["Jan","Feb","Mar","Afr","May","Yun","Yul","Agu","Sat","Okt","Nuw","Dis",""]
			},
			AM: ["Safe","safe","SAFE"],
			PM: ["Yamma","yamma","YAMMA"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "yo", "default", {
	name: "yo",
	englishName: "Yoruba",
	nativeName: "Yoruba",
	language: "yo",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Aiku","Aje","Isegun","Ojo'ru","Ojo'bo","Eti","Abameta"],
				namesAbbr: ["Aik","Aje","Ise","Ojo","Ojo","Eti","Aba"],
				namesShort: ["A","A","I","O","O","E","A"]
			},
			months: {
				names: ["Osu kinni","Osu keji","Osu keta","Osu kerin","Osu karun","Osu kefa","Osu keje","Osu kejo","Osu kesan","Osu kewa","Osu kokanla","Osu keresi",""],
				namesAbbr: ["kin.","kej.","ket.","ker.","kar.","kef.","kej.","kej.","kes.","kew.","kok.","ker.",""]
			},
			AM: ["Owuro","owuro","OWURO"],
			PM: ["Ale","ale","ALE"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "quz", "default", {
	name: "quz",
	englishName: "Quechua",
	nativeName: "runasimi",
	language: "quz",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ",",
			symbol: "$b"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["intichaw","killachaw","atipachaw","quyllurchaw","Ch' askachaw","Illapachaw","k'uychichaw"],
				namesAbbr: ["int","kil","ati","quy","Ch'","Ill","k'u"],
				namesShort: ["d","k","a","m","h","b","k"]
			},
			months: {
				names: ["Qulla puquy","Hatun puquy","Pauqar waray","ayriwa","Aymuray","Inti raymi","Anta Sitwa","Qhapaq Sitwa","Uma raymi","Kantaray","Ayamarq'a","Kapaq Raymi",""],
				namesAbbr: ["Qul","Hat","Pau","ayr","Aym","Int","Ant","Qha","Uma","Kan","Aya","Kap",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "nso", "default", {
	name: "nso",
	englishName: "Sesotho sa Leboa",
	nativeName: "Sesotho sa Leboa",
	language: "nso",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Lamorena","MoÅ¡upologo","Labobedi","Laboraro","Labone","Labohlano","Mokibelo"],
				namesAbbr: ["Lam","MoÅ¡","Lbb","Lbr","Lbn","Lbh","Mok"],
				namesShort: ["L","M","L","L","L","L","M"]
			},
			months: {
				names: ["Pherekgong","Hlakola","Mopitlo","Moranang","Mosegamanye","NgoatoboÅ¡ego","Phuphu","Phato","Lewedi","Diphalana","Dibatsela","Manthole",""],
				namesAbbr: ["Pher","Hlak","Mop","Mor","Mos","Ngwat","Phup","Phat","Lew","Dip","Dib","Man",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ba", "default", {
	name: "ba",
	englishName: "Bashkir",
	nativeName: "Ð‘Ð°ÑˆÒ¡Ð¾Ñ€Ñ‚",
	language: "ba",
	numberFormat: {
		",": "Â ",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			groupSizes: [3,0],
			",": "Â ",
			".": ",",
			symbol: "Ò»."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð™Ó™ÐºÑˆÓ™Ð¼Ð±Ðµ","Ð”Ò¯ÑˆÓ™Ð¼Ð±Ðµ","Ð¨Ð¸ÑˆÓ™Ð¼Ð±Ðµ","Ð¨Ð°Ñ€ÑˆÐ°Ð¼Ð±Ñ‹","ÐšÐµÑÐ°Ò™Ð½Ð°","Ð™Ð¾Ð¼Ð°","Ð¨Ó™Ð¼Ð±Ðµ"],
				namesAbbr: ["Ð™Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","ÐšÑ","Ð™Ð¼","Ð¨Ð±"],
				namesShort: ["Ð™Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","ÐšÑ","Ð™Ð¼","Ð¨Ð±"]
			},
			months: {
				names: ["Ò“Ð¸Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ²Ñ€Ð°Ð»ÑŒ","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€ÐµÐ»ÑŒ","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½ÑŒ","Ð¸ÑŽÐ»ÑŒ","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","Ð¾ÐºÑ‚ÑÐ±Ñ€ÑŒ","Ð½Ð¾ÑÐ±Ñ€ÑŒ","Ð´ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["Ò“Ð¸Ð½","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³","ÑÐµÐ½","Ð¾ÐºÑ‚","Ð½Ð¾Ñ","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d MMMM yyyy 'Ð¹'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'Ð¹' H:mm",
				F: "d MMMM yyyy 'Ð¹' H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "lb", "default", {
	name: "lb",
	englishName: "Luxembourgish",
	nativeName: "LÃ«tzebuergesch",
	language: "lb",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "n. num.",
		negativeInfinity: "-onendlech",
		positiveInfinity: "+onendlech",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Sonndeg","MÃ©indeg","DÃ«nschdeg","MÃ«ttwoch","Donneschdeg","Freideg","Samschdeg"],
				namesAbbr: ["Son","MÃ©i","DÃ«n","MÃ«t","Don","Fre","Sam"],
				namesShort: ["So","MÃ©","DÃ«","MÃ«","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","MÃ¤erz","AbrÃ«ll","Mee","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","MÃ¤e","Abr","Mee","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "kl", "default", {
	name: "kl",
	englishName: "Greenlandic",
	nativeName: "kalaallisut",
	language: "kl",
	numberFormat: {
		",": ".",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			groupSizes: [3,0],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,0],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sapaat","ataasinngorneq","marlunngorneq","pingasunngorneq","sisamanngorneq","tallimanngorneq","arfininngorneq"],
				namesAbbr: ["sap","ata","mar","ping","sis","tal","arf"],
				namesShort: ["sa","at","ma","pi","si","ta","ar"]
			},
			months: {
				names: ["januari","februari","martsi","apriili","maaji","juni","juli","aggusti","septembari","oktobari","novembari","decembari",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ig", "default", {
	name: "ig",
	englishName: "Igbo",
	nativeName: "Igbo",
	language: "ig",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Aiku","Aje","Isegun","Ojo'ru","Ojo'bo","Eti","Abameta"],
				namesAbbr: ["Aik","Aje","Ise","Ojo","Ojo","Eti","Aba"],
				namesShort: ["A","A","I","O","O","E","A"]
			},
			months: {
				names: ["Onwa mbu","Onwa ibua","Onwa ato","Onwa ano","Onwa ise","Onwa isi","Onwa asa","Onwa asato","Onwa itolu","Onwa iri","Onwa iri n'ofu","Onwa iri n'ibua",""],
				namesAbbr: ["mbu.","ibu.","ato.","ano.","ise","isi","asa","asa.","ito.","iri.","n'of.","n'ib.",""]
			},
			AM: ["Ututu","ututu","UTUTU"],
			PM: ["Efifie","efifie","EFIFIE"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ii", "default", {
	name: "ii",
	englishName: "Yi",
	nativeName: "ê†ˆêŒ ê±ê‚·",
	language: "ii",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "êŒ—ê‚·ê€‹ê‰¬",
		negativeInfinity: "ê€„êŠ­êŒê€‹ê‰†",
		positiveInfinity: "êˆ¤ê‡ê‘–ê€‹ê‰¬",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["ê‘­ê†ê‘","ê†êŠ‚ê’”","ê†êŠ‚ê‘","ê†êŠ‚êŒ•","ê†êŠ‚ê‡–","ê†êŠ‚ê‰¬","ê†êŠ‚êƒ˜"],
				namesAbbr: ["ê‘­ê†","ê†ê’”","ê†ê‘","ê†êŒ•","ê†ê‡–","ê†ê‰¬","ê†êƒ˜"],
				namesShort: ["ê†","ê’”","ê‘","êŒ•","ê‡–","ê‰¬","êƒ˜"]
			},
			months: {
				names: ["ê‹ê†ª","ê‘ê†ª","êŒ•ê†ª","ê‡–ê†ª","ê‰¬ê†ª","êƒ˜ê†ª","êƒê†ª","ê‰†ê†ª","êˆ¬ê†ª","êŠ°ê†ª","êŠ¯êŠªê†ª","êŠ°ê‘‹ê†ª",""],
				namesAbbr: ["ê‹ê†ª","ê‘ê†ª","êŒ•ê†ª","ê‡–ê†ª","ê‰¬ê†ª","êƒ˜ê†ª","êƒê†ª","ê‰†ê†ª","êˆ¬ê†ª","êŠ°ê†ª","êŠ¯êŠªê†ª","êŠ°ê‘‹ê†ª",""]
			},
			AM: ["ê‚µê†ªêˆŒêˆ","ê‚µê†ªêˆŒêˆ","ê‚µê†ªêˆŒêˆ"],
			PM: ["ê‚µê†ªêˆŒê‰ˆ","ê‚µê†ªêˆŒê‰ˆ","ê‚µê†ªêˆŒê‰ˆ"],
			eras: [{"name":"ê‡¬ê‘¼","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'êˆŽ' M'ê†ª' d'ê‘'",
				t: "tt h:mm",
				T: "H:mm:ss",
				f: "yyyy'êˆŽ' M'ê†ª' d'ê‘' tt h:mm",
				F: "yyyy'êˆŽ' M'ê†ª' d'ê‘' H:mm:ss",
				M: "M'ê†ª' d'ê‘'",
				Y: "yyyy'êˆŽ' M'ê†ª'"
			}
		}
	}
});

Globalize.addCultureInfo( "arn", "default", {
	name: "arn",
	englishName: "Mapudungun",
	nativeName: "Mapudungun",
	language: "arn",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "moh", "default", {
	name: "moh",
	englishName: "Mohawk",
	nativeName: "Kanien'kÃ©ha",
	language: "moh",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["AwentatokentÃ¬:ke","AwentataÃ³n'ke","Ratironhia'kehronÃ²n:ke","SosÃ©hne","OkaristiiÃ¡hne","Ronwaia'tanentaktonhne","EntÃ¡kta"],
				namesShort: ["S","M","T","W","T","F","S"]
			},
			months: {
				names: ["TsothohrkÃ³:Wa","Enniska","EnniskÃ³:Wa","OnerahtÃ³kha","OnerahtohkÃ³:Wa","Ohiari:Ha","OhiarihkÃ³:Wa","SeskÃ©ha","SeskehkÃ³:Wa","KentÃ©nha","KentenhkÃ³:Wa","TsothÃ³hrha",""]
			}
		}
	}
});

Globalize.addCultureInfo( "br", "default", {
	name: "br",
	englishName: "Breton",
	nativeName: "brezhoneg",
	language: "br",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "NkN",
		negativeInfinity: "-Anfin",
		positiveInfinity: "+Anfin",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Sul","Lun","Meurzh","Merc'her","Yaou","Gwener","Sadorn"],
				namesAbbr: ["Sul","Lun","Meu.","Mer.","Yaou","Gwe.","Sad."],
				namesShort: ["Su","Lu","Mz","Mc","Ya","Gw","Sa"]
			},
			months: {
				names: ["Genver","C'hwevrer","Meurzh","Ebrel","Mae","Mezheven","Gouere","Eost","Gwengolo","Here","Du","Kerzu",""],
				namesAbbr: ["Gen.","C'hwe.","Meur.","Ebr.","Mae","Mezh.","Goue.","Eost","Gwen.","Here","Du","Kzu",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"g. J.-K.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ug", "default", {
	name: "ug",
	englishName: "Uyghur",
	nativeName: "Ø¦Û‡ÙŠØºÛ‡Ø±Ú†Û•",
	language: "ug",
	isRTL: true,
	numberFormat: {
		"NaN": "Ø³Ø§Ù† Ø¦Û•Ù…Û•Ø³",
		negativeInfinity: "Ù…Û•Ù†Ù¾Ù‰ÙŠ Ú†Û•ÙƒØ³Ù‰Ø²Ù„Ù‰Ùƒ",
		positiveInfinity: "Ù…Û‡Ø³Ø¨Û•Øª Ú†Û•ÙƒØ³Ù‰Ø²Ù„Ù‰Ùƒ",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["ÙŠÛ•ÙƒØ´Û•Ù†Ø¨Û•","Ø¯ÛˆØ´Û•Ù†Ø¨Û•","Ø³Û•ÙŠØ´Û•Ù†Ø¨Û•","Ú†Ø§Ø±Ø´Û•Ù†Ø¨Û•","Ù¾Û•ÙŠØ´Û•Ù†Ø¨Û•","Ø¬ÛˆÙ…Û•","Ø´Û•Ù†Ø¨Û•"],
				namesAbbr: ["ÙŠÛ•","Ø¯Ûˆ","Ø³Û•","Ú†Ø§","Ù¾Û•","Ø¬Ûˆ","Ø´Û•"],
				namesShort: ["ÙŠ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["1-Ø¦Ø§ÙŠ","2-Ø¦Ø§ÙŠ","3-Ø¦Ø§ÙŠ","4-Ø¦Ø§ÙŠ","5-Ø¦Ø§ÙŠ","6-Ø¦Ø§ÙŠ","7-Ø¦Ø§ÙŠ","8-Ø¦Ø§ÙŠ","9-Ø¦Ø§ÙŠ","10-Ø¦Ø§ÙŠ","11-Ø¦Ø§ÙŠ","12-Ø¦Ø§ÙŠ",""],
				namesAbbr: ["1-Ø¦Ø§ÙŠ","2-Ø¦Ø§ÙŠ","3-Ø¦Ø§ÙŠ","4-Ø¦Ø§ÙŠ","5-Ø¦Ø§ÙŠ","6-Ø¦Ø§ÙŠ","7-Ø¦Ø§ÙŠ","8-Ø¦Ø§ÙŠ","9-Ø¦Ø§ÙŠ","10-Ø¦Ø§ÙŠ","11-Ø¦Ø§ÙŠ","12-Ø¦Ø§ÙŠ",""]
			},
			AM: ["Ú†ÛˆØ´ØªÙ‰Ù† Ø¨Û‡Ø±Û‡Ù†","Ú†ÛˆØ´ØªÙ‰Ù† Ø¨Û‡Ø±Û‡Ù†","Ú†ÛˆØ´ØªÙ‰Ù† Ø¨Û‡Ø±Û‡Ù†"],
			PM: ["Ú†ÛˆØ´ØªÙ‰Ù† ÙƒÛÙŠÙ‰Ù†","Ú†ÛˆØ´ØªÙ‰Ù† ÙƒÛÙŠÙ‰Ù†","Ú†ÛˆØ´ØªÙ‰Ù† ÙƒÛÙŠÙ‰Ù†"],
			eras: [{"name":"Ù…Ù‰Ù„Ø§Ø¯Ù‰","start":null,"offset":0}],
			patterns: {
				d: "yyyy-M-d",
				D: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM d-'ÙƒÛˆÙ†Ù‰ØŒ'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM d-'ÙƒÛˆÙ†Ù‰ØŒ' H:mm",
				F: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM d-'ÙƒÛˆÙ†Ù‰ØŒ' H:mm:ss",
				M: "MMMM d'-ÙƒÛˆÙ†Ù‰'",
				Y: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mi", "default", {
	name: "mi",
	englishName: "Maori",
	nativeName: "Reo MÄori",
	language: "mi",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["RÄtapu","RÄhina","RÄtÅ«","RÄapa","RÄpare","RÄmere","RÄhoroi"],
				namesAbbr: ["Ta","Hi","TÅ«","Apa","Pa","Me","Ho"],
				namesShort: ["Ta","Hi","TÅ«","Aa","Pa","Me","Ho"]
			},
			months: {
				names: ["Kohi-tÄtea","Hui-tanguru","PoutÅ«-te-rangi","Paenga-whÄwhÄ","Haratua","Pipiri","HÅngongoi","Here-turi-kÅkÄ","Mahuru","Whiringa-Ä-nuku","Whiringa-Ä-rangi","Hakihea",""],
				namesAbbr: ["Kohi","Hui","Pou","Pae","Hara","Pipi","HÅngo","Here","Mahu","Nuku","Rangi","Haki",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd MMMM, yyyy",
				f: "dddd, dd MMMM, yyyy h:mm tt",
				F: "dddd, dd MMMM, yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM, yy"
			}
		}
	}
});

Globalize.addCultureInfo( "oc", "default", {
	name: "oc",
	englishName: "Occitan",
	nativeName: "Occitan",
	language: "oc",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non Numeric",
		negativeInfinity: "-Infinit",
		positiveInfinity: "+Infinit",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimenge","diluns","dimars","dimÃ¨cres","dijÃ²us","divendres","dissabte"],
				namesAbbr: ["dim.","lun.","mar.","mÃ¨c.","jÃ²u.","ven.","sab."],
				namesShort: ["di","lu","ma","mÃ¨","jÃ²","ve","sa"]
			},
			months: {
				names: ["genier","febrier","marÃ§","abril","mai","junh","julh","agost","setembre","octobre","novembre","desembre",""],
				namesAbbr: ["gen.","feb.","mar.","abr.","mai.","jun.","jul.","ag.","set.","oct.","nov.","des.",""]
			},
			monthsGenitive: {
				names: ["de genier","de febrier","de marÃ§","d'abril","de mai","de junh","de julh","d'agost","de setembre","d'octobre","de novembre","de desembre",""],
				namesAbbr: ["gen.","feb.","mar.","abr.","mai.","jun.","jul.","ag.","set.","oct.","nov.","des.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"aprÃ¨s JÃ¨sus-Crist","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd,' lo 'd MMMM' de 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd,' lo 'd MMMM' de 'yyyy HH:mm",
				F: "dddd,' lo 'd MMMM' de 'yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "co", "default", {
	name: "co",
	englishName: "Corsican",
	nativeName: "Corsu",
	language: "co",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Mica numericu",
		negativeInfinity: "-Infinitu",
		positiveInfinity: "+Infinitu",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dumenica","luni","marti","mercuri","ghjovi","venderi","sabbatu"],
				namesAbbr: ["dum.","lun.","mar.","mer.","ghj.","ven.","sab."],
				namesShort: ["du","lu","ma","me","gh","ve","sa"]
			},
			months: {
				names: ["ghjennaghju","ferraghju","marzu","aprile","maghju","ghjunghju","lugliu","aostu","settembre","ottobre","nuvembre","dicembre",""],
				namesAbbr: ["ghje","ferr","marz","apri","magh","ghju","lugl","aost","sett","otto","nuve","dice",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"dopu J-C","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "gsw", "default", {
	name: "gsw",
	englishName: "Alsatian",
	nativeName: "ElsÃ¤ssisch",
	language: "gsw",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Ohne Nummer",
		negativeInfinity: "-Unendlich",
		positiveInfinity: "+Unendlich",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["SundÃ Ã ","MondÃ Ã ","DienschdÃ Ã ","Mittwuch","DunnerschdÃ Ã ","FridÃ Ã ","SÃ mschdÃ Ã "],
				namesAbbr: ["Su.","Mo.","Di.","Mi.","Du.","Fr.","SÃ ."],
				namesShort: ["Su","Mo","Di","Mi","Du","Fr","SÃ "]
			},
			months: {
				names: ["JÃ¤nner","Feverje","MÃ¤rz","Ã€pril","Mai","JÃ¼ni","JÃ¼li","Augscht","September","Oktower","Nowember","Dezember",""],
				namesAbbr: ["JÃ¤n.","Fev.","MÃ¤rz","Apr.","Mai","JÃ¼ni","JÃ¼li","Aug.","Sept.","Okt.","Now.","Dez.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Vor J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sah", "default", {
	name: "sah",
	englishName: "Yakut",
	nativeName: "ÑÐ°Ñ…Ð°",
	language: "sah",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "NAN",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "Ñ."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð±Ð°ÑÐºÑ‹Ò»Ñ‹Ð°Ð½Ð½ÑŒÐ°","Ð±ÑÐ½Ð¸Ð´Ð¸ÑÐ½Ð½ÑŒÐ¸Ðº","Ð¾Ð¿Ñ‚ÑƒÐ¾Ñ€ÑƒÐ½Ð½ÑŒÑƒÐº","ÑÑÑ€ÑÐ´Ñ","Ñ‡ÑÐ¿Ð¿Ð¸ÑÑ€","Ð±ÑÑÑ‚Ð¸Ð½ÑÑ","ÑÑƒÐ±ÑƒÐ¾Ñ‚Ð°"],
				namesAbbr: ["Ð‘Ñ","Ð‘Ð½","ÐžÐ¿","Ð¡Ñ€","Ð§Ð¿","Ð‘Ñ‚","Ð¡Ð±"],
				namesShort: ["Ð‘Ñ","Ð‘Ð½","ÐžÐ¿","Ð¡Ñ€","Ð§Ð¿","Ð‘Ñ‚","Ð¡Ð±"]
			},
			months: {
				names: ["Ð¢Ð¾Ñ…ÑÑƒÐ½Ð½ÑŒÑƒ","ÐžÐ»ÑƒÐ½Ð½ÑŒÑƒ","ÐšÑƒÐ»ÑƒÐ½ Ñ‚ÑƒÑ‚Ð°Ñ€","ÐœÑƒÑƒÑ ÑƒÑÑ‚Ð°Ñ€","Ð«Ð°Ð¼ Ñ‹Ð¹Ð°","Ð‘ÑÑ Ñ‹Ð¹Ð°","ÐžÑ‚ Ñ‹Ð¹Ð°","ÐÑ‚Ñ‹Ñ€Ð´ÑŒÐ°Ñ… Ñ‹Ð¹Ð°","Ð‘Ð°Ð»Ð°Ò•Ð°Ð½ Ñ‹Ð¹Ð°","ÐÐ»Ñ‚Ñ‹Ð½Ð½ÑŒÑ‹","Ð¡ÑÑ‚Ð¸Ð½Ð½ÑŒÐ¸","ÐÑ…ÑÑ‹Ð½Ð½ÑŒÑ‹",""],
				namesAbbr: ["Ñ‚Ñ…Ñ","Ð¾Ð»Ð½","ÐºÑƒÐ»","Ð¼ÑÑ‚","Ñ‹Ð°Ð¼","Ð±ÑÑ","Ð¾Ñ‚Ð¹","Ð°Ñ‚Ñ€","Ð±Ð»Ò•","Ð°Ð»Ñ‚","ÑÑ‚Ð½","Ð°Ñ…Ñ",""]
			},
			monthsGenitive: {
				names: ["Ñ‚Ð¾Ñ…ÑÑƒÐ½Ð½ÑŒÑƒ","Ð¾Ð»ÑƒÐ½Ð½ÑŒÑƒ","ÐºÑƒÐ»ÑƒÐ½ Ñ‚ÑƒÑ‚Ð°Ñ€","Ð¼ÑƒÑƒÑ ÑƒÑÑ‚Ð°Ñ€","Ñ‹Ð°Ð¼ Ñ‹Ð¹Ñ‹Ð½","Ð±ÑÑ Ñ‹Ð¹Ñ‹Ð½","Ð¾Ñ‚ Ñ‹Ð¹Ñ‹Ð½","Ð°Ñ‚Ñ‹Ñ€Ð´ÑŒÐ°Ñ… Ñ‹Ð¹Ñ‹Ð½","Ð±Ð°Ð»Ð°Ò•Ð°Ð½ Ñ‹Ð¹Ñ‹Ð½","Ð°Ð»Ñ‚Ñ‹Ð½Ð½ÑŒÑ‹","ÑÑÑ‚Ð¸Ð½Ð½ÑŒÐ¸","Ð°Ñ…ÑÑ‹Ð½Ð½ÑŒÑ‹",""],
				namesAbbr: ["Ñ‚Ñ…Ñ","Ð¾Ð»Ð½","ÐºÑƒÐ»","Ð¼ÑÑ‚","Ñ‹Ð°Ð¼","Ð±ÑÑ","Ð¾Ñ‚Ð¹","Ð°Ñ‚Ñ€","Ð±Ð»Ò•","Ð°Ð»Ñ‚","ÑÑ‚Ð½","Ð°Ñ…Ñ",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "MM.dd.yyyy",
				D: "MMMM d yyyy 'Ñ.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d yyyy 'Ñ.' H:mm",
				F: "MMMM d yyyy 'Ñ.' H:mm:ss",
				Y: "MMMM yyyy 'Ñ.'"
			}
		}
	}
});

Globalize.addCultureInfo( "qut", "default", {
	name: "qut",
	englishName: "K'iche",
	nativeName: "K'iche",
	language: "qut",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			symbol: "Q"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["juq'ij","kaq'ij","oxq'ij","kajq'ij","joq'ij","waqq'ij","wuqq'ij"],
				namesAbbr: ["juq","kaq","oxq","kajq","joq","waqq","wuqq"],
				namesShort: ["ju","ka","ox","ka","jo","wa","wu"]
			},
			months: {
				names: ["nab'e ik'","ukab' ik'","rox ik'","ukaj ik'","uro' ik'","uwaq ik'","uwuq ik'","uwajxaq ik'","ub'elej ik'","ulaj ik'","ujulaj ik'","ukab'laj ik'",""],
				namesAbbr: ["nab'e","ukab","rox","ukaj","uro","uwaq","uwuq","uwajxaq","ub'elej","ulaj","ujulaj","ukab'laj",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "rw", "default", {
	name: "rw",
	englishName: "Kinyarwanda",
	nativeName: "Kinyarwanda",
	language: "rw",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "RWF"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Ku wa mbere","Ku wa kabiri","Ku wa gatatu","Ku wa kane","Ku wa gatanu","Ku wa gatandatu","Ku cyumweru"],
				namesAbbr: ["mbe.","kab.","gat.","kan.","gat.","gat.","cyu."],
				namesShort: ["mb","ka","ga","ka","ga","ga","cy"]
			},
			months: {
				names: ["Mutarama","Gashyantare","Werurwe","Mata","Gicurasi","Kamena","Nyakanga","Kanama","Nzeli","Ukwakira","Ugushyingo","Ukuboza",""],
				namesAbbr: ["Mut","Gas","Wer","Mat","Gic","Kam","Nya","Kan","Nze","Ukwa","Ugu","Uku",""]
			},
			AM: ["saa moya z.m.","saa moya z.m.","SAA MOYA Z.M."],
			PM: ["saa moya z.n.","saa moya z.n.","SAA MOYA Z.N."],
			eras: [{"name":"AD","start":null,"offset":0}]
		}
	}
});

Globalize.addCultureInfo( "wo", "default", {
	name: "wo",
	englishName: "Wolof",
	nativeName: "Wolof",
	language: "wo",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "XOF"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "prs", "default", {
	name: "prs",
	englishName: "Dari",
	nativeName: "Ø¯Ø±Ù‰",
	language: "prs",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		",": ".",
		".": ",",
		"NaN": "Øº Ø¹",
		negativeInfinity: "-âˆž",
		positiveInfinity: "âˆž",
		percent: {
			pattern: ["%n-","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$n-","$n"],
			symbol: "Ø‹"
		}
	},
	calendars: {
		standard: {
			name: "Hijri",
			firstDay: 5,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				f: "dd/MM/yyyy h:mm tt",
				F: "dd/MM/yyyy h:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_Localized: {
			firstDay: 5,
			days: {
				names: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesAbbr: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesShort: ["ÛŒ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§Úš","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„ÙŠÙ†Ø¯Û","Ù…Ø±ØºÙˆÙ…Ù‰",""],
				namesAbbr: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§Úš","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„ÙŠÙ†Ø¯Û","Ù…Ø±ØºÙˆÙ…Ù‰",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ù„.Ù‡","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy, dd, MMMM, dddd",
				f: "yyyy, dd, MMMM, dddd h:mm tt",
				F: "yyyy, dd, MMMM, dddd h:mm:ss tt",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "gd", "default", {
	name: "gd",
	englishName: "Scottish Gaelic",
	nativeName: "GÃ idhlig",
	language: "gd",
	numberFormat: {
		negativeInfinity: "-Neo-chrÃ¬ochnachd",
		positiveInfinity: "Neo-chrÃ¬ochnachd",
		currency: {
			pattern: ["-$n","$n"],
			symbol: "Â£"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["DidÃ²mhnaich","Diluain","DimÃ irt","Diciadain","Diardaoin","Dihaoine","Disathairne"],
				namesAbbr: ["DÃ²m","Lua","MÃ i","Cia","Ard","Hao","Sat"],
				namesShort: ["D","L","M","C","A","H","S"]
			},
			months: {
				names: ["Am Faoilleach","An Gearran","Am MÃ rt","An Giblean","An CÃ¨itean","An t-Ã’gmhios","An t-Iuchar","An LÃ¹nastal","An t-Sultain","An DÃ mhair","An t-Samhain","An DÃ¹bhlachd",""],
				namesAbbr: ["Fao","Gea","MÃ r","Gib","CÃ¨i","Ã’gm","Iuc","LÃ¹n","Sul","DÃ m","Sam","DÃ¹b",""]
			},
			AM: ["m","m","M"],
			PM: ["f","f","F"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-SA", "default", {
	name: "ar-SA",
	englishName: "Arabic (Saudi Arabia)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ù…Ù…Ù„ÙƒØ© Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© Ø§Ù„Ø³Ø¹ÙˆØ¯ÙŠØ©)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø±.Ø³.\u200f"
		}
	},
	calendars: {
		standard: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_Localized: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "bg-BG", "default", {
	name: "bg-BG",
	englishName: "Bulgarian (Bulgaria)",
	nativeName: "Ð±ÑŠÐ»Ð³Ð°Ñ€ÑÐºÐ¸ (Ð‘ÑŠÐ»Ð³Ð°Ñ€Ð¸Ñ)",
	language: "bg",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "- Ð±ÐµÐ·ÐºÑ€Ð°Ð¹Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+ Ð±ÐµÐ·ÐºÑ€Ð°Ð¹Ð½Ð¾ÑÑ‚",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ð»Ð²."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÐ»Ñ","Ð¿Ð¾Ð½ÐµÐ´ÐµÐ»Ð½Ð¸Ðº","Ð²Ñ‚Ð¾Ñ€Ð½Ð¸Ðº","ÑÑ€ÑÐ´Ð°","Ñ‡ÐµÑ‚Ð²ÑŠÑ€Ñ‚ÑŠÐº","Ð¿ÐµÑ‚ÑŠÐº","ÑÑŠÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","Ð²Ñ‚","ÑÑ€","Ñ‡ÐµÑ‚Ð²","Ð¿ÐµÑ‚","ÑÑŠÐ±"],
				namesShort: ["Ð½","Ð¿","Ð²","Ñ","Ñ‡","Ð¿","Ñ"]
			},
			months: {
				names: ["ÑÐ½ÑƒÐ°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€ÑƒÐ°Ñ€Ð¸","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ð¹","ÑŽÐ½Ð¸","ÑŽÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð²Ñ€Ð¸","Ð¾ÐºÑ‚Ð¾Ð¼Ð²Ñ€Ð¸","Ð½Ð¾ÐµÐ¼Ð²Ñ€Ð¸","Ð´ÐµÐºÐµÐ¼Ð²Ñ€Ð¸",""],
				namesAbbr: ["ÑÐ½","Ñ„ÐµÐ²Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","ÑŽÐ½Ð¸","ÑŽÐ»Ð¸","Ð°Ð²Ð³","ÑÐµÐ¿Ñ‚","Ð¾ÐºÑ‚","Ð½Ð¾ÐµÐ¼Ð²Ñ€Ð¸","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ÑÐ»ÐµÐ´ Ð½Ð¾Ð²Ð°Ñ‚Ð° ÐµÑ€Ð°","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy 'Ð³.'",
				D: "dd MMMM yyyy 'Ð³.'",
				t: "HH:mm 'Ñ‡.'",
				T: "HH:mm:ss 'Ñ‡.'",
				f: "dd MMMM yyyy 'Ð³.' HH:mm 'Ñ‡.'",
				F: "dd MMMM yyyy 'Ð³.' HH:mm:ss 'Ñ‡.'",
				M: "dd MMMM",
				Y: "MMMM yyyy 'Ð³.'"
			}
		}
	}
});

Globalize.addCultureInfo( "ca-ES", "default", {
	name: "ca-ES",
	englishName: "Catalan (Catalan)",
	nativeName: "catalÃ  (catalÃ )",
	language: "ca",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinit",
		positiveInfinity: "Infinit",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["diumenge","dilluns","dimarts","dimecres","dijous","divendres","dissabte"],
				namesAbbr: ["dg.","dl.","dt.","dc.","dj.","dv.","ds."],
				namesShort: ["dg","dl","dt","dc","dj","dv","ds"]
			},
			months: {
				names: ["gener","febrer","marÃ§","abril","maig","juny","juliol","agost","setembre","octubre","novembre","desembre",""],
				namesAbbr: ["gen","feb","marÃ§","abr","maig","juny","jul","ag","set","oct","nov","des",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d' / 'MMMM' / 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' / 'MMMM' / 'yyyy HH:mm",
				F: "dddd, d' / 'MMMM' / 'yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' / 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-TW", "default", {
	name: "zh-TW",
	englishName: "Chinese (Traditional, Taiwan)",
	nativeName: "ä¸­æ–‡(å°ç£)",
	language: "zh-CHT",
	numberFormat: {
		"NaN": "ä¸æ˜¯ä¸€å€‹æ•¸å­—",
		negativeInfinity: "è² ç„¡çª®å¤§",
		positiveInfinity: "æ­£ç„¡çª®å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "NT$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["é€±æ—¥","é€±ä¸€","é€±äºŒ","é€±ä¸‰","é€±å››","é€±äº”","é€±å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"è¥¿å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "tt hh:mm",
				T: "tt hh:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' tt hh:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' tt hh:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		},
		Taiwan: {
			name: "Taiwan",
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["é€±æ—¥","é€±ä¸€","é€±äºŒ","é€±ä¸‰","é€±å››","é€±äº”","é€±å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"","start":null,"offset":1911}],
			twoDigitYearMax: 99,
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "tt hh:mm",
				T: "tt hh:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' tt hh:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' tt hh:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "cs-CZ", "default", {
	name: "cs-CZ",
	englishName: "Czech (Czech Republic)",
	nativeName: "ÄeÅ¡tina (ÄŒeskÃ¡Â republika)",
	language: "cs",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "NenÃ­ ÄÃ­slo",
		negativeInfinity: "-nekoneÄno",
		positiveInfinity: "+nekoneÄno",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "KÄ"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedÄ›le","pondÄ›lÃ­","ÃºterÃ½","stÅ™eda","Ätvrtek","pÃ¡tek","sobota"],
				namesAbbr: ["ne","po","Ãºt","st","Ät","pÃ¡","so"],
				namesShort: ["ne","po","Ãºt","st","Ät","pÃ¡","so"]
			},
			months: {
				names: ["leden","Ãºnor","bÅ™ezen","duben","kvÄ›ten","Äerven","Äervenec","srpen","zÃ¡Å™Ã­","Å™Ã­jen","listopad","prosinec",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			monthsGenitive: {
				names: ["ledna","Ãºnora","bÅ™ezna","dubna","kvÄ›tna","Äervna","Äervence","srpna","zÃ¡Å™Ã­","Å™Ã­jna","listopadu","prosince",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["dop.","dop.","DOP."],
			PM: ["odp.","odp.","ODP."],
			eras: [{"name":"n. l.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "da-DK", "default", {
	name: "da-DK",
	englishName: "Danish (Denmark)",
	nativeName: "dansk (Danmark)",
	language: "da",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mandag","tirsdag","onsdag","torsdag","fredag","lÃ¸rdag"],
				namesAbbr: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"],
				namesShort: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"]
			},
			months: {
				names: ["januar","februar","marts","april","maj","juni","juli","august","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "de-DE", "default", {
	name: "de-DE",
	englishName: "German (Germany)",
	nativeName: "Deutsch (Deutschland)",
	language: "de",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "el-GR", "default", {
	name: "el-GR",
	englishName: "Greek (Greece)",
	nativeName: "Î•Î»Î»Î·Î½Î¹ÎºÎ¬ (Î•Î»Î»Î¬Î´Î±)",
	language: "el",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "Î¼Î·Â Î±ÏÎ¹Î¸Î¼ÏŒÏ‚",
		negativeInfinity: "-Î†Ï€ÎµÎ¹ÏÎ¿",
		positiveInfinity: "Î†Ï€ÎµÎ¹ÏÎ¿",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["ÎšÏ…ÏÎ¹Î±ÎºÎ®","Î”ÎµÏ…Ï„Î­ÏÎ±","Î¤ÏÎ¯Ï„Î·","Î¤ÎµÏ„Î¬ÏÏ„Î·","Î Î­Î¼Ï€Ï„Î·","Î Î±ÏÎ±ÏƒÎºÎµÏ…Î®","Î£Î¬Î²Î²Î±Ï„Î¿"],
				namesAbbr: ["ÎšÏ…Ï","Î”ÎµÏ…","Î¤ÏÎ¹","Î¤ÎµÏ„","Î ÎµÎ¼","Î Î±Ï","Î£Î±Î²"],
				namesShort: ["ÎšÏ…","Î”Îµ","Î¤Ï","Î¤Îµ","Î Îµ","Î Î±","Î£Î¬"]
			},
			months: {
				names: ["Î™Î±Î½Î¿Ï…Î¬ÏÎ¹Î¿Ï‚","Î¦ÎµÎ²ÏÎ¿Ï…Î¬ÏÎ¹Î¿Ï‚","ÎœÎ¬ÏÏ„Î¹Î¿Ï‚","Î‘Ï€ÏÎ¯Î»Î¹Î¿Ï‚","ÎœÎ¬Î¹Î¿Ï‚","Î™Î¿ÏÎ½Î¹Î¿Ï‚","Î™Î¿ÏÎ»Î¹Î¿Ï‚","Î‘ÏÎ³Î¿Ï…ÏƒÏ„Î¿Ï‚","Î£ÎµÏ€Ï„Î­Î¼Î²ÏÎ¹Î¿Ï‚","ÎŸÎºÏ„ÏŽÎ²ÏÎ¹Î¿Ï‚","ÎÎ¿Î­Î¼Î²ÏÎ¹Î¿Ï‚","Î”ÎµÎºÎ­Î¼Î²ÏÎ¹Î¿Ï‚",""],
				namesAbbr: ["Î™Î±Î½","Î¦ÎµÎ²","ÎœÎ±Ï","Î‘Ï€Ï","ÎœÎ±ÏŠ","Î™Î¿Ï…Î½","Î™Î¿Ï…Î»","Î‘Ï…Î³","Î£ÎµÏ€","ÎŸÎºÏ„","ÎÎ¿Îµ","Î”ÎµÎº",""]
			},
			monthsGenitive: {
				names: ["Î™Î±Î½Î¿Ï…Î±ÏÎ¯Î¿Ï…","Î¦ÎµÎ²ÏÎ¿Ï…Î±ÏÎ¯Î¿Ï…","ÎœÎ±ÏÏ„Î¯Î¿Ï…","Î‘Ï€ÏÎ¹Î»Î¯Î¿Ï…","ÎœÎ±ÎÎ¿Ï…","Î™Î¿Ï…Î½Î¯Î¿Ï…","Î™Î¿Ï…Î»Î¯Î¿Ï…","Î‘Ï…Î³Î¿ÏÏƒÏ„Î¿Ï…","Î£ÎµÏ€Ï„ÎµÎ¼Î²ÏÎ¯Î¿Ï…","ÎŸÎºÏ„Ï‰Î²ÏÎ¯Î¿Ï…","ÎÎ¿ÎµÎ¼Î²ÏÎ¯Î¿Ï…","Î”ÎµÎºÎµÎ¼Î²ÏÎ¯Î¿Ï…",""],
				namesAbbr: ["Î™Î±Î½","Î¦ÎµÎ²","ÎœÎ±Ï","Î‘Ï€Ï","ÎœÎ±ÏŠ","Î™Î¿Ï…Î½","Î™Î¿Ï…Î»","Î‘Ï…Î³","Î£ÎµÏ€","ÎŸÎºÏ„","ÎÎ¿Îµ","Î”ÎµÎº",""]
			},
			AM: ["Ï€Î¼","Ï€Î¼","Î Îœ"],
			PM: ["Î¼Î¼","Î¼Î¼","ÎœÎœ"],
			eras: [{"name":"Î¼.Î§.","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "dddd, d MMMM yyyy",
				f: "dddd, d MMMM yyyy h:mm tt",
				F: "dddd, d MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-US", "default", {
	name: "en-US",
	englishName: "English (United States)"
});

Globalize.addCultureInfo( "fi-FI", "default", {
	name: "fi-FI",
	englishName: "Finnish (Finland)",
	nativeName: "suomi (Suomi)",
	language: "fi",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sunnuntai","maanantai","tiistai","keskiviikko","torstai","perjantai","lauantai"],
				namesAbbr: ["su","ma","ti","ke","to","pe","la"],
				namesShort: ["su","ma","ti","ke","to","pe","la"]
			},
			months: {
				names: ["tammikuu","helmikuu","maaliskuu","huhtikuu","toukokuu","kesÃ¤kuu","heinÃ¤kuu","elokuu","syyskuu","lokakuu","marraskuu","joulukuu",""],
				namesAbbr: ["tammi","helmi","maalis","huhti","touko","kesÃ¤","heinÃ¤","elo","syys","loka","marras","joulu",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM'ta 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM'ta 'yyyy H:mm",
				F: "d. MMMM'ta 'yyyy H:mm:ss",
				M: "d. MMMM'ta'",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr-FR", "default", {
	name: "fr-FR",
	englishName: "French (France)",
	nativeName: "franÃ§ais (France)",
	language: "fr",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "he-IL", "default", {
	name: "he-IL",
	englishName: "Hebrew (Israel)",
	nativeName: "×¢×‘×¨×™×ª (×™×©×¨××œ)",
	language: "he",
	isRTL: true,
	numberFormat: {
		"NaN": "×œ× ×ž×¡×¤×¨",
		negativeInfinity: "××™× ×¡×•×£Â ×©×œ×™×œ×™",
		positiveInfinity: "××™× ×¡×•×£Â ×—×™×•×‘×™",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "â‚ª"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["×™×•×Â ×¨××©×•×Ÿ","×™×•×Â ×©× ×™","×™×•×Â ×©×œ×™×©×™","×™×•×Â ×¨×‘×™×¢×™","×™×•×Â ×—×ž×™×©×™","×™×•×Â ×©×™×©×™","×©×‘×ª"],
				namesAbbr: ["×™×•×Â ×","×™×•×Â ×‘","×™×•×Â ×’","×™×•×Â ×“","×™×•×Â ×”","×™×•×Â ×•","×©×‘×ª"],
				namesShort: ["×","×‘","×’","×“","×”","×•","×©"]
			},
			months: {
				names: ["×™× ×•××¨","×¤×‘×¨×•××¨","×ž×¨×¥","××¤×¨×™×œ","×ž××™","×™×•× ×™","×™×•×œ×™","××•×’×•×¡×˜","×¡×¤×˜×ž×‘×¨","××•×§×˜×•×‘×¨","× ×•×‘×ž×‘×¨","×“×¦×ž×‘×¨",""],
				namesAbbr: ["×™× ×•","×¤×‘×¨","×ž×¨×¥","××¤×¨","×ž××™","×™×•× ","×™×•×œ","××•×’","×¡×¤×˜","××•×§","× ×•×‘","×“×¦×ž",""]
			},
			eras: [{"name":"×œ×¡×¤×™×¨×”","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd dd MMMM yyyy HH:mm",
				F: "dddd dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		},
		Hebrew: {
			name: "Hebrew",
			"/": " ",
			days: {
				names: ["×™×•×Â ×¨××©×•×Ÿ","×™×•×Â ×©× ×™","×™×•×Â ×©×œ×™×©×™","×™×•×Â ×¨×‘×™×¢×™","×™×•×Â ×—×ž×™×©×™","×™×•×Â ×©×™×©×™","×©×‘×ª"],
				namesAbbr: ["×","×‘","×’","×“","×”","×•","×©"],
				namesShort: ["×","×‘","×’","×“","×”","×•","×©"]
			},
			months: {
				names: ["×ª×©×¨×™","×—×©×•×Ÿ","×›×¡×œ×•","×˜×‘×ª","×©×‘×˜","××“×¨","××“×¨ ×‘","× ×™×¡×Ÿ","××™×™×¨","×¡×™×•×Ÿ","×ª×ž×•×–","××‘","××œ×•×œ"],
				namesAbbr: ["×ª×©×¨×™","×—×©×•×Ÿ","×›×¡×œ×•","×˜×‘×ª","×©×‘×˜","××“×¨","××“×¨ ×‘","× ×™×¡×Ÿ","××™×™×¨","×¡×™×•×Ÿ","×ª×ž×•×–","××‘","××œ×•×œ"]
			},
			eras: [{"name":"C.E.","start":null,"offset":0}],
			twoDigitYearMax: 5790,
			patterns: {
				d: "dd MMMM yyyy",
				D: "dddd dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd dd MMMM yyyy HH:mm",
				F: "dddd dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hu-HU", "default", {
	name: "hu-HU",
	englishName: "Hungarian (Hungary)",
	nativeName: "magyar (MagyarorszÃ¡g)",
	language: "hu",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "nem szÃ¡m",
		negativeInfinity: "negatÃ­v vÃ©gtelen",
		positiveInfinity: "vÃ©gtelen",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ft"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["vasÃ¡rnap","hÃ©tfÅ‘","kedd","szerda","csÃ¼tÃ¶rtÃ¶k","pÃ©ntek","szombat"],
				namesAbbr: ["V","H","K","Sze","Cs","P","Szo"],
				namesShort: ["V","H","K","Sze","Cs","P","Szo"]
			},
			months: {
				names: ["januÃ¡r","februÃ¡r","mÃ¡rcius","Ã¡prilis","mÃ¡jus","jÃºnius","jÃºlius","augusztus","szeptember","oktÃ³ber","november","december",""],
				namesAbbr: ["jan.","febr.","mÃ¡rc.","Ã¡pr.","mÃ¡j.","jÃºn.","jÃºl.","aug.","szept.","okt.","nov.","dec.",""]
			},
			AM: ["de.","de.","DE."],
			PM: ["du.","du.","DU."],
			eras: [{"name":"i.sz.","start":null,"offset":0}],
			patterns: {
				d: "yyyy.MM.dd.",
				D: "yyyy. MMMM d.",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy. MMMM d. H:mm",
				F: "yyyy. MMMM d. H:mm:ss",
				M: "MMMM d.",
				Y: "yyyy. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "is-IS", "default", {
	name: "is-IS",
	englishName: "Icelandic (Iceland)",
	nativeName: "Ã­slenska (Ãsland)",
	language: "is",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			decimals: 0,
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sunnudagur","mÃ¡nudagur","Ã¾riÃ°judagur","miÃ°vikudagur","fimmtudagur","fÃ¶studagur","laugardagur"],
				namesAbbr: ["sun.","mÃ¡n.","Ã¾ri.","miÃ°.","fim.","fÃ¶s.","lau."],
				namesShort: ["su","mÃ¡","Ã¾r","mi","fi","fÃ¶","la"]
			},
			months: {
				names: ["janÃºar","febrÃºar","mars","aprÃ­l","maÃ­","jÃºnÃ­","jÃºlÃ­","Ã¡gÃºst","september","oktÃ³ber","nÃ³vember","desember",""],
				namesAbbr: ["jan.","feb.","mar.","apr.","maÃ­","jÃºn.","jÃºl.","Ã¡gÃº.","sep.","okt.","nÃ³v.","des.",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "it-IT", "default", {
	name: "it-IT",
	englishName: "Italian (Italy)",
	nativeName: "italiano (Italia)",
	language: "it",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "Non un numero reale",
		negativeInfinity: "-Infinito",
		positiveInfinity: "+Infinito",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domenica","lunedÃ¬","martedÃ¬","mercoledÃ¬","giovedÃ¬","venerdÃ¬","sabato"],
				namesAbbr: ["dom","lun","mar","mer","gio","ven","sab"],
				namesShort: ["do","lu","ma","me","gi","ve","sa"]
			},
			months: {
				names: ["gennaio","febbraio","marzo","aprile","maggio","giugno","luglio","agosto","settembre","ottobre","novembre","dicembre",""],
				namesAbbr: ["gen","feb","mar","apr","mag","giu","lug","ago","set","ott","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ja-JP", "default", {
	name: "ja-JP",
	englishName: "Japanese (Japan)",
	nativeName: "æ—¥æœ¬èªž (æ—¥æœ¬)",
	language: "ja",
	numberFormat: {
		"NaN": "NaN (éžæ•°å€¤)",
		negativeInfinity: "-âˆž",
		positiveInfinity: "+âˆž",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["-$n","$n"],
			decimals: 0,
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ—¥æ›œæ—¥","æœˆæ›œæ—¥","ç«æ›œæ—¥","æ°´æ›œæ—¥","æœ¨æ›œæ—¥","é‡‘æ›œæ—¥","åœŸæ›œæ—¥"],
				namesAbbr: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"],
				namesShort: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"]
			},
			months: {
				names: ["1æœˆ","2æœˆ","3æœˆ","4æœˆ","5æœˆ","6æœˆ","7æœˆ","8æœˆ","9æœˆ","10æœˆ","11æœˆ","12æœˆ",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["åˆå‰","åˆå‰","åˆå‰"],
			PM: ["åˆå¾Œ","åˆå¾Œ","åˆå¾Œ"],
			eras: [{"name":"è¥¿æš¦","start":null,"offset":0}],
			patterns: {
				d: "yyyy/MM/dd",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		},
		Japanese: {
			name: "Japanese",
			days: {
				names: ["æ—¥æ›œæ—¥","æœˆæ›œæ—¥","ç«æ›œæ—¥","æ°´æ›œæ—¥","æœ¨æ›œæ—¥","é‡‘æ›œæ—¥","åœŸæ›œæ—¥"],
				namesAbbr: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"],
				namesShort: ["æ—¥","æœˆ","ç«","æ°´","æœ¨","é‡‘","åœŸ"]
			},
			months: {
				names: ["1æœˆ","2æœˆ","3æœˆ","4æœˆ","5æœˆ","6æœˆ","7æœˆ","8æœˆ","9æœˆ","10æœˆ","11æœˆ","12æœˆ",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["åˆå‰","åˆå‰","åˆå‰"],
			PM: ["åˆå¾Œ","åˆå¾Œ","åˆå¾Œ"],
			eras: [{"name":"å¹³æˆ","start":null,"offset":1867},{"name":"æ˜­å’Œ","start":-1812153600000,"offset":1911},{"name":"å¤§æ­£","start":-1357603200000,"offset":1925},{"name":"æ˜Žæ²»","start":60022080000,"offset":1988}],
			twoDigitYearMax: 99,
			patterns: {
				d: "gg y/M/d",
				D: "gg y'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "gg y'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "gg y'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "gg y'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "ko-KR", "default", {
	name: "ko-KR",
	englishName: "Korean (Korea)",
	nativeName: "í•œêµ­ì–´ (ëŒ€í•œë¯¼êµ­)",
	language: "ko",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			decimals: 0,
			symbol: "â‚©"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["ì¼ìš”ì¼","ì›”ìš”ì¼","í™”ìš”ì¼","ìˆ˜ìš”ì¼","ëª©ìš”ì¼","ê¸ˆìš”ì¼","í† ìš”ì¼"],
				namesAbbr: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "],
				namesShort: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "]
			},
			months: {
				names: ["1ì›”","2ì›”","3ì›”","4ì›”","5ì›”","6ì›”","7ì›”","8ì›”","9ì›”","10ì›”","11ì›”","12ì›”",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["ì˜¤ì „","ì˜¤ì „","ì˜¤ì „"],
			PM: ["ì˜¤í›„","ì˜¤í›„","ì˜¤í›„"],
			eras: [{"name":"ì„œê¸°","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "yyyy'ë…„' M'ì›”' d'ì¼' dddd",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm",
				F: "yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm:ss",
				M: "M'ì›”' d'ì¼'",
				Y: "yyyy'ë…„' M'ì›”'"
			}
		},
		Korean: {
			name: "Korean",
			"/": "-",
			days: {
				names: ["ì¼ìš”ì¼","ì›”ìš”ì¼","í™”ìš”ì¼","ìˆ˜ìš”ì¼","ëª©ìš”ì¼","ê¸ˆìš”ì¼","í† ìš”ì¼"],
				namesAbbr: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "],
				namesShort: ["ì¼","ì›”","í™”","ìˆ˜","ëª©","ê¸ˆ","í† "]
			},
			months: {
				names: ["1ì›”","2ì›”","3ì›”","4ì›”","5ì›”","6ì›”","7ì›”","8ì›”","9ì›”","10ì›”","11ì›”","12ì›”",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["ì˜¤ì „","ì˜¤ì „","ì˜¤ì „"],
			PM: ["ì˜¤í›„","ì˜¤í›„","ì˜¤í›„"],
			eras: [{"name":"ë‹¨ê¸°","start":null,"offset":-2333}],
			twoDigitYearMax: 4362,
			patterns: {
				d: "gg yyyy-MM-dd",
				D: "gg yyyy'ë…„' M'ì›”' d'ì¼' dddd",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "gg yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm",
				F: "gg yyyy'ë…„' M'ì›”' d'ì¼' dddd tt h:mm:ss",
				M: "M'ì›”' d'ì¼'",
				Y: "gg yyyy'ë…„' M'ì›”'"
			}
		}
	}
});

Globalize.addCultureInfo( "nl-NL", "default", {
	name: "nl-NL",
	englishName: "Dutch (Netherlands)",
	nativeName: "Nederlands (Nederland)",
	language: "nl",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["zondag","maandag","dinsdag","woensdag","donderdag","vrijdag","zaterdag"],
				namesAbbr: ["zo","ma","di","wo","do","vr","za"],
				namesShort: ["zo","ma","di","wo","do","vr","za"]
			},
			months: {
				names: ["januari","februari","maart","april","mei","juni","juli","augustus","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mrt","apr","mei","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d-M-yyyy",
				D: "dddd d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd d MMMM yyyy H:mm",
				F: "dddd d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "nb-NO", "default", {
	name: "nb-NO",
	englishName: "Norwegian, BokmÃ¥l (Norway)",
	nativeName: "norsk, bokmÃ¥l (Norge)",
	language: "nb",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mandag","tirsdag","onsdag","torsdag","fredag","lÃ¸rdag"],
				namesAbbr: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"],
				namesShort: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"]
			},
			months: {
				names: ["januar","februar","mars","april","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "pl-PL", "default", {
	name: "pl-PL",
	englishName: "Polish (Poland)",
	nativeName: "polski (Polska)",
	language: "pl",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "nie jest liczbÄ…",
		negativeInfinity: "-nieskoÅ„czonoÅ›Ä‡",
		positiveInfinity: "+nieskoÅ„czonoÅ›Ä‡",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "zÅ‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["niedziela","poniedziaÅ‚ek","wtorek","Å›roda","czwartek","piÄ…tek","sobota"],
				namesAbbr: ["N","Pn","Wt","Åšr","Cz","Pt","So"],
				namesShort: ["N","Pn","Wt","Åšr","Cz","Pt","So"]
			},
			months: {
				names: ["styczeÅ„","luty","marzec","kwiecieÅ„","maj","czerwiec","lipiec","sierpieÅ„","wrzesieÅ„","paÅºdziernik","listopad","grudzieÅ„",""],
				namesAbbr: ["sty","lut","mar","kwi","maj","cze","lip","sie","wrz","paÅº","lis","gru",""]
			},
			monthsGenitive: {
				names: ["stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia","wrzeÅ›nia","paÅºdziernika","listopada","grudnia",""],
				namesAbbr: ["sty","lut","mar","kwi","maj","cze","lip","sie","wrz","paÅº","lis","gru",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "pt-BR", "default", {
	name: "pt-BR",
	englishName: "Portuguese (Brazil)",
	nativeName: "PortuguÃªs (Brasil)",
	language: "pt",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NaN (NÃ£o Ã© um nÃºmero)",
		negativeInfinity: "-Infinito",
		positiveInfinity: "+Infinito",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ",",
			symbol: "R$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","segunda-feira","terÃ§a-feira","quarta-feira","quinta-feira","sexta-feira","sÃ¡bado"],
				namesAbbr: ["dom","seg","ter","qua","qui","sex","sÃ¡b"],
				namesShort: ["D","S","T","Q","Q","S","S"]
			},
			months: {
				names: ["janeiro","fevereiro","marÃ§o","abril","maio","junho","julho","agosto","setembro","outubro","novembro","dezembro",""],
				namesAbbr: ["jan","fev","mar","abr","mai","jun","jul","ago","set","out","nov","dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d' de 'MMMM' de 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' de 'MMMM' de 'yyyy HH:mm",
				F: "dddd, d' de 'MMMM' de 'yyyy HH:mm:ss",
				M: "dd' de 'MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "rm-CH", "default", {
	name: "rm-CH",
	englishName: "Romansh (Switzerland)",
	nativeName: "Rumantsch (Svizra)",
	language: "rm",
	numberFormat: {
		",": "'",
		"NaN": "betg def.",
		negativeInfinity: "-infinit",
		positiveInfinity: "+infinit",
		percent: {
			pattern: ["-n%","n%"],
			",": "'"
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "'",
			symbol: "fr."
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dumengia","glindesdi","mardi","mesemna","gievgia","venderdi","sonda"],
				namesAbbr: ["du","gli","ma","me","gie","ve","so"],
				namesShort: ["du","gli","ma","me","gie","ve","so"]
			},
			months: {
				names: ["schaner","favrer","mars","avrigl","matg","zercladur","fanadur","avust","settember","october","november","december",""],
				namesAbbr: ["schan","favr","mars","avr","matg","zercl","fan","avust","sett","oct","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"s. Cr.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d MMMM yyyy HH:mm",
				F: "dddd, d MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ro-RO", "default", {
	name: "ro-RO",
	englishName: "Romanian (Romania)",
	nativeName: "romÃ¢nÄƒ (RomÃ¢nia)",
	language: "ro",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "lei"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["duminicÄƒ","luni","marÅ£i","miercuri","joi","vineri","sÃ¢mbÄƒtÄƒ"],
				namesAbbr: ["D","L","Ma","Mi","J","V","S"],
				namesShort: ["D","L","Ma","Mi","J","V","S"]
			},
			months: {
				names: ["ianuarie","februarie","martie","aprilie","mai","iunie","iulie","august","septembrie","octombrie","noiembrie","decembrie",""],
				namesAbbr: ["ian.","feb.","mar.","apr.","mai.","iun.","iul.","aug.","sep.","oct.","nov.","dec.",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ru-RU", "default", {
	name: "ru-RU",
	englishName: "Russian (Russia)",
	nativeName: "Ñ€ÑƒÑÑÐºÐ¸Ð¹ (Ð Ð¾ÑÑÐ¸Ñ)",
	language: "ru",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð²Ð¾ÑÐºÑ€ÐµÑÐµÐ½ÑŒÐµ","Ð¿Ð¾Ð½ÐµÐ´ÐµÐ»ÑŒÐ½Ð¸Ðº","Ð²Ñ‚Ð¾Ñ€Ð½Ð¸Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²ÐµÑ€Ð³","Ð¿ÑÑ‚Ð½Ð¸Ñ†Ð°","ÑÑƒÐ±Ð±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð’Ñ","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"],
				namesShort: ["Ð’Ñ","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€ÑŒ","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒ","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»ÑŒ","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒ","ÐÐ¾ÑÐ±Ñ€ÑŒ","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["ÑÐ½Ð²","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³","ÑÐµÐ½","Ð¾ÐºÑ‚","Ð½Ð¾Ñ","Ð´ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€Ñ","Ñ„ÐµÐ²Ñ€Ð°Ð»Ñ","Ð¼Ð°Ñ€Ñ‚Ð°","Ð°Ð¿Ñ€ÐµÐ»Ñ","Ð¼Ð°Ñ","Ð¸ÑŽÐ½Ñ","Ð¸ÑŽÐ»Ñ","Ð°Ð²Ð³ÑƒÑÑ‚Ð°","ÑÐµÐ½Ñ‚ÑÐ±Ñ€Ñ","Ð¾ÐºÑ‚ÑÐ±Ñ€Ñ","Ð½Ð¾ÑÐ±Ñ€Ñ","Ð´ÐµÐºÐ°Ð±Ñ€Ñ",""],
				namesAbbr: ["ÑÐ½Ð²","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³","ÑÐµÐ½","Ð¾ÐºÑ‚","Ð½Ð¾Ñ","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy 'Ð³.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'Ð³.' H:mm",
				F: "d MMMM yyyy 'Ð³.' H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hr-HR", "default", {
	name: "hr-HR",
	englishName: "Croatian (Croatia)",
	nativeName: "hrvatski (Hrvatska)",
	language: "hr",
	numberFormat: {
		pattern: ["- n"],
		",": ".",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kn"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedjelja","ponedjeljak","utorak","srijeda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sri","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["sijeÄanj","veljaÄa","oÅ¾ujak","travanj","svibanj","lipanj","srpanj","kolovoz","rujan","listopad","studeni","prosinac",""],
				namesAbbr: ["sij","vlj","oÅ¾u","tra","svi","lip","srp","kol","ruj","lis","stu","pro",""]
			},
			monthsGenitive: {
				names: ["sijeÄnja","veljaÄe","oÅ¾ujka","travnja","svibnja","lipnja","srpnja","kolovoza","rujna","listopada","studenog","prosinca",""],
				namesAbbr: ["sij","vlj","oÅ¾u","tra","svi","lip","srp","kol","ruj","lis","stu","pro",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy.",
				D: "d. MMMM yyyy.",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy. H:mm",
				F: "d. MMMM yyyy. H:mm:ss",
				M: "d. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sk-SK", "default", {
	name: "sk-SK",
	englishName: "Slovak (Slovakia)",
	nativeName: "slovenÄina (SlovenskÃ¡ republika)",
	language: "sk",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Nie je ÄÃ­slo",
		negativeInfinity: "-nekoneÄno",
		positiveInfinity: "+nekoneÄno",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ". ",
			firstDay: 1,
			days: {
				names: ["nedeÄ¾a","pondelok","utorok","streda","Å¡tvrtok","piatok","sobota"],
				namesAbbr: ["ne","po","ut","st","Å¡t","pi","so"],
				namesShort: ["ne","po","ut","st","Å¡t","pi","so"]
			},
			months: {
				names: ["januÃ¡r","februÃ¡r","marec","aprÃ­l","mÃ¡j","jÃºn","jÃºl","august","september","oktÃ³ber","november","december",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			monthsGenitive: {
				names: ["januÃ¡ra","februÃ¡ra","marca","aprÃ­la","mÃ¡ja","jÃºna","jÃºla","augusta","septembra","oktÃ³bra","novembra","decembra",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. l.","start":null,"offset":0}],
			patterns: {
				d: "d. M. yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sq-AL", "default", {
	name: "sq-AL",
	englishName: "Albanian (Albania)",
	nativeName: "shqipe (ShqipÃ«ria)",
	language: "sq",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-infinit",
		positiveInfinity: "infinit",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": ".",
			".": ",",
			symbol: "Lek"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["e diel","e hÃ«nÃ«","e martÃ«","e mÃ«rkurÃ«","e enjte","e premte","e shtunÃ«"],
				namesAbbr: ["Die","HÃ«n","Mar","MÃ«r","Enj","Pre","Sht"],
				namesShort: ["Di","HÃ«","Ma","MÃ«","En","Pr","Sh"]
			},
			months: {
				names: ["janar","shkurt","mars","prill","maj","qershor","korrik","gusht","shtator","tetor","nÃ«ntor","dhjetor",""],
				namesAbbr: ["Jan","Shk","Mar","Pri","Maj","Qer","Kor","Gsh","Sht","Tet","NÃ«n","Dhj",""]
			},
			AM: ["PD","pd","PD"],
			PM: ["MD","md","MD"],
			patterns: {
				d: "yyyy-MM-dd",
				D: "yyyy-MM-dd",
				t: "h:mm.tt",
				T: "h:mm:ss.tt",
				f: "yyyy-MM-dd h:mm.tt",
				F: "yyyy-MM-dd h:mm:ss.tt",
				Y: "yyyy-MM"
			}
		}
	}
});

Globalize.addCultureInfo( "sv-SE", "default", {
	name: "sv-SE",
	englishName: "Swedish (Sweden)",
	nativeName: "svenska (Sverige)",
	language: "sv",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sÃ¶ndag","mÃ¥ndag","tisdag","onsdag","torsdag","fredag","lÃ¶rdag"],
				namesAbbr: ["sÃ¶","mÃ¥","ti","on","to","fr","lÃ¶"],
				namesShort: ["sÃ¶","mÃ¥","ti","on","to","fr","lÃ¶"]
			},
			months: {
				names: ["januari","februari","mars","april","maj","juni","juli","augusti","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "'den 'd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "'den 'd MMMM yyyy HH:mm",
				F: "'den 'd MMMM yyyy HH:mm:ss",
				M: "'den 'd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "th-TH", "default", {
	name: "th-TH",
	englishName: "Thai (Thailand)",
	nativeName: "à¹„à¸—à¸¢ (à¹„à¸—à¸¢)",
	language: "th",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "à¸¿"
		}
	},
	calendars: {
		standard: {
			name: "ThaiBuddhist",
			firstDay: 1,
			days: {
				names: ["à¸­à¸²à¸—à¸´à¸•à¸¢à¹Œ","à¸ˆà¸±à¸™à¸—à¸£à¹Œ","à¸­à¸±à¸‡à¸„à¸²à¸£","à¸žà¸¸à¸˜","à¸žà¸¤à¸«à¸±à¸ªà¸šà¸”à¸µ","à¸¨à¸¸à¸à¸£à¹Œ","à¹€à¸ªà¸²à¸£à¹Œ"],
				namesAbbr: ["à¸­à¸².","à¸ˆ.","à¸­.","à¸ž.","à¸žà¸¤.","à¸¨.","à¸ª."],
				namesShort: ["à¸­","à¸ˆ","à¸­","à¸ž","à¸ž","à¸¨","à¸ª"]
			},
			months: {
				names: ["à¸¡à¸à¸£à¸²à¸„à¸¡","à¸à¸¸à¸¡à¸ à¸²à¸žà¸±à¸™à¸˜à¹Œ","à¸¡à¸µà¸™à¸²à¸„à¸¡","à¹€à¸¡à¸©à¸²à¸¢à¸™","à¸žà¸¤à¸©à¸ à¸²à¸„à¸¡","à¸¡à¸´à¸–à¸¸à¸™à¸²à¸¢à¸™","à¸à¸£à¸à¸Žà¸²à¸„à¸¡","à¸ªà¸´à¸‡à¸«à¸²à¸„à¸¡","à¸à¸±à¸™à¸¢à¸²à¸¢à¸™","à¸•à¸¸à¸¥à¸²à¸„à¸¡","à¸žà¸¤à¸¨à¸ˆà¸´à¸à¸²à¸¢à¸™","à¸˜à¸±à¸™à¸§à¸²à¸„à¸¡",""],
				namesAbbr: ["à¸¡.à¸„.","à¸.à¸ž.","à¸¡à¸µ.à¸„.","à¹€à¸¡.à¸¢.","à¸ž.à¸„.","à¸¡à¸´.à¸¢.","à¸.à¸„.","à¸ª.à¸„.","à¸.à¸¢.","à¸•.à¸„.","à¸ž.à¸¢.","à¸˜.à¸„.",""]
			},
			eras: [{"name":"à¸ž.à¸¨.","start":null,"offset":-543}],
			twoDigitYearMax: 2572,
			patterns: {
				d: "d/M/yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		},
		Gregorian_Localized: {
			firstDay: 1,
			days: {
				names: ["à¸­à¸²à¸—à¸´à¸•à¸¢à¹Œ","à¸ˆà¸±à¸™à¸—à¸£à¹Œ","à¸­à¸±à¸‡à¸„à¸²à¸£","à¸žà¸¸à¸˜","à¸žà¸¤à¸«à¸±à¸ªà¸šà¸”à¸µ","à¸¨à¸¸à¸à¸£à¹Œ","à¹€à¸ªà¸²à¸£à¹Œ"],
				namesAbbr: ["à¸­à¸².","à¸ˆ.","à¸­.","à¸ž.","à¸žà¸¤.","à¸¨.","à¸ª."],
				namesShort: ["à¸­","à¸ˆ","à¸­","à¸ž","à¸ž","à¸¨","à¸ª"]
			},
			months: {
				names: ["à¸¡à¸à¸£à¸²à¸„à¸¡","à¸à¸¸à¸¡à¸ à¸²à¸žà¸±à¸™à¸˜à¹Œ","à¸¡à¸µà¸™à¸²à¸„à¸¡","à¹€à¸¡à¸©à¸²à¸¢à¸™","à¸žà¸¤à¸©à¸ à¸²à¸„à¸¡","à¸¡à¸´à¸–à¸¸à¸™à¸²à¸¢à¸™","à¸à¸£à¸à¸Žà¸²à¸„à¸¡","à¸ªà¸´à¸‡à¸«à¸²à¸„à¸¡","à¸à¸±à¸™à¸¢à¸²à¸¢à¸™","à¸•à¸¸à¸¥à¸²à¸„à¸¡","à¸žà¸¤à¸¨à¸ˆà¸´à¸à¸²à¸¢à¸™","à¸˜à¸±à¸™à¸§à¸²à¸„à¸¡",""],
				namesAbbr: ["à¸¡.à¸„.","à¸.à¸ž.","à¸¡à¸µ.à¸„.","à¹€à¸¡.à¸¢.","à¸ž.à¸„.","à¸¡à¸´.à¸¢.","à¸.à¸„.","à¸ª.à¸„.","à¸.à¸¢.","à¸•.à¸„.","à¸ž.à¸¢.","à¸˜.à¸„.",""]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "'à¸§à¸±à¸™'dddd'à¸—à¸µà¹ˆ' d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "'à¸§à¸±à¸™'dddd'à¸—à¸µà¹ˆ' d MMMM yyyy H:mm",
				F: "'à¸§à¸±à¸™'dddd'à¸—à¸µà¹ˆ' d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tr-TR", "default", {
	name: "tr-TR",
	englishName: "Turkish (Turkey)",
	nativeName: "TÃ¼rkÃ§e (TÃ¼rkiye)",
	language: "tr",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "TL"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Pazar","Pazartesi","SalÄ±","Ã‡arÅŸamba","PerÅŸembe","Cuma","Cumartesi"],
				namesAbbr: ["Paz","Pzt","Sal","Ã‡ar","Per","Cum","Cmt"],
				namesShort: ["Pz","Pt","Sa","Ã‡a","Pe","Cu","Ct"]
			},
			months: {
				names: ["Ocak","Åžubat","Mart","Nisan","MayÄ±s","Haziran","Temmuz","AÄŸustos","EylÃ¼l","Ekim","KasÄ±m","AralÄ±k",""],
				namesAbbr: ["Oca","Åžub","Mar","Nis","May","Haz","Tem","AÄŸu","Eyl","Eki","Kas","Ara",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "dd MMMM yyyy dddd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy dddd HH:mm",
				F: "dd MMMM yyyy dddd HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ur-PK", "default", {
	name: "ur-PK",
	englishName: "Urdu (Islamic Republic of Pakistan)",
	nativeName: "Ø§ÙØ±Ø¯Ùˆ (Ù¾Ø§Ú©Ø³ØªØ§Ù†)",
	language: "ur",
	isRTL: true,
	numberFormat: {
		currency: {
			pattern: ["$n-","$n"],
			symbol: "Rs"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Ø§ØªÙˆØ§Ø±","Ù¾ÙŠØ±","Ù…Ù†Ú¯Ù„","Ø¨Ø¯Ú¾","Ø¬Ù…Ø¹Ø±Ø§Øª","Ø¬Ù…Ø¹Ù‡","Ù‡ÙØªÙ‡"],
				namesAbbr: ["Ø§ØªÙˆØ§Ø±","Ù¾ÙŠØ±","Ù…Ù†Ú¯Ù„","Ø¨Ø¯Ú¾","Ø¬Ù…Ø¹Ø±Ø§Øª","Ø¬Ù…Ø¹Ù‡","Ù‡ÙØªÙ‡"],
				namesShort: ["Ø§","Ù¾","Ù…","Ø¨","Ø¬","Ø¬","Ù‡"]
			},
			months: {
				names: ["Ø¬Ù†ÙˆØ±ÛŒ","ÙØ±ÙˆØ±ÛŒ","Ù…Ø§Ø±Ú†","Ø§Ù¾Ø±ÛŒÙ„","Ù…Ø¦ÛŒ","Ø¬ÙˆÙ†","Ø¬ÙˆÙ„Ø§Ø¦ÛŒ","Ø§Ú¯Ø³Øª","Ø³ØªÙ…Ø¨Ø±","Ø§Ú©ØªÙˆØ¨Ø±","Ù†ÙˆÙ…Ø¨Ø±","Ø¯Ø³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ù†ÙˆØ±ÛŒ","ÙØ±ÙˆØ±ÛŒ","Ù…Ø§Ø±Ú†","Ø§Ù¾Ø±ÛŒÙ„","Ù…Ø¦ÛŒ","Ø¬ÙˆÙ†","Ø¬ÙˆÙ„Ø§Ø¦ÛŒ","Ø§Ú¯Ø³Øª","Ø³ØªÙ…Ø¨Ø±","Ø§Ú©ØªÙˆØ¨Ø±","Ù†ÙˆÙ…Ø¨Ø±","Ø¯Ø³Ù…Ø¨Ø±",""]
			},
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				f: "dd MMMM, yyyy h:mm tt",
				F: "dd MMMM, yyyy h:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				f: "dd/MM/yyyy h:mm tt",
				F: "dd/MM/yyyy h:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		}
	}
});

Globalize.addCultureInfo( "id-ID", "default", {
	name: "id-ID",
	englishName: "Indonesian (Indonesia)",
	nativeName: "Bahasa Indonesia (Indonesia)",
	language: "id",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			decimals: 0,
			",": ".",
			".": ",",
			symbol: "Rp"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Minggu","Senin","Selasa","Rabu","Kamis","Jumat","Sabtu"],
				namesAbbr: ["Minggu","Sen","Sel","Rabu","Kamis","Jumat","Sabtu"],
				namesShort: ["M","S","S","R","K","J","S"]
			},
			months: {
				names: ["Januari","Februari","Maret","April","Mei","Juni","Juli","Agustus","September","Oktober","Nopember","Desember",""],
				namesAbbr: ["Jan","Feb","Mar","Apr","Mei","Jun","Jul","Agust","Sep","Okt","Nop","Des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM yyyy H:mm",
				F: "dd MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "uk-UA", "default", {
	name: "uk-UA",
	englishName: "Ukrainian (Ukraine)",
	nativeName: "ÑƒÐºÑ€Ð°Ñ—Ð½ÑÑŒÐºÐ° (Ð£ÐºÑ€Ð°Ñ—Ð½Ð°)",
	language: "uk",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-Ð±ÐµÐ·Ð¼ÐµÐ¶Ð½Ñ–ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÐ·Ð¼ÐµÐ¶Ð½Ñ–ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "â‚´"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´Ñ–Ð»Ñ","Ð¿Ð¾Ð½ÐµÐ´Ñ–Ð»Ð¾Ðº","Ð²Ñ–Ð²Ñ‚Ð¾Ñ€Ð¾Ðº","ÑÐµÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²ÐµÑ€","Ð¿'ÑÑ‚Ð½Ð¸Ñ†Ñ","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["ÐÐ´","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"],
				namesShort: ["ÐÐ´","ÐŸÐ½","Ð’Ñ‚","Ð¡Ñ€","Ð§Ñ‚","ÐŸÑ‚","Ð¡Ð±"]
			},
			months: {
				names: ["Ð¡Ñ–Ñ‡ÐµÐ½ÑŒ","Ð›ÑŽÑ‚Ð¸Ð¹","Ð‘ÐµÑ€ÐµÐ·ÐµÐ½ÑŒ","ÐšÐ²Ñ–Ñ‚ÐµÐ½ÑŒ","Ð¢Ñ€Ð°Ð²ÐµÐ½ÑŒ","Ð§ÐµÑ€Ð²ÐµÐ½ÑŒ","Ð›Ð¸Ð¿ÐµÐ½ÑŒ","Ð¡ÐµÑ€Ð¿ÐµÐ½ÑŒ","Ð’ÐµÑ€ÐµÑÐµÐ½ÑŒ","Ð–Ð¾Ð²Ñ‚ÐµÐ½ÑŒ","Ð›Ð¸ÑÑ‚Ð¾Ð¿Ð°Ð´","Ð“Ñ€ÑƒÐ´ÐµÐ½ÑŒ",""],
				namesAbbr: ["Ð¡Ñ–Ñ‡","Ð›ÑŽÑ‚","Ð‘ÐµÑ€","ÐšÐ²Ñ–","Ð¢Ñ€Ð°","Ð§ÐµÑ€","Ð›Ð¸Ð¿","Ð¡ÐµÑ€","Ð’ÐµÑ€","Ð–Ð¾Ð²","Ð›Ð¸Ñ","Ð“Ñ€Ñƒ",""]
			},
			monthsGenitive: {
				names: ["ÑÑ–Ñ‡Ð½Ñ","Ð»ÑŽÑ‚Ð¾Ð³Ð¾","Ð±ÐµÑ€ÐµÐ·Ð½Ñ","ÐºÐ²Ñ–Ñ‚Ð½Ñ","Ñ‚Ñ€Ð°Ð²Ð½Ñ","Ñ‡ÐµÑ€Ð²Ð½Ñ","Ð»Ð¸Ð¿Ð½Ñ","ÑÐµÑ€Ð¿Ð½Ñ","Ð²ÐµÑ€ÐµÑÐ½Ñ","Ð¶Ð¾Ð²Ñ‚Ð½Ñ","Ð»Ð¸ÑÑ‚Ð¾Ð¿Ð°Ð´Ð°","Ð³Ñ€ÑƒÐ´Ð½Ñ",""],
				namesAbbr: ["ÑÑ–Ñ‡","Ð»ÑŽÑ‚","Ð±ÐµÑ€","ÐºÐ²Ñ–","Ñ‚Ñ€Ð°","Ñ‡ÐµÑ€","Ð»Ð¸Ð¿","ÑÐµÑ€","Ð²ÐµÑ€","Ð¶Ð¾Ð²","Ð»Ð¸Ñ","Ð³Ñ€Ñƒ",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy' Ñ€.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy' Ñ€.' H:mm",
				F: "d MMMM yyyy' Ñ€.' H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy' Ñ€.'"
			}
		}
	}
});

Globalize.addCultureInfo( "be-BY", "default", {
	name: "be-BY",
	englishName: "Belarusian (Belarus)",
	nativeName: "Ð‘ÐµÐ»Ð°Ñ€ÑƒÑÐºÑ– (Ð‘ÐµÐ»Ð°Ñ€ÑƒÑÑŒ)",
	language: "be",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÑÐ´Ð·ÐµÐ»Ñ","Ð¿Ð°Ð½ÑÐ´Ð·ÐµÐ»Ð°Ðº","Ð°ÑžÑ‚Ð¾Ñ€Ð°Ðº","ÑÐµÑ€Ð°Ð´Ð°","Ñ‡Ð°Ñ†Ð²ÐµÑ€","Ð¿ÑÑ‚Ð½Ñ–Ñ†Ð°","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½Ð´","Ð¿Ð½","Ð°Ñž","ÑÑ€","Ñ‡Ñ†","Ð¿Ñ‚","ÑÐ±"],
				namesShort: ["Ð½Ð´","Ð¿Ð½","Ð°Ñž","ÑÑ€","Ñ‡Ñ†","Ð¿Ñ‚","ÑÐ±"]
			},
			months: {
				names: ["Ð¡Ñ‚ÑƒÐ´Ð·ÐµÐ½ÑŒ","Ð›ÑŽÑ‚Ñ‹","Ð¡Ð°ÐºÐ°Ð²Ñ–Ðº","ÐšÑ€Ð°ÑÐ°Ð²Ñ–Ðº","ÐœÐ°Ð¹","Ð§ÑÑ€Ð²ÐµÐ½ÑŒ","Ð›Ñ–Ð¿ÐµÐ½ÑŒ","Ð–Ð½Ñ–Ð²ÐµÐ½ÑŒ","Ð’ÐµÑ€Ð°ÑÐµÐ½ÑŒ","ÐšÐ°ÑÑ‚Ñ€Ñ‹Ñ‡Ð½Ñ–Ðº","Ð›Ñ–ÑÑ‚Ð°Ð¿Ð°Ð´","Ð¡Ð½ÐµÐ¶Ð°Ð½ÑŒ",""],
				namesAbbr: ["Ð¡Ñ‚Ñƒ","Ð›ÑŽÑ‚","Ð¡Ð°Ðº","ÐšÑ€Ð°","ÐœÐ°Ð¹","Ð§ÑÑ€","Ð›Ñ–Ð¿","Ð–Ð½Ñ–","Ð’ÐµÑ€","ÐšÐ°Ñ","Ð›Ñ–Ñ","Ð¡Ð½Ðµ",""]
			},
			monthsGenitive: {
				names: ["ÑÑ‚ÑƒÐ´Ð·ÐµÐ½Ñ","Ð»ÑŽÑ‚Ð°Ð³Ð°","ÑÐ°ÐºÐ°Ð²Ñ–ÐºÐ°","ÐºÑ€Ð°ÑÐ°Ð²Ñ–ÐºÐ°","Ð¼Ð°Ñ","Ñ‡ÑÑ€Ð²ÐµÐ½Ñ","Ð»Ñ–Ð¿ÐµÐ½Ñ","Ð¶Ð½Ñ–ÑžÐ½Ñ","Ð²ÐµÑ€Ð°ÑÐ½Ñ","ÐºÐ°ÑÑ‚Ñ€Ñ‹Ñ‡Ð½Ñ–ÐºÐ°","Ð»Ñ–ÑÑ‚Ð°Ð¿Ð°Ð´Ð°","ÑÐ½ÐµÐ¶Ð½Ñ",""],
				namesAbbr: ["Ð¡Ñ‚Ñƒ","Ð›ÑŽÑ‚","Ð¡Ð°Ðº","ÐšÑ€Ð°","ÐœÐ°Ð¹","Ð§ÑÑ€","Ð›Ñ–Ð¿","Ð–Ð½Ñ–","Ð’ÐµÑ€","ÐšÐ°Ñ","Ð›Ñ–Ñ","Ð¡Ð½Ðµ",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sl-SI", "default", {
	name: "sl-SI",
	englishName: "Slovenian (Slovenia)",
	nativeName: "slovenski (Slovenija)",
	language: "sl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-neskonÄnost",
		positiveInfinity: "neskonÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljek","torek","sreda","Äetrtek","petek","sobota"],
				namesAbbr: ["ned","pon","tor","sre","Äet","pet","sob"],
				namesShort: ["ne","po","to","sr","Äe","pe","so"]
			},
			months: {
				names: ["januar","februar","marec","april","maj","junij","julij","avgust","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "et-EE", "default", {
	name: "et-EE",
	englishName: "Estonian (Estonia)",
	nativeName: "eesti (Eesti)",
	language: "et",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "avaldamatu",
		negativeInfinity: "miinuslÃµpmatus",
		positiveInfinity: "plusslÃµpmatus",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["pÃ¼hapÃ¤ev","esmaspÃ¤ev","teisipÃ¤ev","kolmapÃ¤ev","neljapÃ¤ev","reede","laupÃ¤ev"],
				namesAbbr: ["P","E","T","K","N","R","L"],
				namesShort: ["P","E","T","K","N","R","L"]
			},
			months: {
				names: ["jaanuar","veebruar","mÃ¤rts","aprill","mai","juuni","juuli","august","september","oktoober","november","detsember",""],
				namesAbbr: ["jaan","veebr","mÃ¤rts","apr","mai","juuni","juuli","aug","sept","okt","nov","dets",""]
			},
			AM: ["EL","el","EL"],
			PM: ["PL","pl","PL"],
			patterns: {
				d: "d.MM.yyyy",
				D: "d. MMMM yyyy'. a.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy'. a.' H:mm",
				F: "d. MMMM yyyy'. a.' H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy'. a.'"
			}
		}
	}
});

Globalize.addCultureInfo( "lv-LV", "default", {
	name: "lv-LV",
	englishName: "Latvian (Latvia)",
	nativeName: "latvieÅ¡u (Latvija)",
	language: "lv",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-bezgalÄ«ba",
		positiveInfinity: "bezgalÄ«ba",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "Ls"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["svÄ“tdiena","pirmdiena","otrdiena","treÅ¡diena","ceturtdiena","piektdiena","sestdiena"],
				namesAbbr: ["sv","pr","ot","tr","ce","pk","se"],
				namesShort: ["sv","pr","ot","tr","ce","pk","se"]
			},
			months: {
				names: ["janvÄris","februÄris","marts","aprÄ«lis","maijs","jÅ«nijs","jÅ«lijs","augusts","septembris","oktobris","novembris","decembris",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jÅ«n","jÅ«l","aug","sep","okt","nov","dec",""]
			},
			monthsGenitive: {
				names: ["janvÄrÄ«","februÄrÄ«","martÄ","aprÄ«lÄ«","maijÄ","jÅ«nijÄ","jÅ«lijÄ","augustÄ","septembrÄ«","oktobrÄ«","novembrÄ«","decembrÄ«",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jÅ«n","jÅ«l","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy.MM.dd.",
				D: "dddd, yyyy'. gada 'd. MMMM",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, yyyy'. gada 'd. MMMM H:mm",
				F: "dddd, yyyy'. gada 'd. MMMM H:mm:ss",
				M: "d. MMMM",
				Y: "yyyy. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "lt-LT", "default", {
	name: "lt-LT",
	englishName: "Lithuanian (Lithuania)",
	nativeName: "lietuviÅ³ (Lietuva)",
	language: "lt",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-begalybÄ—",
		positiveInfinity: "begalybÄ—",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Lt"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sekmadienis","pirmadienis","antradienis","treÄiadienis","ketvirtadienis","penktadienis","Å¡eÅ¡tadienis"],
				namesAbbr: ["Sk","Pr","An","Tr","Kt","Pn","Å t"],
				namesShort: ["S","P","A","T","K","Pn","Å "]
			},
			months: {
				names: ["sausis","vasaris","kovas","balandis","geguÅ¾Ä—","birÅ¾elis","liepa","rugpjÅ«tis","rugsÄ—jis","spalis","lapkritis","gruodis",""],
				namesAbbr: ["Sau","Vas","Kov","Bal","Geg","Bir","Lie","Rgp","Rgs","Spl","Lap","Grd",""]
			},
			monthsGenitive: {
				names: ["sausio","vasario","kovo","balandÅ¾io","geguÅ¾Ä—s","birÅ¾elio","liepos","rugpjÅ«Äio","rugsÄ—jo","spalio","lapkriÄio","gruodÅ¾io",""],
				namesAbbr: ["Sau","Vas","Kov","Bal","Geg","Bir","Lie","Rgp","Rgs","Spl","Lap","Grd",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy.MM.dd",
				D: "yyyy 'm.' MMMM d 'd.'",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'm.' MMMM d 'd.' HH:mm",
				F: "yyyy 'm.' MMMM d 'd.' HH:mm:ss",
				M: "MMMM d 'd.'",
				Y: "yyyy 'm.' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "tg-Cyrl-TJ", "default", {
	name: "tg-Cyrl-TJ",
	englishName: "Tajik (Cyrillic, Tajikistan)",
	nativeName: "Ð¢Ð¾Ò·Ð¸ÐºÓ£ (Ð¢Ð¾Ò·Ð¸ÐºÐ¸ÑÑ‚Ð¾Ð½)",
	language: "tg-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			groupSizes: [3,0],
			",": "Â ",
			".": ";",
			symbol: "Ñ‚.Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			days: {
				names: ["Ð¯Ñˆ","Ð”ÑƒÑˆÐ°Ð½Ð±Ðµ","Ð¡ÐµÑˆÐ°Ð½Ð±Ðµ","Ð§Ð¾Ñ€ÑˆÐ°Ð½Ð±Ðµ","ÐŸÐ°Ð½Ò·ÑˆÐ°Ð½Ð±Ðµ","Ò¶ÑƒÐ¼ÑŠÐ°","Ð¨Ð°Ð½Ð±Ðµ"],
				namesAbbr: ["Ð¯Ñˆ","Ð”Ñˆ","Ð¡Ñˆ","Ð§Ñˆ","ÐŸÑˆ","Ò¶Ð¼","Ð¨Ð½"],
				namesShort: ["Ð¯Ñˆ","Ð”Ñˆ","Ð¡Ñˆ","Ð§Ñˆ","ÐŸÑˆ","Ò¶Ð¼","Ð¨Ð½"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€","ÐžÐºÑ‚ÑÐ±Ñ€","ÐÐ¾ÑÐ±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€Ð°Ð»Ð¸","Ð¼Ð°Ñ€Ñ‚Ð¸","Ð°Ð¿Ñ€ÐµÐ»Ð¸","Ð¼Ð°Ð¸","Ð¸ÑŽÐ½Ð¸","Ð¸ÑŽÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚Ð¸","ÑÐµÐ½Ñ‚ÑÐ±Ñ€Ð¸","Ð¾ÐºÑ‚ÑÐ±Ñ€Ð¸","Ð½Ð¾ÑÐ±Ñ€Ð¸","Ð´ÐµÐºÐ°Ð±Ñ€Ð¸",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fa-IR", "default", {
	name: "fa-IR",
	englishName: "Persian",
	nativeName: "ÙØ§Ø±Ø³Ù‰ (Ø§ÛŒØ±Ø§Ù†)",
	language: "fa",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		currency: {
			pattern: ["$n-","$ n"],
			".": "/",
			symbol: "Ø±ÙŠØ§Ù„"
		}
	},
	calendars: {
		standard: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_Localized: {
			firstDay: 6,
			days: {
				names: ["ÙŠÙƒØ´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡Â Ø´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesAbbr: ["ÙŠÙƒØ´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡Â Ø´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesShort: ["ÛŒ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["Ú˜Ø§Ù†ÙˆÙŠÙ‡","ÙÙˆØ±ÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø¢ÙˆØ±ÙŠÙ„","Ù…Ù‰","Ú˜ÙˆØ¦Ù†","Ú˜ÙˆØ¦ÙŠÙ‡","Ø§ÙˆØª","Ø³Ù¾ØªØ§Ù…Ø¨Ø±","Ø§ÙÙƒØªØ¨Ø±","Ù†ÙˆØ§Ù…Ø¨Ø±","Ø¯Ø³Ø§Ù…Ø¨Ø±",""],
				namesAbbr: ["Ú˜Ø§Ù†ÙˆÙŠÙ‡","ÙÙˆØ±ÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø¢ÙˆØ±ÙŠÙ„","Ù…Ù‰","Ú˜ÙˆØ¦Ù†","Ú˜ÙˆØ¦ÙŠÙ‡","Ø§ÙˆØª","Ø³Ù¾ØªØ§Ù…Ø¨Ø±","Ø§ÙÙƒØªØ¨Ø±","Ù†ÙˆØ§Ù…Ø¨Ø±","Ø¯Ø³Ø§Ù…Ø¨Ø±",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			patterns: {
				d: "yyyy/MM/dd",
				D: "yyyy/MM/dd",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "yyyy/MM/dd hh:mm tt",
				F: "yyyy/MM/dd hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Ù‚.Ø¸","Ù‚.Ø¸","Ù‚.Ø¸"],
			PM: ["Ø¨.Ø¸","Ø¨.Ø¸","Ø¨.Ø¸"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "vi-VN", "default", {
	name: "vi-VN",
	englishName: "Vietnamese (Vietnam)",
	nativeName: "TiÃªÌng Viá»‡t (Viá»‡t Nam)",
	language: "vi",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚«"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["ChuÌ‰ NhÃ¢Ì£t","ThÆ°Ì Hai","ThÆ°Ì Ba","ThÆ°Ì TÆ°","ThÆ°Ì NÄƒm","ThÆ°Ì SaÌu","ThÆ°Ì BaÌ‰y"],
				namesAbbr: ["CN","Hai","Ba","TÆ°","NÄƒm","SaÌu","BaÌ‰y"],
				namesShort: ["C","H","B","T","N","S","B"]
			},
			months: {
				names: ["ThaÌng GiÃªng","ThaÌng Hai","ThaÌng Ba","ThaÌng TÆ°","ThaÌng NÄƒm","ThaÌng SaÌu","ThaÌng BaÌ‰y","ThaÌng TaÌm","ThaÌng ChiÌn","ThaÌng MÆ°Æ¡Ì€i","ThaÌng MÆ°Æ¡Ì€i MÃ´Ì£t","ThaÌng MÆ°Æ¡Ì€i Hai",""],
				namesAbbr: ["Thg1","Thg2","Thg3","Thg4","Thg5","Thg6","Thg7","Thg8","Thg9","Thg10","Thg11","Thg12",""]
			},
			AM: ["SA","sa","SA"],
			PM: ["CH","ch","CH"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				f: "dd MMMM yyyy h:mm tt",
				F: "dd MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hy-AM", "default", {
	name: "hy-AM",
	englishName: "Armenian (Armenia)",
	nativeName: "Õ€Õ¡ÕµÕ¥Ö€Õ¥Õ¶ (Õ€Õ¡ÕµÕ¡Õ½Õ¿Õ¡Õ¶)",
	language: "hy",
	numberFormat: {
		currency: {
			pattern: ["-n $","n $"],
			symbol: "Õ¤Ö€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ô¿Õ«Ö€Õ¡Õ¯Õ«","ÔµÖ€Õ¯Õ¸Ö‚Õ·Õ¡Õ¢Õ©Õ«","ÔµÖ€Õ¥Ö„Õ·Õ¡Õ¢Õ©Õ«","Õ‰Õ¸Ö€Õ¥Ö„Õ·Õ¡Õ¢Õ©Õ«","Õ€Õ«Õ¶Õ£Õ·Õ¡Õ¢Õ©Õ«","ÕˆÕ’Ö€Õ¢Õ¡Õ©","Õ‡Õ¡Õ¢Õ¡Õ©"],
				namesAbbr: ["Ô¿Õ«Ö€","ÔµÖ€Õ¯","ÔµÖ€Ö„","Õ‰Ö€Ö„","Õ€Õ¶Õ£","ÕˆÕ’Ö€","Õ‡Õ¢Õ©"],
				namesShort: ["Ô¿","Ôµ","Ôµ","Õ‰","Õ€","Õˆ","Õ‡"]
			},
			months: {
				names: ["Õ€Õ¸Ö‚Õ¶Õ¾Õ¡Ö€","Õ“Õ¥Õ¿Ö€Õ¾Õ¡Ö€","Õ„Õ¡Ö€Õ¿","Ô±ÕºÖ€Õ«Õ¬","Õ„Õ¡ÕµÕ«Õ½","Õ€Õ¸Ö‚Õ¶Õ«Õ½","Õ€Õ¸Ö‚Õ¬Õ«Õ½","Õ•Õ£Õ¸Õ½Õ¿Õ¸Õ½","ÕÕ¥ÕºÕ¿Õ¥Õ´Õ¢Õ¥Ö€","Õ€Õ¸Õ¯Õ¿Õ¥Õ´Õ¢Õ¥Ö€","Õ†Õ¸ÕµÕ¥Õ´Õ¢Õ¥Ö€","Ô´Õ¥Õ¯Õ¿Õ¥Õ´Õ¢Õ¥Ö€",""],
				namesAbbr: ["Õ€Õ†ÕŽ","Õ“ÕÕŽ","Õ„ÕÕ","Ô±ÕŠÕ","Õ„Õ…Õ","Õ€Õ†Õ","Õ€Ô¼Õ","Õ•Ô³Õ","ÕÔµÕŠ","Õ€ÕˆÔ¿","Õ†ÕˆÕ…","Ô´ÔµÔ¿",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM, yyyy H:mm",
				F: "d MMMM, yyyy H:mm:ss",
				M: "d MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "az-Latn-AZ", "default", {
	name: "az-Latn-AZ",
	englishName: "Azeri (Latin, Azerbaijan)",
	nativeName: "AzÉ™rbaycan\xadÄ±lÄ± (AzÉ™rbaycan)",
	language: "az-Latn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "man."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Bazar","BazarÂ ertÉ™si","Ã‡É™rÅŸÉ™nbÉ™Â axÅŸamÄ±","Ã‡É™rÅŸÉ™nbÉ™","CÃ¼mÉ™Â axÅŸamÄ±","CÃ¼mÉ™","ÅžÉ™nbÉ™"],
				namesAbbr: ["B","Be","Ã‡a","Ã‡","Ca","C","Åž"],
				namesShort: ["B","Be","Ã‡a","Ã‡","Ca","C","Åž"]
			},
			months: {
				names: ["Yanvar","Fevral","Mart","Aprel","May","Ä°yun","Ä°yul","Avgust","Sentyabr","Oktyabr","Noyabr","Dekabr",""],
				namesAbbr: ["Yan","Fev","Mar","Apr","May","Ä°yun","Ä°yul","Avg","Sen","Okt","Noy","Dek",""]
			},
			monthsGenitive: {
				names: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""],
				namesAbbr: ["Yan","Fev","Mar","Apr","May","Ä°yun","Ä°yul","Avg","Sen","Okt","Noy","Dek",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "eu-ES", "default", {
	name: "eu-ES",
	englishName: "Basque (Basque)",
	nativeName: "euskara (euskara)",
	language: "eu",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "EdZ",
		negativeInfinity: "-Infinitu",
		positiveInfinity: "Infinitu",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["igandea","astelehena","asteartea","asteazkena","osteguna","ostirala","larunbata"],
				namesAbbr: ["ig.","al.","as.","az.","og.","or.","lr."],
				namesShort: ["ig","al","as","az","og","or","lr"]
			},
			months: {
				names: ["urtarrila","otsaila","martxoa","apirila","maiatza","ekaina","uztaila","abuztua","iraila","urria","azaroa","abendua",""],
				namesAbbr: ["urt.","ots.","mar.","api.","mai.","eka.","uzt.","abu.","ira.","urr.","aza.","abe.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "yyyy/MM/dd",
				D: "dddd, yyyy.'eko' MMMM'k 'd",
				t: "HH:mm",
				T: "H:mm:ss",
				f: "dddd, yyyy.'eko' MMMM'k 'd HH:mm",
				F: "dddd, yyyy.'eko' MMMM'k 'd H:mm:ss",
				Y: "yyyy.'eko' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "hsb-DE", "default", {
	name: "hsb-DE",
	englishName: "Upper Sorbian (Germany)",
	nativeName: "hornjoserbÅ¡Ä‡ina (NÄ›mska)",
	language: "hsb",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "njedefinowane",
		negativeInfinity: "-njekÃ³nÄne",
		positiveInfinity: "+njekÃ³nÄne",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ". ",
			firstDay: 1,
			days: {
				names: ["njedÅºela","pÃ³ndÅºela","wutora","srjeda","Å¡twÃ³rtk","pjatk","sobota"],
				namesAbbr: ["nje","pÃ³n","wut","srj","Å¡tw","pja","sob"],
				namesShort: ["n","p","w","s","Å¡","p","s"]
			},
			months: {
				names: ["januar","februar","mÄ›rc","apryl","meja","junij","julij","awgust","september","oktober","nowember","december",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","mej","jun","jul","awg","sep","okt","now","dec",""]
			},
			monthsGenitive: {
				names: ["januara","februara","mÄ›rca","apryla","meje","junija","julija","awgusta","septembra","oktobra","nowembra","decembra",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","mej","jun","jul","awg","sep","okt","now","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"po Chr.","start":null,"offset":0}],
			patterns: {
				d: "d. M. yyyy",
				D: "dddd, 'dnja' d. MMMM yyyy",
				t: "H.mm 'hodÅº.'",
				T: "H:mm:ss",
				f: "dddd, 'dnja' d. MMMM yyyy H.mm 'hodÅº.'",
				F: "dddd, 'dnja' d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "mk-MK", "default", {
	name: "mk-MK",
	englishName: "Macedonian (Former Yugoslav Republic of Macedonia)",
	nativeName: "Ð¼Ð°ÐºÐµÐ´Ð¾Ð½ÑÐºÐ¸ Ñ˜Ð°Ð·Ð¸Ðº (ÐœÐ°ÐºÐµÐ´Ð¾Ð½Ð¸Ñ˜Ð°)",
	language: "mk",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Ð´ÐµÐ½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÐ»Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÐ»Ð½Ð¸Ðº","Ð²Ñ‚Ð¾Ñ€Ð½Ð¸Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð¾Ðº","Ð¿ÐµÑ‚Ð¾Ðº","ÑÐ°Ð±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","Ð²Ñ‚Ñ€","ÑÑ€Ð´","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÐ°Ð±"],
				namesShort: ["Ð½Ðµ","Ð¿Ð¾","Ð²Ñ‚","ÑÑ€","Ñ‡Ðµ","Ð¿Ðµ","ÑÐ°"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€ÑƒÐ°Ñ€Ð¸","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½Ð¸","Ñ˜ÑƒÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð²Ñ€Ð¸","Ð¾ÐºÑ‚Ð¾Ð¼Ð²Ñ€Ð¸","Ð½Ð¾ÐµÐ¼Ð²Ñ€Ð¸","Ð´ÐµÐºÐµÐ¼Ð²Ñ€Ð¸",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ðµ","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, dd MMMM yyyy HH:mm",
				F: "dddd, dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tn-ZA", "default", {
	name: "tn-ZA",
	englishName: "Setswana (South Africa)",
	nativeName: "Setswana (Aforika Borwa)",
	language: "tn",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Latshipi","Mosupologo","Labobedi","Laboraro","Labone","Labotlhano","Lamatlhatso"],
				namesAbbr: ["Ltp.","Mos.","Lbd.","Lbr.","Lbn.","Lbt.","Lmt."],
				namesShort: ["Lp","Ms","Lb","Lr","Ln","Lt","Lm"]
			},
			months: {
				names: ["Ferikgong","Tlhakole","Mopitloe","Moranang","Motsheganong","Seetebosigo","Phukwi","Phatwe","Lwetse","Diphalane","Ngwanatsele","Sedimothole",""],
				namesAbbr: ["Fer.","Tlhak.","Mop.","Mor.","Motsh.","Seet.","Phukw.","Phatw.","Lwets.","Diph.","Ngwan.","Sed.",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "xh-ZA", "default", {
	name: "xh-ZA",
	englishName: "isiXhosa (South Africa)",
	nativeName: "isiXhosa (uMzantsi Afrika)",
	language: "xh",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["iCawa","uMvulo","uLwesibini","uLwesithathu","uLwesine","uLwesihlanu","uMgqibelo"],
				namesShort: ["Ca","Mv","Lb","Lt","Ln","Lh","Mg"]
			},
			months: {
				names: ["Mqungu","Mdumba","Kwindla","Tshazimpuzi","Canzibe","Silimela","Khala","Thupha","Msintsi","Dwarha","Nkanga","Mnga",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zu-ZA", "default", {
	name: "zu-ZA",
	englishName: "isiZulu (South Africa)",
	nativeName: "isiZulu (iNingizimu Afrika)",
	language: "zu",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["iSonto","uMsombuluko","uLwesibili","uLwesithathu","uLwesine","uLwesihlanu","uMgqibelo"],
				namesAbbr: ["Son.","Mso.","Bi.","Tha.","Ne.","Hla.","Mgq."]
			},
			months: {
				names: ["uMasingana","uNhlolanja","uNdasa","uMbaso","uNhlaba","uNhlangulana","uNtulikazi","uNcwaba","uMandulo","uMfumfu","uLwezi","uZibandlela",""],
				namesAbbr: ["Mas.","Nhlo.","Nda.","Mba.","Nhla.","Nhlang.","Ntu.","Ncwa.","Man.","Mfu.","Lwe.","Zib.",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "af-ZA", "default", {
	name: "af-ZA",
	englishName: "Afrikaans (South Africa)",
	nativeName: "Afrikaans (Suid Afrika)",
	language: "af",
	numberFormat: {
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Sondag","Maandag","Dinsdag","Woensdag","Donderdag","Vrydag","Saterdag"],
				namesAbbr: ["Son","Maan","Dins","Woen","Dond","Vry","Sat"],
				namesShort: ["So","Ma","Di","Wo","Do","Vr","Sa"]
			},
			months: {
				names: ["Januarie","Februarie","Maart","April","Mei","Junie","Julie","Augustus","September","Oktober","November","Desember",""],
				namesAbbr: ["Jan","Feb","Mar","Apr","Mei","Jun","Jul","Aug","Sep","Okt","Nov","Des",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ka-GE", "default", {
	name: "ka-GE",
	englishName: "Georgian (Georgia)",
	nativeName: "áƒ¥áƒáƒ áƒ—áƒ£áƒšáƒ˜ (áƒ¡áƒáƒ¥áƒáƒ áƒ—áƒ•áƒ”áƒšáƒ)",
	language: "ka",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Lari"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["áƒ™áƒ•áƒ˜áƒ áƒ","áƒáƒ áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ¡áƒáƒ›áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒáƒ—áƒ®áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ®áƒ£áƒ—áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒžáƒáƒ áƒáƒ¡áƒ™áƒ”áƒ•áƒ˜","áƒ¨áƒáƒ‘áƒáƒ—áƒ˜"],
				namesAbbr: ["áƒ™áƒ•áƒ˜áƒ áƒ","áƒáƒ áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ¡áƒáƒ›áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒáƒ—áƒ®áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒ®áƒ£áƒ—áƒ¨áƒáƒ‘áƒáƒ—áƒ˜","áƒžáƒáƒ áƒáƒ¡áƒ™áƒ”áƒ•áƒ˜","áƒ¨áƒáƒ‘áƒáƒ—áƒ˜"],
				namesShort: ["áƒ™","áƒ","áƒ¡","áƒ","áƒ®","áƒž","áƒ¨"]
			},
			months: {
				names: ["áƒ˜áƒáƒœáƒ•áƒáƒ áƒ˜","áƒ—áƒ”áƒ‘áƒ”áƒ áƒ•áƒáƒšáƒ˜","áƒ›áƒáƒ áƒ¢áƒ˜","áƒáƒžáƒ áƒ˜áƒšáƒ˜","áƒ›áƒáƒ˜áƒ¡áƒ˜","áƒ˜áƒ•áƒœáƒ˜áƒ¡áƒ˜","áƒ˜áƒ•áƒšáƒ˜áƒ¡áƒ˜","áƒáƒ’áƒ•áƒ˜áƒ¡áƒ¢áƒ","áƒ¡áƒ”áƒ¥áƒ¢áƒ”áƒ›áƒ‘áƒ”áƒ áƒ˜","áƒáƒ¥áƒ¢áƒáƒ›áƒ‘áƒ”áƒ áƒ˜","áƒœáƒáƒ”áƒ›áƒ‘áƒ”áƒ áƒ˜","áƒ“áƒ”áƒ™áƒ”áƒ›áƒ‘áƒ”áƒ áƒ˜",""],
				namesAbbr: ["áƒ˜áƒáƒœ","áƒ—áƒ”áƒ‘","áƒ›áƒáƒ ","áƒáƒžáƒ ","áƒ›áƒáƒ˜áƒ¡","áƒ˜áƒ•áƒœ","áƒ˜áƒ•áƒš","áƒáƒ’áƒ•","áƒ¡áƒ”áƒ¥","áƒáƒ¥áƒ¢","áƒœáƒáƒ”áƒ›","áƒ“áƒ”áƒ™",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "yyyy 'áƒ¬áƒšáƒ˜áƒ¡' dd MM, dddd",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'áƒ¬áƒšáƒ˜áƒ¡' dd MM, dddd H:mm",
				F: "yyyy 'áƒ¬áƒšáƒ˜áƒ¡' dd MM, dddd H:mm:ss",
				M: "dd MM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fo-FO", "default", {
	name: "fo-FO",
	englishName: "Faroese (Faroe Islands)",
	nativeName: "fÃ¸royskt (FÃ¸royar)",
	language: "fo",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sunnudagur","mÃ¡nadagur","tÃ½sdagur","mikudagur","hÃ³sdagur","frÃ­ggjadagur","leygardagur"],
				namesAbbr: ["sun","mÃ¡n","tÃ½s","mik","hÃ³s","frÃ­","leyg"],
				namesShort: ["su","mÃ¡","tÃ½","mi","hÃ³","fr","ley"]
			},
			months: {
				names: ["januar","februar","mars","aprÃ­l","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hi-IN", "default", {
	name: "hi-IN",
	englishName: "Hindi (India)",
	nativeName: "à¤¹à¤¿à¤‚à¤¦à¥€ (à¤­à¤¾à¤°à¤¤)",
	language: "hi",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¤°à¤µà¤¿à¤µà¤¾à¤°","à¤¸à¥‹à¤®à¤µà¤¾à¤°","à¤®à¤‚à¤—à¤²à¤µà¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤—à¥à¤°à¥à¤µà¤¾à¤°","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤°","à¤¶à¤¨à¤¿à¤µà¤¾à¤°"],
				namesAbbr: ["à¤°à¤µà¤¿.","à¤¸à¥‹à¤®.","à¤®à¤‚à¤—à¤².","à¤¬à¥à¤§.","à¤—à¥à¤°à¥.","à¤¶à¥à¤•à¥à¤°.","à¤¶à¤¨à¤¿."],
				namesShort: ["à¤°","à¤¸","à¤®","à¤¬","à¤—","à¤¶","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""]
			},
			AM: ["à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨"],
			PM: ["à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mt-MT", "default", {
	name: "mt-MT",
	englishName: "Maltese (Malta)",
	nativeName: "Malti (Malta)",
	language: "mt",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Il-Ä¦add","It-Tnejn","It-Tlieta","L-ErbgÄ§a","Il-Ä¦amis","Il-Ä imgÄ§a","Is-Sibt"],
				namesAbbr: ["Ä¦ad","Tne","Tli","Erb","Ä¦am","Ä im","Sib"],
				namesShort: ["I","I","I","L","I","I","I"]
			},
			months: {
				names: ["Jannar","Frar","Marzu","April","Mejju","Ä unju","Lulju","Awissu","Settembru","Ottubru","Novembru","DiÄ‹embru",""],
				namesAbbr: ["Jan","Fra","Mar","Apr","Mej","Ä un","Lul","Awi","Set","Ott","Nov","DiÄ‹",""]
			},
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, d' ta\\' 'MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' ta\\' 'MMMM yyyy HH:mm",
				F: "dddd, d' ta\\' 'MMMM yyyy HH:mm:ss",
				M: "d' ta\\' 'MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "se-NO", "default", {
	name: "se-NO",
	englishName: "Sami, Northern (Norway)",
	nativeName: "davvisÃ¡megiella (Norga)",
	language: "se",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sotnabeaivi","vuossÃ¡rga","maÅ‹Å‹ebÃ¡rga","gaskavahkku","duorastat","bearjadat","lÃ¡vvardat"],
				namesAbbr: ["sotn","vuos","maÅ‹","gask","duor","bear","lÃ¡v"],
				namesShort: ["s","m","d","g","d","b","l"]
			},
			months: {
				names: ["oÄ‘Ä‘ajagemÃ¡nnu","guovvamÃ¡nnu","njukÄamÃ¡nnu","cuoÅ‹omÃ¡nnu","miessemÃ¡nnu","geassemÃ¡nnu","suoidnemÃ¡nnu","borgemÃ¡nnu","ÄakÄamÃ¡nnu","golggotmÃ¡nnu","skÃ¡bmamÃ¡nnu","juovlamÃ¡nnu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			monthsGenitive: {
				names: ["oÄ‘Ä‘ajagimÃ¡nu","guovvamÃ¡nu","njukÄamÃ¡nu","cuoÅ‹omÃ¡nu","miessemÃ¡nu","geassemÃ¡nu","suoidnemÃ¡nu","borgemÃ¡nu","ÄakÄamÃ¡nu","golggotmÃ¡nu","skÃ¡bmamÃ¡nu","juovlamÃ¡nu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ms-MY", "default", {
	name: "ms-MY",
	englishName: "Malay (Malaysia)",
	nativeName: "Bahasa Melayu (Malaysia)",
	language: "ms",
	numberFormat: {
		currency: {
			decimals: 0,
			symbol: "RM"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Ahad","Isnin","Selasa","Rabu","Khamis","Jumaat","Sabtu"],
				namesAbbr: ["Ahad","Isnin","Sel","Rabu","Khamis","Jumaat","Sabtu"],
				namesShort: ["A","I","S","R","K","J","S"]
			},
			months: {
				names: ["Januari","Februari","Mac","April","Mei","Jun","Julai","Ogos","September","Oktober","November","Disember",""],
				namesAbbr: ["Jan","Feb","Mac","Apr","Mei","Jun","Jul","Ogos","Sept","Okt","Nov","Dis",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM yyyy H:mm",
				F: "dd MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "kk-KZ", "default", {
	name: "kk-KZ",
	englishName: "Kazakh (Kazakhstan)",
	nativeName: "ÒšÐ°Ð·Ð°Ò› (ÒšÐ°Ð·Ð°Ò›ÑÑ‚Ð°Ð½)",
	language: "kk",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-$n","$n"],
			",": "Â ",
			".": "-",
			symbol: "Ð¢"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð–ÐµÐºÑÐµÐ½Ð±Ñ–","Ð”Ò¯Ð¹ÑÐµÐ½Ð±Ñ–","Ð¡ÐµÐ¹ÑÐµÐ½Ð±Ñ–","Ð¡Ó™Ñ€ÑÐµÐ½Ð±Ñ–","Ð‘ÐµÐ¹ÑÐµÐ½Ð±Ñ–","Ð–Ò±Ð¼Ð°","Ð¡ÐµÐ½Ð±Ñ–"],
				namesAbbr: ["Ð–Ðº","Ð”Ñ","Ð¡Ñ","Ð¡Ñ€","Ð‘Ñ","Ð–Ð¼","Ð¡Ð½"],
				namesShort: ["Ð–Ðº","Ð”Ñ","Ð¡Ñ","Ð¡Ñ€","Ð‘Ñ","Ð–Ð¼","Ð¡Ð½"]
			},
			months: {
				names: ["Ò›Ð°Ò£Ñ‚Ð°Ñ€","Ð°Ò›Ð¿Ð°Ð½","Ð½Ð°ÑƒÑ€Ñ‹Ð·","ÑÓ™ÑƒÑ–Ñ€","Ð¼Ð°Ð¼Ñ‹Ñ€","Ð¼Ð°ÑƒÑÑ‹Ð¼","ÑˆÑ–Ð»Ð´Ðµ","Ñ‚Ð°Ð¼Ñ‹Ð·","Ò›Ñ‹Ñ€ÐºÒ¯Ð¹ÐµÐº","Ò›Ð°Ð·Ð°Ð½","Ò›Ð°Ñ€Ð°ÑˆÐ°","Ð¶ÐµÐ»Ñ‚Ð¾Ò›ÑÐ°Ð½",""],
				namesAbbr: ["ÒšÐ°Ò£","ÐÒ›Ð¿","ÐÐ°Ñƒ","Ð¡Ó™Ñƒ","ÐœÐ°Ð¼","ÐœÐ°Ñƒ","Ð¨Ñ–Ð»","Ð¢Ð°Ð¼","ÒšÑ‹Ñ€","ÒšÐ°Ð·","ÒšÐ°Ñ€","Ð–ÐµÐ»",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy 'Ð¶.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'Ð¶.' H:mm",
				F: "d MMMM yyyy 'Ð¶.' H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ky-KG", "default", {
	name: "ky-KG",
	englishName: "Kyrgyz (Kyrgyzstan)",
	nativeName: "ÐšÑ‹Ñ€Ð³Ñ‹Ð· (ÐšÑ‹Ñ€Ð³Ñ‹Ð·ÑÑ‚Ð°Ð½)",
	language: "ky",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": "-",
			symbol: "ÑÐ¾Ð¼"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð–ÐµÐºÑˆÐµÐ¼Ð±Ð¸","Ð”Ò¯Ð¹ÑˆÓ©Ð¼Ð±Ò¯","Ð¨ÐµÐ¹ÑˆÐµÐ¼Ð±Ð¸","Ð¨Ð°Ñ€ÑˆÐµÐ¼Ð±Ð¸","Ð‘ÐµÐ¹ÑˆÐµÐ¼Ð±Ð¸","Ð–ÑƒÐ¼Ð°","Ð˜ÑˆÐµÐ¼Ð±Ð¸"],
				namesAbbr: ["Ð–Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","Ð‘Ñˆ","Ð–Ð¼","Ð˜Ñˆ"],
				namesShort: ["Ð–Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","Ð‘Ñˆ","Ð–Ð¼","Ð˜Ñˆ"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€ÑŒ","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒ","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»ÑŒ","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒ","ÐÐ¾ÑÐ±Ñ€ÑŒ","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d'-'MMMM yyyy'-Ð¶.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d'-'MMMM yyyy'-Ð¶.' H:mm",
				F: "d'-'MMMM yyyy'-Ð¶.' H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy'-Ð¶.'"
			}
		}
	}
});

Globalize.addCultureInfo( "sw-KE", "default", {
	name: "sw-KE",
	englishName: "Kiswahili (Kenya)",
	nativeName: "Kiswahili (Kenya)",
	language: "sw",
	numberFormat: {
		currency: {
			symbol: "S"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Jumapili","Jumatatu","Jumanne","Jumatano","Alhamisi","Ijumaa","Jumamosi"],
				namesAbbr: ["Jumap.","Jumat.","Juman.","Jumat.","Alh.","Iju.","Jumam."],
				namesShort: ["P","T","N","T","A","I","M"]
			},
			months: {
				names: ["Januari","Februari","Machi","Aprili","Mei","Juni","Julai","Agosti","Septemba","Oktoba","Novemba","Decemba",""],
				namesAbbr: ["Jan","Feb","Mac","Apr","Mei","Jun","Jul","Ago","Sep","Okt","Nov","Dec",""]
			}
		}
	}
});

Globalize.addCultureInfo( "tk-TM", "default", {
	name: "tk-TM",
	englishName: "Turkmen (Turkmenistan)",
	nativeName: "tÃ¼rkmenÃ§e (TÃ¼rkmenistan)",
	language: "tk",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-Ã¼znÃ¼ksizlik",
		positiveInfinity: "Ã¼znÃ¼ksizlik",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "m."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["DuÅŸenbe","SiÅŸenbe","Ã‡arÅŸenbe","PenÅŸenbe","Anna","Åženbe","ÃekÅŸenbe"],
				namesAbbr: ["Db","Sb","Ã‡b","Pb","An","Åžb","Ãb"],
				namesShort: ["D","S","Ã‡","P","A","Åž","Ã"]
			},
			months: {
				names: ["Ãanwar","Fewral","Mart","Aprel","MaÃ½","lÃ½un","lÃ½ul","Awgust","SentÃ½abr","OktÃ½abr","NoÃ½abr","Dekabr",""],
				namesAbbr: ["Ãan","Few","Mart","Apr","MaÃ½","lÃ½un","lÃ½ul","Awg","Sen","Okt","Not","Dek",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "yyyy 'Ã½.' MMMM d",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'Ã½.' MMMM d H:mm",
				F: "yyyy 'Ã½.' MMMM d H:mm:ss",
				Y: "yyyy 'Ã½.' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "uz-Latn-UZ", "default", {
	name: "uz-Latn-UZ",
	englishName: "Uzbek (Latin, Uzbekistan)",
	nativeName: "U'zbek (U'zbekiston Respublikasi)",
	language: "uz-Latn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			decimals: 0,
			",": "Â ",
			".": ",",
			symbol: "so'm"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["yakshanba","dushanba","seshanba","chorshanba","payshanba","juma","shanba"],
				namesAbbr: ["yak.","dsh.","sesh.","chr.","psh.","jm.","sh."],
				namesShort: ["ya","d","s","ch","p","j","sh"]
			},
			months: {
				names: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""],
				namesAbbr: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM yyyy",
				D: "yyyy 'yil' d-MMMM",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'yil' d-MMMM HH:mm",
				F: "yyyy 'yil' d-MMMM HH:mm:ss",
				M: "d-MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tt-RU", "default", {
	name: "tt-RU",
	englishName: "Tatar (Russia)",
	nativeName: "Ð¢Ð°Ñ‚Ð°Ñ€ (Ð Ð¾ÑÑÐ¸Ñ)",
	language: "tt",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð¯ÐºÑˆÓ™Ð¼Ð±Ðµ","Ð”Ò¯ÑˆÓ™Ð¼Ð±Ðµ","Ð¡Ð¸ÑˆÓ™Ð¼Ð±Ðµ","Ð§Ó™Ñ€ÑˆÓ™Ð¼Ð±Ðµ","ÐŸÓ™Ð½Ò—ÐµÑˆÓ™Ð¼Ð±Ðµ","Ò–Ð¾Ð¼Ð³Ð°","Ð¨Ð¸Ð¼Ð±Ó™"],
				namesAbbr: ["Ð¯ÐºÑˆ","Ð”Ò¯Ñˆ","Ð¡Ð¸Ñˆ","Ð§Ó™Ñ€Ñˆ","ÐŸÓ™Ð½Ò—","Ò–Ð¾Ð¼","Ð¨Ð¸Ð¼"],
				namesShort: ["Ð¯","Ð”","Ð¡","Ð§","ÐŸ","Ò–","Ð¨"]
			},
			months: {
				names: ["Ð“Ñ‹Ð¹Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒ","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»ÑŒ","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒ","ÐÐ¾ÑÐ±Ñ€ÑŒ","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["Ð“Ñ‹Ð¹Ð½.","Ð¤ÐµÐ².","ÐœÐ°Ñ€.","ÐÐ¿Ñ€.","ÐœÐ°Ð¹","Ð˜ÑŽÐ½ÑŒ","Ð˜ÑŽÐ»ÑŒ","ÐÐ²Ð³.","Ð¡ÐµÐ½.","ÐžÐºÑ‚.","ÐÐ¾ÑÐ±.","Ð”ÐµÐº.",""]
			},
			monthsGenitive: {
				names: ["Ð“Ñ‹Ð¹Ð½Ð²Ð°Ñ€Ð½Ñ‹Ò£","Ð¤ÐµÐ²Ñ€Ð°Ð»ÑŒÐ½ÐµÒ£","ÐœÐ°Ñ€Ñ‚Ð½Ñ‹Ò£","ÐÐ¿Ñ€ÐµÐ»ÑŒÐ½ÐµÒ£","ÐœÐ°Ð¹Ð½Ñ‹Ò£","Ð˜ÑŽÐ½ÑŒÐ½ÐµÒ£","Ð˜ÑŽÐ»ÑŒÐ½ÐµÒ£","ÐÐ²Ð³ÑƒÑÑ‚Ð½Ñ‹Ò£","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒÐ½Ñ‹Ò£","ÐžÐºÑ‚ÑÐ±Ñ€ÑŒÐ½Ñ‹Ò£","ÐÐ¾ÑÐ±Ñ€ÑŒÐ½Ñ‹Ò£","Ð”ÐµÐºÐ°Ð±Ñ€ÑŒÐ½Ñ‹Ò£",""],
				namesAbbr: ["Ð“Ñ‹Ð¹Ð½.-Ð½Ñ‹Ò£","Ð¤ÐµÐ².-Ð½ÐµÒ£","ÐœÐ°Ñ€.-Ð½Ñ‹Ò£","ÐÐ¿Ñ€.-Ð½ÐµÒ£","ÐœÐ°Ð¹Ð½Ñ‹Ò£","Ð˜ÑŽÐ½ÑŒÐ½ÐµÒ£","Ð˜ÑŽÐ»ÑŒÐ½ÐµÒ£","ÐÐ²Ð³.-Ð½Ñ‹Ò£","Ð¡ÐµÐ½.-Ð½Ñ‹Ò£","ÐžÐºÑ‚.-Ð½Ñ‹Ò£","ÐÐ¾ÑÐ±.-Ð½Ñ‹Ò£","Ð”ÐµÐº.-Ð½Ñ‹Ò£",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bn-IN", "default", {
	name: "bn-IN",
	englishName: "Bengali (India)",
	nativeName: "à¦¬à¦¾à¦‚à¦²à¦¾ (à¦­à¦¾à¦°à¦¤)",
	language: "bn",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			pattern: ["-%n","%n"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¦Ÿà¦¾"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			":": ".",
			firstDay: 1,
			days: {
				names: ["à¦°à¦¬à¦¿à¦¬à¦¾à¦°","à¦¸à§‹à¦®à¦¬à¦¾à¦°","à¦®à¦™à§à¦—à¦²à¦¬à¦¾à¦°","à¦¬à§à¦§à¦¬à¦¾à¦°","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿à¦¬à¦¾à¦°","à¦¶à§à¦•à§à¦°à¦¬à¦¾à¦°","à¦¶à¦¨à¦¿à¦¬à¦¾à¦°"],
				namesAbbr: ["à¦°à¦¬à¦¿.","à¦¸à§‹à¦®.","à¦®à¦™à§à¦—à¦².","à¦¬à§à¦§.","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿.","à¦¶à§à¦•à§à¦°.","à¦¶à¦¨à¦¿."],
				namesShort: ["à¦°","à¦¸","à¦®","à¦¬","à¦¬","à¦¶","à¦¶"]
			},
			months: {
				names: ["à¦œà¦¾à¦¨à§à¦¯à¦¼à¦¾à¦°à§€","à¦«à§‡à¦¬à§à¦°à§à¦¯à¦¼à¦¾à¦°à§€","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦¸à§à¦Ÿ","à¦¸à§‡à¦ªà§à¦Ÿà§‡à¦®à§à¦¬à¦°","à¦…à¦•à§à¦Ÿà§‹à¦¬à¦°","à¦¨à¦­à§‡à¦®à§à¦¬à¦°","à¦¡à¦¿à¦¸à§‡à¦®à§à¦¬à¦°",""],
				namesAbbr: ["à¦œà¦¾à¦¨à§.","à¦«à§‡à¦¬à§à¦°à§.","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—.","à¦¸à§‡à¦ªà§à¦Ÿà§‡.","à¦…à¦•à§à¦Ÿà§‹.","à¦¨à¦­à§‡.","à¦¡à¦¿à¦¸à§‡.",""]
			},
			AM: ["à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨","à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨","à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨"],
			PM: ["à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨","à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨","à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH.mm",
				T: "HH.mm.ss",
				f: "dd MMMM yyyy HH.mm",
				F: "dd MMMM yyyy HH.mm.ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "pa-IN", "default", {
	name: "pa-IN",
	englishName: "Punjabi (India)",
	nativeName: "à¨ªà©°à¨œà¨¾à¨¬à©€ (à¨­à¨¾à¨°à¨¤)",
	language: "pa",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¨°à©"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¨à¨¤à¨µà¨¾à¨°","à¨¸à©‹à¨®à¨µà¨¾à¨°","à¨®à©°à¨—à¨²à¨µà¨¾à¨°","à¨¬à©à©±à¨§à¨µà¨¾à¨°","à¨µà©€à¨°à¨µà¨¾à¨°","à¨¶à©à©±à¨•à¨°à¨µà¨¾à¨°","à¨¶à¨¨à¨¿à©±à¨šà¨°à¨µà¨¾à¨°"],
				namesAbbr: ["à¨à¨¤.","à¨¸à©‹à¨®.","à¨®à©°à¨—à¨².","à¨¬à©à©±à¨§.","à¨µà©€à¨°.","à¨¶à©à¨•à¨°.","à¨¶à¨¨à¨¿à©±à¨šà¨°."],
				namesShort: ["à¨","à¨¸","à¨®","à¨¬","à¨µ","à¨¶","à¨¶"]
			},
			months: {
				names: ["à¨œà¨¨à¨µà¨°à©€","à©žà¨°à¨µà¨°à©€","à¨®à¨¾à¨°à¨š","à¨…à¨ªà©à¨°à©ˆà¨²","à¨®à¨ˆ","à¨œà©‚à¨¨","à¨œà©à¨²à¨¾à¨ˆ","à¨…à¨—à¨¸à¨¤","à¨¸à¨¤à©°à¨¬à¨°","à¨…à¨•à¨¤à©‚à¨¬à¨°","à¨¨à¨µà©°à¨¬à¨°","à¨¦à¨¸à©°à¨¬à¨°",""],
				namesAbbr: ["à¨œà¨¨à¨µà¨°à©€","à©žà¨°à¨µà¨°à©€","à¨®à¨¾à¨°à¨š","à¨…à¨ªà©à¨°à©ˆà¨²","à¨®à¨ˆ","à¨œà©‚à¨¨","à¨œà©à¨²à¨¾à¨ˆ","à¨…à¨—à¨¸à¨¤","à¨¸à¨¤à©°à¨¬à¨°","à¨…à¨•à¨¤à©‚à¨¬à¨°","à¨¨à¨µà©°à¨¬à¨°","à¨¦à¨¸à©°à¨¬à¨°",""]
			},
			AM: ["à¨¸à¨µà©‡à¨°","à¨¸à¨µà©‡à¨°","à¨¸à¨µà©‡à¨°"],
			PM: ["à¨¶à¨¾à¨®","à¨¶à¨¾à¨®","à¨¶à¨¾à¨®"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy dddd",
				t: "tt hh:mm",
				T: "tt hh:mm:ss",
				f: "dd MMMM yyyy dddd tt hh:mm",
				F: "dd MMMM yyyy dddd tt hh:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "gu-IN", "default", {
	name: "gu-IN",
	englishName: "Gujarati (India)",
	nativeName: "àª—à«àªœàª°àª¾àª¤à«€ (àª­àª¾àª°àª¤)",
	language: "gu",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "àª°à«‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["àª°àªµàª¿àªµàª¾àª°","àª¸à«‹àª®àªµàª¾àª°","àª®àª‚àª—àª³àªµàª¾àª°","àª¬à«àª§àªµàª¾àª°","àª—à«àª°à«àªµàª¾àª°","àª¶à«àª•à«àª°àªµàª¾àª°","àª¶àª¨àª¿àªµàª¾àª°"],
				namesAbbr: ["àª°àªµàª¿","àª¸à«‹àª®","àª®àª‚àª—àª³","àª¬à«àª§","àª—à«àª°à«","àª¶à«àª•à«àª°","àª¶àª¨àª¿"],
				namesShort: ["àª°","àª¸","àª®","àª¬","àª—","àª¶","àª¶"]
			},
			months: {
				names: ["àªœàª¾àª¨à«àª¯à«àª†àª°à«€","àª«à«‡àª¬à«àª°à«àª†àª°à«€","àª®àª¾àª°à«àªš","àªàªªà«àª°àª¿àª²","àª®à«‡","àªœà«‚àª¨","àªœà«àª²àª¾àªˆ","àª‘àª—àª¸à«àªŸ","àª¸àªªà«àªŸà«‡àª®à«àª¬àª°","àª‘àª•à«àªŸà«àª¬àª°","àª¨àªµà«‡àª®à«àª¬àª°","àª¡àª¿àª¸à«‡àª®à«àª¬àª°",""],
				namesAbbr: ["àªœàª¾àª¨à«àª¯à«","àª«à«‡àª¬à«àª°à«","àª®àª¾àª°à«àªš","àªàªªà«àª°àª¿àª²","àª®à«‡","àªœà«‚àª¨","àªœà«àª²àª¾àªˆ","àª‘àª—àª¸à«àªŸ","àª¸àªªà«àªŸà«‡","àª‘àª•à«àªŸà«‹","àª¨àªµà«‡","àª¡àª¿àª¸à«‡",""]
			},
			AM: ["àªªà«‚àª°à«àªµÂ àª®àª§à«àª¯àª¾àª¹à«àª¨","àªªà«‚àª°à«àªµÂ àª®àª§à«àª¯àª¾àª¹à«àª¨","àªªà«‚àª°à«àªµÂ àª®àª§à«àª¯àª¾àª¹à«àª¨"],
			PM: ["àª‰àª¤à«àª¤àª°Â àª®àª§à«àª¯àª¾àª¹à«àª¨","àª‰àª¤à«àª¤àª°Â àª®àª§à«àª¯àª¾àª¹à«àª¨","àª‰àª¤à«àª¤àª°Â àª®àª§à«àª¯àª¾àª¹à«àª¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "or-IN", "default", {
	name: "or-IN",
	englishName: "Oriya (India)",
	nativeName: "à¬“à­œà¬¿à¬† (à¬­à¬¾à¬°à¬¤)",
	language: "or",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¬Ÿ"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["à¬°à¬¬à¬¿à¬¬à¬¾à¬°","à¬¸à­‡à¬¾à¬®à¬¬à¬¾à¬°","à¬®à¬™à­à¬—à¬³à¬¬à¬¾à¬°","à¬¬à­à¬§à¬¬à¬¾à¬°","à¬—à­à¬°à­à¬¬à¬¾à¬°","à¬¶à­à¬•à­à¬°à¬¬à¬¾à¬°","à¬¶à¬¨à¬¿à¬¬à¬¾à¬°"],
				namesAbbr: ["à¬°à¬¬à¬¿.","à¬¸à­‡à¬¾à¬®.","à¬®à¬™à­à¬—à¬³.","à¬¬à­à¬§.","à¬—à­à¬°à­.","à¬¶à­à¬•à­à¬°.","à¬¶à¬¨à¬¿."],
				namesShort: ["à¬°","à¬¸à­‡à¬¾","à¬®","à¬¬à­","à¬—à­","à¬¶à­","à¬¶"]
			},
			months: {
				names: ["à¬œà¬¾à¬¨à­à­Ÿà¬¾à¬°à­€","à¬«à­à¬°à­‡à¬¬à­ƒà­Ÿà¬¾à¬°à­€","à¬®à¬¾à¬°à­à¬šà­à¬š","à¬à¬ªà­à¬°à¬¿à¬²à­\u200c","à¬®à­‡","à¬œà­à¬¨à­\u200c","à¬œà­à¬²à¬¾à¬‡","à¬…à¬—à¬·à­à¬Ÿ","à¬¸à­‡à¬ªà­à¬Ÿà­‡à¬®à­à¬¬à¬°","à¬…à¬•à­à¬Ÿà­‹à¬¬à¬°","à¬¨à¬­à­‡à¬®à­à¬¬à¬°","(à¬¡à¬¿à¬¸à­‡à¬®à­à¬¬à¬°",""],
				namesAbbr: ["à¬œà¬¾à¬¨à­à­Ÿà¬¾à¬°à­€","à¬«à­à¬°à­‡à¬¬à­ƒà­Ÿà¬¾à¬°à­€","à¬®à¬¾à¬°à­à¬šà­à¬š","à¬à¬ªà­à¬°à¬¿à¬²à­\u200c","à¬®à­‡","à¬œà­à¬¨à­\u200c","à¬œà­à¬²à¬¾à¬‡","à¬…à¬—à¬·à­à¬Ÿ","à¬¸à­‡à¬ªà­à¬Ÿà­‡à¬®à­à¬¬à¬°","à¬…à¬•à­à¬Ÿà­‹à¬¬à¬°","à¬¨à¬­à­‡à¬®à­à¬¬à¬°","(à¬¡à¬¿à¬¸à­‡à¬®à­à¬¬à¬°",""]
			},
			eras: [{"name":"à¬–à­à¬°à­€à¬·à­à¬Ÿà¬¾à¬¬à­à¬¦","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ta-IN", "default", {
	name: "ta-IN",
	englishName: "Tamil (India)",
	nativeName: "à®¤à®®à®¿à®´à¯ (à®‡à®¨à¯à®¤à®¿à®¯à®¾)",
	language: "ta",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à®°à¯‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à®žà®¾à®¯à®¿à®±à¯à®±à¯à®•à¯à®•à®¿à®´à®®à¯ˆ","à®¤à®¿à®™à¯à®•à®³à¯à®•à®¿à®´à®®à¯ˆ","à®šà¯†à®µà¯à®µà®¾à®¯à¯à®•à®¿à®´à®®à¯ˆ","à®ªà¯à®¤à®©à¯à®•à®¿à®´à®®à¯ˆ","à®µà®¿à®¯à®¾à®´à®•à¯à®•à®¿à®´à®®à¯ˆ","à®µà¯†à®³à¯à®³à®¿à®•à¯à®•à®¿à®´à®®à¯ˆ","à®šà®©à®¿à®•à¯à®•à®¿à®´à®®à¯ˆ"],
				namesAbbr: ["à®žà®¾à®¯à®¿à®±à¯","à®¤à®¿à®™à¯à®•à®³à¯","à®šà¯†à®µà¯à®µà®¾à®¯à¯","à®ªà¯à®¤à®©à¯","à®µà®¿à®¯à®¾à®´à®©à¯","à®µà¯†à®³à¯à®³à®¿","à®šà®©à®¿"],
				namesShort: ["à®žà®¾","à®¤à®¿","à®šà¯†","à®ªà¯","à®µà®¿","à®µà¯†","à®š"]
			},
			months: {
				names: ["à®œà®©à®µà®°à®¿","à®ªà®¿à®ªà¯à®°à®µà®°à®¿","à®®à®¾à®°à¯à®šà¯","à®à®ªà¯à®°à®²à¯","à®®à¯‡","à®œà¯‚à®©à¯","à®œà¯‚à®²à¯ˆ","à®†à®•à®¸à¯à®Ÿà¯","à®šà¯†à®ªà¯à®Ÿà®®à¯à®ªà®°à¯","à®…à®•à¯à®Ÿà¯‹à®ªà®°à¯","à®¨à®µà®®à¯à®ªà®°à¯","à®Ÿà®¿à®šà®®à¯à®ªà®°à¯",""],
				namesAbbr: ["à®œà®©à®µà®°à®¿","à®ªà®¿à®ªà¯à®°à®µà®°à®¿","à®®à®¾à®°à¯à®šà¯","à®à®ªà¯à®°à®²à¯","à®®à¯‡","à®œà¯‚à®©à¯","à®œà¯‚à®²à¯ˆ","à®†à®•à®¸à¯à®Ÿà¯","à®šà¯†à®ªà¯à®Ÿà®®à¯à®ªà®°à¯","à®…à®•à¯à®Ÿà¯‹à®ªà®°à¯","à®¨à®µà®®à¯à®ªà®°à¯","à®Ÿà®¿à®šà®®à¯à®ªà®°à¯",""]
			},
			AM: ["à®•à®¾à®²à¯ˆ","à®•à®¾à®²à¯ˆ","à®•à®¾à®²à¯ˆ"],
			PM: ["à®®à®¾à®²à¯ˆ","à®®à®¾à®²à¯ˆ","à®®à®¾à®²à¯ˆ"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "te-IN", "default", {
	name: "te-IN",
	englishName: "Telugu (India)",
	nativeName: "à°¤à±†à°²à±à°—à± (à°­à°¾à°°à°¤Â à°¦à±‡à°¶à°‚)",
	language: "te",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à°°à±‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à°†à°¦à°¿à°µà°¾à°°à°‚","à°¸à±‹à°®à°µà°¾à°°à°‚","à°®à°‚à°—à°³à°µà°¾à°°à°‚","à°¬à±à°§à°µà°¾à°°à°‚","à°—à±à°°à±à°µà°¾à°°à°‚","à°¶à±à°•à±à°°à°µà°¾à°°à°‚","à°¶à°¨à°¿à°µà°¾à°°à°‚"],
				namesAbbr: ["à°†à°¦à°¿.","à°¸à±‹à°®.","à°®à°‚à°—à°³.","à°¬à±à°§.","à°—à±à°°à±.","à°¶à±à°•à±à°°.","à°¶à°¨à°¿."],
				namesShort: ["à°†","à°¸à±‹","à°®à°‚","à°¬à±","à°—à±","à°¶à±","à°¶"]
			},
			months: {
				names: ["à°œà°¨à°µà°°à°¿","à°«à°¿à°¬à±à°°à°µà°°à°¿","à°®à°¾à°°à±à°šà°¿","à°à°ªà±à°°à°¿à°²à±","à°®à±‡","à°œà±‚à°¨à±","à°œà±‚à°²à±ˆ","à°†à°—à°¸à±à°Ÿà±","à°¸à±†à°ªà±à°Ÿà±†à°‚à°¬à°°à±","à°…à°•à±à°Ÿà±‹à°¬à°°à±","à°¨à°µà°‚à°¬à°°à±","à°¡à°¿à°¸à±†à°‚à°¬à°°à±",""],
				namesAbbr: ["à°œà°¨à°µà°°à°¿","à°«à°¿à°¬à±à°°à°µà°°à°¿","à°®à°¾à°°à±à°šà°¿","à°à°ªà±à°°à°¿à°²à±","à°®à±‡","à°œà±‚à°¨à±","à°œà±‚à°²à±ˆ","à°†à°—à°¸à±à°Ÿà±","à°¸à±†à°ªà±à°Ÿà±†à°‚à°¬à°°à±","à°…à°•à±à°Ÿà±‹à°¬à°°à±","à°¨à°µà°‚à°¬à°°à±","à°¡à°¿à°¸à±†à°‚à°¬à°°à±",""]
			},
			AM: ["à°ªà±‚à°°à±à°µà°¾à°¹à±à°¨","à°ªà±‚à°°à±à°µà°¾à°¹à±à°¨","à°ªà±‚à°°à±à°µà°¾à°¹à±à°¨"],
			PM: ["à°…à°ªà°°à°¾à°¹à±à°¨","à°…à°ªà°°à°¾à°¹à±à°¨","à°…à°ªà°°à°¾à°¹à±à°¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "kn-IN", "default", {
	name: "kn-IN",
	englishName: "Kannada (India)",
	nativeName: "à²•à²¨à³à²¨à²¡ (à²­à²¾à²°à²¤)",
	language: "kn",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à²°à³‚"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à²­à²¾à²¨à³à²µà²¾à²°","à²¸à³‹à²®à²µà²¾à²°","à²®à²‚à²—à²³à²µà²¾à²°","à²¬à³à²§à²µà²¾à²°","à²—à³à²°à³à²µà²¾à²°","à²¶à³à²•à³à²°à²µà²¾à²°","à²¶à²¨à²¿à²µà²¾à²°"],
				namesAbbr: ["à²­à²¾à²¨à³.","à²¸à³‹à²®.","à²®à²‚à²—à²³.","à²¬à³à²§.","à²—à³à²°à³.","à²¶à³à²•à³à²°.","à²¶à²¨à²¿."],
				namesShort: ["à²°","à²¸","à²®","à²¬","à²—","à²¶","à²¶"]
			},
			months: {
				names: ["à²œà²¨à²µà²°à²¿","à²«à³†à²¬à³à²°à²µà²°à²¿","à²®à²¾à²°à³à²šà³","à²Žà²ªà³à²°à²¿à²²à³","à²®à³‡","à²œà³‚à²¨à³","à²œà³à²²à³ˆ","à²†à²—à²¸à³à²Ÿà³","à²¸à³†à²ªà³à²Ÿà²‚à²¬à²°à³","à²…à²•à³à²Ÿà³‹à²¬à²°à³","à²¨à²µà³†à²‚à²¬à²°à³","à²¡à²¿à²¸à³†à²‚à²¬à²°à³",""],
				namesAbbr: ["à²œà²¨à²µà²°à²¿","à²«à³†à²¬à³à²°à²µà²°à²¿","à²®à²¾à²°à³à²šà³","à²Žà²ªà³à²°à²¿à²²à³","à²®à³‡","à²œà³‚à²¨à³","à²œà³à²²à³ˆ","à²†à²—à²¸à³à²Ÿà³","à²¸à³†à²ªà³à²Ÿà²‚à²¬à²°à³","à²…à²•à³à²Ÿà³‹à²¬à²°à³","à²¨à²µà³†à²‚à²¬à²°à³","à²¡à²¿à²¸à³†à²‚à²¬à²°à³",""]
			},
			AM: ["à²ªà³‚à²°à³à²µà²¾à²¹à³à²¨","à²ªà³‚à²°à³à²µà²¾à²¹à³à²¨","à²ªà³‚à²°à³à²µà²¾à²¹à³à²¨"],
			PM: ["à²…à²ªà²°à²¾à²¹à³à²¨","à²…à²ªà²°à²¾à²¹à³à²¨","à²…à²ªà²°à²¾à²¹à³à²¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ml-IN", "default", {
	name: "ml-IN",
	englishName: "Malayalam (India)",
	nativeName: "à´®à´²à´¯à´¾à´³à´‚ (à´­à´¾à´°à´¤à´‚)",
	language: "ml",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			pattern: ["-%n","%n"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à´•"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			":": ".",
			firstDay: 1,
			days: {
				names: ["à´žà´¾à´¯à´±à´¾à´´àµà´š","à´¤à´¿à´™àµà´•à´³à´¾à´´àµà´š","à´šàµŠà´µàµà´µà´¾à´´àµà´š","à´¬àµà´§à´¨à´¾à´´àµà´š","à´µàµà´¯à´¾à´´à´¾à´´àµà´š","à´µàµ†à´³àµà´³à´¿à´¯à´¾à´´àµà´š","à´¶à´¨à´¿à´¯à´¾à´´àµà´š"],
				namesAbbr: ["à´žà´¾à´¯àµ¼.","à´¤à´¿à´™àµà´•àµ¾.","à´šàµŠà´µàµà´µ.","à´¬àµà´§àµ».","à´µàµà´¯à´¾à´´à´‚.","à´µàµ†à´³àµà´³à´¿.","à´¶à´¨à´¿."],
				namesShort: ["à´ž","à´¤","à´š","à´¬","à´µ","à´µàµ†","à´¶"]
			},
			months: {
				names: ["à´œà´¨àµà´µà´°à´¿","à´«àµ†à´¬àµà´±àµà´µà´°à´¿","à´®à´¾à´±àµà´šàµà´šàµ","à´à´ªàµà´±à´¿à´²àµ","à´®àµ†à´¯àµ","à´œàµ‚à´£àµ","à´œàµ‚à´²àµˆ","à´“à´—à´¸àµà´±à´±àµ","à´¸àµ†à´ªàµà´±à´±à´‚à´¬à´±àµ","à´’à´•àµà´Ÿàµ‹à´¬à´±àµ","à´¨à´µà´‚à´¬à´±àµ","à´¡à´¿à´¸à´‚à´¬à´±àµ",""],
				namesAbbr: ["à´œà´¨àµà´µà´°à´¿","à´«àµ†à´¬àµà´±àµà´µà´°à´¿","à´®à´¾à´±àµà´šàµà´šàµ","à´à´ªàµà´±à´¿à´²àµ","à´®àµ†à´¯àµ","à´œàµ‚à´£àµ","à´œàµ‚à´²àµˆ","à´“à´—à´¸àµà´±à´±àµ","à´¸àµ†à´ªàµà´±à´±à´‚à´¬à´±àµ","à´’à´•àµà´Ÿàµ‹à´¬à´±àµ","à´¨à´µà´‚à´¬à´±àµ","à´¡à´¿à´¸à´‚à´¬à´±àµ",""]
			},
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH.mm",
				T: "HH.mm.ss",
				f: "dd MMMM yyyy HH.mm",
				F: "dd MMMM yyyy HH.mm.ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "as-IN", "default", {
	name: "as-IN",
	englishName: "Assamese (India)",
	nativeName: "à¦…à¦¸à¦®à§€à§Ÿà¦¾ (à¦­à¦¾à§°à¦¤)",
	language: "as",
	numberFormat: {
		groupSizes: [3,2],
		"NaN": "nan",
		negativeInfinity: "-infinity",
		positiveInfinity: "infinity",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","n$"],
			groupSizes: [3,2],
			symbol: "à¦Ÿ"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¦¸à§‹à¦®à¦¬à¦¾à§°","à¦®à¦™à§à¦—à¦²à¦¬à¦¾à§°","à¦¬à§à¦§à¦¬à¦¾à§°","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿à¦¬à¦¾à§°","à¦¶à§à¦•à§à¦°à¦¬à¦¾à§°","à¦¶à¦¨à¦¿à¦¬à¦¾à§°","à§°à¦¬à¦¿à¦¬à¦¾à§°"],
				namesAbbr: ["à¦¸à§‹à¦®.","à¦®à¦™à§à¦—à¦².","à¦¬à§à¦§.","à¦¬à§ƒà¦¹.","à¦¶à§à¦•à§à¦°.","à¦¶à¦¨à¦¿.","à§°à¦¬à¦¿."],
				namesShort: ["à¦¸à§‹","à¦®","à¦¬à§","à¦¬à§ƒ","à¦¶à§","à¦¶","à¦°"]
			},
			months: {
				names: ["à¦œà¦¾à¦¨à§à§±à¦¾à§°à§€","à¦«à§‡à¦¬à§à¦°à§à§±à¦¾à§°à§€","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦·à§à¦Ÿ","à¦šà§‡à¦ªà§à¦Ÿà§‡à¦®à§à¦¬à¦°","à¦…à¦•à§à¦Ÿà§‹à¦¬à¦°","à¦¨à¦¬à§‡à¦®à§à¦¬à¦°","à¦¡à¦¿à¦šà§‡à¦®à§à¦¬à¦°",""],
				namesAbbr: ["à¦œà¦¾à¦¨à§","à¦«à§‡à¦¬à§à¦°à§","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦·à§à¦Ÿ","à¦šà§‡à¦ªà§à¦Ÿà§‡","à¦…à¦•à§à¦Ÿà§‹","à¦¨à¦¬à§‡","à¦¡à¦¿à¦šà§‡",""]
			},
			AM: ["à§°à¦¾à¦¤à¦¿à¦ªà§","à§°à¦¾à¦¤à¦¿à¦ªà§","à§°à¦¾à¦¤à¦¿à¦ªà§"],
			PM: ["à¦†à¦¬à§‡à¦²à¦¿","à¦†à¦¬à§‡à¦²à¦¿","à¦†à¦¬à§‡à¦²à¦¿"],
			eras: [{"name":"à¦–à§à¦°à§€à¦·à§à¦Ÿà¦¾à¦¬à§à¦¦","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yyyy",
				D: "yyyy,MMMM dd, dddd",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "yyyy,MMMM dd, dddd tt h:mm",
				F: "yyyy,MMMM dd, dddd tt h:mm:ss",
				M: "dd MMMM",
				Y: "MMMM,yy"
			}
		}
	}
});

Globalize.addCultureInfo( "mr-IN", "default", {
	name: "mr-IN",
	englishName: "Marathi (India)",
	nativeName: "à¤®à¤°à¤¾à¤ à¥€ (à¤­à¤¾à¤°à¤¤)",
	language: "mr",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¤°à¤µà¤¿à¤µà¤¾à¤°","à¤¸à¥‹à¤®à¤µà¤¾à¤°","à¤®à¤‚à¤—à¤³à¤µà¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤—à¥à¤°à¥à¤µà¤¾à¤°","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤°","à¤¶à¤¨à¤¿à¤µà¤¾à¤°"],
				namesAbbr: ["à¤°à¤µà¤¿.","à¤¸à¥‹à¤®.","à¤®à¤‚à¤—à¤³.","à¤¬à¥à¤§.","à¤—à¥à¤°à¥.","à¤¶à¥à¤•à¥à¤°.","à¤¶à¤¨à¤¿."],
				namesShort: ["à¤°","à¤¸","à¤®","à¤¬","à¤—","à¤¶","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¾à¤¨à¥‡à¤µà¤¾à¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤µà¤¾à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚à¤¬à¤°","à¤‘à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤µà¥à¤¹à¥‡à¤‚à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤‚à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¾à¤¨à¥‡.","à¤«à¥‡à¤¬à¥à¤°à¥.","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚.","à¤‘à¤•à¥à¤Ÿà¥‹.","à¤¨à¥‹à¤µà¥à¤¹à¥‡à¤‚.","à¤¡à¤¿à¤¸à¥‡à¤‚.",""]
			},
			AM: ["à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚."],
			PM: ["à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚."],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sa-IN", "default", {
	name: "sa-IN",
	englishName: "Sanskrit (India)",
	nativeName: "à¤¸à¤‚à¤¸à¥à¤•à¥ƒà¤¤ (à¤­à¤¾à¤°à¤¤à¤®à¥)",
	language: "sa",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["à¤°à¤µà¤¿à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¸à¥‹à¤®à¤µà¤¾à¤¸à¤°à¤ƒ","à¤®à¤™à¥à¤—à¤²à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¬à¥à¤§à¤µà¤¾à¤¸à¤°à¤ƒ","à¤—à¥à¤°à¥à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¤¨à¤¿à¤µà¤¾à¤¸à¤°à¤ƒ"],
				namesAbbr: ["à¤°à¤µà¤¿à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¸à¥‹à¤®à¤µà¤¾à¤¸à¤°à¤ƒ","à¤®à¤™à¥à¤—à¤²à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¬à¥à¤§à¤µà¤¾à¤¸à¤°à¤ƒ","à¤—à¥à¤°à¥à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤¸à¤°à¤ƒ","à¤¶à¤¨à¤¿à¤µà¤¾à¤¸à¤°à¤ƒ"],
				namesShort: ["à¤°","à¤¸","à¤®","à¤¬","à¤—","à¤¶","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¤°à¤µà¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¥ˆà¤²","à¤®à¤ˆ","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¤¿à¤¤à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤¤à¥‚à¤¬à¤°","à¤¨à¤µà¤®à¥à¤¬à¤°","à¤¦à¤¿à¤¸à¤®à¥à¤¬à¤°",""]
			},
			AM: ["à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨","à¤ªà¥‚à¤°à¥à¤µà¤¾à¤¹à¥à¤¨"],
			PM: ["à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨","à¤…à¤ªà¤°à¤¾à¤¹à¥à¤¨"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy dddd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy dddd HH:mm",
				F: "dd MMMM yyyy dddd HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mn-MN", "default", {
	name: "mn-MN",
	englishName: "Mongolian (Cyrillic, Mongolia)",
	nativeName: "ÐœÐ¾Ð½Ð³Ð¾Ð»Â Ñ…ÑÐ» (ÐœÐ¾Ð½Ð³Ð¾Ð»Â ÑƒÐ»Ñ)",
	language: "mn-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "â‚®"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["ÐÑÐ¼","Ð”Ð°Ð²Ð°Ð°","ÐœÑÐ³Ð¼Ð°Ñ€","Ð›Ñ…Ð°Ð³Ð²Ð°","ÐŸÒ¯Ñ€ÑÐ²","Ð‘Ð°Ð°ÑÐ°Ð½","Ð‘ÑÐ¼Ð±Ð°"],
				namesAbbr: ["ÐÑ","Ð”Ð°","ÐœÑ","Ð›Ñ…","ÐŸÒ¯","Ð‘Ð°","Ð‘Ñ"],
				namesShort: ["ÐÑ","Ð”Ð°","ÐœÑ","Ð›Ñ…","ÐŸÒ¯","Ð‘Ð°","Ð‘Ñ"]
			},
			months: {
				names: ["1Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","2Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","3Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","4Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","5Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","6Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","7Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","8Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","9Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","10Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","11Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","12Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€",""],
				namesAbbr: ["I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII",""]
			},
			monthsGenitive: {
				names: ["1Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","2Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","3Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","4Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","5Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","6Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","7Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","8Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","9Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","10Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","11Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","12Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½",""],
				namesAbbr: ["I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yy.MM.dd",
				D: "yyyy 'Ð¾Ð½Ñ‹' MMMM d",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'Ð¾Ð½Ñ‹' MMMM d H:mm",
				F: "yyyy 'Ð¾Ð½Ñ‹' MMMM d H:mm:ss",
				M: "d MMMM",
				Y: "yyyy 'Ð¾Ð½' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "bo-CN", "default", {
	name: "bo-CN",
	englishName: "Tibetan (PRC)",
	nativeName: "à½–à½¼à½‘à¼‹à½¡à½²à½‚ (à½€à¾²à½´à½„à¼‹à½§à¾­à¼‹à½˜à½²à¼‹à½‘à½˜à½„à½¦à¼‹à½¦à¾¤à¾±à½²à¼‹à½˜à½à½´à½“à¼‹à½¢à¾’à¾±à½£à¼‹à½à½–à¼)",
	language: "bo",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "à½¨à½„à¼‹à½€à½²à¼‹à½˜à½²à½“à¼‹à½”à¼",
		negativeInfinity: "à½˜à½¼à¼‹à½‚à¾²à½„à½¦à¼‹à½šà½‘à¼‹à½˜à½ºà½‘à¼‹à½†à½´à½„à¼‹à½–à¼",
		positiveInfinity: "à½•à½¼à¼‹à½‚à¾²à½„à½¦à¼‹à½šà½‘à¼‹à½˜à½ºà½‘à¼‹à½†à½ºà¼‹à½–à¼",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["$-n","$n"],
			groupSizes: [3,0],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["à½‚à½Ÿà½ à¼‹à½‰à½²à¼‹à½˜à¼","à½‚à½Ÿà½ à¼‹à½Ÿà¾³à¼‹à½–à¼","à½‚à½Ÿà½ à¼‹à½˜à½²à½‚à¼‹à½‘à½˜à½¢à¼","à½‚à½Ÿà½ à¼‹à½£à¾·à½‚à¼‹à½”à¼","à½‚à½Ÿà½ à¼‹à½•à½´à½¢à¼‹à½–à½´à¼","à½‚à½Ÿà½ à¼‹à½”à¼‹à½¦à½„à½¦à¼","à½‚à½Ÿà½ à¼‹à½¦à¾¤à½ºà½“à¼‹à½”à¼"],
				namesAbbr: ["à½‰à½²à¼‹à½˜à¼","à½Ÿà¾³à¼‹à½–à¼","à½˜à½²à½‚à¼‹à½‘à½˜à½¢à¼","à½£à¾·à½‚à¼‹à½”à¼","à½•à½´à½¢à¼‹à½–à½´à¼","à½”à¼‹à½¦à½„à½¦à¼","à½¦à¾¤à½ºà½“à¼‹à½”à¼"],
				namesShort: ["à¼§","à¼¡","à¼¢","à¼£","à¼¤","à¼¥","à¼¦"]
			},
			months: {
				names: ["à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‘à½„à¼‹à½”à½¼à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‚à½‰à½²à½¦à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‚à½¦à½´à½˜à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½žà½²à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½£à¾”à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‘à¾²à½´à½‚à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½‘à½´à½“à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½¢à¾’à¾±à½‘à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½‘à½‚à½´à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½…à½´à¼‹à½”à½¼à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½…à½´à¼‹à½‚à½…à½²à½‚à¼‹à½”à¼","à½¦à¾¤à¾±à½²à¼‹à½Ÿà¾³à¼‹à½–à½…à½´à¼‹à½‚à½‰à½²à½¦à¼‹à½”à¼",""],
				namesAbbr: ["à½Ÿà¾³à¼‹ à¼¡","à½Ÿà¾³à¼‹ à¼¢","à½Ÿà¾³à¼‹ à¼£","à½Ÿà¾³à¼‹ à¼¤","à½Ÿà¾³à¼‹ à¼¥","à½Ÿà¾³à¼‹ à¼¦","à½Ÿà¾³à¼‹ à¼§","à½Ÿà¾³à¼‹ à¼¨","à½Ÿà¾³à¼‹ à¼©","à½Ÿà¾³à¼‹ à¼¡à¼ ","à½Ÿà¾³à¼‹ à¼¡à¼¡","à½Ÿà¾³à¼‹ à¼¡à¼¢",""]
			},
			AM: ["à½¦à¾”à¼‹à½‘à¾²à½¼","à½¦à¾”à¼‹à½‘à¾²à½¼","à½¦à¾”à¼‹à½‘à¾²à½¼"],
			PM: ["à½•à¾±à½²à¼‹à½‘à¾²à½¼","à½•à¾±à½²à¼‹à½‘à¾²à½¼","à½•à¾±à½²à¼‹à½‘à¾²à½¼"],
			eras: [{"name":"à½¦à¾¤à¾±à½²à¼‹à½£à½¼","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'à½£à½¼à½ à½²à¼‹à½Ÿà¾³' M'à½šà½ºà½¦' d",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy'à½£à½¼à½ à½²à¼‹à½Ÿà¾³' M'à½šà½ºà½¦' d HH:mm",
				F: "yyyy'à½£à½¼à½ à½²à¼‹à½Ÿà¾³' M'à½šà½ºà½¦' d HH:mm:ss",
				M: "'à½Ÿà¾³à¼‹' M'à½šà½ºà½¦'d",
				Y: "yyyy.M"
			}
		}
	}
});

Globalize.addCultureInfo( "cy-GB", "default", {
	name: "cy-GB",
	englishName: "Welsh (United Kingdom)",
	nativeName: "Cymraeg (y Deyrnas Unedig)",
	language: "cy",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "Â£"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Dydd Sul","Dydd Llun","Dydd Mawrth","Dydd Mercher","Dydd Iau","Dydd Gwener","Dydd Sadwrn"],
				namesAbbr: ["Sul","Llun","Maw","Mer","Iau","Gwe","Sad"],
				namesShort: ["Su","Ll","Ma","Me","Ia","Gw","Sa"]
			},
			months: {
				names: ["Ionawr","Chwefror","Mawrth","Ebrill","Mai","Mehefin","Gorffennaf","Awst","Medi","Hydref","Tachwedd","Rhagfyr",""],
				namesAbbr: ["Ion","Chwe","Maw","Ebr","Mai","Meh","Gor","Aws","Med","Hyd","Tach","Rhag",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "km-KH", "default", {
	name: "km-KH",
	englishName: "Khmer (Cambodia)",
	nativeName: "ážáŸ’áž˜áŸ‚ážš (áž€áž˜áŸ’áž–áž»áž‡áž¶)",
	language: "km",
	numberFormat: {
		pattern: ["- n"],
		groupSizes: [3,0],
		"NaN": "NAN",
		negativeInfinity: "-- áž¢áž“áž“áŸ’áž",
		positiveInfinity: "áž¢áž“áž“áŸ’áž",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["-n$","n$"],
			symbol: "áŸ›"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["ážáŸ’áž„áŸƒáž¢áž¶áž‘áž·ážáŸ’áž™","ážáŸ’áž„áŸƒáž…áŸáž“áŸ’áž‘","ážáŸ’áž„áŸƒáž¢áž„áŸ’áž‚áž¶ážš","ážáŸ’áž„áŸƒáž–áž»áž’","ážáŸ’áž„áŸƒáž–áŸ’ážšáž ážŸáŸ’áž”ážáž·áŸ","ážáŸ’áž„áŸƒážŸáž»áž€áŸ’ážš","ážáŸ’áž„áŸƒážŸáŸ…ážšáŸ"],
				namesAbbr: ["áž¢áž¶áž‘áž·.","áž….","áž¢.","áž–áž»","áž–áŸ’ážšáž .","ážŸáž».","ážŸ."],
				namesShort: ["áž¢áž¶","áž…","áž¢","áž–áž»","áž–áŸ’","ážŸáž»","ážŸ"]
			},
			months: {
				names: ["áž˜áž€ážšáž¶","áž€áž»áž˜áŸ’áž—áŸˆ","áž˜áž·áž“áž¶","áž˜áŸážŸáž¶","áž§ážŸáž—áž¶","áž˜áž·ážáž»áž“áž¶","áž€áž€áŸ’áž€ážŠáž¶","ážŸáž¸áž áž¶","áž€áž‰áŸ’áž‰áž¶","ážáž»áž›áž¶","ážœáž·áž…áŸ’áž†áž·áž€áž¶","áž’áŸ’áž“áž¼",""],
				namesAbbr: ["áŸ¡","áŸ¢","áŸ£","áŸ¤","áŸ¥","áŸ¦","áŸ§","áŸ¨","áŸ©","áŸ¡áŸ ","áŸ¡áŸ¡","áŸ¡áŸ¢",""]
			},
			AM: ["áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€"],
			PM: ["áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…"],
			eras: [{"name":"áž˜áž»áž“áž‚.ážŸ.","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "d MMMM yyyy",
				t: "H:mm tt",
				T: "HH:mm:ss",
				f: "d MMMM yyyy H:mm tt",
				F: "d MMMM yyyy HH:mm:ss",
				M: "'ážáŸ’áž„áŸƒáž‘áž¸' dd 'ážáŸ‚' MM",
				Y: "'ážáŸ‚' MM 'áž†áŸ’áž“áž¶áŸ†' yyyy"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€","áž–áŸ’ážšáž¹áž€"],
			PM: ["áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…","áž›áŸ’áž„áž¶áž…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm tt",
				T: "HH:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm tt",
				F: "dddd, MMMM dd, yyyy HH:mm:ss"
			}
		}
	}
});

Globalize.addCultureInfo( "lo-LA", "default", {
	name: "lo-LA",
	englishName: "Lao (Lao P.D.R.)",
	nativeName: "àº¥àº²àº§ (àºª.àº›.àº›. àº¥àº²àº§)",
	language: "lo",
	numberFormat: {
		pattern: ["(n)"],
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["(n$)","n$"],
			groupSizes: [3,0],
			symbol: "â‚­"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["àº§àº±àº™àº­àº²àº—àº´àº”","àº§àº±àº™àºˆàº±àº™","àº§àº±àº™àº­àº±àº‡àº„àº²àº™","àº§àº±àº™àºžàº¸àº”","àº§àº±àº™àºžàº°àº«àº±àº”","àº§àº±àº™àºªàº¸àº","àº§àº±àº™à»€àºªàº»àº²"],
				namesAbbr: ["àº­àº²àº—àº´àº”","àºˆàº±àº™","àº­àº±àº‡àº„àº²àº™","àºžàº¸àº”","àºžàº°àº«àº±àº”","àºªàº¸àº","à»€àºªàº»àº²"],
				namesShort: ["àº­","àºˆ","àº­","àºž","àºž","àºª","à»€"]
			},
			months: {
				names: ["àº¡àº±àº‡àºàº­àº™","àºàº¸àº¡àºžàº²","àº¡àºµàº™àº²","à»€àº¡àºªàº²","àºžàº¶àº”àºªàº°àºžàº²","àº¡àº´àº–àº¸àº™àº²","àºà»àº¥àº°àºàº»àº”","àºªàº´àº‡àº«àº²","àºàº±àº™àºàº²","àº•àº¸àº¥àº²","àºžàº°àºˆàº´àº","àº—àº±àº™àº§àº²",""],
				namesAbbr: ["àº¡àº±àº‡àºàº­àº™","àºàº¸àº¡àºžàº²","àº¡àºµàº™àº²","à»€àº¡àºªàº²","àºžàº¶àº”àºªàº°àºžàº²","àº¡àº´àº–àº¸àº™àº²","àºà»àº¥àº°àºàº»àº”","àºªàº´àº‡àº«àº²","àºàº±àº™àºàº²","àº•àº¸àº¥àº²","àºžàº°àºˆàº´àº","àº—àº±àº™àº§àº²",""]
			},
			AM: ["à»€àºŠàº»à»‰àº²","à»€àºŠàº»à»‰àº²","à»€àºŠàº»à»‰àº²"],
			PM: ["à»àº¥àº‡","à»àº¥àº‡","à»àº¥àº‡"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm tt",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy H:mm tt",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "gl-ES", "default", {
	name: "gl-ES",
	englishName: "Galician (Galician)",
	nativeName: "galego (galego)",
	language: "gl",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","luns","martes","mÃ©rcores","xoves","venres","sÃ¡bado"],
				namesAbbr: ["dom","luns","mar","mÃ©r","xov","ven","sÃ¡b"],
				namesShort: ["do","lu","ma","mÃ©","xo","ve","sÃ¡"]
			},
			months: {
				names: ["xaneiro","febreiro","marzo","abril","maio","xuÃ±o","xullo","agosto","setembro","outubro","novembro","decembro",""],
				namesAbbr: ["xan","feb","mar","abr","maio","xuÃ±","xull","ago","set","out","nov","dec",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "kok-IN", "default", {
	name: "kok-IN",
	englishName: "Konkani (India)",
	nativeName: "à¤•à¥‹à¤‚à¤•à¤£à¥€ (à¤­à¤¾à¤°à¤¤)",
	language: "kok",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¤†à¤¯à¤¤à¤¾à¤°","à¤¸à¥‹à¤®à¤¾à¤°","à¤®à¤‚à¤—à¤³à¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤¬à¤¿à¤°à¥‡à¤¸à¥à¤¤à¤¾à¤°","à¤¸à¥à¤•à¥à¤°à¤¾à¤°","à¤¶à¥‡à¤¨à¤µà¤¾à¤°"],
				namesAbbr: ["à¤†à¤¯.","à¤¸à¥‹à¤®.","à¤®à¤‚à¤—à¤³.","à¤¬à¥à¤§.","à¤¬à¤¿à¤°à¥‡.","à¤¸à¥à¤•à¥à¤°.","à¤¶à¥‡à¤¨."],
				namesShort: ["à¤†","à¤¸","à¤®","à¤¬","à¤¬","à¤¸","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¾à¤¨à¥‡à¤µà¤¾à¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤µà¤¾à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚à¤¬à¤°","à¤‘à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤µà¥‡à¤®à¥à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤‚à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¾à¤¨à¥‡à¤µà¤¾à¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤µà¤¾à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¥ˆ","à¤‘à¤—à¤¸à¥à¤Ÿ","à¤¸à¤ªà¥à¤Ÿà¥‡à¤‚à¤¬à¤°","à¤‘à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤µà¥‡à¤®à¥à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤‚à¤¬à¤°",""]
			},
			AM: ["à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚.","à¤®.à¤ªà¥‚."],
			PM: ["à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚.","à¤®.à¤¨à¤‚."],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "syr-SY", "default", {
	name: "syr-SY",
	englishName: "Syriac (Syria)",
	nativeName: "Ü£Ü˜ÜªÜÜÜ (Ø³ÙˆØ±ÙŠØ§)",
	language: "syr",
	isRTL: true,
	numberFormat: {
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ù„.Ø³.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["ÜšÜ•Â Ü’Ü«Ü’Ü","Ü¬ÜªÜÜ¢Â Ü’Ü«Ü’Ü","Ü¬Ü Ü¬ÜÂ Ü’Ü«Ü’Ü","ÜÜªÜ’Ü¥ÜÂ Ü’Ü«Ü’Ü","ÜšÜ¡Ü«ÜÂ Ü’Ü«Ü’Ü","Ü¥ÜªÜ˜Ü’Ü¬Ü","Ü«Ü’Ü¬Ü"],
				namesAbbr: ["\u070fÜÂ \u070fÜ’Ü«","\u070fÜ’Â \u070fÜ’Ü«","\u070fÜ“Â \u070fÜ’Ü«","\u070fÜ•Â \u070fÜ’Ü«","\u070fÜ—Â \u070fÜ’Ü«","\u070fÜ¥ÜªÜ˜Ü’","\u070fÜ«Ü’"],
				namesShort: ["Ü","Ü’","Ü“","Ü•","Ü—","Ü¥","Ü«"]
			},
			months: {
				names: ["ÜŸÜ¢Ü˜Ü¢Â ÜÜšÜªÜ","Ü«Ü’Ü›","ÜÜ•Üª","Ü¢ÜÜ£Ü¢","ÜÜÜª","ÜšÜ™ÜÜªÜ¢","Ü¬Ü¡Ü˜Ü™","ÜÜ’","ÜÜÜ Ü˜Ü ","Ü¬Ü«ÜªÜÂ Ü©Ü•ÜÜ¡","Ü¬Ü«ÜªÜÂ ÜÜšÜªÜ","ÜŸÜ¢Ü˜Ü¢Â Ü©Ü•ÜÜ¡",""],
				namesAbbr: ["\u070fÜŸÜ¢Â \u070fÜ’","Ü«Ü’Ü›","ÜÜ•Üª","Ü¢ÜÜ£Ü¢","ÜÜÜª","ÜšÜ™ÜÜªÜ¢","Ü¬Ü¡Ü˜Ü™","ÜÜ’","ÜÜÜ Ü˜Ü ","\u070fÜ¬Ü«Â \u070fÜ","\u070fÜ¬Ü«Â \u070fÜ’","\u070fÜŸÜ¢Â \u070fÜ",""]
			},
			AM: ["Ü©.Ü›","Ü©.Ü›","Ü©.Ü›"],
			PM: ["Ü’.Ü›","Ü’.Ü›","Ü’.Ü›"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "si-LK", "default", {
	name: "si-LK",
	englishName: "Sinhala (Sri Lanka)",
	nativeName: "à·ƒà·’à¶‚à·„à¶½ (à·à·Š\u200dà¶»à·“ à¶½à¶‚à¶šà·)",
	language: "si",
	numberFormat: {
		groupSizes: [3,2],
		negativeInfinity: "-à¶…à¶±à¶±à·Šà¶­à¶º",
		positiveInfinity: "à¶…à¶±à¶±à·Šà¶­à¶º",
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["($ n)","$ n"],
			symbol: "à¶»à·”."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["à¶‰à¶»à·’à¶¯à·","à·ƒà¶³à·”à¶¯à·","à¶…à¶Ÿà·„à¶»à·”à·€à·à¶¯à·","à¶¶à¶¯à·à¶¯à·","à¶¶à·Š\u200dà¶»à·„à·ƒà·Šà¶´à¶­à·’à¶±à·Šà¶¯à·","à·ƒà·’à¶šà·”à¶»à·à¶¯à·","à·ƒà·™à¶±à·ƒà·”à¶»à·à¶¯à·"],
				namesAbbr: ["à¶‰à¶»à·’à¶¯à·","à·ƒà¶³à·”à¶¯à·","à¶šà·”à¶¢à¶¯à·","à¶¶à·”à¶¯à¶¯à·","à¶œà·”à¶»à·”à¶¯à·","à¶šà·’à·€à·’à¶¯à·","à·à¶±à·’à¶¯à·"],
				namesShort: ["à¶‰","à·ƒ","à¶…","à¶¶","à¶¶à·Š\u200dà¶»","à·ƒà·’","à·ƒà·™"]
			},
			months: {
				names: ["à¶¢à¶±à·€à·à¶»à·’","à¶´à·™à¶¶à¶»à·€à·à¶»à·’","à¶¸à·à¶»à·Šà¶­à·”","à¶…\u200cà¶´à·Š\u200dà¶»à·šà¶½à·Š","à¶¸à·à¶ºà·’","à¶¢à·–à¶±à·’","à¶¢à·–à¶½à·’","à¶…\u200cà¶œà·à·ƒà·Šà¶­à·”","à·ƒà·à¶´à·Šà¶­à·à¶¸à·Šà¶¶à¶»à·Š","à¶”à¶šà·Šà¶­à·à¶¶à¶»à·Š","à¶±à·œà·€à·à¶¸à·Šà¶¶à¶»à·Š","à¶¯à·™à·ƒà·à¶¸à·Šà¶¶à¶»à·Š",""],
				namesAbbr: ["à¶¢à¶±.","à¶´à·™à¶¶.","à¶¸à·à¶»à·Šà¶­à·”.","à¶…à¶´à·Š\u200dà¶»à·šà¶½à·Š.","à¶¸à·à¶ºà·’.","à¶¢à·–à¶±à·’.","à¶¢à·–à¶½à·’.","à¶…à¶œà·.","à·ƒà·à¶´à·Š.","à¶”à¶šà·Š.","à¶±à·œà·€à·.","à¶¯à·™à·ƒà·.",""]
			},
			AM: ["à¶´à·™.à·€.","à¶´à·™.à·€.","à¶´à·™.à·€."],
			PM: ["à¶´.à·€.","à¶´.à·€.","à¶´.à·€."],
			eras: [{"name":"à¶šà·Š\u200dà¶»à·’.à·€.","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "yyyy MMMM' à¶¸à·ƒ 'dd' à·€à·à¶±à·’à¶¯à· 'dddd",
				f: "yyyy MMMM' à¶¸à·ƒ 'dd' à·€à·à¶±à·’à¶¯à· 'dddd h:mm tt",
				F: "yyyy MMMM' à¶¸à·ƒ 'dd' à·€à·à¶±à·’à¶¯à· 'dddd h:mm:ss tt",
				Y: "yyyy MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "iu-Cans-CA", "default", {
	name: "iu-Cans-CA",
	englishName: "Inuktitut (Syllabics, Canada)",
	nativeName: "áƒá“„á’ƒá‘Žá‘á‘¦ (á‘²á“‡á‘•á’¥)",
	language: "iu-Cans",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["á“ˆá‘¦á‘á–‘á”­","á“‡á’¡á’á”¾á”­á…","áŠáƒá‘‰á±á–…","á±á–“á‘¦á“¯á–…","á“¯á‘•á’»á’¥á–…","á‘•á“ªá“•á•á’¥á–…","á“¯á•™á‘–á•á••á’ƒ"],
				namesAbbr: ["á“ˆá‘¦á‘","á“‡á’¡á’","áŠáƒá‘‰á±","á±á–“á‘¦á“¯","á“¯á‘•","á‘•á“ªá“•","á“¯á•™á‘–á•á••á’ƒ"],
				namesShort: ["á“ˆ","á“‡","áŠ","á±","á“¯","á‘•","á“¯"]
			},
			months: {
				names: ["á”®á“á“„áŠá•†","á•–á•á•—áŠá•†","á’«á‘¦á“¯","á„á³á•†","á’ªáƒ","á”«á“‚","á”ªá“šáƒ","á‹á’¡á’Œá“¯","á“¯á‘Žá±á•†","á…á‘á±á•†","á“„á••á±á•†","á‘Žá“¯á±á•†",""],
				namesAbbr: ["á”®á“á“„","á•–á•á•—","á’«á‘¦á“¯","á„á³á•†","á’ªáƒ","á”«á“‚","á”ªá“šáƒ","á‹á’¡á’Œ","á“¯á‘Žá±","á…á‘á±","á“„á••á±","á‘Žá“¯á±",""]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "dddd,MMMM dd,yyyy",
				f: "dddd,MMMM dd,yyyy h:mm tt",
				F: "dddd,MMMM dd,yyyy h:mm:ss tt",
				Y: "MMMM,yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "am-ET", "default", {
	name: "am-ET",
	englishName: "Amharic (Ethiopia)",
	nativeName: "áŠ áˆ›áˆ­áŠ› (áŠ¢á‰µá‹®áŒµá‹«)",
	language: "am",
	numberFormat: {
		decimals: 1,
		groupSizes: [3,0],
		"NaN": "NAN",
		percent: {
			pattern: ["-n%","n%"],
			decimals: 1,
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["-$n","$n"],
			groupSizes: [3,0],
			symbol: "ETB"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["áŠ¥áˆ‘á‹µ","áˆ°áŠž","áˆ›áŠ­áˆ°áŠž","áˆ¨á‰¡á‹•","áˆáˆ™áˆµ","á‹“áˆ­á‰¥","á‰…á‹³áˆœ"],
				namesAbbr: ["áŠ¥áˆ‘á‹µ","áˆ°áŠž","áˆ›áŠ­áˆ°","áˆ¨á‰¡á‹•","áˆáˆ™áˆµ","á‹“áˆ­á‰¥","á‰…á‹³áˆœ"],
				namesShort: ["áŠ¥","áˆ°","áˆ›","áˆ¨","áˆ","á‹“","á‰…"]
			},
			months: {
				names: ["áŒƒáŠ•á‹©á‹ˆáˆª","áŒá‰¥áˆ©á‹ˆáˆª","áˆ›áˆ­á‰½","áŠ¤á•áˆ¨áˆ","áˆœá‹­","áŒáŠ•","áŒáˆ‹á‹­","áŠ¦áŒˆáˆµá‰µ","áˆ´á•á‰´áˆá‰ áˆ­","áŠ¦áŠ­á‰°á‹á‰ áˆ­","áŠ–á‰¬áˆá‰ áˆ­","á‹²áˆ´áˆá‰ áˆ­",""],
				namesAbbr: ["áŒƒáŠ•á‹©","áŒá‰¥áˆ©","áˆ›áˆ­á‰½","áŠ¤á•áˆ¨","áˆœá‹­","áŒáŠ•","áŒáˆ‹á‹­","áŠ¦áŒˆáˆµ","áˆ´á•á‰´","áŠ¦áŠ­á‰°","áŠ–á‰¬áˆ","á‹²áˆ´áˆ",""]
			},
			AM: ["áŒ¡á‹‹á‰µ","áŒ¡á‹‹á‰µ","áŒ¡á‹‹á‰µ"],
			PM: ["áŠ¨áˆ°á‹“á‰µ","áŠ¨áˆ°á‹“á‰µ","áŠ¨áˆ°á‹“á‰µ"],
			eras: [{"name":"á‹“áˆ˜á‰°  áˆáˆ•áˆ¨á‰µ","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "dddd 'á£' MMMM d 'á‰€áŠ•' yyyy",
				f: "dddd 'á£' MMMM d 'á‰€áŠ•' yyyy h:mm tt",
				F: "dddd 'á£' MMMM d 'á‰€áŠ•' yyyy h:mm:ss tt",
				M: "MMMM d á‰€áŠ•",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ne-NP", "default", {
	name: "ne-NP",
	englishName: "Nepali (Nepal)",
	nativeName: "à¤¨à¥‡à¤ªà¤¾à¤²à¥€ (à¤¨à¥‡à¤ªà¤¾à¤²)",
	language: "ne",
	numberFormat: {
		groupSizes: [3,2],
		"NaN": "nan",
		negativeInfinity: "-infinity",
		positiveInfinity: "infinity",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["-$n","$n"],
			symbol: "à¤°à¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["à¤†à¤‡à¤¤à¤µà¤¾à¤°","à¤¸à¥‹à¤®à¤µà¤¾à¤°","à¤®à¤™à¥à¤—à¤²à¤µà¤¾à¤°","à¤¬à¥à¤§à¤µà¤¾à¤°","à¤¬à¤¿à¤¹à¥€à¤µà¤¾à¤°","à¤¶à¥à¤•à¥à¤°à¤µà¤¾à¤°","à¤¶à¤¨à¤¿à¤µà¤¾à¤°"],
				namesAbbr: ["à¤†à¤‡à¤¤","à¤¸à¥‹à¤®","à¤®à¤™à¥à¤—à¤²","à¤¬à¥à¤§","à¤¬à¤¿à¤¹à¥€","à¤¶à¥à¤•à¥à¤°","à¤¶à¤¨à¤¿"],
				namesShort: ["à¤†","à¤¸à¥‹","à¤®","à¤¬à¥","à¤¬à¤¿","à¤¶à¥","à¤¶"]
			},
			months: {
				names: ["à¤œà¤¨à¤µà¤°à¥€","à¤«à¥‡à¤¬à¥à¤°à¥à¤…à¤°à¥€","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—à¤¸à¥à¤¤","à¤¸à¥‡à¤ªà¥à¤Ÿà¥‡à¤®à¥à¤¬à¤°","à¤…à¤•à¥à¤Ÿà¥‹à¤¬à¤°","à¤¨à¥‹à¤­à¥‡à¤®à¥à¤¬à¤°","à¤¡à¤¿à¤¸à¥‡à¤®à¥à¤¬à¤°",""],
				namesAbbr: ["à¤œà¤¨","à¤«à¥‡à¤¬","à¤®à¤¾à¤°à¥à¤š","à¤…à¤ªà¥à¤°à¤¿à¤²","à¤®à¥‡","à¤œà¥‚à¤¨","à¤œà¥à¤²à¤¾à¤ˆ","à¤…à¤—","à¤¸à¥‡à¤ªà¥à¤Ÿ","à¤…à¤•à¥à¤Ÿ","à¤¨à¥‹à¤­","à¤¡à¤¿à¤¸",""]
			},
			AM: ["à¤µà¤¿à¤¹à¤¾à¤¨à¥€","à¤µà¤¿à¤¹à¤¾à¤¨à¥€","à¤µà¤¿à¤¹à¤¾à¤¨à¥€"],
			PM: ["à¤¬à¥‡à¤²à¥à¤•à¥€","à¤¬à¥‡à¤²à¥à¤•à¥€","à¤¬à¥‡à¤²à¥à¤•à¥€"],
			eras: [{"name":"a.d.","start":null,"offset":0}],
			patterns: {
				Y: "MMMM,yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fy-NL", "default", {
	name: "fy-NL",
	englishName: "Frisian (Netherlands)",
	nativeName: "Frysk (NederlÃ¢n)",
	language: "fy",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["Snein","Moandei","Tiisdei","Woansdei","Tongersdei","Freed","Sneon"],
				namesAbbr: ["Sn","Mo","Ti","Wo","To","Fr","Sn"],
				namesShort: ["S","M","T","W","T","F","S"]
			},
			months: {
				names: ["jannewaris","febrewaris","maart","april","maaie","juny","july","augustus","septimber","oktober","novimber","desimber",""],
				namesAbbr: ["jann","febr","mrt","apr","maaie","jun","jul","aug","sept","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d-M-yyyy",
				D: "dddd d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd d MMMM yyyy H:mm",
				F: "dddd d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ps-AF", "default", {
	name: "ps-AF",
	englishName: "Pashto (Afghanistan)",
	nativeName: "Ù¾ÚšØªÙˆ (Ø§ÙØºØ§Ù†Ø³ØªØ§Ù†)",
	language: "ps",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		",": "ØŒ",
		".": ",",
		"NaN": "Øº Ø¹",
		negativeInfinity: "-âˆž",
		positiveInfinity: "âˆž",
		percent: {
			pattern: ["%n-","%n"],
			",": "ØŒ",
			".": ","
		},
		currency: {
			pattern: ["$n-","$n"],
			",": "Ù¬",
			".": "Ù«",
			symbol: "Ø‹"
		}
	},
	calendars: {
		standard: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				f: "dd/MM/yyyy h:mm tt",
				F: "dd/MM/yyyy h:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_Localized: {
			firstDay: 6,
			days: {
				names: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesAbbr: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesShort: ["ÛŒ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§ ÚšØ²Ù…Ø±Ù‰","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„Ù†Úˆ Û","Ù…Ø±ØºÙˆÙ…Ù‰",""],
				namesAbbr: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§ Úš","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„Ù†Úˆ Û","Ù…Ø±ØºÙˆÙ…Ù‰",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ù„.Ù‡","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy, dd, MMMM, dddd",
				f: "yyyy, dd, MMMM, dddd h:mm tt",
				F: "yyyy, dd, MMMM, dddd h:mm:ss tt",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fil-PH", "default", {
	name: "fil-PH",
	englishName: "Filipino (Philippines)",
	nativeName: "Filipino (Pilipinas)",
	language: "fil",
	numberFormat: {
		currency: {
			symbol: "PhP"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Linggo","Lunes","Martes","Mierkoles","Huebes","Biernes","Sabado"],
				namesAbbr: ["Lin","Lun","Mar","Mier","Hueb","Bier","Saba"],
				namesShort: ["L","L","M","M","H","B","S"]
			},
			months: {
				names: ["Enero","Pebrero","Marso","Abril","Mayo","Hunyo","Hulyo","Agosto","Septyembre","Oktubre","Nobyembre","Disyembre",""],
				namesAbbr: ["En","Peb","Mar","Abr","Mayo","Hun","Hul","Agos","Sept","Okt","Nob","Dis",""]
			},
			eras: [{"name":"Anno Domini","start":null,"offset":0}]
		}
	}
});

Globalize.addCultureInfo( "dv-MV", "default", {
	name: "dv-MV",
	englishName: "Divehi (Maldives)",
	nativeName: "Þ‹Þ¨ÞˆÞ¬Þ€Þ¨Þ„Þ¦ÞÞ° (Þ‹Þ¨ÞˆÞ¬Þ€Þ¨ ÞƒÞ§Þ‡Þ°Þ–Þ¬)",
	language: "dv",
	isRTL: true,
	numberFormat: {
		currency: {
			pattern: ["n $-","n $"],
			symbol: "Þƒ."
		}
	},
	calendars: {
		standard: {
			name: "Hijri",
			days: {
				names: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesAbbr: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesShort: ["Þ‡Þ§","Þ€Þ¯","Þ‡Þ¦","Þ„Þª","Þ„Þª","Þ€Þª","Þ€Þ®"]
			},
			months: {
				names: ["Þ‰ÞªÞ™Þ¦Þ‡Þ°ÞƒÞ¦Þ‰Þ°","ÞžÞ¦ÞŠÞ¦ÞƒÞª","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ¦Þ‡Þ°ÞˆÞ¦ÞÞ°","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞª","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ«ÞÞ§","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞ§","ÞƒÞ¦Þ–Þ¦Þ„Þ°","ÞÞ¦Þ¢Þ°Þ„Þ§Þ‚Þ°","ÞƒÞ¦Þ‰Þ¦ÞŸÞ§Þ‚Þ°","ÞÞ¦Þ‡Þ°ÞˆÞ§ÞÞ°","Þ›ÞªÞÞ°Þ¤Þ¦Þ¢Þ¨Þ‹Þ§","Þ›ÞªÞÞ°Þ™Þ¨Þ‡Þ°Þ–Þ§",""],
				namesAbbr: ["Þ‰ÞªÞ™Þ¦Þ‡Þ°ÞƒÞ¦Þ‰Þ°","ÞžÞ¦ÞŠÞ¦ÞƒÞª","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ¦Þ‡Þ°ÞˆÞ¦ÞÞ°","ÞƒÞ¦Þ„Þ©Þ¢ÞªÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞª","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ«ÞÞ§","Þ–ÞªÞ‰Þ§Þ‹Þ¦ÞÞ°Þ‡Þ§ÞšÞ¨ÞƒÞ§","ÞƒÞ¦Þ–Þ¦Þ„Þ°","ÞÞ¦Þ¢Þ°Þ„Þ§Þ‚Þ°","ÞƒÞ¦Þ‰Þ¦ÞŸÞ§Þ‚Þ°","ÞÞ¦Þ‡Þ°ÞˆÞ§ÞÞ°","Þ›ÞªÞÞ°Þ¤Þ¦Þ¢Þ¨Þ‹Þ§","Þ›ÞªÞÞ°Þ™Þ¨Þ‡Þ°Þ–Þ§",""]
			},
			AM: ["Þ‰Þ†","Þ‰Þ†","Þ‰Þ†"],
			PM: ["Þ‰ÞŠ","Þ‰ÞŠ","Þ‰ÞŠ"],
			eras: [{"name":"Þ€Þ¨Þ–Þ°ÞƒÞ©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd/MM/yyyy HH:mm",
				F: "dd/MM/yyyy HH:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_Localized: {
			days: {
				names: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesAbbr: ["Þ‡Þ§Þ‹Þ©Þ‡Þ°ÞŒÞ¦","Þ€Þ¯Þ‰Þ¦","Þ‡Þ¦Þ‚Þ°ÞŽÞ§ÞƒÞ¦","Þ„ÞªÞ‹Þ¦","Þ„ÞªÞƒÞ§ÞÞ°ÞŠÞ¦ÞŒÞ¨","Þ€ÞªÞ†ÞªÞƒÞª","Þ€Þ®Þ‚Þ¨Þ€Þ¨ÞƒÞª"],
				namesShort: ["Þ‡Þ§","Þ€Þ¯","Þ‡Þ¦","Þ„Þª","Þ„Þª","Þ€Þª","Þ€Þ®"]
			},
			months: {
				names: ["Þ–Þ¦Þ‚Þ¦ÞˆÞ¦ÞƒÞ©","ÞŠÞ¬Þ„Þ°ÞƒÞªÞ‡Þ¦ÞƒÞ©","Þ‰Þ§Þ—Þ°","Þ‡Þ­Þ•Þ°ÞƒÞ¨ÞÞ°","Þ‰Þ¬Þ‡Þ¨","Þ–Þ«Þ‚Þ°","Þ–ÞªÞÞ¦Þ‡Þ¨","Þ‡Þ¯ÞŽÞ¦ÞÞ°Þ“Þ°","ÞÞ¬Þ•Þ°Þ“Þ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‡Þ®Þ†Þ°Þ“Þ¯Þ„Þ¦Þƒ","Þ‚Þ®ÞˆÞ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‘Þ¨ÞÞ¬Þ‰Þ°Þ„Þ¦Þƒ",""],
				namesAbbr: ["Þ–Þ¦Þ‚Þ¦ÞˆÞ¦ÞƒÞ©","ÞŠÞ¬Þ„Þ°ÞƒÞªÞ‡Þ¦ÞƒÞ©","Þ‰Þ§Þ—Þ°","Þ‡Þ­Þ•Þ°ÞƒÞ¨ÞÞ°","Þ‰Þ¬Þ‡Þ¨","Þ–Þ«Þ‚Þ°","Þ–ÞªÞÞ¦Þ‡Þ¨","Þ‡Þ¯ÞŽÞ¦ÞÞ°Þ“Þ°","ÞÞ¬Þ•Þ°Þ“Þ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‡Þ®Þ†Þ°Þ“Þ¯Þ„Þ¦Þƒ","Þ‚Þ®ÞˆÞ¬Þ‰Þ°Þ„Þ¦Þƒ","Þ‘Þ¨ÞÞ¬Þ‰Þ°Þ„Þ¦Þƒ",""]
			},
			AM: ["Þ‰Þ†","Þ‰Þ†","Þ‰Þ†"],
			PM: ["Þ‰ÞŠ","Þ‰ÞŠ","Þ‰ÞŠ"],
			eras: [{"name":"Þ‰Þ©ÞÞ§Þ‹Þ©","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yy",
				D: "ddd, yyyy MMMM dd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "ddd, yyyy MMMM dd HH:mm",
				F: "ddd, yyyy MMMM dd HH:mm:ss",
				Y: "yyyy, MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ha-Latn-NG", "default", {
	name: "ha-Latn-NG",
	englishName: "Hausa (Latin, Nigeria)",
	nativeName: "Hausa (Nigeria)",
	language: "ha-Latn",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Lahadi","Litinin","Talata","Laraba","Alhamis","Juma'a","Asabar"],
				namesAbbr: ["Lah","Lit","Tal","Lar","Alh","Jum","Asa"],
				namesShort: ["L","L","T","L","A","J","A"]
			},
			months: {
				names: ["Januwaru","Febreru","Maris","Afrilu","Mayu","Yuni","Yuli","Agusta","Satumba","Oktocba","Nuwamba","Disamba",""],
				namesAbbr: ["Jan","Feb","Mar","Afr","May","Yun","Yul","Agu","Sat","Okt","Nuw","Dis",""]
			},
			AM: ["Safe","safe","SAFE"],
			PM: ["Yamma","yamma","YAMMA"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "yo-NG", "default", {
	name: "yo-NG",
	englishName: "Yoruba (Nigeria)",
	nativeName: "Yoruba (Nigeria)",
	language: "yo",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Aiku","Aje","Isegun","Ojo'ru","Ojo'bo","Eti","Abameta"],
				namesAbbr: ["Aik","Aje","Ise","Ojo","Ojo","Eti","Aba"],
				namesShort: ["A","A","I","O","O","E","A"]
			},
			months: {
				names: ["Osu kinni","Osu keji","Osu keta","Osu kerin","Osu karun","Osu kefa","Osu keje","Osu kejo","Osu kesan","Osu kewa","Osu kokanla","Osu keresi",""],
				namesAbbr: ["kin.","kej.","ket.","ker.","kar.","kef.","kej.","kej.","kes.","kew.","kok.","ker.",""]
			},
			AM: ["Owuro","owuro","OWURO"],
			PM: ["Ale","ale","ALE"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "quz-BO", "default", {
	name: "quz-BO",
	englishName: "Quechua (Bolivia)",
	nativeName: "runasimi (Qullasuyu)",
	language: "quz",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ",",
			symbol: "$b"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["intichaw","killachaw","atipachaw","quyllurchaw","Ch' askachaw","Illapachaw","k'uychichaw"],
				namesAbbr: ["int","kil","ati","quy","Ch'","Ill","k'u"],
				namesShort: ["d","k","a","m","h","b","k"]
			},
			months: {
				names: ["Qulla puquy","Hatun puquy","Pauqar waray","ayriwa","Aymuray","Inti raymi","Anta Sitwa","Qhapaq Sitwa","Uma raymi","Kantaray","Ayamarq'a","Kapaq Raymi",""],
				namesAbbr: ["Qul","Hat","Pau","ayr","Aym","Int","Ant","Qha","Uma","Kan","Aya","Kap",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "nso-ZA", "default", {
	name: "nso-ZA",
	englishName: "Sesotho sa Leboa (South Africa)",
	nativeName: "Sesotho sa Leboa (Afrika Borwa)",
	language: "nso",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Lamorena","MoÅ¡upologo","Labobedi","Laboraro","Labone","Labohlano","Mokibelo"],
				namesAbbr: ["Lam","MoÅ¡","Lbb","Lbr","Lbn","Lbh","Mok"],
				namesShort: ["L","M","L","L","L","L","M"]
			},
			months: {
				names: ["Pherekgong","Hlakola","Mopitlo","Moranang","Mosegamanye","NgoatoboÅ¡ego","Phuphu","Phato","Lewedi","Diphalana","Dibatsela","Manthole",""],
				namesAbbr: ["Pher","Hlak","Mop","Mor","Mos","Ngwat","Phup","Phat","Lew","Dip","Dib","Man",""]
			},
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ba-RU", "default", {
	name: "ba-RU",
	englishName: "Bashkir (Russia)",
	nativeName: "Ð‘Ð°ÑˆÒ¡Ð¾Ñ€Ñ‚ (Ð Ð¾ÑÑÐ¸Ñ)",
	language: "ba",
	numberFormat: {
		",": "Â ",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			groupSizes: [3,0],
			",": "Â ",
			".": ",",
			symbol: "Ò»."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð™Ó™ÐºÑˆÓ™Ð¼Ð±Ðµ","Ð”Ò¯ÑˆÓ™Ð¼Ð±Ðµ","Ð¨Ð¸ÑˆÓ™Ð¼Ð±Ðµ","Ð¨Ð°Ñ€ÑˆÐ°Ð¼Ð±Ñ‹","ÐšÐµÑÐ°Ò™Ð½Ð°","Ð™Ð¾Ð¼Ð°","Ð¨Ó™Ð¼Ð±Ðµ"],
				namesAbbr: ["Ð™Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","ÐšÑ","Ð™Ð¼","Ð¨Ð±"],
				namesShort: ["Ð™Ñˆ","Ð”Ñˆ","Ð¨Ñˆ","Ð¨Ñ€","ÐšÑ","Ð™Ð¼","Ð¨Ð±"]
			},
			months: {
				names: ["Ò“Ð¸Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ²Ñ€Ð°Ð»ÑŒ","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€ÐµÐ»ÑŒ","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½ÑŒ","Ð¸ÑŽÐ»ÑŒ","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ½Ñ‚ÑÐ±Ñ€ÑŒ","Ð¾ÐºÑ‚ÑÐ±Ñ€ÑŒ","Ð½Ð¾ÑÐ±Ñ€ÑŒ","Ð´ÐµÐºÐ°Ð±Ñ€ÑŒ",""],
				namesAbbr: ["Ò“Ð¸Ð½","Ñ„ÐµÐ²","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³","ÑÐµÐ½","Ð¾ÐºÑ‚","Ð½Ð¾Ñ","Ð´ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d MMMM yyyy 'Ð¹'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'Ð¹' H:mm",
				F: "d MMMM yyyy 'Ð¹' H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "lb-LU", "default", {
	name: "lb-LU",
	englishName: "Luxembourgish (Luxembourg)",
	nativeName: "LÃ«tzebuergesch (Luxembourg)",
	language: "lb",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "n. num.",
		negativeInfinity: "-onendlech",
		positiveInfinity: "+onendlech",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Sonndeg","MÃ©indeg","DÃ«nschdeg","MÃ«ttwoch","Donneschdeg","Freideg","Samschdeg"],
				namesAbbr: ["Son","MÃ©i","DÃ«n","MÃ«t","Don","Fre","Sam"],
				namesShort: ["So","MÃ©","DÃ«","MÃ«","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","MÃ¤erz","AbrÃ«ll","Mee","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","MÃ¤e","Abr","Mee","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "kl-GL", "default", {
	name: "kl-GL",
	englishName: "Greenlandic (Greenland)",
	nativeName: "kalaallisut (Kalaallit Nunaat)",
	language: "kl",
	numberFormat: {
		",": ".",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			groupSizes: [3,0],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,0],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sapaat","ataasinngorneq","marlunngorneq","pingasunngorneq","sisamanngorneq","tallimanngorneq","arfininngorneq"],
				namesAbbr: ["sap","ata","mar","ping","sis","tal","arf"],
				namesShort: ["sa","at","ma","pi","si","ta","ar"]
			},
			months: {
				names: ["januari","februari","martsi","apriili","maaji","juni","juli","aggusti","septembari","oktobari","novembari","decembari",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ig-NG", "default", {
	name: "ig-NG",
	englishName: "Igbo (Nigeria)",
	nativeName: "Igbo (Nigeria)",
	language: "ig",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Aiku","Aje","Isegun","Ojo'ru","Ojo'bo","Eti","Abameta"],
				namesAbbr: ["Aik","Aje","Ise","Ojo","Ojo","Eti","Aba"],
				namesShort: ["A","A","I","O","O","E","A"]
			},
			months: {
				names: ["Onwa mbu","Onwa ibua","Onwa ato","Onwa ano","Onwa ise","Onwa isi","Onwa asa","Onwa asato","Onwa itolu","Onwa iri","Onwa iri n'ofu","Onwa iri n'ibua",""],
				namesAbbr: ["mbu.","ibu.","ato.","ano.","ise","isi","asa","asa.","ito.","iri.","n'of.","n'ib.",""]
			},
			AM: ["Ututu","ututu","UTUTU"],
			PM: ["Efifie","efifie","EFIFIE"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ii-CN", "default", {
	name: "ii-CN",
	englishName: "Yi (PRC)",
	nativeName: "ê†ˆêŒ ê±ê‚· (êê‰¸ê“ê‚±ê‡­ê‰¼ê‡©)",
	language: "ii",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "êŒ—ê‚·ê€‹ê‰¬",
		negativeInfinity: "ê€„êŠ­êŒê€‹ê‰†",
		positiveInfinity: "êˆ¤ê‡ê‘–ê€‹ê‰¬",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["ê‘­ê†ê‘","ê†êŠ‚ê’”","ê†êŠ‚ê‘","ê†êŠ‚êŒ•","ê†êŠ‚ê‡–","ê†êŠ‚ê‰¬","ê†êŠ‚êƒ˜"],
				namesAbbr: ["ê‘­ê†","ê†ê’”","ê†ê‘","ê†êŒ•","ê†ê‡–","ê†ê‰¬","ê†êƒ˜"],
				namesShort: ["ê†","ê’”","ê‘","êŒ•","ê‡–","ê‰¬","êƒ˜"]
			},
			months: {
				names: ["ê‹ê†ª","ê‘ê†ª","êŒ•ê†ª","ê‡–ê†ª","ê‰¬ê†ª","êƒ˜ê†ª","êƒê†ª","ê‰†ê†ª","êˆ¬ê†ª","êŠ°ê†ª","êŠ¯êŠªê†ª","êŠ°ê‘‹ê†ª",""],
				namesAbbr: ["ê‹ê†ª","ê‘ê†ª","êŒ•ê†ª","ê‡–ê†ª","ê‰¬ê†ª","êƒ˜ê†ª","êƒê†ª","ê‰†ê†ª","êˆ¬ê†ª","êŠ°ê†ª","êŠ¯êŠªê†ª","êŠ°ê‘‹ê†ª",""]
			},
			AM: ["ê‚µê†ªêˆŒêˆ","ê‚µê†ªêˆŒêˆ","ê‚µê†ªêˆŒêˆ"],
			PM: ["ê‚µê†ªêˆŒê‰ˆ","ê‚µê†ªêˆŒê‰ˆ","ê‚µê†ªêˆŒê‰ˆ"],
			eras: [{"name":"ê‡¬ê‘¼","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'êˆŽ' M'ê†ª' d'ê‘'",
				t: "tt h:mm",
				T: "H:mm:ss",
				f: "yyyy'êˆŽ' M'ê†ª' d'ê‘' tt h:mm",
				F: "yyyy'êˆŽ' M'ê†ª' d'ê‘' H:mm:ss",
				M: "M'ê†ª' d'ê‘'",
				Y: "yyyy'êˆŽ' M'ê†ª'"
			}
		}
	}
});

Globalize.addCultureInfo( "arn-CL", "default", {
	name: "arn-CL",
	englishName: "Mapudungun (Chile)",
	nativeName: "Mapudungun (Chile)",
	language: "arn",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "moh-CA", "default", {
	name: "moh-CA",
	englishName: "Mohawk (Mohawk)",
	nativeName: "Kanien'kÃ©ha",
	language: "moh",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["AwentatokentÃ¬:ke","AwentataÃ³n'ke","Ratironhia'kehronÃ²n:ke","SosÃ©hne","OkaristiiÃ¡hne","Ronwaia'tanentaktonhne","EntÃ¡kta"],
				namesShort: ["S","M","T","W","T","F","S"]
			},
			months: {
				names: ["TsothohrkÃ³:Wa","Enniska","EnniskÃ³:Wa","OnerahtÃ³kha","OnerahtohkÃ³:Wa","Ohiari:Ha","OhiarihkÃ³:Wa","SeskÃ©ha","SeskehkÃ³:Wa","KentÃ©nha","KentenhkÃ³:Wa","TsothÃ³hrha",""]
			}
		}
	}
});

Globalize.addCultureInfo( "br-FR", "default", {
	name: "br-FR",
	englishName: "Breton (France)",
	nativeName: "brezhoneg (FraÃ±s)",
	language: "br",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "NkN",
		negativeInfinity: "-Anfin",
		positiveInfinity: "+Anfin",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Sul","Lun","Meurzh","Merc'her","Yaou","Gwener","Sadorn"],
				namesAbbr: ["Sul","Lun","Meu.","Mer.","Yaou","Gwe.","Sad."],
				namesShort: ["Su","Lu","Mz","Mc","Ya","Gw","Sa"]
			},
			months: {
				names: ["Genver","C'hwevrer","Meurzh","Ebrel","Mae","Mezheven","Gouere","Eost","Gwengolo","Here","Du","Kerzu",""],
				namesAbbr: ["Gen.","C'hwe.","Meur.","Ebr.","Mae","Mezh.","Goue.","Eost","Gwen.","Here","Du","Kzu",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"g. J.-K.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ug-CN", "default", {
	name: "ug-CN",
	englishName: "Uyghur (PRC)",
	nativeName: "Ø¦Û‡ÙŠØºÛ‡Ø±Ú†Û• (Ø¬Û‡Ú­Ø®Û‡Ø§ Ø®Û•Ù„Ù‚ Ø¬Û‡Ù…Ú¾Û‡Ø±Ù‰ÙŠÙ‰ØªÙ‰)",
	language: "ug",
	isRTL: true,
	numberFormat: {
		"NaN": "Ø³Ø§Ù† Ø¦Û•Ù…Û•Ø³",
		negativeInfinity: "Ù…Û•Ù†Ù¾Ù‰ÙŠ Ú†Û•ÙƒØ³Ù‰Ø²Ù„Ù‰Ùƒ",
		positiveInfinity: "Ù…Û‡Ø³Ø¨Û•Øª Ú†Û•ÙƒØ³Ù‰Ø²Ù„Ù‰Ùƒ",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["ÙŠÛ•ÙƒØ´Û•Ù†Ø¨Û•","Ø¯ÛˆØ´Û•Ù†Ø¨Û•","Ø³Û•ÙŠØ´Û•Ù†Ø¨Û•","Ú†Ø§Ø±Ø´Û•Ù†Ø¨Û•","Ù¾Û•ÙŠØ´Û•Ù†Ø¨Û•","Ø¬ÛˆÙ…Û•","Ø´Û•Ù†Ø¨Û•"],
				namesAbbr: ["ÙŠÛ•","Ø¯Ûˆ","Ø³Û•","Ú†Ø§","Ù¾Û•","Ø¬Ûˆ","Ø´Û•"],
				namesShort: ["ÙŠ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["1-Ø¦Ø§ÙŠ","2-Ø¦Ø§ÙŠ","3-Ø¦Ø§ÙŠ","4-Ø¦Ø§ÙŠ","5-Ø¦Ø§ÙŠ","6-Ø¦Ø§ÙŠ","7-Ø¦Ø§ÙŠ","8-Ø¦Ø§ÙŠ","9-Ø¦Ø§ÙŠ","10-Ø¦Ø§ÙŠ","11-Ø¦Ø§ÙŠ","12-Ø¦Ø§ÙŠ",""],
				namesAbbr: ["1-Ø¦Ø§ÙŠ","2-Ø¦Ø§ÙŠ","3-Ø¦Ø§ÙŠ","4-Ø¦Ø§ÙŠ","5-Ø¦Ø§ÙŠ","6-Ø¦Ø§ÙŠ","7-Ø¦Ø§ÙŠ","8-Ø¦Ø§ÙŠ","9-Ø¦Ø§ÙŠ","10-Ø¦Ø§ÙŠ","11-Ø¦Ø§ÙŠ","12-Ø¦Ø§ÙŠ",""]
			},
			AM: ["Ú†ÛˆØ´ØªÙ‰Ù† Ø¨Û‡Ø±Û‡Ù†","Ú†ÛˆØ´ØªÙ‰Ù† Ø¨Û‡Ø±Û‡Ù†","Ú†ÛˆØ´ØªÙ‰Ù† Ø¨Û‡Ø±Û‡Ù†"],
			PM: ["Ú†ÛˆØ´ØªÙ‰Ù† ÙƒÛÙŠÙ‰Ù†","Ú†ÛˆØ´ØªÙ‰Ù† ÙƒÛÙŠÙ‰Ù†","Ú†ÛˆØ´ØªÙ‰Ù† ÙƒÛÙŠÙ‰Ù†"],
			eras: [{"name":"Ù…Ù‰Ù„Ø§Ø¯Ù‰","start":null,"offset":0}],
			patterns: {
				d: "yyyy-M-d",
				D: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM d-'ÙƒÛˆÙ†Ù‰ØŒ'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM d-'ÙƒÛˆÙ†Ù‰ØŒ' H:mm",
				F: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM d-'ÙƒÛˆÙ†Ù‰ØŒ' H:mm:ss",
				M: "MMMM d'-ÙƒÛˆÙ†Ù‰'",
				Y: "yyyy-'ÙŠÙ‰Ù„Ù‰' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mi-NZ", "default", {
	name: "mi-NZ",
	englishName: "Maori (New Zealand)",
	nativeName: "Reo MÄori (Aotearoa)",
	language: "mi",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["RÄtapu","RÄhina","RÄtÅ«","RÄapa","RÄpare","RÄmere","RÄhoroi"],
				namesAbbr: ["Ta","Hi","TÅ«","Apa","Pa","Me","Ho"],
				namesShort: ["Ta","Hi","TÅ«","Aa","Pa","Me","Ho"]
			},
			months: {
				names: ["Kohi-tÄtea","Hui-tanguru","PoutÅ«-te-rangi","Paenga-whÄwhÄ","Haratua","Pipiri","HÅngongoi","Here-turi-kÅkÄ","Mahuru","Whiringa-Ä-nuku","Whiringa-Ä-rangi","Hakihea",""],
				namesAbbr: ["Kohi","Hui","Pou","Pae","Hara","Pipi","HÅngo","Here","Mahu","Nuku","Rangi","Haki",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd MMMM, yyyy",
				f: "dddd, dd MMMM, yyyy h:mm tt",
				F: "dddd, dd MMMM, yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM, yy"
			}
		}
	}
});

Globalize.addCultureInfo( "oc-FR", "default", {
	name: "oc-FR",
	englishName: "Occitan (France)",
	nativeName: "Occitan (FranÃ§a)",
	language: "oc",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non Numeric",
		negativeInfinity: "-Infinit",
		positiveInfinity: "+Infinit",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimenge","diluns","dimars","dimÃ¨cres","dijÃ²us","divendres","dissabte"],
				namesAbbr: ["dim.","lun.","mar.","mÃ¨c.","jÃ²u.","ven.","sab."],
				namesShort: ["di","lu","ma","mÃ¨","jÃ²","ve","sa"]
			},
			months: {
				names: ["genier","febrier","marÃ§","abril","mai","junh","julh","agost","setembre","octobre","novembre","desembre",""],
				namesAbbr: ["gen.","feb.","mar.","abr.","mai.","jun.","jul.","ag.","set.","oct.","nov.","des.",""]
			},
			monthsGenitive: {
				names: ["de genier","de febrier","de marÃ§","d'abril","de mai","de junh","de julh","d'agost","de setembre","d'octobre","de novembre","de desembre",""],
				namesAbbr: ["gen.","feb.","mar.","abr.","mai.","jun.","jul.","ag.","set.","oct.","nov.","des.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"aprÃ¨s JÃ¨sus-Crist","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd,' lo 'd MMMM' de 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd,' lo 'd MMMM' de 'yyyy HH:mm",
				F: "dddd,' lo 'd MMMM' de 'yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "co-FR", "default", {
	name: "co-FR",
	englishName: "Corsican (France)",
	nativeName: "Corsu (France)",
	language: "co",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Mica numericu",
		negativeInfinity: "-Infinitu",
		positiveInfinity: "+Infinitu",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dumenica","luni","marti","mercuri","ghjovi","venderi","sabbatu"],
				namesAbbr: ["dum.","lun.","mar.","mer.","ghj.","ven.","sab."],
				namesShort: ["du","lu","ma","me","gh","ve","sa"]
			},
			months: {
				names: ["ghjennaghju","ferraghju","marzu","aprile","maghju","ghjunghju","lugliu","aostu","settembre","ottobre","nuvembre","dicembre",""],
				namesAbbr: ["ghje","ferr","marz","apri","magh","ghju","lugl","aost","sett","otto","nuve","dice",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"dopu J-C","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "gsw-FR", "default", {
	name: "gsw-FR",
	englishName: "Alsatian (France)",
	nativeName: "ElsÃ¤ssisch (FrÃ nkrisch)",
	language: "gsw",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Ohne Nummer",
		negativeInfinity: "-Unendlich",
		positiveInfinity: "+Unendlich",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["SundÃ Ã ","MondÃ Ã ","DienschdÃ Ã ","Mittwuch","DunnerschdÃ Ã ","FridÃ Ã ","SÃ mschdÃ Ã "],
				namesAbbr: ["Su.","Mo.","Di.","Mi.","Du.","Fr.","SÃ ."],
				namesShort: ["Su","Mo","Di","Mi","Du","Fr","SÃ "]
			},
			months: {
				names: ["JÃ¤nner","Feverje","MÃ¤rz","Ã€pril","Mai","JÃ¼ni","JÃ¼li","Augscht","September","Oktower","Nowember","Dezember",""],
				namesAbbr: ["JÃ¤n.","Fev.","MÃ¤rz","Apr.","Mai","JÃ¼ni","JÃ¼li","Aug.","Sept.","Okt.","Now.","Dez.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Vor J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sah-RU", "default", {
	name: "sah-RU",
	englishName: "Yakut (Russia)",
	nativeName: "ÑÐ°Ñ…Ð° (Ð Ð¾ÑÑÐ¸Ñ)",
	language: "sah",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "NAN",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "Ñ."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð±Ð°ÑÐºÑ‹Ò»Ñ‹Ð°Ð½Ð½ÑŒÐ°","Ð±ÑÐ½Ð¸Ð´Ð¸ÑÐ½Ð½ÑŒÐ¸Ðº","Ð¾Ð¿Ñ‚ÑƒÐ¾Ñ€ÑƒÐ½Ð½ÑŒÑƒÐº","ÑÑÑ€ÑÐ´Ñ","Ñ‡ÑÐ¿Ð¿Ð¸ÑÑ€","Ð±ÑÑÑ‚Ð¸Ð½ÑÑ","ÑÑƒÐ±ÑƒÐ¾Ñ‚Ð°"],
				namesAbbr: ["Ð‘Ñ","Ð‘Ð½","ÐžÐ¿","Ð¡Ñ€","Ð§Ð¿","Ð‘Ñ‚","Ð¡Ð±"],
				namesShort: ["Ð‘Ñ","Ð‘Ð½","ÐžÐ¿","Ð¡Ñ€","Ð§Ð¿","Ð‘Ñ‚","Ð¡Ð±"]
			},
			months: {
				names: ["Ð¢Ð¾Ñ…ÑÑƒÐ½Ð½ÑŒÑƒ","ÐžÐ»ÑƒÐ½Ð½ÑŒÑƒ","ÐšÑƒÐ»ÑƒÐ½ Ñ‚ÑƒÑ‚Ð°Ñ€","ÐœÑƒÑƒÑ ÑƒÑÑ‚Ð°Ñ€","Ð«Ð°Ð¼ Ñ‹Ð¹Ð°","Ð‘ÑÑ Ñ‹Ð¹Ð°","ÐžÑ‚ Ñ‹Ð¹Ð°","ÐÑ‚Ñ‹Ñ€Ð´ÑŒÐ°Ñ… Ñ‹Ð¹Ð°","Ð‘Ð°Ð»Ð°Ò•Ð°Ð½ Ñ‹Ð¹Ð°","ÐÐ»Ñ‚Ñ‹Ð½Ð½ÑŒÑ‹","Ð¡ÑÑ‚Ð¸Ð½Ð½ÑŒÐ¸","ÐÑ…ÑÑ‹Ð½Ð½ÑŒÑ‹",""],
				namesAbbr: ["Ñ‚Ñ…Ñ","Ð¾Ð»Ð½","ÐºÑƒÐ»","Ð¼ÑÑ‚","Ñ‹Ð°Ð¼","Ð±ÑÑ","Ð¾Ñ‚Ð¹","Ð°Ñ‚Ñ€","Ð±Ð»Ò•","Ð°Ð»Ñ‚","ÑÑ‚Ð½","Ð°Ñ…Ñ",""]
			},
			monthsGenitive: {
				names: ["Ñ‚Ð¾Ñ…ÑÑƒÐ½Ð½ÑŒÑƒ","Ð¾Ð»ÑƒÐ½Ð½ÑŒÑƒ","ÐºÑƒÐ»ÑƒÐ½ Ñ‚ÑƒÑ‚Ð°Ñ€","Ð¼ÑƒÑƒÑ ÑƒÑÑ‚Ð°Ñ€","Ñ‹Ð°Ð¼ Ñ‹Ð¹Ñ‹Ð½","Ð±ÑÑ Ñ‹Ð¹Ñ‹Ð½","Ð¾Ñ‚ Ñ‹Ð¹Ñ‹Ð½","Ð°Ñ‚Ñ‹Ñ€Ð´ÑŒÐ°Ñ… Ñ‹Ð¹Ñ‹Ð½","Ð±Ð°Ð»Ð°Ò•Ð°Ð½ Ñ‹Ð¹Ñ‹Ð½","Ð°Ð»Ñ‚Ñ‹Ð½Ð½ÑŒÑ‹","ÑÑÑ‚Ð¸Ð½Ð½ÑŒÐ¸","Ð°Ñ…ÑÑ‹Ð½Ð½ÑŒÑ‹",""],
				namesAbbr: ["Ñ‚Ñ…Ñ","Ð¾Ð»Ð½","ÐºÑƒÐ»","Ð¼ÑÑ‚","Ñ‹Ð°Ð¼","Ð±ÑÑ","Ð¾Ñ‚Ð¹","Ð°Ñ‚Ñ€","Ð±Ð»Ò•","Ð°Ð»Ñ‚","ÑÑ‚Ð½","Ð°Ñ…Ñ",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "MM.dd.yyyy",
				D: "MMMM d yyyy 'Ñ.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d yyyy 'Ñ.' H:mm",
				F: "MMMM d yyyy 'Ñ.' H:mm:ss",
				Y: "MMMM yyyy 'Ñ.'"
			}
		}
	}
});

Globalize.addCultureInfo( "qut-GT", "default", {
	name: "qut-GT",
	englishName: "K'iche (Guatemala)",
	nativeName: "K'iche (Guatemala)",
	language: "qut",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			symbol: "Q"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["juq'ij","kaq'ij","oxq'ij","kajq'ij","joq'ij","waqq'ij","wuqq'ij"],
				namesAbbr: ["juq","kaq","oxq","kajq","joq","waqq","wuqq"],
				namesShort: ["ju","ka","ox","ka","jo","wa","wu"]
			},
			months: {
				names: ["nab'e ik'","ukab' ik'","rox ik'","ukaj ik'","uro' ik'","uwaq ik'","uwuq ik'","uwajxaq ik'","ub'elej ik'","ulaj ik'","ujulaj ik'","ukab'laj ik'",""],
				namesAbbr: ["nab'e","ukab","rox","ukaj","uro","uwaq","uwuq","uwajxaq","ub'elej","ulaj","ujulaj","ukab'laj",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "rw-RW", "default", {
	name: "rw-RW",
	englishName: "Kinyarwanda (Rwanda)",
	nativeName: "Kinyarwanda (Rwanda)",
	language: "rw",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "RWF"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Ku wa mbere","Ku wa kabiri","Ku wa gatatu","Ku wa kane","Ku wa gatanu","Ku wa gatandatu","Ku cyumweru"],
				namesAbbr: ["mbe.","kab.","gat.","kan.","gat.","gat.","cyu."],
				namesShort: ["mb","ka","ga","ka","ga","ga","cy"]
			},
			months: {
				names: ["Mutarama","Gashyantare","Werurwe","Mata","Gicurasi","Kamena","Nyakanga","Kanama","Nzeli","Ukwakira","Ugushyingo","Ukuboza",""],
				namesAbbr: ["Mut","Gas","Wer","Mat","Gic","Kam","Nya","Kan","Nze","Ukwa","Ugu","Uku",""]
			},
			AM: ["saa moya z.m.","saa moya z.m.","SAA MOYA Z.M."],
			PM: ["saa moya z.n.","saa moya z.n.","SAA MOYA Z.N."],
			eras: [{"name":"AD","start":null,"offset":0}]
		}
	}
});

Globalize.addCultureInfo( "wo-SN", "default", {
	name: "wo-SN",
	englishName: "Wolof (Senegal)",
	nativeName: "Wolof (SÃ©nÃ©gal)",
	language: "wo",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "XOF"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "prs-AF", "default", {
	name: "prs-AF",
	englishName: "Dari (Afghanistan)",
	nativeName: "Ø¯Ø±Ù‰ (Ø§ÙØºØ§Ù†Ø³ØªØ§Ù†)",
	language: "prs",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		",": ".",
		".": ",",
		"NaN": "Øº Ø¹",
		negativeInfinity: "-âˆž",
		positiveInfinity: "âˆž",
		percent: {
			pattern: ["%n-","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$n-","$n"],
			symbol: "Ø‹"
		}
	},
	calendars: {
		standard: {
			name: "Hijri",
			firstDay: 5,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				f: "dd/MM/yyyy h:mm tt",
				F: "dd/MM/yyyy h:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_Localized: {
			firstDay: 5,
			days: {
				names: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesAbbr: ["ÛŒÚ©Ø´Ù†Ø¨Ù‡","Ø¯ÙˆØ´Ù†Ø¨Ù‡","Ø³Ù‡\u200cØ´Ù†Ø¨Ù‡","Ú†Ù‡Ø§Ø±Ø´Ù†Ø¨Ù‡","Ù¾Ù†Ø¬Ø´Ù†Ø¨Ù‡","Ø¬Ù…Ø¹Ù‡","Ø´Ù†Ø¨Ù‡"],
				namesShort: ["ÛŒ","Ø¯","Ø³","Ú†","Ù¾","Ø¬","Ø´"]
			},
			months: {
				names: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§Úš","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„ÙŠÙ†Ø¯Û","Ù…Ø±ØºÙˆÙ…Ù‰",""],
				namesAbbr: ["Ø³Ù„ÙˆØ§ØºÙ‡","ÙƒØ¨","ÙˆØ±Ù‰","ØºÙˆÙŠÙ‰","ØºØ¨Ø±Ú«ÙˆÙ„Ù‰","Ú†Ù†Ú«Ø§Úš","Ø²Ù…Ø±Ù‰","ÙˆÚ–Ù‰","ØªÙ„Ù‡","Ù„Ú“Ù…","Ù„ÙŠÙ†Ø¯Û","Ù…Ø±ØºÙˆÙ…Ù‰",""]
			},
			AM: ["Øº.Ù…","Øº.Ù…","Øº.Ù…"],
			PM: ["Øº.Ùˆ","Øº.Ùˆ","Øº.Ùˆ"],
			eras: [{"name":"Ù„.Ù‡","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy, dd, MMMM, dddd",
				f: "yyyy, dd, MMMM, dddd h:mm tt",
				F: "yyyy, dd, MMMM, dddd h:mm:ss tt",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "gd-GB", "default", {
	name: "gd-GB",
	englishName: "Scottish Gaelic (United Kingdom)",
	nativeName: "GÃ idhlig (An RÃ¬oghachd Aonaichte)",
	language: "gd",
	numberFormat: {
		negativeInfinity: "-Neo-chrÃ¬ochnachd",
		positiveInfinity: "Neo-chrÃ¬ochnachd",
		currency: {
			pattern: ["-$n","$n"],
			symbol: "Â£"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["DidÃ²mhnaich","Diluain","DimÃ irt","Diciadain","Diardaoin","Dihaoine","Disathairne"],
				namesAbbr: ["DÃ²m","Lua","MÃ i","Cia","Ard","Hao","Sat"],
				namesShort: ["D","L","M","C","A","H","S"]
			},
			months: {
				names: ["Am Faoilleach","An Gearran","Am MÃ rt","An Giblean","An CÃ¨itean","An t-Ã’gmhios","An t-Iuchar","An LÃ¹nastal","An t-Sultain","An DÃ mhair","An t-Samhain","An DÃ¹bhlachd",""],
				namesAbbr: ["Fao","Gea","MÃ r","Gib","CÃ¨i","Ã’gm","Iuc","LÃ¹n","Sul","DÃ m","Sam","DÃ¹b",""]
			},
			AM: ["m","m","M"],
			PM: ["f","f","F"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-IQ", "default", {
	name: "ar-IQ",
	englishName: "Arabic (Iraq)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ø¹Ø±Ø§Ù‚)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø¯.Ø¹.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-CN", "default", {
	name: "zh-CN",
	englishName: "Chinese (Simplified, PRC)",
	nativeName: "ä¸­æ–‡(ä¸­åŽäººæ°‘å…±å’Œå›½)",
	language: "zh-CHS",
	numberFormat: {
		"NaN": "éžæ•°å­—",
		negativeInfinity: "è´Ÿæ— ç©·å¤§",
		positiveInfinity: "æ­£æ— ç©·å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["å‘¨æ—¥","å‘¨ä¸€","å‘¨äºŒ","å‘¨ä¸‰","å‘¨å››","å‘¨äº”","å‘¨å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "de-CH", "default", {
	name: "de-CH",
	englishName: "German (Switzerland)",
	nativeName: "Deutsch (Schweiz)",
	language: "de",
	numberFormat: {
		",": "'",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": "'"
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "'",
			symbol: "Fr."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","MÃ¤rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-GB", "default", {
	name: "en-GB",
	englishName: "English (United Kingdom)",
	nativeName: "English (United Kingdom)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "Â£"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-MX", "default", {
	name: "es-MX",
	englishName: "Spanish (Mexico)",
	nativeName: "EspaÃ±ol (MÃ©xico)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr-BE", "default", {
	name: "fr-BE",
	englishName: "French (Belgium)",
	nativeName: "franÃ§ais (Belgique)",
	language: "fr",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "d/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "it-CH", "default", {
	name: "it-CH",
	englishName: "Italian (Switzerland)",
	nativeName: "italiano (Svizzera)",
	language: "it",
	numberFormat: {
		",": "'",
		"NaN": "Non un numero reale",
		negativeInfinity: "-Infinito",
		positiveInfinity: "+Infinito",
		percent: {
			pattern: ["-n%","n%"],
			",": "'"
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "'",
			symbol: "fr."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["domenica","lunedÃ¬","martedÃ¬","mercoledÃ¬","giovedÃ¬","venerdÃ¬","sabato"],
				namesAbbr: ["dom","lun","mar","mer","gio","ven","sab"],
				namesShort: ["do","lu","ma","me","gi","ve","sa"]
			},
			months: {
				names: ["gennaio","febbraio","marzo","aprile","maggio","giugno","luglio","agosto","settembre","ottobre","novembre","dicembre",""],
				namesAbbr: ["gen","feb","mar","apr","mag","giu","lug","ago","set","ott","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "nl-BE", "default", {
	name: "nl-BE",
	englishName: "Dutch (Belgium)",
	nativeName: "Nederlands (BelgiÃ«)",
	language: "nl",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NaN (Niet-een-getal)",
		negativeInfinity: "-oneindig",
		positiveInfinity: "oneindig",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["zondag","maandag","dinsdag","woensdag","donderdag","vrijdag","zaterdag"],
				namesAbbr: ["zo","ma","di","wo","do","vr","za"],
				namesShort: ["zo","ma","di","wo","do","vr","za"]
			},
			months: {
				names: ["januari","februari","maart","april","mei","juni","juli","augustus","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mrt","apr","mei","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd d MMMM yyyy H:mm",
				F: "dddd d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "nn-NO", "default", {
	name: "nn-NO",
	englishName: "Norwegian, Nynorsk (Norway)",
	nativeName: "norsk, nynorsk (Noreg)",
	language: "nn",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mÃ¥ndag","tysdag","onsdag","torsdag","fredag","laurdag"],
				namesAbbr: ["sÃ¸","mÃ¥","ty","on","to","fr","la"],
				namesShort: ["sÃ¸","mÃ¥","ty","on","to","fr","la"]
			},
			months: {
				names: ["januar","februar","mars","april","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "pt-PT", "default", {
	name: "pt-PT",
	englishName: "Portuguese (Portugal)",
	nativeName: "portuguÃªs (Portugal)",
	language: "pt",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NaN (NÃ£o Ã© um nÃºmero)",
		negativeInfinity: "-Infinito",
		positiveInfinity: "+Infinito",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["domingo","segunda-feira","terÃ§a-feira","quarta-feira","quinta-feira","sexta-feira","sÃ¡bado"],
				namesAbbr: ["dom","seg","ter","qua","qui","sex","sÃ¡b"],
				namesShort: ["D","S","T","Q","Q","S","S"]
			},
			months: {
				names: ["Janeiro","Fevereiro","MarÃ§o","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro",""],
				namesAbbr: ["Jan","Fev","Mar","Abr","Mai","Jun","Jul","Ago","Set","Out","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dddd, d' de 'MMMM' de 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d' de 'MMMM' de 'yyyy HH:mm",
				F: "dddd, d' de 'MMMM' de 'yyyy HH:mm:ss",
				M: "d/M",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Latn-CS", "default", {
	name: "sr-Latn-CS",
	englishName: "Serbian (Latin, Serbia and Montenegro (Former))",
	nativeName: "srpski (Srbija i Crna Gora (Prethodno))",
	language: "sr-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-beskonaÄnost",
		positiveInfinity: "+beskonaÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Din."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljak","utorak","sreda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sre","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","jun","jul","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n.e.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sv-FI", "default", {
	name: "sv-FI",
	englishName: "Swedish (Finland)",
	nativeName: "svenska (Finland)",
	language: "sv",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¶ndag","mÃ¥ndag","tisdag","onsdag","torsdag","fredag","lÃ¶rdag"],
				namesAbbr: ["sÃ¶","mÃ¥","ti","on","to","fr","lÃ¶"],
				namesShort: ["sÃ¶","mÃ¥","ti","on","to","fr","lÃ¶"]
			},
			months: {
				names: ["januari","februari","mars","april","maj","juni","juli","augusti","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "'den 'd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "'den 'd MMMM yyyy HH:mm",
				F: "'den 'd MMMM yyyy HH:mm:ss",
				M: "'den 'd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "az-Cyrl-AZ", "default", {
	name: "az-Cyrl-AZ",
	englishName: "Azeri (Cyrillic, Azerbaijan)",
	nativeName: "ÐÐ·Ó™Ñ€Ð±Ð°Ñ˜Ò¹Ð°Ð½ (ÐÐ·Ó™Ñ€Ð±Ð°Ñ˜Ò¹Ð°Ð½)",
	language: "az-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ð¼Ð°Ð½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð‘Ð°Ð·Ð°Ñ€","Ð‘Ð°Ð·Ð°Ñ€Â ÐµÑ€Ñ‚Ó™ÑÐ¸","Ð§Ó™Ñ€ÑˆÓ™Ð½Ð±Ó™Â Ð°Ñ…ÑˆÐ°Ð¼Ñ‹","Ð§Ó™Ñ€ÑˆÓ™Ð½Ð±Ó™","Ò¸Ò¯Ð¼Ó™Â Ð°Ñ…ÑˆÐ°Ð¼Ñ‹","Ò¸Ò¯Ð¼Ó™","Ð¨Ó™Ð½Ð±Ó™"],
				namesAbbr: ["Ð‘","Ð‘Ðµ","Ð§Ð°","Ð§","Ò¸Ð°","Ò¸","Ð¨"],
				namesShort: ["Ð‘","Ð‘Ðµ","Ð§Ð°","Ð§","Ò¸Ð°","Ò¸","Ð¨"]
			},
			months: {
				names: ["ÐˆÐ°Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ñ˜","Ð˜Ñ˜ÑƒÐ½","Ð˜Ñ˜ÑƒÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚Ñ˜Ð°Ð±Ñ€","ÐžÐºÑ‚Ñ˜Ð°Ð±Ñ€","ÐÐ¾Ñ˜Ð°Ð±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["ÐˆÐ°Ð½","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ñ˜","Ð˜Ñ˜ÑƒÐ½","Ð˜Ñ˜ÑƒÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["Ñ˜Ð°Ð½Ð²Ð°Ñ€","Ñ„ÐµÐ²Ñ€Ð°Ð»","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€ÐµÐ»","Ð¼Ð°Ñ˜","Ð¸Ñ˜ÑƒÐ½","Ð¸Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ½Ñ‚Ñ˜Ð°Ð±Ñ€","Ð¾ÐºÑ‚Ñ˜Ð°Ð±Ñ€","Ð½Ð¾Ñ˜Ð°Ð±Ñ€","Ð´ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["ÐˆÐ°Ð½","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","Ð¼Ð°Ñ","Ð¸Ñ˜ÑƒÐ½","Ð¸Ñ˜ÑƒÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "dsb-DE", "default", {
	name: "dsb-DE",
	englishName: "Lower Sorbian (Germany)",
	nativeName: "dolnoserbÅ¡Ä‡ina (Nimska)",
	language: "dsb",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "njedefinowane",
		negativeInfinity: "-njekoÅ„cne",
		positiveInfinity: "+njekoÅ„cne",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ". ",
			firstDay: 1,
			days: {
				names: ["njeÅºela","ponjeÅºele","waÅ‚tora","srjoda","stwortk","pÄ›tk","sobota"],
				namesAbbr: ["nje","pon","waÅ‚","srj","stw","pÄ›t","sob"],
				namesShort: ["n","p","w","s","s","p","s"]
			},
			months: {
				names: ["januar","februar","mÄ›rc","apryl","maj","junij","julij","awgust","september","oktober","nowember","december",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","maj","jun","jul","awg","sep","okt","now","dec",""]
			},
			monthsGenitive: {
				names: ["januara","februara","mÄ›rca","apryla","maja","junija","julija","awgusta","septembra","oktobra","nowembra","decembra",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","maj","jun","jul","awg","sep","okt","now","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"po Chr.","start":null,"offset":0}],
			patterns: {
				d: "d. M. yyyy",
				D: "dddd, 'dnja' d. MMMM yyyy",
				t: "H.mm 'goÅº.'",
				T: "H:mm:ss",
				f: "dddd, 'dnja' d. MMMM yyyy H.mm 'goÅº.'",
				F: "dddd, 'dnja' d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "se-SE", "default", {
	name: "se-SE",
	englishName: "Sami, Northern (Sweden)",
	nativeName: "davvisÃ¡megiella (RuoÅ§Å§a)",
	language: "se",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["sotnabeaivi","mÃ¡nnodat","disdat","gaskavahkku","duorastat","bearjadat","lÃ¡vvardat"],
				namesAbbr: ["sotn","mÃ¡n","dis","gask","duor","bear","lÃ¡v"],
				namesShort: ["s","m","d","g","d","b","l"]
			},
			months: {
				names: ["oÄ‘Ä‘ajagemÃ¡nnu","guovvamÃ¡nnu","njukÄamÃ¡nnu","cuoÅ‹omÃ¡nnu","miessemÃ¡nnu","geassemÃ¡nnu","suoidnemÃ¡nnu","borgemÃ¡nnu","ÄakÄamÃ¡nnu","golggotmÃ¡nnu","skÃ¡bmamÃ¡nnu","juovlamÃ¡nnu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			monthsGenitive: {
				names: ["oÄ‘Ä‘ajagimÃ¡nu","guovvamÃ¡nu","njukÄamÃ¡nu","cuoÅ‹omÃ¡nu","miessemÃ¡nu","geassemÃ¡nu","suoidnemÃ¡nu","borgemÃ¡nu","ÄakÄamÃ¡nu","golggotmÃ¡nu","skÃ¡bmamÃ¡nu","juovlamÃ¡nu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ga-IE", "default", {
	name: "ga-IE",
	englishName: "Irish (Ireland)",
	nativeName: "Gaeilge (Ã‰ire)",
	language: "ga",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["DÃ© Domhnaigh","DÃ© Luain","DÃ© MÃ¡irt","DÃ© CÃ©adaoin","DÃ©ardaoin","DÃ© hAoine","DÃ© Sathairn"],
				namesAbbr: ["Domh","Luan","MÃ¡ir","CÃ©ad","DÃ©ar","Aoi","Sath"],
				namesShort: ["Do","Lu","MÃ¡","CÃ©","De","Ao","Sa"]
			},
			months: {
				names: ["EanÃ¡ir","Feabhra","MÃ¡rta","AibreÃ¡n","Bealtaine","Meitheamh","IÃºil","LÃºnasa","MeÃ¡n FÃ³mhair","Deireadh FÃ³mhair","Samhain","Nollaig",""],
				namesAbbr: ["Ean","Feabh","MÃ¡r","Aib","Bealt","Meith","IÃºil","LÃºn","M.FÃ³mh","D.FÃ³mh","Samh","Noll",""]
			},
			AM: ["r.n.","r.n.","R.N."],
			PM: ["i.n.","i.n.","I.N."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ms-BN", "default", {
	name: "ms-BN",
	englishName: "Malay (Brunei Darussalam)",
	nativeName: "Bahasa Melayu (Brunei Darussalam)",
	language: "ms",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			decimals: 0,
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Ahad","Isnin","Selasa","Rabu","Khamis","Jumaat","Sabtu"],
				namesAbbr: ["Ahad","Isnin","Sel","Rabu","Khamis","Jumaat","Sabtu"],
				namesShort: ["A","I","S","R","K","J","S"]
			},
			months: {
				names: ["Januari","Februari","Mac","April","Mei","Jun","Julai","Ogos","September","Oktober","November","Disember",""],
				namesAbbr: ["Jan","Feb","Mac","Apr","Mei","Jun","Jul","Ogos","Sept","Okt","Nov","Dis",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM yyyy H:mm",
				F: "dd MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "uz-Cyrl-UZ", "default", {
	name: "uz-Cyrl-UZ",
	englishName: "Uzbek (Cyrillic, Uzbekistan)",
	nativeName: "ÐŽÐ·Ð±ÐµÐº (ÐŽÐ·Ð±ÐµÐºÐ¸ÑÑ‚Ð¾Ð½)",
	language: "uz-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "ÑÑžÐ¼"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["ÑÐºÑˆÐ°Ð½Ð±Ð°","Ð´ÑƒÑˆÐ°Ð½Ð±Ð°","ÑÐµÑˆÐ°Ð½Ð±Ð°","Ñ‡Ð¾Ñ€ÑˆÐ°Ð½Ð±Ð°","Ð¿Ð°Ð¹ÑˆÐ°Ð½Ð±Ð°","Ð¶ÑƒÐ¼Ð°","ÑˆÐ°Ð½Ð±Ð°"],
				namesAbbr: ["ÑÐºÑˆ","Ð´Ñˆ","ÑÑˆ","Ñ‡Ñˆ","Ð¿Ñˆ","Ð¶","Ñˆ"],
				namesShort: ["Ñ","Ð´","Ñ","Ñ‡","Ð¿","Ð¶","Ñˆ"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€","ÐžÐºÑ‚ÑÐ±Ñ€","ÐÐ¾ÑÐ±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€","Ñ„ÐµÐ²Ñ€Ð°Ð»","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€ÐµÐ»","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ½Ñ‚ÑÐ±Ñ€","Ð¾ÐºÑ‚ÑÐ±Ñ€","Ð½Ð¾ÑÐ±Ñ€","Ð´ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","Ð¼Ð°Ñ","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "yyyy 'Ð¹Ð¸Ð»' d-MMMM",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'Ð¹Ð¸Ð»' d-MMMM HH:mm",
				F: "yyyy 'Ð¹Ð¸Ð»' d-MMMM HH:mm:ss",
				M: "d-MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bn-BD", "default", {
	name: "bn-BD",
	englishName: "Bengali (Bangladesh)",
	nativeName: "à¦¬à¦¾à¦‚à¦²à¦¾ (à¦¬à¦¾à¦‚à¦²à¦¾à¦¦à§‡à¦¶)",
	language: "bn",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			pattern: ["-%n","%n"],
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "à§³"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			":": ".",
			firstDay: 1,
			days: {
				names: ["à¦°à¦¬à¦¿à¦¬à¦¾à¦°","à¦¸à§‹à¦®à¦¬à¦¾à¦°","à¦®à¦™à§à¦—à¦²à¦¬à¦¾à¦°","à¦¬à§à¦§à¦¬à¦¾à¦°","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿à¦¬à¦¾à¦°","à¦¶à§à¦•à§à¦°à¦¬à¦¾à¦°","à¦¶à¦¨à¦¿à¦¬à¦¾à¦°"],
				namesAbbr: ["à¦°à¦¬à¦¿.","à¦¸à§‹à¦®.","à¦®à¦™à§à¦—à¦².","à¦¬à§à¦§.","à¦¬à§ƒà¦¹à¦¸à§à¦ªà¦¤à¦¿.","à¦¶à§à¦•à§à¦°.","à¦¶à¦¨à¦¿."],
				namesShort: ["à¦°","à¦¸","à¦®","à¦¬","à¦¬","à¦¶","à¦¶"]
			},
			months: {
				names: ["à¦œà¦¾à¦¨à§à¦¯à¦¼à¦¾à¦°à§€","à¦«à§‡à¦¬à§à¦°à§à¦¯à¦¼à¦¾à¦°à§€","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—à¦¸à§à¦Ÿ","à¦¸à§‡à¦ªà§à¦Ÿà§‡à¦®à§à¦¬à¦°","à¦…à¦•à§à¦Ÿà§‹à¦¬à¦°","à¦¨à¦­à§‡à¦®à§à¦¬à¦°","à¦¡à¦¿à¦¸à§‡à¦®à§à¦¬à¦°",""],
				namesAbbr: ["à¦œà¦¾à¦¨à§.","à¦«à§‡à¦¬à§à¦°à§.","à¦®à¦¾à¦°à§à¦š","à¦à¦ªà§à¦°à¦¿à¦²","à¦®à§‡","à¦œà§à¦¨","à¦œà§à¦²à¦¾à¦‡","à¦†à¦—.","à¦¸à§‡à¦ªà§à¦Ÿà§‡.","à¦…à¦•à§à¦Ÿà§‹.","à¦¨à¦­à§‡.","à¦¡à¦¿à¦¸à§‡.",""]
			},
			AM: ["à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨","à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨","à¦ªà§à¦°à§à¦¬à¦¾à¦¹à§à¦¨"],
			PM: ["à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨","à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨","à¦…à¦ªà¦°à¦¾à¦¹à§à¦¨"],
			patterns: {
				d: "dd-MM-yy",
				D: "dd MMMM yyyy",
				t: "HH.mm",
				T: "HH.mm.ss",
				f: "dd MMMM yyyy HH.mm",
				F: "dd MMMM yyyy HH.mm.ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "mn-Mong-CN", "default", {
	name: "mn-Mong-CN",
	englishName: "Mongolian (Traditional Mongolian, PRC)",
	nativeName: "á ®á ¤á ¨á ­á ­á ¤á ¯ á ¬á ¡á ¯á ¡ (á ªá ¦á ­á ¦á ³á ¡ á ¨á  á ¢á ·á  á ®á ³á  á ¬á ¤ á ³á ¤á ®á ³á  á ³á ¤ á  á ·á  á ³ á £á ¯á £á °)",
	language: "mn-Mong",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "á ²á ¤á ­á  á   á ªá ¤á °á ¤",
		negativeInfinity: "á °á ¦á ¬á ¡á ·á ¬á ¦ á ¬á ¢á µá  á ­á  á ·á ­á ¦á ¢ á ¶á ¡á ¬á ¡",
		positiveInfinity: "á ¡á ¶á ‹á ¡á ·á ¬á ¦ á ¬á ¢á µá  á ­á  á ·á ­á ¦á ¢ á ¶á  á ¬á ¡",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["$-n","$n"],
			groupSizes: [3,0],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["á ­á  á ·á  á ­\u202fá ¤á ¨ á ¡á ³á ¦á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¨á ¢á ­á ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¬á £á ¶á  á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ­á ¤á ·á ªá  á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ³á ¥á ·á ªá ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ²á  á ªá ¤á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á µá ¢á ·á ­á ¤á ­á  á ¨"],
				namesAbbr: ["á ­á  á ·á  á ­\u202fá ¤á ¨ á ¡á ³á ¦á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¨á ¢á ­á ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¬á £á ¶á  á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ­á ¤á ·á ªá  á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ³á ¥á ·á ªá ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ²á  á ªá ¤á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á µá ¢á ·á ­á ¤á ­á  á ¨"],
				namesShort: ["á ¡\u200d","á ¨á ¢\u200d","á ¬á £\u200d","á ­á ¤\u200d","á ³á ¥\u200d","á ²á  \u200d","á µá ¢\u200d"]
			},
			months: {
				names: ["á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ­á ¤á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¦á ·á ªá ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ²á  á ªá ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á µá ¢á ·á ­á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¤á ¯á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¨á  á ¢á ®á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¶á ¢á °á ¦á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ",""],
				namesAbbr: ["á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ­á ¤á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¦á ·á ªá ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ²á  á ªá ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á µá ¢á ·á ­á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¤á ¯á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¨á  á ¢á ®á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¶á ¢á °á ¦á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"á £á ¨ á ²á £á ­á  á ¯á  á ¯ á ¤á ¨","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'á £á ¨ á ¤á ‹' M'á °á  á ·á Žá   \u202fá ¢á ¢á ¨ 'd' á ¤á ‹ á ¡á ³á ¦á ·'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'á £á ¨ á ¤á ‹' M'á °á  á ·á Žá   \u202fá ¢á ¢á ¨ 'd' á ¤á ‹ á ¡á ³á ¦á ·' H:mm",
				F: "yyyy'á £á ¨ á ¤á ‹' M'á °á  á ·á Žá   \u202fá ¢á ¢á ¨ 'd' á ¤á ‹ á ¡á ³á ¦á ·' H:mm:ss",
				M: "M'á °á  á ·á Žá  ' d'á ¡á ³á ¦á ·'",
				Y: "yyyy'á £á ¨' M'á °á  á ·á Žá  '"
			}
		}
	}
});

Globalize.addCultureInfo( "iu-Latn-CA", "default", {
	name: "iu-Latn-CA",
	englishName: "Inuktitut (Latin, Canada)",
	nativeName: "Inuktitut (Kanatami)",
	language: "iu-Latn",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Naattiinguja","Naggajjau","Aippiq","Pingatsiq","Sitammiq","Tallirmiq","Sivataarvik"],
				namesAbbr: ["Nat","Nag","Aip","Pi","Sit","Tal","Siv"],
				namesShort: ["N","N","A","P","S","T","S"]
			},
			months: {
				names: ["Jaannuari","Viivvuari","Maatsi","Iipuri","Mai","Juuni","Julai","Aaggiisi","Sitipiri","Utupiri","Nuvipiri","Tisipiri",""],
				namesAbbr: ["Jan","Viv","Mas","Ipu","Mai","Jun","Jul","Agi","Sii","Uut","Nuv","Tis",""]
			},
			patterns: {
				d: "d/MM/yyyy",
				D: "ddd, MMMM dd,yyyy",
				f: "ddd, MMMM dd,yyyy h:mm tt",
				F: "ddd, MMMM dd,yyyy h:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "tzm-Latn-DZ", "default", {
	name: "tzm-Latn-DZ",
	englishName: "Tamazight (Latin, Algeria)",
	nativeName: "Tamazight (DjazaÃ¯r)",
	language: "tzm-Latn",
	numberFormat: {
		pattern: ["n-"],
		",": ".",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			symbol: "DZD"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 6,
			days: {
				names: ["Acer","Arime","Aram","Ahad","Amhadh","Sem","Sedh"],
				namesAbbr: ["Ace","Ari","Ara","Aha","Amh","Sem","Sed"],
				namesShort: ["Ac","Ar","Ar","Ah","Am","Se","Se"]
			},
			months: {
				names: ["Yenayer","Furar","Maghres","Yebrir","Mayu","Yunyu","Yulyu","Ghuct","Cutenber","Ktuber","Wambir","Dujanbir",""],
				namesAbbr: ["Yen","Fur","Mag","Yeb","May","Yun","Yul","Ghu","Cut","Ktu","Wam","Duj",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM, yyyy H:mm",
				F: "dd MMMM, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "quz-EC", "default", {
	name: "quz-EC",
	englishName: "Quechua (Ecuador)",
	nativeName: "runasimi (Ecuador)",
	language: "quz",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["intichaw","killachaw","atipachaw","quyllurchaw","Ch' askachaw","Illapachaw","k'uychichaw"],
				namesAbbr: ["int","kil","ati","quy","Ch'","Ill","k'u"],
				namesShort: ["d","k","a","m","h","b","k"]
			},
			months: {
				names: ["Qulla puquy","Hatun puquy","Pauqar waray","ayriwa","Aymuray","Inti raymi","Anta Sitwa","Qhapaq Sitwa","Uma raymi","Kantaray","Ayamarq'a","Kapaq Raymi",""],
				namesAbbr: ["Qul","Hat","Pau","ayr","Aym","Int","Ant","Qha","Uma","Kan","Aya","Kap",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-EG", "default", {
	name: "ar-EG",
	englishName: "Arabic (Egypt)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ù…ØµØ±)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		decimals: 3,
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		percent: {
			decimals: 3
		},
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø¬.Ù….\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-HK", "default", {
	name: "zh-HK",
	englishName: "Chinese (Traditional, Hong Kong S.A.R.)",
	nativeName: "ä¸­æ–‡(é¦™æ¸¯ç‰¹åˆ¥è¡Œæ”¿å€)",
	language: "zh-CHT",
	numberFormat: {
		"NaN": "éžæ•¸å­—",
		negativeInfinity: "è² ç„¡çª®å¤§",
		positiveInfinity: "æ­£ç„¡çª®å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			symbol: "HK$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["é€±æ—¥","é€±ä¸€","é€±äºŒ","é€±ä¸‰","é€±å››","é€±äº”","é€±å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "de-AT", "default", {
	name: "de-AT",
	englishName: "German (Austria)",
	nativeName: "Deutsch (Ã–sterreich)",
	language: "de",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["JÃ¤nner","Februar","MÃ¤rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["JÃ¤n","Feb","MÃ¤r","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, dd. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, dd. MMMM yyyy HH:mm",
				F: "dddd, dd. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-AU", "default", {
	name: "en-AU",
	englishName: "English (Australia)",
	nativeName: "English (Australia)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			patterns: {
				d: "d/MM/yyyy",
				D: "dddd, d MMMM yyyy",
				f: "dddd, d MMMM yyyy h:mm tt",
				F: "dddd, d MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-ES", "default", {
	name: "es-ES",
	englishName: "Spanish (Spain, International Sort)",
	nativeName: "EspaÃ±ol (EspaÃ±a, alfabetizaciÃ³n internacional)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr-CA", "default", {
	name: "fr-CA",
	englishName: "French (Canada)",
	nativeName: "franÃ§ais (Canada)",
	language: "fr",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["(n $)","n $"],
			",": "Â ",
			".": ","
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "yyyy-MM-dd",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "d MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Cyrl-CS", "default", {
	name: "sr-Cyrl-CS",
	englishName: "Serbian (Cyrillic, Serbia and Montenegro (Former))",
	nativeName: "ÑÑ€Ð¿ÑÐºÐ¸ (Ð¡Ñ€Ð±Ð¸Ñ˜Ð° Ð¸ Ð¦Ñ€Ð½Ð° Ð“Ð¾Ñ€Ð° (ÐŸÑ€ÐµÑ‚Ñ…Ð¾Ð´Ð½Ð¾))",
	language: "sr-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Ð”Ð¸Ð½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½Ðµ","Ð¿Ð¾","ÑƒÑ‚","ÑÑ€","Ñ‡Ðµ","Ð¿Ðµ","ÑÑƒ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "se-FI", "default", {
	name: "se-FI",
	englishName: "Sami, Northern (Finland)",
	nativeName: "davvisÃ¡megiella (Suopma)",
	language: "se",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sotnabeaivi","vuossÃ¡rga","maÅ‹Å‹ebÃ¡rga","gaskavahkku","duorastat","bearjadat","lÃ¡vvardat"],
				namesAbbr: ["sotn","vuos","maÅ‹","gask","duor","bear","lÃ¡v"],
				namesShort: ["s","m","d","g","d","b","l"]
			},
			months: {
				names: ["oÄ‘Ä‘ajagemÃ¡nnu","guovvamÃ¡nnu","njukÄamÃ¡nnu","cuoÅ‹omÃ¡nnu","miessemÃ¡nnu","geassemÃ¡nnu","suoidnemÃ¡nnu","borgemÃ¡nnu","ÄakÄamÃ¡nnu","golggotmÃ¡nnu","skÃ¡bmamÃ¡nnu","juovlamÃ¡nnu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			monthsGenitive: {
				names: ["oÄ‘Ä‘ajagimÃ¡nu","guovvamÃ¡nu","njukÄamÃ¡nu","cuoÅ‹omÃ¡nu","miessemÃ¡nu","geassemÃ¡nu","suoidnemÃ¡nu","borgemÃ¡nu","ÄakÄamÃ¡nu","golggotmÃ¡nu","skÃ¡bmamÃ¡nu","juovlamÃ¡nu",""],
				namesAbbr: ["oÄ‘Ä‘j","guov","njuk","cuo","mies","geas","suoi","borg","ÄakÄ","golg","skÃ¡b","juov",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "MMMM d'. b. 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d'. b. 'yyyy H:mm",
				F: "MMMM d'. b. 'yyyy H:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "quz-PE", "default", {
	name: "quz-PE",
	englishName: "Quechua (Peru)",
	nativeName: "runasimi (Piruw)",
	language: "quz",
	numberFormat: {
		percent: {
			pattern: ["-%n","%n"]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			symbol: "S/."
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["intichaw","killachaw","atipachaw","quyllurchaw","Ch' askachaw","Illapachaw","k'uychichaw"],
				namesAbbr: ["int","kil","ati","quy","Ch'","Ill","k'u"],
				namesShort: ["d","k","a","m","h","b","k"]
			},
			months: {
				names: ["Qulla puquy","Hatun puquy","Pauqar waray","ayriwa","Aymuray","Inti raymi","Anta Sitwa","Qhapaq Sitwa","Uma raymi","Kantaray","Ayamarq'a","Kapaq Raymi",""],
				namesAbbr: ["Qul","Hat","Pau","ayr","Aym","Int","Ant","Qha","Uma","Kan","Aya","Kap",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-LY", "default", {
	name: "ar-LY",
	englishName: "Arabic (Libya)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ù„ÙŠØ¨ÙŠØ§)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		decimals: 3,
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		percent: {
			decimals: 3
		},
		currency: {
			pattern: ["$n-","$n"],
			decimals: 3,
			symbol: "Ø¯.Ù„.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-SG", "default", {
	name: "zh-SG",
	englishName: "Chinese (Simplified, Singapore)",
	nativeName: "ä¸­æ–‡(æ–°åŠ å¡)",
	language: "zh-CHS",
	numberFormat: {
		percent: {
			pattern: ["-n%","n%"]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["å‘¨æ—¥","å‘¨ä¸€","å‘¨äºŒ","å‘¨ä¸‰","å‘¨å››","å‘¨äº”","å‘¨å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "tt h:mm",
				T: "tt h:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' tt h:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' tt h:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "de-LU", "default", {
	name: "de-LU",
	englishName: "German (Luxembourg)",
	nativeName: "Deutsch (Luxemburg)",
	language: "de",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","MÃ¤rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-CA", "default", {
	name: "en-CA",
	englishName: "English (Canada)",
	nativeName: "English (Canada)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			patterns: {
				d: "dd/MM/yyyy",
				D: "MMMM-dd-yy",
				f: "MMMM-dd-yy h:mm tt",
				F: "MMMM-dd-yy h:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "es-GT", "default", {
	name: "es-GT",
	englishName: "Spanish (Guatemala)",
	nativeName: "EspaÃ±ol (Guatemala)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			symbol: "Q"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr-CH", "default", {
	name: "fr-CH",
	englishName: "French (Switzerland)",
	nativeName: "franÃ§ais (Suisse)",
	language: "fr",
	numberFormat: {
		",": "'",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "'"
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "'",
			symbol: "fr."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "hr-BA", "default", {
	name: "hr-BA",
	englishName: "Croatian (Latin, Bosnia and Herzegovina)",
	nativeName: "hrvatski (Bosna i Hercegovina)",
	language: "hr",
	numberFormat: {
		pattern: ["- n"],
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "KM"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedjelja","ponedjeljak","utorak","srijeda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sri","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["sijeÄanj","veljaÄa","oÅ¾ujak","travanj","svibanj","lipanj","srpanj","kolovoz","rujan","listopad","studeni","prosinac",""],
				namesAbbr: ["sij","vlj","oÅ¾u","tra","svi","lip","srp","kol","ruj","lis","stu","pro",""]
			},
			monthsGenitive: {
				names: ["sijeÄnja","veljaÄe","oÅ¾ujka","travnja","svibnja","lipnja","srpnja","kolovoza","rujna","listopada","studenog","prosinca",""],
				namesAbbr: ["sij","vlj","oÅ¾u","tra","svi","lip","srp","kol","ruj","lis","stu","pro",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy.",
				D: "d. MMMM yyyy.",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy. H:mm",
				F: "d. MMMM yyyy. H:mm:ss",
				M: "d. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "smj-NO", "default", {
	name: "smj-NO",
	englishName: "Sami, Lule (Norway)",
	nativeName: "julevusÃ¡megiella (Vuodna)",
	language: "smj",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¥dnÃ¥biejvve","mÃ¡nnodahka","dijstahka","gasskavahkko","duorastahka","bierjjedahka","lÃ¡vvodahka"],
				namesAbbr: ["sÃ¥d","mÃ¡n","dis","gas","duor","bier","lÃ¡v"],
				namesShort: ["s","m","d","g","d","b","l"]
			},
			months: {
				names: ["Ã¥dÃ¥jakmÃ¡nno","guovvamÃ¡nno","sjnjuktjamÃ¡nno","vuoratjismÃ¡nno","moarmesmÃ¡nno","biehtsemÃ¡nno","sjnjilltjamÃ¡nno","bÃ¥rggemÃ¡nno","ragÃ¡tmÃ¡nno","gÃ¥lgÃ¥dismÃ¡nno","basÃ¡dismÃ¡nno","javllamÃ¡nno",""],
				namesAbbr: ["Ã¥dÃ¥j","guov","snju","vuor","moar","bieh","snji","bÃ¥rg","ragÃ¡","gÃ¥lg","basÃ¡","javl",""]
			},
			monthsGenitive: {
				names: ["Ã¥dÃ¥jakmÃ¡no","guovvamÃ¡no","sjnjuktjamÃ¡no","vuoratjismÃ¡no","moarmesmÃ¡no","biehtsemÃ¡no","sjnjilltjamÃ¡no","bÃ¥rggemÃ¡no","ragÃ¡tmÃ¡no","gÃ¥lgÃ¥dismÃ¡no","basÃ¡dismÃ¡no","javllamÃ¡no",""],
				namesAbbr: ["Ã¥dÃ¥j","guov","snju","vuor","moar","bieh","snji","bÃ¥rg","ragÃ¡","gÃ¥lg","basÃ¡","javl",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-DZ", "default", {
	name: "ar-DZ",
	englishName: "Arabic (Algeria)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ø¬Ø²Ø§Ø¦Ø±)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø¯.Ø¬.\u200f"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM, yyyy H:mm",
				F: "dd MMMM, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd/MM/yyyy H:mm",
				F: "dd/MM/yyyy H:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd/MMMM/yyyy H:mm",
				F: "dd/MMMM/yyyy H:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-MO", "default", {
	name: "zh-MO",
	englishName: "Chinese (Traditional, Macao S.A.R.)",
	nativeName: "ä¸­æ–‡(æ¾³é–€ç‰¹åˆ¥è¡Œæ”¿å€)",
	language: "zh-CHT",
	numberFormat: {
		"NaN": "éžæ•¸å­—",
		negativeInfinity: "è² ç„¡çª®å¤§",
		positiveInfinity: "æ­£ç„¡çª®å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			symbol: "MOP"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["é€±æ—¥","é€±ä¸€","é€±äºŒ","é€±ä¸‰","é€±å››","é€±äº”","é€±å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "de-LI", "default", {
	name: "de-LI",
	englishName: "German (Liechtenstein)",
	nativeName: "Deutsch (Liechtenstein)",
	language: "de",
	numberFormat: {
		",": "'",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": "'"
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "'",
			symbol: "CHF"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","MÃ¤rz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-NZ", "default", {
	name: "en-NZ",
	englishName: "English (New Zealand)",
	nativeName: "English (New Zealand)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			patterns: {
				d: "d/MM/yyyy",
				D: "dddd, d MMMM yyyy",
				f: "dddd, d MMMM yyyy h:mm tt",
				F: "dddd, d MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-CR", "default", {
	name: "es-CR",
	englishName: "Spanish (Costa Rica)",
	nativeName: "EspaÃ±ol (Costa Rica)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			",": ".",
			".": ",",
			symbol: "â‚¡"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr-LU", "default", {
	name: "fr-LU",
	englishName: "French (Luxembourg)",
	nativeName: "franÃ§ais (Luxembourg)",
	language: "fr",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bs-Latn-BA", "default", {
	name: "bs-Latn-BA",
	englishName: "Bosnian (Latin, Bosnia and Herzegovina)",
	nativeName: "bosanski (Bosna i Hercegovina)",
	language: "bs-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "KM"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedjelja","ponedjeljak","utorak","srijeda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sri","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","juni","juli","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "smj-SE", "default", {
	name: "smj-SE",
	englishName: "Sami, Lule (Sweden)",
	nativeName: "julevusÃ¡megiella (Svierik)",
	language: "smj",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["Ã¡jllek","mÃ¡nnodahka","dijstahka","gasskavahkko","duorastahka","bierjjedahka","lÃ¡vvodahka"],
				namesAbbr: ["Ã¡jl","mÃ¡n","dis","gas","duor","bier","lÃ¡v"],
				namesShort: ["Ã¡","m","d","g","d","b","l"]
			},
			months: {
				names: ["Ã¥dÃ¥jakmÃ¡nno","guovvamÃ¡nno","sjnjuktjamÃ¡nno","vuoratjismÃ¡nno","moarmesmÃ¡nno","biehtsemÃ¡nno","sjnjilltjamÃ¡nno","bÃ¥rggemÃ¡nno","ragÃ¡tmÃ¡nno","gÃ¥lgÃ¥dismÃ¡nno","basÃ¡dismÃ¡nno","javllamÃ¡nno",""],
				namesAbbr: ["Ã¥dÃ¥j","guov","snju","vuor","moar","bieh","snji","bÃ¥rg","ragÃ¡","gÃ¥lg","basÃ¡","javl",""]
			},
			monthsGenitive: {
				names: ["Ã¥dÃ¥jakmÃ¡no","guovvamÃ¡no","sjnjuktjamÃ¡no","vuoratjismÃ¡no","moarmesmÃ¡no","biehtsemÃ¡no","sjnjilltjamÃ¡no","bÃ¥rggemÃ¡no","ragÃ¡tmÃ¡no","gÃ¥lgÃ¥dismÃ¡no","basÃ¡dismÃ¡no","javllamÃ¡no",""],
				namesAbbr: ["Ã¥dÃ¥j","guov","snju","vuor","moar","bieh","snji","bÃ¥rg","ragÃ¡","gÃ¥lg","basÃ¡","javl",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-MA", "default", {
	name: "ar-MA",
	englishName: "Arabic (Morocco)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ù…Ù…Ù„ÙƒØ© Ø§Ù„Ù…ØºØ±Ø¨ÙŠØ©)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø¯.Ù….\u200f"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆØ²","ØºØ´Øª","Ø´ØªÙ†Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙ†Ø¨Ø±","Ø¯Ø¬Ù†Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆØ²","ØºØ´Øª","Ø´ØªÙ†Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙ†Ø¨Ø±","Ø¯Ø¬Ù†Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM, yyyy H:mm",
				F: "dd MMMM, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd/MM/yyyy H:mm",
				F: "dd/MM/yyyy H:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd/MMMM/yyyy H:mm",
				F: "dd/MMMM/yyyy H:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss"
			}
		}
	}
});

Globalize.addCultureInfo( "en-IE", "default", {
	name: "en-IE",
	englishName: "English (Ireland)",
	nativeName: "English (Ireland)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-PA", "default", {
	name: "es-PA",
	englishName: "Spanish (Panama)",
	nativeName: "EspaÃ±ol (PanamÃ¡)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			pattern: ["($ n)","$ n"],
			symbol: "B/."
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "fr-MC", "default", {
	name: "fr-MC",
	englishName: "French (Monaco)",
	nativeName: "franÃ§ais (PrincipautÃ© de Monaco)",
	language: "fr",
	numberFormat: {
		",": "Â ",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd d MMMM yyyy HH:mm",
				F: "dddd d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Latn-BA", "default", {
	name: "sr-Latn-BA",
	englishName: "Serbian (Latin, Bosnia and Herzegovina)",
	nativeName: "srpski (Bosna i Hercegovina)",
	language: "sr-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-beskonaÄnost",
		positiveInfinity: "+beskonaÄnost",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "KM"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljak","utorak","sreda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sre","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","jun","jul","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n.e.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sma-NO", "default", {
	name: "sma-NO",
	englishName: "Sami, Southern (Norway)",
	nativeName: "Ã¥arjelsaemiengiele (NÃ¶Ã¶rje)",
	language: "sma",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["aejlege","mÃ¥anta","dÃ¦jsta","gaskevÃ¥hkoe","duarsta","bearjadahke","laavvardahke"],
				namesAbbr: ["aej","mÃ¥a","dÃ¦j","gask","duar","bearj","laav"],
				namesShort: ["a","m","d","g","d","b","l"]
			},
			months: {
				names: ["tsÃ¯engele","goevte","njoktje","voerhtje","suehpede","ruffie","snjaltje","mÃ¯etske","skÃ¯erede","golke","rahka","goeve",""],
				namesAbbr: ["tsÃ¯en","goevt","njok","voer","sueh","ruff","snja","mÃ¯et","skÃ¯er","golk","rahk","goev",""]
			},
			monthsGenitive: {
				names: ["tsÃ¯engelen","goevten","njoktjen","voerhtjen","suehpeden","ruffien","snjaltjen","mÃ¯etsken","skÃ¯ereden","golken","rahkan","goeven",""],
				namesAbbr: ["tsÃ¯en","goevt","njok","voer","sueh","ruff","snja","mÃ¯et","skÃ¯er","golk","rahk","goev",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-TN", "default", {
	name: "ar-TN",
	englishName: "Arabic (Tunisia)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (ØªÙˆÙ†Ø³)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		decimals: 3,
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		percent: {
			decimals: 3
		},
		currency: {
			pattern: ["$n-","$ n"],
			decimals: 3,
			symbol: "Ø¯.Øª.\u200f"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM, yyyy H:mm",
				F: "dd MMMM, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd/MM/yyyy H:mm",
				F: "dd/MM/yyyy H:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd/MMMM/yyyy H:mm",
				F: "dd/MMMM/yyyy H:mm:ss",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, MMMM dd, yyyy H:mm",
				F: "dddd, MMMM dd, yyyy H:mm:ss"
			}
		}
	}
});

Globalize.addCultureInfo( "en-ZA", "default", {
	name: "en-ZA",
	englishName: "English (South Africa)",
	nativeName: "English (South Africa)",
	numberFormat: {
		",": "Â ",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â "
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "R"
		}
	},
	calendars: {
		standard: {
			patterns: {
				d: "yyyy/MM/dd",
				D: "dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM yyyy hh:mm tt",
				F: "dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-DO", "default", {
	name: "es-DO",
	englishName: "Spanish (Dominican Republic)",
	nativeName: "EspaÃ±ol (RepÃºblica Dominicana)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			symbol: "RD$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Cyrl-BA", "default", {
	name: "sr-Cyrl-BA",
	englishName: "Serbian (Cyrillic, Bosnia and Herzegovina)",
	nativeName: "ÑÑ€Ð¿ÑÐºÐ¸ (Ð‘Ð¾ÑÐ½Ð° Ð¸ Ð¥ÐµÑ€Ñ†ÐµÐ³Ð¾Ð²Ð¸Ð½Ð°)",
	language: "sr-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "ÐšÐœ"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½","Ð¿","Ñƒ","Ñ","Ñ‡","Ð¿","Ñ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sma-SE", "default", {
	name: "sma-SE",
	englishName: "Sami, Southern (Sweden)",
	nativeName: "Ã¥arjelsaemiengiele (Sveerje)",
	language: "sma",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["aejlege","mÃ¥anta","dÃ¦jsta","gaskevÃ¥hkoe","duarsta","bearjadahke","laavvardahke"],
				namesAbbr: ["aej","mÃ¥a","dÃ¦j","gask","duar","bearj","laav"],
				namesShort: ["a","m","d","g","d","b","l"]
			},
			months: {
				names: ["tsÃ¯engele","goevte","njoktje","voerhtje","suehpede","ruffie","snjaltje","mÃ¯etske","skÃ¯erede","golke","rahka","goeve",""],
				namesAbbr: ["tsÃ¯en","goevt","njok","voer","sueh","ruff","snja","mÃ¯et","skÃ¯er","golk","rahk","goev",""]
			},
			monthsGenitive: {
				names: ["tsÃ¯engelen","goevten","njoktjen","voerhtjen","suehpeden","ruffien","snjaltjen","mÃ¯etsken","skÃ¯ereden","golken","rahkan","goeven",""],
				namesAbbr: ["tsÃ¯en","goevt","njok","voer","sueh","ruff","snja","mÃ¯et","skÃ¯er","golk","rahk","goev",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-OM", "default", {
	name: "ar-OM",
	englishName: "Arabic (Oman)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø¹Ù…Ø§Ù†)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			decimals: 3,
			symbol: "Ø±.Ø¹.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-JM", "default", {
	name: "en-JM",
	englishName: "English (Jamaica)",
	nativeName: "English (Jamaica)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"],
			symbol: "J$"
		}
	},
	calendars: {
		standard: {
			patterns: {
				d: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "es-VE", "default", {
	name: "es-VE",
	englishName: "Spanish (Bolivarian Republic of Venezuela)",
	nativeName: "EspaÃ±ol (Republica Bolivariana de Venezuela)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "Bs. F."
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bs-Cyrl-BA", "default", {
	name: "bs-Cyrl-BA",
	englishName: "Bosnian (Cyrillic, Bosnia and Herzegovina)",
	nativeName: "Ð±Ð¾ÑÐ°Ð½ÑÐºÐ¸ (Ð‘Ð¾ÑÐ½Ð° Ð¸ Ð¥ÐµÑ€Ñ†ÐµÐ³Ð¾Ð²Ð¸Ð½Ð°)",
	language: "bs-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "ÐšÐœ"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´Ñ˜ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´Ñ˜ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€Ð¸Ñ˜ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½","Ð¿","Ñƒ","Ñ","Ñ‡","Ð¿","Ñ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "sms-FI", "default", {
	name: "sms-FI",
	englishName: "Sami, Skolt (Finland)",
	nativeName: "sÃ¤Ã¤mÂ´Ç©iÃµll (LÃ¤Ã¤Â´ddjÃ¢nnam)",
	language: "sms",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["pÃ¢Â´sspeiÂ´vv","vuÃµssargg","mÃ¢Ã¢ibargg","seÃ¤rad","nelljdpeiÂ´vv","piÃ¢tnÃ¢c","sueÂ´vet"],
				namesAbbr: ["pÃ¢","vu","mÃ¢","se","ne","pi","su"],
				namesShort: ["p","v","m","s","n","p","s"]
			},
			months: {
				names: ["oÄ‘Ä‘eeÂ´jjmÃ¤Ã¤n","tÃ¤Â´lvvmÃ¤Ã¤n","pÃ¢Â´zzlÃ¢Å¡ttammÃ¤Ã¤n","njuhÄÄmÃ¤Ã¤n","vueÂ´ssmÃ¤Ã¤n","Ç©ieÂ´ssmÃ¤Ã¤n","sueiÂ´nnmÃ¤Ã¤n","pÃ¥Â´rÇ§Ç§mÃ¤Ã¤n","ÄÃµhÄÄmÃ¤Ã¤n","kÃ¥lggmÃ¤Ã¤n","skammÂ´mÃ¤Ã¤n","rosttovmÃ¤Ã¤n",""],
				namesAbbr: ["oÄ‘jm","tÃ¤Â´lvv","pÃ¢zl","njuh","vue","Ç©ie","suei","pÃ¥Â´r","ÄÃµh","kÃ¥lg","ska","rost",""]
			},
			monthsGenitive: {
				names: ["oÄ‘Ä‘eeÂ´jjmannu","tÃ¤Â´lvvmannu","pÃ¢Â´zzlÃ¢Å¡ttammannu","njuhÄÄmannu","vueÂ´ssmannu","Ç©ieÂ´ssmannu","sueiÂ´nnmannu","pÃ¥Â´rÇ§Ç§mannu","ÄÃµhÄÄmannu","kÃ¥lggmannu","skammÂ´mannu","rosttovmannu",""],
				namesAbbr: ["oÄ‘jm","tÃ¤Â´lvv","pÃ¢zl","njuh","vue","Ç©ie","suei","pÃ¥Â´r","ÄÃµh","kÃ¥lg","ska","rost",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "MMMM d'. p. 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d'. p. 'yyyy H:mm",
				F: "MMMM d'. p. 'yyyy H:mm:ss",
				M: "MMMM d'. p. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-YE", "default", {
	name: "ar-YE",
	englishName: "Arabic (Yemen)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„ÙŠÙ…Ù†)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø±.ÙŠ.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-029", "default", {
	name: "en-029",
	englishName: "English (Caribbean)",
	nativeName: "English (Caribbean)",
	numberFormat: {
		currency: {
			pattern: ["-$n","$n"]
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			patterns: {
				d: "MM/dd/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-CO", "default", {
	name: "es-CO",
	englishName: "Spanish (Colombia)",
	nativeName: "EspaÃ±ol (Colombia)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Latn-RS", "default", {
	name: "sr-Latn-RS",
	englishName: "Serbian (Latin, Serbia)",
	nativeName: "srpski (Srbija)",
	language: "sr-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-beskonaÄnost",
		positiveInfinity: "+beskonaÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Din."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljak","utorak","sreda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sre","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","jun","jul","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n.e.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "smn-FI", "default", {
	name: "smn-FI",
	englishName: "Sami, Inari (Finland)",
	nativeName: "sÃ¤mikielÃ¢ (SuomÃ¢)",
	language: "smn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["pasepeivi","vuossargÃ¢","majebargÃ¢","koskokko","tuorÃ¢stÃ¢h","vÃ¡stuppeivi","lÃ¡vÃ¡rdÃ¢h"],
				namesAbbr: ["pa","vu","ma","ko","tu","vÃ¡","lÃ¡"],
				namesShort: ["p","v","m","k","t","v","l"]
			},
			months: {
				names: ["uÄ‘Ä‘Ã¢ivemÃ¡Ã¡nu","kuovÃ¢mÃ¡Ã¡nu","njuhÄÃ¢mÃ¡Ã¡nu","cuÃ¡Å‹uimÃ¡Ã¡nu","vyesimÃ¡Ã¡nu","kesimÃ¡Ã¡nu","syeinimÃ¡Ã¡nu","porgemÃ¡Ã¡nu","ÄohÄÃ¢mÃ¡Ã¡nu","roovvÃ¢dmÃ¡Ã¡nu","skammÃ¢mÃ¡Ã¡nu","juovlÃ¢mÃ¡Ã¡nu",""],
				namesAbbr: ["uÄ‘iv","kuov","njuh","cuoÅ‹","vyes","kesi","syei","porg","Äoh","roov","ska","juov",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "MMMM d'. p. 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d'. p. 'yyyy H:mm",
				F: "MMMM d'. p. 'yyyy H:mm:ss",
				M: "MMMM d'. p. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-SY", "default", {
	name: "ar-SY",
	englishName: "Arabic (Syria)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø³ÙˆØ±ÙŠØ§)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ù„.Ø³.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-BZ", "default", {
	name: "en-BZ",
	englishName: "English (Belize)",
	nativeName: "English (Belize)",
	numberFormat: {
		currency: {
			groupSizes: [3,0],
			symbol: "BZ$"
		}
	},
	calendars: {
		standard: {
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd MMMM yyyy hh:mm tt",
				F: "dddd, dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-PE", "default", {
	name: "es-PE",
	englishName: "Spanish (Peru)",
	nativeName: "EspaÃ±ol (PerÃº)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			pattern: ["$ -n","$ n"],
			symbol: "S/."
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Cyrl-RS", "default", {
	name: "sr-Cyrl-RS",
	englishName: "Serbian (Cyrillic, Serbia)",
	nativeName: "ÑÑ€Ð¿ÑÐºÐ¸ (Ð¡Ñ€Ð±Ð¸Ñ˜Ð°)",
	language: "sr-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Ð”Ð¸Ð½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½Ðµ","Ð¿Ð¾","ÑƒÑ‚","ÑÑ€","Ñ‡Ðµ","Ð¿Ðµ","ÑÑƒ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-JO", "default", {
	name: "ar-JO",
	englishName: "Arabic (Jordan)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ø£Ø±Ø¯Ù†)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		decimals: 3,
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		percent: {
			decimals: 3
		},
		currency: {
			pattern: ["$n-","$ n"],
			decimals: 3,
			symbol: "Ø¯.Ø§.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-TT", "default", {
	name: "en-TT",
	englishName: "English (Trinidad and Tobago)",
	nativeName: "English (Trinidad y Tobago)",
	numberFormat: {
		currency: {
			groupSizes: [3,0],
			symbol: "TT$"
		}
	},
	calendars: {
		standard: {
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd MMMM yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd MMMM yyyy hh:mm tt",
				F: "dddd, dd MMMM yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-AR", "default", {
	name: "es-AR",
	englishName: "Spanish (Argentina)",
	nativeName: "EspaÃ±ol (Argentina)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$-n","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Latn-ME", "default", {
	name: "sr-Latn-ME",
	englishName: "Serbian (Latin, Montenegro)",
	nativeName: "srpski (Crna Gora)",
	language: "sr-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-beskonaÄnost",
		positiveInfinity: "+beskonaÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljak","utorak","sreda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sre","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","jun","jul","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n.e.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-LB", "default", {
	name: "ar-LB",
	englishName: "Arabic (Lebanon)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ù„Ø¨Ù†Ø§Ù†)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ù„.Ù„.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 1,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_TransliteratedEnglish: {
			name: "Gregorian_TransliteratedEnglish",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø£","Ø§","Ø«","Ø£","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 1,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-ZW", "default", {
	name: "en-ZW",
	englishName: "English (Zimbabwe)",
	nativeName: "English (Zimbabwe)",
	numberFormat: {
		currency: {
			symbol: "Z$"
		}
	}
});

Globalize.addCultureInfo( "es-EC", "default", {
	name: "es-EC",
	englishName: "Spanish (Ecuador)",
	nativeName: "EspaÃ±ol (Ecuador)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Cyrl-ME", "default", {
	name: "sr-Cyrl-ME",
	englishName: "Serbian (Cyrillic, Montenegro)",
	nativeName: "ÑÑ€Ð¿ÑÐºÐ¸ (Ð¦Ñ€Ð½Ð° Ð“Ð¾Ñ€Ð°)",
	language: "sr-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½Ðµ","Ð¿Ð¾","ÑƒÑ‚","ÑÑ€","Ñ‡Ðµ","Ð¿Ðµ","ÑÑƒ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-KW", "default", {
	name: "ar-KW",
	englishName: "Arabic (Kuwait)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„ÙƒÙˆÙŠØª)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		decimals: 3,
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		percent: {
			decimals: 3
		},
		currency: {
			pattern: ["$n-","$ n"],
			decimals: 3,
			symbol: "Ø¯.Ùƒ.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-PH", "default", {
	name: "en-PH",
	englishName: "English (Republic of the Philippines)",
	nativeName: "English (Philippines)",
	numberFormat: {
		currency: {
			symbol: "Php"
		}
	}
});

Globalize.addCultureInfo( "es-CL", "default", {
	name: "es-CL",
	englishName: "Spanish (Chile)",
	nativeName: "EspaÃ±ol (Chile)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-$ n","$ n"],
			",": ".",
			".": ","
		}
	},
	calendars: {
		standard: {
			"/": "-",
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd-MM-yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-AE", "default", {
	name: "ar-AE",
	englishName: "Arabic (U.A.E.)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ø¥Ù…Ø§Ø±Ø§Øª Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© Ø§Ù„Ù…ØªØ­Ø¯Ø©)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø¯.Ø¥.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "es-UY", "default", {
	name: "es-UY",
	englishName: "Spanish (Uruguay)",
	nativeName: "EspaÃ±ol (Uruguay)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ",",
			symbol: "$U"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-BH", "default", {
	name: "ar-BH",
	englishName: "Arabic (Bahrain)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ø§Ù„Ø¨Ø­Ø±ÙŠÙ†)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		decimals: 3,
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		percent: {
			decimals: 3
		},
		currency: {
			pattern: ["$n-","$ n"],
			decimals: 3,
			symbol: "Ø¯.Ø¨.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø§Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø§ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "es-PY", "default", {
	name: "es-PY",
	englishName: "Spanish (Paraguay)",
	nativeName: "EspaÃ±ol (Paraguay)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ",",
			symbol: "Gs"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "ar-QA", "default", {
	name: "ar-QA",
	englishName: "Arabic (Qatar)",
	nativeName: "Ø§Ù„Ø¹Ø±Ø¨ÙŠØ© (Ù‚Ø·Ø±)",
	language: "ar",
	isRTL: true,
	numberFormat: {
		pattern: ["n-"],
		"NaN": "Ù„ÙŠØ³ Ø¨Ø±Ù‚Ù…",
		negativeInfinity: "-Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		positiveInfinity: "+Ù„Ø§ Ù†Ù‡Ø§ÙŠØ©",
		currency: {
			pattern: ["$n-","$ n"],
			symbol: "Ø±.Ù‚.\u200f"
		}
	},
	calendars: {
		standard: {
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["ÙŠÙ†Ø§ÙŠØ±","ÙØ¨Ø±Ø§ÙŠØ±","Ù…Ø§Ø±Ø³","Ø£Ø¨Ø±ÙŠÙ„","Ù…Ø§ÙŠÙˆ","ÙŠÙˆÙ†ÙŠÙˆ","ÙŠÙˆÙ„ÙŠÙˆ","Ø£ØºØ³Ø·Ø³","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø£ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM, yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd MMMM, yyyy hh:mm tt",
				F: "dd MMMM, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		UmAlQura: {
			name: "UmAlQura",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MMMM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MMMM/yyyy hh:mm tt",
				F: "dd/MMMM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    _yearInfo: [
                        // MonthLengthFlags, Gregorian Date
                        [746, -2198707200000],
                        [1769, -2168121600000],
                        [3794, -2137449600000],
                        [3748, -2106777600000],
                        [3402, -2076192000000],
                        [2710, -2045606400000],
                        [1334, -2015020800000],
                        [2741, -1984435200000],
                        [3498, -1953763200000],
                        [2980, -1923091200000],
                        [2889, -1892505600000],
                        [2707, -1861920000000],
                        [1323, -1831334400000],
                        [2647, -1800748800000],
                        [1206, -1770076800000],
                        [2741, -1739491200000],
                        [1450, -1708819200000],
                        [3413, -1678233600000],
                        [3370, -1647561600000],
                        [2646, -1616976000000],
                        [1198, -1586390400000],
                        [2397, -1555804800000],
                        [748, -1525132800000],
                        [1749, -1494547200000],
                        [1706, -1463875200000],
                        [1365, -1433289600000],
                        [1195, -1402704000000],
                        [2395, -1372118400000],
                        [698, -1341446400000],
                        [1397, -1310860800000],
                        [2994, -1280188800000],
                        [1892, -1249516800000],
                        [1865, -1218931200000],
                        [1621, -1188345600000],
                        [683, -1157760000000],
                        [1371, -1127174400000],
                        [2778, -1096502400000],
                        [1748, -1065830400000],
                        [3785, -1035244800000],
                        [3474, -1004572800000],
                        [3365, -973987200000],
                        [2637, -943401600000],
                        [685, -912816000000],
                        [1389, -882230400000],
                        [2922, -851558400000],
                        [2898, -820886400000],
                        [2725, -790300800000],
                        [2635, -759715200000],
                        [1175, -729129600000],
                        [2359, -698544000000],
                        [694, -667872000000],
                        [1397, -637286400000],
                        [3434, -606614400000],
                        [3410, -575942400000],
                        [2710, -545356800000],
                        [2349, -514771200000],
                        [605, -484185600000],
                        [1245, -453600000000],
                        [2778, -422928000000],
                        [1492, -392256000000],
                        [3497, -361670400000],
                        [3410, -330998400000],
                        [2730, -300412800000],
                        [1238, -269827200000],
                        [2486, -239241600000],
                        [884, -208569600000],
                        [1897, -177984000000],
                        [1874, -147312000000],
                        [1701, -116726400000],
                        [1355, -86140800000],
                        [2731, -55555200000],
                        [1370, -24883200000],
                        [2773, 5702400000],
                        [3538, 36374400000],
                        [3492, 67046400000],
                        [3401, 97632000000],
                        [2709, 128217600000],
                        [1325, 158803200000],
                        [2653, 189388800000],
                        [1370, 220060800000],
                        [2773, 250646400000],
                        [1706, 281318400000],
                        [1685, 311904000000],
                        [1323, 342489600000],
                        [2647, 373075200000],
                        [1198, 403747200000],
                        [2422, 434332800000],
                        [1388, 465004800000],
                        [2901, 495590400000],
                        [2730, 526262400000],
                        [2645, 556848000000],
                        [1197, 587433600000],
                        [2397, 618019200000],
                        [730, 648691200000],
                        [1497, 679276800000],
                        [3506, 709948800000],
                        [2980, 740620800000],
                        [2890, 771206400000],
                        [2645, 801792000000],
                        [693, 832377600000],
                        [1397, 862963200000],
                        [2922, 893635200000],
                        [3026, 924307200000],
                        [3012, 954979200000],
                        [2953, 985564800000],
                        [2709, 1016150400000],
                        [1325, 1046736000000],
                        [1453, 1077321600000],
                        [2922, 1107993600000],
                        [1748, 1138665600000],
                        [3529, 1169251200000],
                        [3474, 1199923200000],
                        [2726, 1230508800000],
                        [2390, 1261094400000],
                        [686, 1291680000000],
                        [1389, 1322265600000],
                        [874, 1352937600000],
                        [2901, 1383523200000],
                        [2730, 1414195200000],
                        [2381, 1444780800000],
                        [1181, 1475366400000],
                        [2397, 1505952000000],
                        [698, 1536624000000],
                        [1461, 1567209600000],
                        [1450, 1597881600000],
                        [3413, 1628467200000],
                        [2714, 1659139200000],
                        [2350, 1689724800000],
                        [622, 1720310400000],
                        [1373, 1750896000000],
                        [2778, 1781568000000],
                        [1748, 1812240000000],
                        [1701, 1842825600000],
                        [0, 1873411200000]
                    ],
                    minDate: -2198707200000,
                    maxDate: 1873411199999,
                    toGregorian: function(hyear, hmonth, hday) {
                        var days = hday - 1,
                            gyear = hyear - 1318;
                        if (gyear < 0 || gyear >= this._yearInfo.length) return null;
                        var info = this._yearInfo[gyear],
                            gdate = new Date(info[1]),
                            monthLength = info[0];
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the gregorian date in the same timezone,
                        // not what the gregorian date was at GMT time, so we adjust for the offset.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        for (var i = 0; i < hmonth; i++) {
                            days += 29 + (monthLength & 1);
                            monthLength = monthLength >> 1;
                        }
                        gdate.setDate(gdate.getDate() + days);
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        // Date's ticks in javascript are always from the GMT time,
                        // but we are interested in the hijri date in the same timezone,
                        // not what the hijri date was at GMT time, so we adjust for the offset.
                        var ticks = gdate - gdate.getTimezoneOffset() * 60000;
                        if (ticks < this.minDate || ticks > this.maxDate) return null;
                        var hyear = 0,
                            hmonth = 1;
                        // find the earliest gregorian date in the array that is greater than or equal to the given date
                        while (ticks > this._yearInfo[++hyear][1]) { }
                        if (ticks !== this._yearInfo[hyear][1]) {
                            hyear--;
                        }
                        var info = this._yearInfo[hyear],
                            // how many days has it been since the date we found in the array?
                            // 86400000 = ticks per day
                            days = Math.floor((ticks - info[1]) / 86400000),
                            monthLength = info[0];
                        hyear += 1318; // the Nth array entry corresponds to hijri year 1318+N
                        // now increment day/month based on the total days, considering
                        // how many days are in each month. We cannot run past the year
                        // mark since we would have found a different array entry in that case.
                        var daysInMonth = 29 + (monthLength & 1);
                        while (days >= daysInMonth) {
                            days -= daysInMonth;
                            monthLength = monthLength >> 1;
                            daysInMonth = 29 + (monthLength & 1);
                            hmonth++;
                        }
                        // remaining days is less than is in one month, thus is the day of the month we landed on
                        // hmonth-1 because in javascript months are zero based, stay consistent with that.
                        return [hyear, hmonth - 1, days + 1];
                    }
			}
		},
		Hijri: {
			name: "Hijri",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""],
				namesAbbr: ["Ù…Ø­Ø±Ù…","ØµÙØ±","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø£ÙˆÙ„","Ø±Ø¨ÙŠØ¹Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø£ÙˆÙ„Ù‰","Ø¬Ù…Ø§Ø¯Ù‰Â Ø§Ù„Ø«Ø§Ù†ÙŠØ©","Ø±Ø¬Ø¨","Ø´Ø¹Ø¨Ø§Ù†","Ø±Ù…Ø¶Ø§Ù†","Ø´ÙˆØ§Ù„","Ø°ÙˆÂ Ø§Ù„Ù‚Ø¹Ø¯Ø©","Ø°ÙˆÂ Ø§Ù„Ø­Ø¬Ø©",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ø¨Ø¹Ø¯ Ø§Ù„Ù‡Ø¬Ø±Ø©","start":null,"offset":0}],
			twoDigitYearMax: 1451,
			patterns: {
				d: "dd/MM/yy",
				D: "dd/MM/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dd/MM/yyyy hh:mm tt",
				F: "dd/MM/yyyy hh:mm:ss tt",
				M: "dd MMMM"
			},
			convert: {
                    // Adapted to Script from System.Globalization.HijriCalendar
                    ticks1970: 62135596800000,
                    // number of days leading up to each month
                    monthDays: [0, 30, 59, 89, 118, 148, 177, 207, 236, 266, 295, 325, 355],
                    minDate: -42521673600000,
                    maxDate: 253402300799999,
                    // The number of days to add or subtract from the calendar to accommodate the variances
                    // in the start and the end of Ramadan and to accommodate the date difference between
                    // countries/regions. May be dynamically adjusted based on user preference, but should
                    // remain in the range of -2 to 2, inclusive.
                    hijriAdjustment: 0,
                    toGregorian: function(hyear, hmonth, hday) {
                        var daysSinceJan0101 = this.daysToYear(hyear) + this.monthDays[hmonth] + hday - 1 - this.hijriAdjustment;
                        // 86400000 = ticks per day
                        var gdate = new Date(daysSinceJan0101 * 86400000 - this.ticks1970);
                        // adjust for timezone, because we are interested in the gregorian date for the same timezone
                        // but ticks in javascript is always from GMT, unlike the server were ticks counts from the base
                        // date in the current timezone.
                        gdate.setMinutes(gdate.getMinutes() + gdate.getTimezoneOffset());
                        return gdate;
                    },
                    fromGregorian: function(gdate) {
                        if ((gdate < this.minDate) || (gdate > this.maxDate)) return null;
                        var ticks = this.ticks1970 + (gdate-0) - gdate.getTimezoneOffset() * 60000,
                            daysSinceJan0101 = Math.floor(ticks / 86400000) + 1 + this.hijriAdjustment;
                        // very particular formula determined by someone smart, adapted from the server-side implementation.
                        // it approximates the hijri year.
                        var hday, hmonth, hyear = Math.floor(((daysSinceJan0101 - 227013) * 30) / 10631) + 1,
                            absDays = this.daysToYear(hyear),
                            daysInYear = this.isLeapYear(hyear) ? 355 : 354;
                        // hyear is just approximate, it may need adjustment up or down by 1.
                        if (daysSinceJan0101 < absDays) {
                            hyear--;
                            absDays -= daysInYear;
                        }
                        else if (daysSinceJan0101 === absDays) {
                            hyear--;
                            absDays = this.daysToYear(hyear);
                        }
                        else {
                            if (daysSinceJan0101 > (absDays + daysInYear)) {
                                absDays += daysInYear;
                                hyear++;
                            }
                        }
                        // determine month by looking at how many days into the hyear we are
                        // monthDays contains the number of days up to each month.
                        hmonth = 0;
                        var daysIntoYear = daysSinceJan0101 - absDays;
                        while (hmonth <= 11 && daysIntoYear > this.monthDays[hmonth]) {
                            hmonth++;
                        }
                        hmonth--;
                        hday = daysIntoYear - this.monthDays[hmonth];
                        return [hyear, hmonth, hday];
                    },
                    daysToYear: function(year) {
                        // calculates how many days since Jan 1, 0001
                        var yearsToYear30 = Math.floor((year - 1) / 30) * 30,
                            yearsInto30 = year - yearsToYear30 - 1,
                            days = Math.floor((yearsToYear30 * 10631) / 30) + 227013;
                        while (yearsInto30 > 0) {
                            days += (this.isLeapYear(yearsInto30) ? 355 : 354);
                            yearsInto30--;
                        }
                        return days;
                    },
                    isLeapYear: function(year) {
                        return ((((year * 11) + 14) % 30) < 11);
                    }
			}
		},
		Gregorian_MiddleEastFrench: {
			name: "Gregorian_MiddleEastFrench",
			firstDay: 6,
			days: {
				names: ["dimanche","lundi","mardi","mercredi","jeudi","vendredi","samedi"],
				namesAbbr: ["dim.","lun.","mar.","mer.","jeu.","ven.","sam."],
				namesShort: ["di","lu","ma","me","je","ve","sa"]
			},
			months: {
				names: ["janvier","fÃ©vrier","mars","avril","mai","juin","juillet","aoÃ»t","septembre","octobre","novembre","dÃ©cembre",""],
				namesAbbr: ["janv.","fÃ©vr.","mars","avr.","mai","juin","juil.","aoÃ»t","sept.","oct.","nov.","dÃ©c.",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"ap. J.-C.","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt",
				M: "dd MMMM"
			}
		},
		Gregorian_Arabic: {
			name: "Gregorian_Arabic",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""],
				namesAbbr: ["ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","Ø´Ø¨Ø§Ø·","Ø¢Ø°Ø§Ø±","Ù†ÙŠØ³Ø§Ù†","Ø£ÙŠØ§Ø±","Ø­Ø²ÙŠØ±Ø§Ù†","ØªÙ…ÙˆØ²","Ø¢Ø¨","Ø£ÙŠÙ„ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø£ÙˆÙ„","ØªØ´Ø±ÙŠÙ†Â Ø§Ù„Ø«Ø§Ù†ÙŠ","ÙƒØ§Ù†ÙˆÙ†Â Ø§Ù„Ø£ÙˆÙ„",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		},
		Gregorian_TransliteratedFrench: {
			name: "Gregorian_TransliteratedFrench",
			firstDay: 6,
			days: {
				names: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesAbbr: ["Ø§Ù„Ø£Ø­Ø¯","Ø§Ù„Ø¥Ø«Ù†ÙŠÙ†","Ø§Ù„Ø«Ù„Ø§Ø«Ø§Ø¡","Ø§Ù„Ø£Ø±Ø¨Ø¹Ø§Ø¡","Ø§Ù„Ø®Ù…ÙŠØ³","Ø§Ù„Ø¬Ù…Ø¹Ø©","Ø§Ù„Ø³Ø¨Øª"],
				namesShort: ["Ø­","Ù†","Ø«","Ø±","Ø®","Ø¬","Ø³"]
			},
			months: {
				names: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""],
				namesAbbr: ["Ø¬Ø§Ù†ÙÙŠÙŠÙ‡","ÙÙŠÙØ±ÙŠÙŠÙ‡","Ù…Ø§Ø±Ø³","Ø£ÙØ±ÙŠÙ„","Ù…ÙŠ","Ø¬ÙˆØ§Ù†","Ø¬ÙˆÙŠÙŠÙ‡","Ø£ÙˆØª","Ø³Ø¨ØªÙ…Ø¨Ø±","Ø§ÙƒØªÙˆØ¨Ø±","Ù†ÙˆÙÙ…Ø¨Ø±","Ø¯ÙŠØ³Ù…Ø¨Ø±",""]
			},
			AM: ["Øµ","Øµ","Øµ"],
			PM: ["Ù…","Ù…","Ù…"],
			eras: [{"name":"Ù…","start":null,"offset":0}],
			patterns: {
				d: "MM/dd/yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, MMMM dd, yyyy hh:mm tt",
				F: "dddd, MMMM dd, yyyy hh:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "en-IN", "default", {
	name: "en-IN",
	englishName: "English (India)",
	nativeName: "English (India)",
	numberFormat: {
		groupSizes: [3,2],
		percent: {
			groupSizes: [3,2]
		},
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,2],
			symbol: "Rs."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy HH:mm",
				F: "dd MMMM yyyy HH:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "es-BO", "default", {
	name: "es-BO",
	englishName: "Spanish (Bolivia)",
	nativeName: "EspaÃ±ol (Bolivia)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["($ n)","$ n"],
			",": ".",
			".": ",",
			symbol: "$b"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-MY", "default", {
	name: "en-MY",
	englishName: "English (Malaysia)",
	nativeName: "English (Malaysia)",
	numberFormat: {
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			symbol: "RM"
		}
	},
	calendars: {
		standard: {
			days: {
				namesShort: ["S","M","T","W","T","F","S"]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "dddd, d MMMM, yyyy",
				f: "dddd, d MMMM, yyyy h:mm tt",
				F: "dddd, d MMMM, yyyy h:mm:ss tt",
				M: "d MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "es-SV", "default", {
	name: "es-SV",
	englishName: "Spanish (El Salvador)",
	nativeName: "EspaÃ±ol (El Salvador)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "en-SG", "default", {
	name: "en-SG",
	englishName: "English (Singapore)",
	nativeName: "English (Singapore)",
	numberFormat: {
		percent: {
			pattern: ["-n%","n%"]
		}
	},
	calendars: {
		standard: {
			days: {
				namesShort: ["S","M","T","W","T","F","S"]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "dddd, d MMMM, yyyy",
				f: "dddd, d MMMM, yyyy h:mm tt",
				F: "dddd, d MMMM, yyyy h:mm:ss tt",
				M: "d MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "es-HN", "default", {
	name: "es-HN",
	englishName: "Spanish (Honduras)",
	nativeName: "EspaÃ±ol (Honduras)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			pattern: ["$ -n","$ n"],
			groupSizes: [3,0],
			symbol: "L."
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-NI", "default", {
	name: "es-NI",
	englishName: "Spanish (Nicaragua)",
	nativeName: "EspaÃ±ol (Nicaragua)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			pattern: ["($ n)","$ n"],
			groupSizes: [3,0],
			symbol: "C$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-PR", "default", {
	name: "es-PR",
	englishName: "Spanish (Puerto Rico)",
	nativeName: "EspaÃ±ol (Puerto Rico)",
	language: "es",
	numberFormat: {
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		currency: {
			pattern: ["($ n)","$ n"],
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sÃ¡"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: ["a.m.","a.m.","A.M."],
			PM: ["p.m.","p.m.","P.M."],
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "hh:mm tt",
				T: "hh:mm:ss tt",
				f: "dddd, dd' de 'MMMM' de 'yyyy hh:mm tt",
				F: "dddd, dd' de 'MMMM' de 'yyyy hh:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "es-US", "default", {
	name: "es-US",
	englishName: "Spanish (United States)",
	nativeName: "EspaÃ±ol (Estados Unidos)",
	language: "es",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["domingo","lunes","martes","miÃ©rcoles","jueves","viernes","sÃ¡bado"],
				namesAbbr: ["dom","lun","mar","miÃ©","jue","vie","sÃ¡b"],
				namesShort: ["do","lu","ma","mi","ju","vi","sa"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				M: "dd' de 'MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bs-Cyrl", "default", {
	name: "bs-Cyrl",
	englishName: "Bosnian (Cyrillic)",
	nativeName: "Ð±Ð¾ÑÐ°Ð½ÑÐºÐ¸",
	language: "bs-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "ÐšÐœ"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´Ñ˜ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´Ñ˜ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€Ð¸Ñ˜ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½","Ð¿","Ñƒ","Ñ","Ñ‡","Ð¿","Ñ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "bs-Latn", "default", {
	name: "bs-Latn",
	englishName: "Bosnian (Latin)",
	nativeName: "bosanski",
	language: "bs-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "KM"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedjelja","ponedjeljak","utorak","srijeda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sri","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","juni","juli","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Cyrl", "default", {
	name: "sr-Cyrl",
	englishName: "Serbian (Cyrillic)",
	nativeName: "ÑÑ€Ð¿ÑÐºÐ¸",
	language: "sr-Cyrl",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		positiveInfinity: "+Ð±ÐµÑÐºÐ¾Ð½Ð°Ñ‡Ð½Ð¾ÑÑ‚",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Ð”Ð¸Ð½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð½ÐµÐ´ÐµÑ™Ð°","Ð¿Ð¾Ð½ÐµÐ´ÐµÑ™Ð°Ðº","ÑƒÑ‚Ð¾Ñ€Ð°Ðº","ÑÑ€ÐµÐ´Ð°","Ñ‡ÐµÑ‚Ð²Ñ€Ñ‚Ð°Ðº","Ð¿ÐµÑ‚Ð°Ðº","ÑÑƒÐ±Ð¾Ñ‚Ð°"],
				namesAbbr: ["Ð½ÐµÐ´","Ð¿Ð¾Ð½","ÑƒÑ‚Ð¾","ÑÑ€Ðµ","Ñ‡ÐµÑ‚","Ð¿ÐµÑ‚","ÑÑƒÐ±"],
				namesShort: ["Ð½Ðµ","Ð¿Ð¾","ÑƒÑ‚","ÑÑ€","Ñ‡Ðµ","Ð¿Ðµ","ÑÑƒ"]
			},
			months: {
				names: ["Ñ˜Ð°Ð½ÑƒÐ°Ñ€","Ñ„ÐµÐ±Ñ€ÑƒÐ°Ñ€","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€Ð¸Ð»","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ¿Ñ‚ÐµÐ¼Ð±Ð°Ñ€","Ð¾ÐºÑ‚Ð¾Ð±Ð°Ñ€","Ð½Ð¾Ð²ÐµÐ¼Ð±Ð°Ñ€","Ð´ÐµÑ†ÐµÐ¼Ð±Ð°Ñ€",""],
				namesAbbr: ["Ñ˜Ð°Ð½","Ñ„ÐµÐ±","Ð¼Ð°Ñ€","Ð°Ð¿Ñ€","Ð¼Ð°Ñ˜","Ñ˜ÑƒÐ½","Ñ˜ÑƒÐ»","Ð°Ð²Ð³","ÑÐµÐ¿","Ð¾ÐºÑ‚","Ð½Ð¾Ð²","Ð´ÐµÑ†",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"Ð½.Ðµ.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr-Latn", "default", {
	name: "sr-Latn",
	englishName: "Serbian (Latin)",
	nativeName: "srpski",
	language: "sr-Latn",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-beskonaÄnost",
		positiveInfinity: "+beskonaÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Din."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljak","utorak","sreda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sre","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","jun","jul","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n.e.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "smn", "default", {
	name: "smn",
	englishName: "Sami (Inari)",
	nativeName: "sÃ¤mikielÃ¢",
	language: "smn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["pasepeivi","vuossargÃ¢","majebargÃ¢","koskokko","tuorÃ¢stÃ¢h","vÃ¡stuppeivi","lÃ¡vÃ¡rdÃ¢h"],
				namesAbbr: ["pa","vu","ma","ko","tu","vÃ¡","lÃ¡"],
				namesShort: ["p","v","m","k","t","v","l"]
			},
			months: {
				names: ["uÄ‘Ä‘Ã¢ivemÃ¡Ã¡nu","kuovÃ¢mÃ¡Ã¡nu","njuhÄÃ¢mÃ¡Ã¡nu","cuÃ¡Å‹uimÃ¡Ã¡nu","vyesimÃ¡Ã¡nu","kesimÃ¡Ã¡nu","syeinimÃ¡Ã¡nu","porgemÃ¡Ã¡nu","ÄohÄÃ¢mÃ¡Ã¡nu","roovvÃ¢dmÃ¡Ã¡nu","skammÃ¢mÃ¡Ã¡nu","juovlÃ¢mÃ¡Ã¡nu",""],
				namesAbbr: ["uÄ‘iv","kuov","njuh","cuoÅ‹","vyes","kesi","syei","porg","Äoh","roov","ska","juov",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "MMMM d'. p. 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d'. p. 'yyyy H:mm",
				F: "MMMM d'. p. 'yyyy H:mm:ss",
				M: "MMMM d'. p. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "az-Cyrl", "default", {
	name: "az-Cyrl",
	englishName: "Azeri (Cyrillic)",
	nativeName: "ÐÐ·Ó™Ñ€Ð±Ð°Ñ˜Ò¹Ð°Ð½Â Ð´Ð¸Ð»Ð¸",
	language: "az-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "Ð¼Ð°Ð½."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Ð‘Ð°Ð·Ð°Ñ€","Ð‘Ð°Ð·Ð°Ñ€Â ÐµÑ€Ñ‚Ó™ÑÐ¸","Ð§Ó™Ñ€ÑˆÓ™Ð½Ð±Ó™Â Ð°Ñ…ÑˆÐ°Ð¼Ñ‹","Ð§Ó™Ñ€ÑˆÓ™Ð½Ð±Ó™","Ò¸Ò¯Ð¼Ó™Â Ð°Ñ…ÑˆÐ°Ð¼Ñ‹","Ò¸Ò¯Ð¼Ó™","Ð¨Ó™Ð½Ð±Ó™"],
				namesAbbr: ["Ð‘","Ð‘Ðµ","Ð§Ð°","Ð§","Ò¸Ð°","Ò¸","Ð¨"],
				namesShort: ["Ð‘","Ð‘Ðµ","Ð§Ð°","Ð§","Ò¸Ð°","Ò¸","Ð¨"]
			},
			months: {
				names: ["ÐˆÐ°Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ñ˜","Ð˜Ñ˜ÑƒÐ½","Ð˜Ñ˜ÑƒÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚Ñ˜Ð°Ð±Ñ€","ÐžÐºÑ‚Ñ˜Ð°Ð±Ñ€","ÐÐ¾Ñ˜Ð°Ð±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["ÐˆÐ°Ð½","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ñ˜","Ð˜Ñ˜ÑƒÐ½","Ð˜Ñ˜ÑƒÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["Ñ˜Ð°Ð½Ð²Ð°Ñ€","Ñ„ÐµÐ²Ñ€Ð°Ð»","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€ÐµÐ»","Ð¼Ð°Ñ˜","Ð¸Ñ˜ÑƒÐ½","Ð¸Ñ˜ÑƒÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ½Ñ‚Ñ˜Ð°Ð±Ñ€","Ð¾ÐºÑ‚Ñ˜Ð°Ð±Ñ€","Ð½Ð¾Ñ˜Ð°Ð±Ñ€","Ð´ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["ÐˆÐ°Ð½","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","Ð¼Ð°Ñ","Ð¸Ñ˜ÑƒÐ½","Ð¸Ñ˜ÑƒÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sms", "default", {
	name: "sms",
	englishName: "Sami (Skolt)",
	nativeName: "sÃ¤Ã¤mÂ´Ç©iÃµll",
	language: "sms",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["pÃ¢Â´sspeiÂ´vv","vuÃµssargg","mÃ¢Ã¢ibargg","seÃ¤rad","nelljdpeiÂ´vv","piÃ¢tnÃ¢c","sueÂ´vet"],
				namesAbbr: ["pÃ¢","vu","mÃ¢","se","ne","pi","su"],
				namesShort: ["p","v","m","s","n","p","s"]
			},
			months: {
				names: ["oÄ‘Ä‘eeÂ´jjmÃ¤Ã¤n","tÃ¤Â´lvvmÃ¤Ã¤n","pÃ¢Â´zzlÃ¢Å¡ttammÃ¤Ã¤n","njuhÄÄmÃ¤Ã¤n","vueÂ´ssmÃ¤Ã¤n","Ç©ieÂ´ssmÃ¤Ã¤n","sueiÂ´nnmÃ¤Ã¤n","pÃ¥Â´rÇ§Ç§mÃ¤Ã¤n","ÄÃµhÄÄmÃ¤Ã¤n","kÃ¥lggmÃ¤Ã¤n","skammÂ´mÃ¤Ã¤n","rosttovmÃ¤Ã¤n",""],
				namesAbbr: ["oÄ‘jm","tÃ¤Â´lvv","pÃ¢zl","njuh","vue","Ç©ie","suei","pÃ¥Â´r","ÄÃµh","kÃ¥lg","ska","rost",""]
			},
			monthsGenitive: {
				names: ["oÄ‘Ä‘eeÂ´jjmannu","tÃ¤Â´lvvmannu","pÃ¢Â´zzlÃ¢Å¡ttammannu","njuhÄÄmannu","vueÂ´ssmannu","Ç©ieÂ´ssmannu","sueiÂ´nnmannu","pÃ¥Â´rÇ§Ç§mannu","ÄÃµhÄÄmannu","kÃ¥lggmannu","skammÂ´mannu","rosttovmannu",""],
				namesAbbr: ["oÄ‘jm","tÃ¤Â´lvv","pÃ¢zl","njuh","vue","Ç©ie","suei","pÃ¥Â´r","ÄÃµh","kÃ¥lg","ska","rost",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "MMMM d'. p. 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "MMMM d'. p. 'yyyy H:mm",
				F: "MMMM d'. p. 'yyyy H:mm:ss",
				M: "MMMM d'. p. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zh", "default", {
	name: "zh",
	englishName: "Chinese",
	nativeName: "ä¸­æ–‡",
	language: "zh",
	numberFormat: {
		"NaN": "éžæ•°å­—",
		negativeInfinity: "è´Ÿæ— ç©·å¤§",
		positiveInfinity: "æ­£æ— ç©·å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["å‘¨æ—¥","å‘¨ä¸€","å‘¨äºŒ","å‘¨ä¸‰","å‘¨å››","å‘¨äº”","å‘¨å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "nn", "default", {
	name: "nn",
	englishName: "Norwegian (Nynorsk)",
	nativeName: "norsk (nynorsk)",
	language: "nn",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mÃ¥ndag","tysdag","onsdag","torsdag","fredag","laurdag"],
				namesAbbr: ["sÃ¸","mÃ¥","ty","on","to","fr","la"],
				namesShort: ["sÃ¸","mÃ¥","ty","on","to","fr","la"]
			},
			months: {
				names: ["januar","februar","mars","april","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "bs", "default", {
	name: "bs",
	englishName: "Bosnian",
	nativeName: "bosanski",
	language: "bs",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "KM"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedjelja","ponedjeljak","utorak","srijeda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sri","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","juni","juli","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "az-Latn", "default", {
	name: "az-Latn",
	englishName: "Azeri (Latin)",
	nativeName: "AzÉ™rbaycan\xadÄ±lÄ±",
	language: "az-Latn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "man."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Bazar","BazarÂ ertÉ™si","Ã‡É™rÅŸÉ™nbÉ™Â axÅŸamÄ±","Ã‡É™rÅŸÉ™nbÉ™","CÃ¼mÉ™Â axÅŸamÄ±","CÃ¼mÉ™","ÅžÉ™nbÉ™"],
				namesAbbr: ["B","Be","Ã‡a","Ã‡","Ca","C","Åž"],
				namesShort: ["B","Be","Ã‡a","Ã‡","Ca","C","Åž"]
			},
			months: {
				names: ["Yanvar","Fevral","Mart","Aprel","May","Ä°yun","Ä°yul","Avgust","Sentyabr","Oktyabr","Noyabr","Dekabr",""],
				namesAbbr: ["Yan","Fev","Mar","Apr","May","Ä°yun","Ä°yul","Avg","Sen","Okt","Noy","Dek",""]
			},
			monthsGenitive: {
				names: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""],
				namesAbbr: ["Yan","Fev","Mar","Apr","May","Ä°yun","Ä°yul","Avg","Sen","Okt","Noy","Dek",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sma", "default", {
	name: "sma",
	englishName: "Sami (Southern)",
	nativeName: "Ã¥arjelsaemiengiele",
	language: "sma",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["aejlege","mÃ¥anta","dÃ¦jsta","gaskevÃ¥hkoe","duarsta","bearjadahke","laavvardahke"],
				namesAbbr: ["aej","mÃ¥a","dÃ¦j","gask","duar","bearj","laav"],
				namesShort: ["a","m","d","g","d","b","l"]
			},
			months: {
				names: ["tsÃ¯engele","goevte","njoktje","voerhtje","suehpede","ruffie","snjaltje","mÃ¯etske","skÃ¯erede","golke","rahka","goeve",""],
				namesAbbr: ["tsÃ¯en","goevt","njok","voer","sueh","ruff","snja","mÃ¯et","skÃ¯er","golk","rahk","goev",""]
			},
			monthsGenitive: {
				names: ["tsÃ¯engelen","goevten","njoktjen","voerhtjen","suehpeden","ruffien","snjaltjen","mÃ¯etsken","skÃ¯ereden","golken","rahkan","goeven",""],
				namesAbbr: ["tsÃ¯en","goevt","njok","voer","sueh","ruff","snja","mÃ¯et","skÃ¯er","golk","rahk","goev",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "uz-Cyrl", "default", {
	name: "uz-Cyrl",
	englishName: "Uzbek (Cyrillic)",
	nativeName: "ÐŽÐ·Ð±ÐµÐº",
	language: "uz-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": "Â ",
			".": ",",
			symbol: "ÑÑžÐ¼"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["ÑÐºÑˆÐ°Ð½Ð±Ð°","Ð´ÑƒÑˆÐ°Ð½Ð±Ð°","ÑÐµÑˆÐ°Ð½Ð±Ð°","Ñ‡Ð¾Ñ€ÑˆÐ°Ð½Ð±Ð°","Ð¿Ð°Ð¹ÑˆÐ°Ð½Ð±Ð°","Ð¶ÑƒÐ¼Ð°","ÑˆÐ°Ð½Ð±Ð°"],
				namesAbbr: ["ÑÐºÑˆ","Ð´Ñˆ","ÑÑˆ","Ñ‡Ñˆ","Ð¿Ñˆ","Ð¶","Ñˆ"],
				namesShort: ["Ñ","Ð´","Ñ","Ñ‡","Ð¿","Ð¶","Ñˆ"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€","ÐžÐºÑ‚ÑÐ±Ñ€","ÐÐ¾ÑÐ±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€","Ñ„ÐµÐ²Ñ€Ð°Ð»","Ð¼Ð°Ñ€Ñ‚","Ð°Ð¿Ñ€ÐµÐ»","Ð¼Ð°Ð¹","Ð¸ÑŽÐ½","Ð¸ÑŽÐ»","Ð°Ð²Ð³ÑƒÑÑ‚","ÑÐµÐ½Ñ‚ÑÐ±Ñ€","Ð¾ÐºÑ‚ÑÐ±Ñ€","Ð½Ð¾ÑÐ±Ñ€","Ð´ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","Ð¼Ð°Ñ","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "yyyy 'Ð¹Ð¸Ð»' d-MMMM",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'Ð¹Ð¸Ð»' d-MMMM HH:mm",
				F: "yyyy 'Ð¹Ð¸Ð»' d-MMMM HH:mm:ss",
				M: "d-MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "mn-Cyrl", "default", {
	name: "mn-Cyrl",
	englishName: "Mongolian (Cyrillic)",
	nativeName: "ÐœÐ¾Ð½Ð³Ð¾Ð»Â Ñ…ÑÐ»",
	language: "mn-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": "Â ",
			".": ",",
			symbol: "â‚®"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["ÐÑÐ¼","Ð”Ð°Ð²Ð°Ð°","ÐœÑÐ³Ð¼Ð°Ñ€","Ð›Ñ…Ð°Ð³Ð²Ð°","ÐŸÒ¯Ñ€ÑÐ²","Ð‘Ð°Ð°ÑÐ°Ð½","Ð‘ÑÐ¼Ð±Ð°"],
				namesAbbr: ["ÐÑ","Ð”Ð°","ÐœÑ","Ð›Ñ…","ÐŸÒ¯","Ð‘Ð°","Ð‘Ñ"],
				namesShort: ["ÐÑ","Ð”Ð°","ÐœÑ","Ð›Ñ…","ÐŸÒ¯","Ð‘Ð°","Ð‘Ñ"]
			},
			months: {
				names: ["1Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","2Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","3Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","4Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","5Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","6Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","7Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","8Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","9Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","10Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€","11Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€","12Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€",""],
				namesAbbr: ["I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII",""]
			},
			monthsGenitive: {
				names: ["1Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","2Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","3Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","4Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","5Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","6Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","7Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","8Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","9Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","10Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½","11Â Ð´Ò¯Ð³ÑÑÑ€Â ÑÐ°Ñ€Ñ‹Ð½","12Â Ð´ÑƒÐ³Ð°Ð°Ñ€Â ÑÐ°Ñ€Ñ‹Ð½",""],
				namesAbbr: ["I","II","III","IV","V","VI","VII","VIII","IX","X","XI","XII",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yy.MM.dd",
				D: "yyyy 'Ð¾Ð½Ñ‹' MMMM d",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy 'Ð¾Ð½Ñ‹' MMMM d H:mm",
				F: "yyyy 'Ð¾Ð½Ñ‹' MMMM d H:mm:ss",
				M: "d MMMM",
				Y: "yyyy 'Ð¾Ð½' MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "iu-Cans", "default", {
	name: "iu-Cans",
	englishName: "Inuktitut (Syllabics)",
	nativeName: "áƒá“„á’ƒá‘Žá‘á‘¦",
	language: "iu-Cans",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["á“ˆá‘¦á‘á–‘á”­","á“‡á’¡á’á”¾á”­á…","áŠáƒá‘‰á±á–…","á±á–“á‘¦á“¯á–…","á“¯á‘•á’»á’¥á–…","á‘•á“ªá“•á•á’¥á–…","á“¯á•™á‘–á•á••á’ƒ"],
				namesAbbr: ["á“ˆá‘¦á‘","á“‡á’¡á’","áŠáƒá‘‰á±","á±á–“á‘¦á“¯","á“¯á‘•","á‘•á“ªá“•","á“¯á•™á‘–á•á••á’ƒ"],
				namesShort: ["á“ˆ","á“‡","áŠ","á±","á“¯","á‘•","á“¯"]
			},
			months: {
				names: ["á”®á“á“„áŠá•†","á•–á•á•—áŠá•†","á’«á‘¦á“¯","á„á³á•†","á’ªáƒ","á”«á“‚","á”ªá“šáƒ","á‹á’¡á’Œá“¯","á“¯á‘Žá±á•†","á…á‘á±á•†","á“„á••á±á•†","á‘Žá“¯á±á•†",""],
				namesAbbr: ["á”®á“á“„","á•–á•á•—","á’«á‘¦á“¯","á„á³á•†","á’ªáƒ","á”«á“‚","á”ªá“šáƒ","á‹á’¡á’Œ","á“¯á‘Žá±","á…á‘á±","á“„á••á±","á‘Žá“¯á±",""]
			},
			patterns: {
				d: "d/M/yyyy",
				D: "dddd,MMMM dd,yyyy",
				f: "dddd,MMMM dd,yyyy h:mm tt",
				F: "dddd,MMMM dd,yyyy h:mm:ss tt",
				Y: "MMMM,yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-Hant", "default", {
	name: "zh-Hant",
	englishName: "Chinese (Traditional)",
	nativeName: "ä¸­æ–‡(ç¹é«”)",
	language: "zh-Hant",
	numberFormat: {
		"NaN": "éžæ•¸å­—",
		negativeInfinity: "è² ç„¡çª®å¤§",
		positiveInfinity: "æ­£ç„¡çª®å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			symbol: "HK$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["é€±æ—¥","é€±ä¸€","é€±äºŒ","é€±ä¸‰","é€±å››","é€±äº”","é€±å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "nb", "default", {
	name: "nb",
	englishName: "Norwegian (BokmÃ¥l)",
	nativeName: "norsk (bokmÃ¥l)",
	language: "nb",
	numberFormat: {
		",": "Â ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": "Â ",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["sÃ¸ndag","mandag","tirsdag","onsdag","torsdag","fredag","lÃ¸rdag"],
				namesAbbr: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"],
				namesShort: ["sÃ¸","ma","ti","on","to","fr","lÃ¸"]
			},
			months: {
				names: ["januar","februar","mars","april","mai","juni","juli","august","september","oktober","november","desember",""],
				namesAbbr: ["jan","feb","mar","apr","mai","jun","jul","aug","sep","okt","nov","des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "sr", "default", {
	name: "sr",
	englishName: "Serbian",
	nativeName: "srpski",
	language: "sr",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-beskonaÄnost",
		positiveInfinity: "+beskonaÄnost",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "Din."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["nedelja","ponedeljak","utorak","sreda","Äetvrtak","petak","subota"],
				namesAbbr: ["ned","pon","uto","sre","Äet","pet","sub"],
				namesShort: ["ne","po","ut","sr","Äe","pe","su"]
			},
			months: {
				names: ["januar","februar","mart","april","maj","jun","jul","avgust","septembar","oktobar","novembar","decembar",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","avg","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n.e.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "tg-Cyrl", "default", {
	name: "tg-Cyrl",
	englishName: "Tajik (Cyrillic)",
	nativeName: "Ð¢Ð¾Ò·Ð¸ÐºÓ£",
	language: "tg-Cyrl",
	numberFormat: {
		",": "Â ",
		".": ",",
		groupSizes: [3,0],
		negativeInfinity: "-Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		positiveInfinity: "Ð±ÐµÑÐºÐ¾Ð½ÐµÑ‡Ð½Ð¾ÑÑ‚ÑŒ",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			groupSizes: [3,0],
			",": "Â ",
			".": ";",
			symbol: "Ñ‚.Ñ€."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			days: {
				names: ["Ð¯Ñˆ","Ð”ÑƒÑˆÐ°Ð½Ð±Ðµ","Ð¡ÐµÑˆÐ°Ð½Ð±Ðµ","Ð§Ð¾Ñ€ÑˆÐ°Ð½Ð±Ðµ","ÐŸÐ°Ð½Ò·ÑˆÐ°Ð½Ð±Ðµ","Ò¶ÑƒÐ¼ÑŠÐ°","Ð¨Ð°Ð½Ð±Ðµ"],
				namesAbbr: ["Ð¯Ñˆ","Ð”Ñˆ","Ð¡Ñˆ","Ð§Ñˆ","ÐŸÑˆ","Ò¶Ð¼","Ð¨Ð½"],
				namesShort: ["Ð¯Ñˆ","Ð”Ñˆ","Ð¡Ñˆ","Ð§Ñˆ","ÐŸÑˆ","Ò¶Ð¼","Ð¨Ð½"]
			},
			months: {
				names: ["Ð¯Ð½Ð²Ð°Ñ€","Ð¤ÐµÐ²Ñ€Ð°Ð»","ÐœÐ°Ñ€Ñ‚","ÐÐ¿Ñ€ÐµÐ»","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³ÑƒÑÑ‚","Ð¡ÐµÐ½Ñ‚ÑÐ±Ñ€","ÐžÐºÑ‚ÑÐ±Ñ€","ÐÐ¾ÑÐ±Ñ€","Ð”ÐµÐºÐ°Ð±Ñ€",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			monthsGenitive: {
				names: ["ÑÐ½Ð²Ð°Ñ€Ð¸","Ñ„ÐµÐ²Ñ€Ð°Ð»Ð¸","Ð¼Ð°Ñ€Ñ‚Ð¸","Ð°Ð¿Ñ€ÐµÐ»Ð¸","Ð¼Ð°Ð¸","Ð¸ÑŽÐ½Ð¸","Ð¸ÑŽÐ»Ð¸","Ð°Ð²Ð³ÑƒÑÑ‚Ð¸","ÑÐµÐ½Ñ‚ÑÐ±Ñ€Ð¸","Ð¾ÐºÑ‚ÑÐ±Ñ€Ð¸","Ð½Ð¾ÑÐ±Ñ€Ð¸","Ð´ÐµÐºÐ°Ð±Ñ€Ð¸",""],
				namesAbbr: ["Ð¯Ð½Ð²","Ð¤ÐµÐ²","ÐœÐ°Ñ€","ÐÐ¿Ñ€","ÐœÐ°Ð¹","Ð˜ÑŽÐ½","Ð˜ÑŽÐ»","ÐÐ²Ð³","Ð¡ÐµÐ½","ÐžÐºÑ‚","ÐÐ¾Ñ","Ð”ÐµÐº",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yy",
				D: "d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy H:mm",
				F: "d MMMM yyyy H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "dsb", "default", {
	name: "dsb",
	englishName: "Lower Sorbian",
	nativeName: "dolnoserbÅ¡Ä‡ina",
	language: "dsb",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "njedefinowane",
		negativeInfinity: "-njekoÅ„cne",
		positiveInfinity: "+njekoÅ„cne",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "â‚¬"
		}
	},
	calendars: {
		standard: {
			"/": ". ",
			firstDay: 1,
			days: {
				names: ["njeÅºela","ponjeÅºele","waÅ‚tora","srjoda","stwortk","pÄ›tk","sobota"],
				namesAbbr: ["nje","pon","waÅ‚","srj","stw","pÄ›t","sob"],
				namesShort: ["n","p","w","s","s","p","s"]
			},
			months: {
				names: ["januar","februar","mÄ›rc","apryl","maj","junij","julij","awgust","september","oktober","nowember","december",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","maj","jun","jul","awg","sep","okt","now","dec",""]
			},
			monthsGenitive: {
				names: ["januara","februara","mÄ›rca","apryla","maja","junija","julija","awgusta","septembra","oktobra","nowembra","decembra",""],
				namesAbbr: ["jan","feb","mÄ›r","apr","maj","jun","jul","awg","sep","okt","now","dec",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"po Chr.","start":null,"offset":0}],
			patterns: {
				d: "d. M. yyyy",
				D: "dddd, 'dnja' d. MMMM yyyy",
				t: "H.mm 'goÅº.'",
				T: "H:mm:ss",
				f: "dddd, 'dnja' d. MMMM yyyy H.mm 'goÅº.'",
				F: "dddd, 'dnja' d. MMMM yyyy H:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "smj", "default", {
	name: "smj",
	englishName: "Sami (Lule)",
	nativeName: "julevusÃ¡megiella",
	language: "smj",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["Ã¡jllek","mÃ¡nnodahka","dijstahka","gasskavahkko","duorastahka","bierjjedahka","lÃ¡vvodahka"],
				namesAbbr: ["Ã¡jl","mÃ¡n","dis","gas","duor","bier","lÃ¡v"],
				namesShort: ["Ã¡","m","d","g","d","b","l"]
			},
			months: {
				names: ["Ã¥dÃ¥jakmÃ¡nno","guovvamÃ¡nno","sjnjuktjamÃ¡nno","vuoratjismÃ¡nno","moarmesmÃ¡nno","biehtsemÃ¡nno","sjnjilltjamÃ¡nno","bÃ¥rggemÃ¡nno","ragÃ¡tmÃ¡nno","gÃ¥lgÃ¥dismÃ¡nno","basÃ¡dismÃ¡nno","javllamÃ¡nno",""],
				namesAbbr: ["Ã¥dÃ¥j","guov","snju","vuor","moar","bieh","snji","bÃ¥rg","ragÃ¡","gÃ¥lg","basÃ¡","javl",""]
			},
			monthsGenitive: {
				names: ["Ã¥dÃ¥jakmÃ¡no","guovvamÃ¡no","sjnjuktjamÃ¡no","vuoratjismÃ¡no","moarmesmÃ¡no","biehtsemÃ¡no","sjnjilltjamÃ¡no","bÃ¥rggemÃ¡no","ragÃ¡tmÃ¡no","gÃ¥lgÃ¥dismÃ¡no","basÃ¡dismÃ¡no","javllamÃ¡no",""],
				namesAbbr: ["Ã¥dÃ¥j","guov","snju","vuor","moar","bieh","snji","bÃ¥rg","ragÃ¡","gÃ¥lg","basÃ¡","javl",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "MMMM d'. b. 'yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "MMMM d'. b. 'yyyy HH:mm",
				F: "MMMM d'. b. 'yyyy HH:mm:ss",
				M: "MMMM d'. b. '",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "uz-Latn", "default", {
	name: "uz-Latn",
	englishName: "Uzbek (Latin)",
	nativeName: "U'zbek",
	language: "uz-Latn",
	numberFormat: {
		",": "Â ",
		".": ",",
		percent: {
			pattern: ["-n%","n%"],
			",": "Â ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			decimals: 0,
			",": "Â ",
			".": ",",
			symbol: "so'm"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["yakshanba","dushanba","seshanba","chorshanba","payshanba","juma","shanba"],
				namesAbbr: ["yak.","dsh.","sesh.","chr.","psh.","jm.","sh."],
				namesShort: ["ya","d","s","ch","p","j","sh"]
			},
			months: {
				names: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""],
				namesAbbr: ["yanvar","fevral","mart","aprel","may","iyun","iyul","avgust","sentyabr","oktyabr","noyabr","dekabr",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM yyyy",
				D: "yyyy 'yil' d-MMMM",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "yyyy 'yil' d-MMMM HH:mm",
				F: "yyyy 'yil' d-MMMM HH:mm:ss",
				M: "d-MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "mn-Mong", "default", {
	name: "mn-Mong",
	englishName: "Mongolian (Traditional Mongolian)",
	nativeName: "á ®á ¤á ¨á ­á ­á ¤á ¯ á ¬á ¡á ¯á ¡",
	language: "mn-Mong",
	numberFormat: {
		groupSizes: [3,0],
		"NaN": "á ²á ¤á ­á  á   á ªá ¤á °á ¤",
		negativeInfinity: "á °á ¦á ¬á ¡á ·á ¬á ¦ á ¬á ¢á µá  á ­á  á ·á ­á ¦á ¢ á ¶á ¡á ¬á ¡",
		positiveInfinity: "á ¡á ¶á ‹á ¡á ·á ¬á ¦ á ¬á ¢á µá  á ­á  á ·á ­á ¦á ¢ á ¶á  á ¬á ¡",
		percent: {
			pattern: ["-n%","n%"],
			groupSizes: [3,0]
		},
		currency: {
			pattern: ["$-n","$n"],
			groupSizes: [3,0],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["á ­á  á ·á  á ­\u202fá ¤á ¨ á ¡á ³á ¦á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¨á ¢á ­á ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¬á £á ¶á  á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ­á ¤á ·á ªá  á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ³á ¥á ·á ªá ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ²á  á ªá ¤á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á µá ¢á ·á ­á ¤á ­á  á ¨"],
				namesAbbr: ["á ­á  á ·á  á ­\u202fá ¤á ¨ á ¡á ³á ¦á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¨á ¢á ­á ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ¬á £á ¶á  á ·","á ­á  á ·á  á ­\u202fá ¤á ¨ á ­á ¤á ·á ªá  á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ³á ¥á ·á ªá ¡á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á ²á  á ªá ¤á ¨","á ­á  á ·á  á ­\u202fá ¤á ¨ á µá ¢á ·á ­á ¤á ­á  á ¨"],
				namesShort: ["á ¡\u200d","á ¨á ¢\u200d","á ¬á £\u200d","á ­á ¤\u200d","á ³á ¥\u200d","á ²á  \u200d","á µá ¢\u200d"]
			},
			months: {
				names: ["á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ­á ¤á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¦á ·á ªá ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ²á  á ªá ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á µá ¢á ·á ­á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¤á ¯á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¨á  á ¢á ®á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¶á ¢á °á ¦á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ",""],
				namesAbbr: ["á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ­á ¤á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¦á ·á ªá ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á ²á  á ªá ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á µá ¢á ·á ­á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ²á ¤á ¯á ¤á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¨á  á ¢á ®á  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á ¶á ¢á °á ¦á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ³á ¤á ­á  á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¨á ¢á ­á ¡á ³á ¦á ­á ¡á · á °á  á ·á Žá  ","á  á ·á ªá  á ¨ á ¬á ¤á ¶á ‹á  á ³á ¤á ­á  á · á °á  á ·á Žá  ",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"á £á ¨ á ²á £á ­á  á ¯á  á ¯ á ¤á ¨","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'á £á ¨ á ¤á ‹' M'á °á  á ·á Žá   \u202fá ¢á ¢á ¨ 'd' á ¤á ‹ á ¡á ³á ¦á ·'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'á £á ¨ á ¤á ‹' M'á °á  á ·á Žá   \u202fá ¢á ¢á ¨ 'd' á ¤á ‹ á ¡á ³á ¦á ·' H:mm",
				F: "yyyy'á £á ¨ á ¤á ‹' M'á °á  á ·á Žá   \u202fá ¢á ¢á ¨ 'd' á ¤á ‹ á ¡á ³á ¦á ·' H:mm:ss",
				M: "M'á °á  á ·á Žá  ' d'á ¡á ³á ¦á ·'",
				Y: "yyyy'á £á ¨' M'á °á  á ·á Žá  '"
			}
		}
	}
});

Globalize.addCultureInfo( "iu-Latn", "default", {
	name: "iu-Latn",
	englishName: "Inuktitut (Latin)",
	nativeName: "Inuktitut",
	language: "iu-Latn",
	numberFormat: {
		groupSizes: [3,0],
		percent: {
			groupSizes: [3,0]
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Naattiinguja","Naggajjau","Aippiq","Pingatsiq","Sitammiq","Tallirmiq","Sivataarvik"],
				namesAbbr: ["Nat","Nag","Aip","Pi","Sit","Tal","Siv"],
				namesShort: ["N","N","A","P","S","T","S"]
			},
			months: {
				names: ["Jaannuari","Viivvuari","Maatsi","Iipuri","Mai","Juuni","Julai","Aaggiisi","Sitipiri","Utupiri","Nuvipiri","Tisipiri",""],
				namesAbbr: ["Jan","Viv","Mas","Ipu","Mai","Jun","Jul","Agi","Sii","Uut","Nuv","Tis",""]
			},
			patterns: {
				d: "d/MM/yyyy",
				D: "ddd, MMMM dd,yyyy",
				f: "ddd, MMMM dd,yyyy h:mm tt",
				F: "ddd, MMMM dd,yyyy h:mm:ss tt"
			}
		}
	}
});

Globalize.addCultureInfo( "tzm-Latn", "default", {
	name: "tzm-Latn",
	englishName: "Tamazight (Latin)",
	nativeName: "Tamazight",
	language: "tzm-Latn",
	numberFormat: {
		pattern: ["n-"],
		",": ".",
		".": ",",
		"NaN": "Non NumÃ©rique",
		negativeInfinity: "-Infini",
		positiveInfinity: "+Infini",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			symbol: "DZD"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 6,
			days: {
				names: ["Acer","Arime","Aram","Ahad","Amhadh","Sem","Sedh"],
				namesAbbr: ["Ace","Ari","Ara","Aha","Amh","Sem","Sed"],
				namesShort: ["Ac","Ar","Ar","Ah","Am","Se","Se"]
			},
			months: {
				names: ["Yenayer","Furar","Maghres","Yebrir","Mayu","Yunyu","Yulyu","Ghuct","Cutenber","Ktuber","Wambir","Dujanbir",""],
				namesAbbr: ["Yen","Fur","Mag","Yeb","May","Yun","Yul","Ghu","Cut","Ktu","Wam","Duj",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "dd MMMM, yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM, yyyy H:mm",
				F: "dd MMMM, yyyy H:mm:ss",
				M: "dd MMMM"
			}
		}
	}
});

Globalize.addCultureInfo( "ha-Latn", "default", {
	name: "ha-Latn",
	englishName: "Hausa (Latin)",
	nativeName: "Hausa",
	language: "ha-Latn",
	numberFormat: {
		currency: {
			pattern: ["$-n","$ n"],
			symbol: "N"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["Lahadi","Litinin","Talata","Laraba","Alhamis","Juma'a","Asabar"],
				namesAbbr: ["Lah","Lit","Tal","Lar","Alh","Jum","Asa"],
				namesShort: ["L","L","T","L","A","J","A"]
			},
			months: {
				names: ["Januwaru","Febreru","Maris","Afrilu","Mayu","Yuni","Yuli","Agusta","Satumba","Oktocba","Nuwamba","Disamba",""],
				namesAbbr: ["Jan","Feb","Mar","Afr","May","Yun","Yul","Agu","Sat","Okt","Nuw","Dis",""]
			},
			AM: ["Safe","safe","SAFE"],
			PM: ["Yamma","yamma","YAMMA"],
			eras: [{"name":"AD","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-CHS", "default", {
	name: "zh-CHS",
	englishName: "Chinese (Simplified) Legacy",
	nativeName: "ä¸­æ–‡(ç®€ä½“) æ—§ç‰ˆ",
	language: "zh-CHS",
	numberFormat: {
		"NaN": "éžæ•°å­—",
		negativeInfinity: "è´Ÿæ— ç©·å¤§",
		positiveInfinity: "æ­£æ— ç©·å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			pattern: ["$-n","$n"],
			symbol: "Â¥"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["å‘¨æ—¥","å‘¨ä¸€","å‘¨äºŒ","å‘¨ä¸‰","å‘¨å››","å‘¨äº”","å‘¨å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "yyyy/M/d",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

Globalize.addCultureInfo( "zh-CHT", "default", {
	name: "zh-CHT",
	englishName: "Chinese (Traditional) Legacy",
	nativeName: "ä¸­æ–‡(ç¹é«”) èˆŠç‰ˆ",
	language: "zh-CHT",
	numberFormat: {
		"NaN": "éžæ•¸å­—",
		negativeInfinity: "è² ç„¡çª®å¤§",
		positiveInfinity: "æ­£ç„¡çª®å¤§",
		percent: {
			pattern: ["-n%","n%"]
		},
		currency: {
			symbol: "HK$"
		}
	},
	calendars: {
		standard: {
			days: {
				names: ["æ˜ŸæœŸæ—¥","æ˜ŸæœŸä¸€","æ˜ŸæœŸäºŒ","æ˜ŸæœŸä¸‰","æ˜ŸæœŸå››","æ˜ŸæœŸäº”","æ˜ŸæœŸå…­"],
				namesAbbr: ["é€±æ—¥","é€±ä¸€","é€±äºŒ","é€±ä¸‰","é€±å››","é€±äº”","é€±å…­"],
				namesShort: ["æ—¥","ä¸€","äºŒ","ä¸‰","å››","äº”","å…­"]
			},
			months: {
				names: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""],
				namesAbbr: ["ä¸€æœˆ","äºŒæœˆ","ä¸‰æœˆ","å››æœˆ","äº”æœˆ","å…­æœˆ","ä¸ƒæœˆ","å…«æœˆ","ä¹æœˆ","åæœˆ","åä¸€æœˆ","åäºŒæœˆ",""]
			},
			AM: ["ä¸Šåˆ","ä¸Šåˆ","ä¸Šåˆ"],
			PM: ["ä¸‹åˆ","ä¸‹åˆ","ä¸‹åˆ"],
			eras: [{"name":"å…¬å…ƒ","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "yyyy'å¹´'M'æœˆ'd'æ—¥'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm",
				F: "yyyy'å¹´'M'æœˆ'd'æ—¥' H:mm:ss",
				M: "M'æœˆ'd'æ—¥'",
				Y: "yyyy'å¹´'M'æœˆ'"
			}
		}
	}
});

}( this ));